/*===========================================================================*/
/*   (Llib/types.scm)                                                        */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 3 07:37:42 AM CET 2021      */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.4c-2/bin/bigloo -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.4c-2/lib/bigloo/4.4c -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.4c-2/lib/bigloo/4.4c -unsafe -safee -copt -fPIC -copt -IPosix Llib/types.scm -o objs/types.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_threadz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
} *BgL_threadz00_bglt;

typedef struct BgL_fthreadz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   obj_t BgL_schedulerz00;
   obj_t BgL_z52builtinz52;
   int BgL_z52timeoutz52;
   obj_t BgL_z52statez52;
   bool_t BgL_z52iszd2suspendz80;
   obj_t BgL_z52terminatez52;
   obj_t BgL_z52resultz52;
   obj_t BgL_z52exczd2resultz80;
   bool_t BgL_z52exczd2raisedz80;
   int BgL_z52identz52;
   obj_t BgL_z52signalsz52;
   obj_t BgL_z52awakezd2signalz80;
   obj_t BgL_z52awakezd2valuez80;
   obj_t BgL_z52cleanupz52;
   obj_t BgL_z52specificz52;
   obj_t BgL_bodyz00;
} *BgL_fthreadz00_bglt;

typedef struct BgL_schedulerz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   obj_t BgL_schedulerz00;
   obj_t BgL_z52builtinz52;
   int BgL_z52timeoutz52;
   obj_t BgL_z52statez52;
   bool_t BgL_z52iszd2suspendz80;
   obj_t BgL_z52terminatez52;
   obj_t BgL_z52resultz52;
   obj_t BgL_z52exczd2resultz80;
   bool_t BgL_z52exczd2raisedz80;
   int BgL_z52identz52;
   obj_t BgL_z52signalsz52;
   obj_t BgL_z52awakezd2signalz80;
   obj_t BgL_z52awakezd2valuez80;
   obj_t BgL_z52cleanupz52;
   obj_t BgL_z52specificz52;
   obj_t BgL_bodyz00;
   obj_t BgL_envzb2zb2;
   obj_t BgL_strictzd2orderzf3z21;
} *BgL_schedulerz00_bglt;

typedef struct BgL_ftenvz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_instantz00;
} *BgL_ftenvz00_bglt;

typedef struct BgL_z52sigjoinz52_bgl {
   header_t header;
   obj_t widening;
   struct BgL_fthreadz00_bgl * BgL_threadz00;
} *BgL_z52sigjoinz52_bglt;


BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__ft_typesz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
static obj_t BGl_z62zc3z04anonymousza31204ze3ze5zz__ft_typesz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31115ze3ze5zz__ft_typesz00(obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zz__ft_typesz00();
static obj_t BGl_genericzd2initzd2zz__ft_typesz00();
static obj_t BGl_z62zc3z04anonymousza31125ze3ze5zz__ft_typesz00(obj_t);
BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t);
static obj_t BGl_objectzd2initzd2zz__ft_typesz00();
static obj_t BGl_z62zc3z04anonymousza31215ze3ze5zz__ft_typesz00(obj_t);
BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
static obj_t BGl_z62zc3z04anonymousza31135ze3ze5zz__ft_typesz00(obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31153ze3ze5zz__ft_typesz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31145ze3ze5zz__ft_typesz00(obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static long BGl_za2threadzd2counterza2zd2zz__ft_typesz00;
BGL_EXPORTED_DEF obj_t BGl_fthreadz00zz__ft_typesz00 = BUNSPEC;
static obj_t BGl_methodzd2initzd2zz__ft_typesz00();
BGL_EXPORTED_DEF obj_t BGl_z52sigjoinz52zz__ft_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31228ze3ze5zz__ft_typesz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31164ze3ze5zz__ft_typesz00(obj_t);
static BgL_fthreadz00_bglt BGl_z62lambda1109z62zz__ft_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_fthreadz00_bglt BGl_z62lambda1113z62zz__ft_typesz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31238ze3ze5zz__ft_typesz00(obj_t);
static obj_t BGl_z62lambda1202z62zz__ft_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1203z62zz__ft_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1123z62zz__ft_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1124z62zz__ft_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31255ze3ze5zz__ft_typesz00(obj_t);
static obj_t BGl_z62lambda1213z62zz__ft_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1133z62zz__ft_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1214z62zz__ft_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1134z62zz__ft_typesz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_classzd2constructorzd2zz__objectz00(obj_t);
static obj_t BGl_z62lambda1143z62zz__ft_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31192ze3ze5zz__ft_typesz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31273ze3ze5zz__ft_typesz00(obj_t);
static obj_t BGl_z62lambda1144z62zz__ft_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31184ze3ze5zz__ft_typesz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31176ze3ze5zz__ft_typesz00(obj_t);
static obj_t BGl_z62lambda1226z62zz__ft_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31338ze3ze5zz__ft_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1227z62zz__ft_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1151z62zz__ft_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1152z62zz__ft_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31355ze3ze5zz__ft_typesz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31266ze3ze5zz__ft_typesz00(obj_t);
static obj_t BGl_z62lambda1236z62zz__ft_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1237z62zz__ft_typesz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__ft_typesz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__pth_threadz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
static obj_t BGl_z62lambda1162z62zz__ft_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1163z62zz__ft_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31381ze3ze5zz__ft_typesz00(obj_t);
static BgL_schedulerz00_bglt BGl_z62lambda1333z62zz__ft_typesz00(obj_t);
static obj_t BGl_z62lambda1253z62zz__ft_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1254z62zz__ft_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1174z62zz__ft_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1175z62zz__ft_typesz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_schedulerz00zz__ft_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1342z62zz__ft_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1343z62zz__ft_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1182z62zz__ft_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31366ze3ze5zz__ft_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1183z62zz__ft_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1264z62zz__ft_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1265z62zz__ft_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zz__ft_typesz00();
static obj_t BGl_libraryzd2moduleszd2initz00zz__ft_typesz00();
static obj_t BGl_z62z52threadzd2setupz12zf0zz__ft_typesz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_gczd2rootszd2initz00zz__ft_typesz00();
static obj_t BGl_z62lambda1190z62zz__ft_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1271z62zz__ft_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1191z62zz__ft_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1272z62zz__ft_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1353z62zz__ft_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1354z62zz__ft_typesz00(obj_t, obj_t, obj_t);
static BgL_ftenvz00_bglt BGl_z62lambda1363z62zz__ft_typesz00(obj_t);
BGL_IMPORT obj_t BGl_objectz00zz__objectz00;
static obj_t BGl_z62lambda1287z62zz__ft_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1288z62zz__ft_typesz00(obj_t, obj_t, obj_t);
static BgL_z52sigjoinz52_bglt BGl_z62lambda1535z62zz__ft_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1379z62zz__ft_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1380z62zz__ft_typesz00(obj_t, obj_t, obj_t);
static BgL_z52sigjoinz52_bglt BGl_z62lambda1551z62zz__ft_typesz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31566ze3ze5zz__ft_typesz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_z52threadzd2setupz12z92zz__ft_typesz00(BgL_fthreadz00_bglt);
static BgL_fthreadz00_bglt BGl_z62lambda1574z62zz__ft_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1575z62zz__ft_typesz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ftenvz00zz__ft_typesz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_threadz00zz__threadz00;
static obj_t __cnst[ 35 ] ;


BGL_IMPORT obj_t BGl_listzd2envzd2zz__r4_pairs_and_lists_6_3z00;
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1600z00zz__ft_typesz00, BgL_bgl_za762za7c3za704anonymo1656za7, BGl_z62zc3z04anonymousza31184ze3ze5zz__ft_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1601z00zz__ft_typesz00, BgL_bgl_za762lambda1183za7621657z00, BGl_z62lambda1183z62zz__ft_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1602z00zz__ft_typesz00, BgL_bgl_za762lambda1182za7621658z00, BGl_z62lambda1182z62zz__ft_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1603z00zz__ft_typesz00, BgL_bgl_za762za7c3za704anonymo1659za7, BGl_z62zc3z04anonymousza31192ze3ze5zz__ft_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1604z00zz__ft_typesz00, BgL_bgl_za762lambda1191za7621660z00, BGl_z62lambda1191z62zz__ft_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1605z00zz__ft_typesz00, BgL_bgl_za762lambda1190za7621661z00, BGl_z62lambda1190z62zz__ft_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1606z00zz__ft_typesz00, BgL_bgl_za762za7c3za704anonymo1662za7, BGl_z62zc3z04anonymousza31204ze3ze5zz__ft_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1607z00zz__ft_typesz00, BgL_bgl_za762lambda1203za7621663z00, BGl_z62lambda1203z62zz__ft_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1608z00zz__ft_typesz00, BgL_bgl_za762lambda1202za7621664z00, BGl_z62lambda1202z62zz__ft_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1609z00zz__ft_typesz00, BgL_bgl_za762za7c3za704anonymo1665za7, BGl_z62zc3z04anonymousza31215ze3ze5zz__ft_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1610z00zz__ft_typesz00, BgL_bgl_za762lambda1214za7621666z00, BGl_z62lambda1214z62zz__ft_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1611z00zz__ft_typesz00, BgL_bgl_za762lambda1213za7621667z00, BGl_z62lambda1213z62zz__ft_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1612z00zz__ft_typesz00, BgL_bgl_za762za7c3za704anonymo1668za7, BGl_z62zc3z04anonymousza31228ze3ze5zz__ft_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1613z00zz__ft_typesz00, BgL_bgl_za762lambda1227za7621669z00, BGl_z62lambda1227z62zz__ft_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1614z00zz__ft_typesz00, BgL_bgl_za762lambda1226za7621670z00, BGl_z62lambda1226z62zz__ft_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1615z00zz__ft_typesz00, BgL_bgl_za762za7c3za704anonymo1671za7, BGl_z62zc3z04anonymousza31238ze3ze5zz__ft_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1616z00zz__ft_typesz00, BgL_bgl_za762lambda1237za7621672z00, BGl_z62lambda1237z62zz__ft_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1617z00zz__ft_typesz00, BgL_bgl_za762lambda1236za7621673z00, BGl_z62lambda1236z62zz__ft_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1618z00zz__ft_typesz00, BgL_bgl_za762za7c3za704anonymo1674za7, BGl_z62zc3z04anonymousza31255ze3ze5zz__ft_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1619z00zz__ft_typesz00, BgL_bgl_za762lambda1254za7621675z00, BGl_z62lambda1254z62zz__ft_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1620z00zz__ft_typesz00, BgL_bgl_za762lambda1253za7621676z00, BGl_z62lambda1253z62zz__ft_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1621z00zz__ft_typesz00, BgL_bgl_za762za7c3za704anonymo1677za7, BGl_z62zc3z04anonymousza31266ze3ze5zz__ft_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1622z00zz__ft_typesz00, BgL_bgl_za762lambda1265za7621678z00, BGl_z62lambda1265z62zz__ft_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1623z00zz__ft_typesz00, BgL_bgl_za762lambda1264za7621679z00, BGl_z62lambda1264z62zz__ft_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1624z00zz__ft_typesz00, BgL_bgl_za762za7c3za704anonymo1680za7, BGl_z62zc3z04anonymousza31273ze3ze5zz__ft_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1625z00zz__ft_typesz00, BgL_bgl_za762lambda1272za7621681z00, BGl_z62lambda1272z62zz__ft_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1626z00zz__ft_typesz00, BgL_bgl_za762lambda1271za7621682z00, BGl_z62lambda1271z62zz__ft_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1627z00zz__ft_typesz00, BgL_bgl_za762lambda1288za7621683z00, BGl_z62lambda1288z62zz__ft_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1628z00zz__ft_typesz00, BgL_bgl_za762lambda1287za7621684z00, BGl_z62lambda1287z62zz__ft_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1629z00zz__ft_typesz00, BgL_bgl_za762za7c3za704anonymo1685za7, BGl_z62zc3z04anonymousza31115ze3ze5zz__ft_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1630z00zz__ft_typesz00, BgL_bgl_za762lambda1113za7621686z00, BGl_z62lambda1113z62zz__ft_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1631z00zz__ft_typesz00, BgL_bgl_za762lambda1109za7621687z00, BGl_z62lambda1109z62zz__ft_typesz00, 0L, BUNSPEC, 17 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1632z00zz__ft_typesz00, BgL_bgl_za762lambda1343za7621688z00, BGl_z62lambda1343z62zz__ft_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1633z00zz__ft_typesz00, BgL_bgl_za762lambda1342za7621689z00, BGl_z62lambda1342z62zz__ft_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1634z00zz__ft_typesz00, BgL_bgl_za762za7c3za704anonymo1690za7, BGl_z62zc3z04anonymousza31355ze3ze5zz__ft_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1635z00zz__ft_typesz00, BgL_bgl_za762lambda1354za7621691z00, BGl_z62lambda1354z62zz__ft_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1636z00zz__ft_typesz00, BgL_bgl_za762lambda1353za7621692z00, BGl_z62lambda1353z62zz__ft_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1637z00zz__ft_typesz00, BgL_bgl_za762za7c3za704anonymo1693za7, BGl_z62zc3z04anonymousza31338ze3ze5zz__ft_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1638z00zz__ft_typesz00, BgL_bgl_za762lambda1333za7621694z00, BGl_z62lambda1333z62zz__ft_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1639z00zz__ft_typesz00, BgL_bgl_za762za7c3za704anonymo1695za7, BGl_z62zc3z04anonymousza31381ze3ze5zz__ft_typesz00, 0L, BUNSPEC, 0 );
BGL_IMPORT obj_t BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00;
DEFINE_STRING( BGl_string1649z00zz__ft_typesz00, BgL_bgl_string1649za700za7za7_1696za7, "unattached _ %sigjoin thread ftenv long instant bbool strict-order? pair env+ __ft_types fthread body %specific %cleanup %awake-value %awake-signal pair-nil %signals %ident %exc-raised %exc-result %result procedure %terminate bool %is-suspend symbol %state int %timeout %builtin obj scheduler ", 293 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1640z00zz__ft_typesz00, BgL_bgl_za762lambda1380za7621697z00, BGl_z62lambda1380z62zz__ft_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1641z00zz__ft_typesz00, BgL_bgl_za762lambda1379za7621698z00, BGl_z62lambda1379z62zz__ft_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1642z00zz__ft_typesz00, BgL_bgl_za762za7c3za704anonymo1699za7, BGl_z62zc3z04anonymousza31366ze3ze5zz__ft_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1643z00zz__ft_typesz00, BgL_bgl_za762lambda1363za7621700z00, BGl_z62lambda1363z62zz__ft_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1644z00zz__ft_typesz00, BgL_bgl_za762lambda1575za7621701z00, BGl_z62lambda1575z62zz__ft_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1645z00zz__ft_typesz00, BgL_bgl_za762lambda1574za7621702z00, BGl_z62lambda1574z62zz__ft_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1646z00zz__ft_typesz00, BgL_bgl_za762za7c3za704anonymo1703za7, BGl_z62zc3z04anonymousza31566ze3ze5zz__ft_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1647z00zz__ft_typesz00, BgL_bgl_za762lambda1551za7621704z00, BGl_z62lambda1551z62zz__ft_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1648z00zz__ft_typesz00, BgL_bgl_za762lambda1535za7621705z00, BGl_z62lambda1535z62zz__ft_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1578z00zz__ft_typesz00, BgL_bgl_string1578za700za7za7_1706za7, "Llib/types.scm", 14 );
DEFINE_STRING( BGl_string1579z00zz__ft_typesz00, BgL_bgl_string1579za700za7za7_1707za7, "/builddir/build/BUILD/bigloo-4.4c-2/api/fthread/src/Llib/types.scm", 66 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52threadzd2setupz12zd2envz40zz__ft_typesz00, BgL_bgl_za762za752threadza7d2s1708za7, BGl_z62z52threadzd2setupz12zf0zz__ft_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1580z00zz__ft_typesz00, BgL_bgl_string1580za700za7za7_1709za7, "&%thread-setup!", 15 );
DEFINE_STRING( BGl_string1581z00zz__ft_typesz00, BgL_bgl_string1581za700za7za7_1710za7, "fthread", 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1582z00zz__ft_typesz00, BgL_bgl_za762za7c3za704anonymo1711za7, BGl_z62zc3z04anonymousza31125ze3ze5zz__ft_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1583z00zz__ft_typesz00, BgL_bgl_za762lambda1124za7621712z00, BGl_z62lambda1124z62zz__ft_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1584z00zz__ft_typesz00, BgL_bgl_za762lambda1123za7621713z00, BGl_z62lambda1123z62zz__ft_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1585z00zz__ft_typesz00, BgL_bgl_za762za7c3za704anonymo1714za7, BGl_z62zc3z04anonymousza31135ze3ze5zz__ft_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1586z00zz__ft_typesz00, BgL_bgl_za762lambda1134za7621715z00, BGl_z62lambda1134z62zz__ft_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1587z00zz__ft_typesz00, BgL_bgl_za762lambda1133za7621716z00, BGl_z62lambda1133z62zz__ft_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1588z00zz__ft_typesz00, BgL_bgl_za762za7c3za704anonymo1717za7, BGl_z62zc3z04anonymousza31145ze3ze5zz__ft_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1589z00zz__ft_typesz00, BgL_bgl_za762lambda1144za7621718z00, BGl_z62lambda1144z62zz__ft_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1590z00zz__ft_typesz00, BgL_bgl_za762lambda1143za7621719z00, BGl_z62lambda1143z62zz__ft_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1591z00zz__ft_typesz00, BgL_bgl_za762za7c3za704anonymo1720za7, BGl_z62zc3z04anonymousza31153ze3ze5zz__ft_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1592z00zz__ft_typesz00, BgL_bgl_za762lambda1152za7621721z00, BGl_z62lambda1152z62zz__ft_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1593z00zz__ft_typesz00, BgL_bgl_za762lambda1151za7621722z00, BGl_z62lambda1151z62zz__ft_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1594z00zz__ft_typesz00, BgL_bgl_za762za7c3za704anonymo1723za7, BGl_z62zc3z04anonymousza31164ze3ze5zz__ft_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1595z00zz__ft_typesz00, BgL_bgl_za762lambda1163za7621724z00, BGl_z62lambda1163z62zz__ft_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1596z00zz__ft_typesz00, BgL_bgl_za762lambda1162za7621725z00, BGl_z62lambda1162z62zz__ft_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1597z00zz__ft_typesz00, BgL_bgl_za762za7c3za704anonymo1726za7, BGl_z62zc3z04anonymousza31176ze3ze5zz__ft_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1598z00zz__ft_typesz00, BgL_bgl_za762lambda1175za7621727z00, BGl_z62lambda1175z62zz__ft_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1599z00zz__ft_typesz00, BgL_bgl_za762lambda1174za7621728z00, BGl_z62lambda1174z62zz__ft_typesz00, 0L, BUNSPEC, 1 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__ft_typesz00) );
ADD_ROOT( (void *)(&BGl_fthreadz00zz__ft_typesz00) );
ADD_ROOT( (void *)(&BGl_z52sigjoinz52zz__ft_typesz00) );
ADD_ROOT( (void *)(&BGl_schedulerz00zz__ft_typesz00) );
ADD_ROOT( (void *)(&BGl_ftenvz00zz__ft_typesz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__ft_typesz00(long BgL_checksumz00_752, char * BgL_fromz00_753)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__ft_typesz00))
{ 
BGl_requirezd2initializa7ationz75zz__ft_typesz00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__ft_typesz00(); 
BGl_libraryzd2moduleszd2initz00zz__ft_typesz00(); 
BGl_cnstzd2initzd2zz__ft_typesz00(); 
BGl_objectzd2initzd2zz__ft_typesz00(); 
return 
BGl_toplevelzd2initzd2zz__ft_typesz00();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__ft_typesz00()
{
{ /* Llib/types.scm 15 */
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "__ft_types"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "__ft_types"); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "__ft_types"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "__ft_types"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "__ft_types"); 
BGl_modulezd2initializa7ationz75zz__pth_threadz00(((long)0), "__ft_types"); 
BGl_modulezd2initializa7ationz75zz__threadz00(((long)0), "__ft_types"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)0), "__ft_types"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "__ft_types"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)0), "__ft_types"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)0), "__ft_types"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__ft_typesz00()
{
{ /* Llib/types.scm 15 */
{ /* Llib/types.scm 15 */
 obj_t BgL_cportz00_620;
{ /* Llib/types.scm 15 */
 obj_t BgL_stringz00_628;
BgL_stringz00_628 = BGl_string1649z00zz__ft_typesz00; 
{ /* Llib/types.scm 15 */
 obj_t BgL_startz00_629;
BgL_startz00_629 = 
BINT(((long)0)); 
{ /* Llib/types.scm 15 */
 obj_t BgL_endz00_630;
BgL_endz00_630 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_628))); 
{ /* Llib/types.scm 15 */

BgL_cportz00_620 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_628, BgL_startz00_629, BgL_endz00_630); } } } } 
{ 
 long BgL_iz00_621;
BgL_iz00_621 = ((long)34); 
BgL_loopz00_622:
if(
(BgL_iz00_621==((long)-1)))
{ /* Llib/types.scm 15 */
return BUNSPEC;}  else 
{ /* Llib/types.scm 15 */
{ /* Llib/types.scm 15 */
 obj_t BgL_arg1654z00_624;
{ /* Llib/types.scm 15 */

{ /* Llib/types.scm 15 */
 obj_t BgL_locationz00_626;
BgL_locationz00_626 = 
BBOOL(((bool_t)0)); 
{ /* Llib/types.scm 15 */

BgL_arg1654z00_624 = 
BGl_readz00zz__readerz00(BgL_cportz00_620, BgL_locationz00_626); } } } 
{ /* Llib/types.scm 15 */
 int BgL_tmpz00_782;
BgL_tmpz00_782 = 
(int)(BgL_iz00_621); 
CNST_TABLE_SET(BgL_tmpz00_782, BgL_arg1654z00_624); } } 
{ /* Llib/types.scm 15 */
 int BgL_auxz00_627;
BgL_auxz00_627 = 
(int)(
(BgL_iz00_621-((long)1))); 
{ 
 long BgL_iz00_787;
BgL_iz00_787 = 
(long)(BgL_auxz00_627); 
BgL_iz00_621 = BgL_iz00_787; 
goto BgL_loopz00_622;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__ft_typesz00()
{
{ /* Llib/types.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__ft_typesz00()
{
{ /* Llib/types.scm 15 */
BGl_modulezd2initializa7ationz75zz__pth_threadz00(((long)0), 
BSTRING_TO_STRING(BGl_string1578z00zz__ft_typesz00)); 
return ( 
BGl_za2threadzd2counterza2zd2zz__ft_typesz00 = ((long)0), BUNSPEC) ;} 

}



/* %thread-setup! */
BGL_EXPORTED_DEF obj_t BGl_z52threadzd2setupz12z92zz__ft_typesz00(BgL_fthreadz00_bglt BgL_tz00_3)
{
{ /* Llib/types.scm 76 */
BGl_za2threadzd2counterza2zd2zz__ft_typesz00 = 
(((long)1)+BGl_za2threadzd2counterza2zd2zz__ft_typesz00); 
((((BgL_fthreadz00_bglt)COBJECT(BgL_tz00_3))->BgL_z52identz52)=((int)
(int)(BGl_za2threadzd2counterza2zd2zz__ft_typesz00)),BUNSPEC); 
return 
((obj_t)BgL_tz00_3);} 

}



/* &%thread-setup! */
obj_t BGl_z62z52threadzd2setupz12zf0zz__ft_typesz00(obj_t BgL_envz00_393, obj_t BgL_tz00_394)
{
{ /* Llib/types.scm 76 */
{ /* Llib/types.scm 77 */
 BgL_fthreadz00_bglt BgL_auxz00_796;
{ /* Llib/types.scm 77 */
 bool_t BgL_test1731z00_797;
{ /* Llib/types.scm 77 */
 obj_t BgL_classz00_632;
BgL_classz00_632 = BGl_fthreadz00zz__ft_typesz00; 
if(
BGL_OBJECTP(BgL_tz00_394))
{ /* Llib/types.scm 77 */
 BgL_objectz00_bglt BgL_arg1800z00_634; long BgL_arg1801z00_635;
BgL_arg1800z00_634 = 
(BgL_objectz00_bglt)(BgL_tz00_394); 
BgL_arg1801z00_635 = 
BGL_CLASS_DEPTH(BgL_classz00_632); 
{ /* Llib/types.scm 77 */
 bool_t BgL_arg1795z00_639; bool_t BgL_arg1796z00_640;
{ /* Llib/types.scm 77 */
 long BgL_idxz00_644;
BgL_idxz00_644 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1800z00_634); 
{ /* Llib/types.scm 77 */
 obj_t BgL_arg1792z00_645;
{ /* Llib/types.scm 77 */
 long BgL_arg1793z00_646;
BgL_arg1793z00_646 = 
(BgL_idxz00_644+BgL_arg1801z00_635); 
BgL_arg1792z00_645 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1793z00_646); } 
BgL_arg1795z00_639 = 
(BgL_arg1792z00_645==BgL_classz00_632); } } 
{ /* Llib/types.scm 77 */
 bool_t BgL_res1655z00_669;
{ /* Llib/types.scm 77 */
 obj_t BgL_oclassz00_654;
{ /* Llib/types.scm 77 */
 long BgL_arg1806z00_660;
{ /* Llib/types.scm 77 */
 long BgL_arg1808z00_661;
BgL_arg1808z00_661 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1800z00_634); 
BgL_arg1806z00_660 = 
(BgL_arg1808z00_661-OBJECT_TYPE); } 
BgL_oclassz00_654 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1806z00_660); } 
{ /* Llib/types.scm 77 */
 bool_t BgL__ortest_1111z00_655;
BgL__ortest_1111z00_655 = 
(BgL_classz00_632==BgL_oclassz00_654); 
if(BgL__ortest_1111z00_655)
{ /* Llib/types.scm 77 */
BgL_res1655z00_669 = BgL__ortest_1111z00_655; }  else 
{ /* Llib/types.scm 77 */
 long BgL_odepthz00_656;
BgL_odepthz00_656 = 
BGL_CLASS_DEPTH(BgL_oclassz00_654); 
if(
(BgL_arg1801z00_635<BgL_odepthz00_656))
{ /* Llib/types.scm 77 */
 obj_t BgL_arg1794z00_658;
BgL_arg1794z00_658 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_654, BgL_arg1801z00_635); 
BgL_res1655z00_669 = 
(BgL_arg1794z00_658==BgL_classz00_632); }  else 
{ /* Llib/types.scm 77 */
BgL_res1655z00_669 = ((bool_t)0); } } } } 
BgL_arg1796z00_640 = BgL_res1655z00_669; } 
BgL_test1731z00_797 = 
BGL_ISA_C_BACKEND(BgL_arg1795z00_639, BgL_arg1796z00_640); } }  else 
{ /* Llib/types.scm 77 */
BgL_test1731z00_797 = ((bool_t)0)
; } } 
if(BgL_test1731z00_797)
{ /* Llib/types.scm 77 */
BgL_auxz00_796 = 
((BgL_fthreadz00_bglt)BgL_tz00_394)
; }  else 
{ 
 obj_t BgL_auxz00_818;
BgL_auxz00_818 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1579z00zz__ft_typesz00, 
BINT(((long)3260)), BGl_string1580z00zz__ft_typesz00, BGl_string1581z00zz__ft_typesz00, BgL_tz00_394); 
FAILURE(BgL_auxz00_818,BFALSE,BFALSE);} } 
return 
BGl_z52threadzd2setupz12z92zz__ft_typesz00(BgL_auxz00_796);} } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__ft_typesz00()
{
{ /* Llib/types.scm 15 */
{ /* Llib/types.scm 19 */
 obj_t BgL_arg1107z00_16; obj_t BgL_arg1108z00_17;
{ /* Llib/types.scm 19 */
 obj_t BgL_v1087z00_45;
BgL_v1087z00_45 = 
create_vector(((long)16)); 
{ /* Llib/types.scm 19 */
 obj_t BgL_arg1119z00_46;
BgL_arg1119z00_46 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)0)), BGl_proc1584z00zz__ft_typesz00, BGl_proc1583z00zz__ft_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1582z00zz__ft_typesz00, 
CNST_TABLE_REF(((long)1))); 
VECTOR_SET(BgL_v1087z00_45,((long)0),BgL_arg1119z00_46); } 
{ /* Llib/types.scm 19 */
 obj_t BgL_arg1128z00_59;
BgL_arg1128z00_59 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)2)), BGl_proc1587z00zz__ft_typesz00, BGl_proc1586z00zz__ft_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1585z00zz__ft_typesz00, 
CNST_TABLE_REF(((long)1))); 
VECTOR_SET(BgL_v1087z00_45,((long)1),BgL_arg1128z00_59); } 
{ /* Llib/types.scm 19 */
 obj_t BgL_arg1138z00_72;
BgL_arg1138z00_72 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)3)), BGl_proc1590z00zz__ft_typesz00, BGl_proc1589z00zz__ft_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1588z00zz__ft_typesz00, 
CNST_TABLE_REF(((long)4))); 
VECTOR_SET(BgL_v1087z00_45,((long)2),BgL_arg1138z00_72); } 
{ /* Llib/types.scm 19 */
 obj_t BgL_arg1147z00_85;
BgL_arg1147z00_85 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)5)), BGl_proc1593z00zz__ft_typesz00, BGl_proc1592z00zz__ft_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1591z00zz__ft_typesz00, 
CNST_TABLE_REF(((long)6))); 
VECTOR_SET(BgL_v1087z00_45,((long)3),BgL_arg1147z00_85); } 
{ /* Llib/types.scm 19 */
 obj_t BgL_arg1154z00_98;
BgL_arg1154z00_98 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)7)), BGl_proc1596z00zz__ft_typesz00, BGl_proc1595z00zz__ft_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1594z00zz__ft_typesz00, 
CNST_TABLE_REF(((long)8))); 
VECTOR_SET(BgL_v1087z00_45,((long)4),BgL_arg1154z00_98); } 
{ /* Llib/types.scm 19 */
 obj_t BgL_arg1167z00_111;
BgL_arg1167z00_111 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)9)), BGl_proc1599z00zz__ft_typesz00, BGl_proc1598z00zz__ft_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1597z00zz__ft_typesz00, 
CNST_TABLE_REF(((long)10))); 
VECTOR_SET(BgL_v1087z00_45,((long)5),BgL_arg1167z00_111); } 
{ /* Llib/types.scm 19 */
 obj_t BgL_arg1178z00_124;
BgL_arg1178z00_124 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)11)), BGl_proc1602z00zz__ft_typesz00, BGl_proc1601z00zz__ft_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1600z00zz__ft_typesz00, 
CNST_TABLE_REF(((long)1))); 
VECTOR_SET(BgL_v1087z00_45,((long)6),BgL_arg1178z00_124); } 
{ /* Llib/types.scm 19 */
 obj_t BgL_arg1185z00_137;
BgL_arg1185z00_137 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)12)), BGl_proc1605z00zz__ft_typesz00, BGl_proc1604z00zz__ft_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1603z00zz__ft_typesz00, 
CNST_TABLE_REF(((long)1))); 
VECTOR_SET(BgL_v1087z00_45,((long)7),BgL_arg1185z00_137); } 
{ /* Llib/types.scm 19 */
 obj_t BgL_arg1194z00_150;
BgL_arg1194z00_150 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)13)), BGl_proc1608z00zz__ft_typesz00, BGl_proc1607z00zz__ft_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1606z00zz__ft_typesz00, 
CNST_TABLE_REF(((long)8))); 
VECTOR_SET(BgL_v1087z00_45,((long)8),BgL_arg1194z00_150); } 
{ /* Llib/types.scm 19 */
 obj_t BgL_arg1205z00_163;
BgL_arg1205z00_163 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)14)), BGl_proc1611z00zz__ft_typesz00, BGl_proc1610z00zz__ft_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1609z00zz__ft_typesz00, 
CNST_TABLE_REF(((long)4))); 
VECTOR_SET(BgL_v1087z00_45,((long)9),BgL_arg1205z00_163); } 
{ /* Llib/types.scm 19 */
 obj_t BgL_arg1219z00_176;
BgL_arg1219z00_176 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)15)), BGl_proc1614z00zz__ft_typesz00, BGl_proc1613z00zz__ft_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1612z00zz__ft_typesz00, 
CNST_TABLE_REF(((long)16))); 
VECTOR_SET(BgL_v1087z00_45,((long)10),BgL_arg1219z00_176); } 
{ /* Llib/types.scm 19 */
 obj_t BgL_arg1229z00_189;
BgL_arg1229z00_189 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)17)), BGl_proc1617z00zz__ft_typesz00, BGl_proc1616z00zz__ft_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1615z00zz__ft_typesz00, 
CNST_TABLE_REF(((long)1))); 
VECTOR_SET(BgL_v1087z00_45,((long)11),BgL_arg1229z00_189); } 
{ /* Llib/types.scm 19 */
 obj_t BgL_arg1239z00_202;
BgL_arg1239z00_202 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)18)), BGl_proc1620z00zz__ft_typesz00, BGl_proc1619z00zz__ft_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1618z00zz__ft_typesz00, 
CNST_TABLE_REF(((long)1))); 
VECTOR_SET(BgL_v1087z00_45,((long)12),BgL_arg1239z00_202); } 
{ /* Llib/types.scm 19 */
 obj_t BgL_arg1257z00_215;
BgL_arg1257z00_215 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)19)), BGl_proc1623z00zz__ft_typesz00, BGl_proc1622z00zz__ft_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1621z00zz__ft_typesz00, 
CNST_TABLE_REF(((long)1))); 
VECTOR_SET(BgL_v1087z00_45,((long)13),BgL_arg1257z00_215); } 
{ /* Llib/types.scm 19 */
 obj_t BgL_arg1267z00_228;
BgL_arg1267z00_228 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)20)), BGl_proc1626z00zz__ft_typesz00, BGl_proc1625z00zz__ft_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1624z00zz__ft_typesz00, 
CNST_TABLE_REF(((long)1))); 
VECTOR_SET(BgL_v1087z00_45,((long)14),BgL_arg1267z00_228); } 
{ /* Llib/types.scm 19 */
 obj_t BgL_arg1283z00_241;
BgL_arg1283z00_241 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)21)), BGl_proc1628z00zz__ft_typesz00, BGl_proc1627z00zz__ft_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)10))); 
VECTOR_SET(BgL_v1087z00_45,((long)15),BgL_arg1283z00_241); } 
BgL_arg1107z00_16 = BgL_v1087z00_45; } 
{ /* Llib/types.scm 19 */
 obj_t BgL_v1088z00_251;
BgL_v1088z00_251 = 
create_vector(((long)0)); 
BgL_arg1108z00_17 = BgL_v1088z00_251; } 
BGl_fthreadz00zz__ft_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)22)), 
CNST_TABLE_REF(((long)23)), BGl_threadz00zz__threadz00, ((long)20066), BGl_proc1631z00zz__ft_typesz00, BGl_proc1630z00zz__ft_typesz00, BGl_z52threadzd2setupz12zd2envz40zz__ft_typesz00, BGl_proc1629z00zz__ft_typesz00, BFALSE, BgL_arg1107z00_16, BgL_arg1108z00_17); } 
{ /* Llib/types.scm 54 */
 obj_t BgL_arg1331z00_257; obj_t BgL_arg1332z00_258;
{ /* Llib/types.scm 54 */
 obj_t BgL_v1089z00_264;
BgL_v1089z00_264 = 
create_vector(((long)2)); 
{ /* Llib/types.scm 54 */
 obj_t BgL_arg1339z00_265;
BgL_arg1339z00_265 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)24)), BGl_proc1633z00zz__ft_typesz00, BGl_proc1632z00zz__ft_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)25))); 
VECTOR_SET(BgL_v1089z00_264,((long)0),BgL_arg1339z00_265); } 
{ /* Llib/types.scm 54 */
 obj_t BgL_arg1344z00_275;
BgL_arg1344z00_275 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)26)), BGl_proc1636z00zz__ft_typesz00, BGl_proc1635z00zz__ft_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1634z00zz__ft_typesz00, 
CNST_TABLE_REF(((long)27))); 
VECTOR_SET(BgL_v1089z00_264,((long)1),BgL_arg1344z00_275); } 
BgL_arg1331z00_257 = BgL_v1089z00_264; } 
{ /* Llib/types.scm 54 */
 obj_t BgL_v1090z00_288;
BgL_v1090z00_288 = 
create_vector(((long)0)); 
BgL_arg1332z00_258 = BgL_v1090z00_288; } 
BGl_schedulerz00zz__ft_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)0)), 
CNST_TABLE_REF(((long)23)), BGl_fthreadz00zz__ft_typesz00, ((long)22647), BFALSE, BGl_proc1638z00zz__ft_typesz00, BGl_z52threadzd2setupz12zd2envz40zz__ft_typesz00, BGl_proc1637z00zz__ft_typesz00, BFALSE, BgL_arg1331z00_257, BgL_arg1332z00_258); } 
{ /* Llib/types.scm 60 */
 obj_t BgL_arg1360z00_293; obj_t BgL_arg1362z00_294;
{ /* Llib/types.scm 60 */
 obj_t BgL_v1091z00_300;
BgL_v1091z00_300 = 
create_vector(((long)1)); 
{ /* Llib/types.scm 60 */
 obj_t BgL_arg1367z00_301;
BgL_arg1367z00_301 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)28)), BGl_proc1641z00zz__ft_typesz00, BGl_proc1640z00zz__ft_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1639z00zz__ft_typesz00, 
CNST_TABLE_REF(((long)29))); 
VECTOR_SET(BgL_v1091z00_300,((long)0),BgL_arg1367z00_301); } 
BgL_arg1360z00_293 = BgL_v1091z00_300; } 
{ /* Llib/types.scm 60 */
 obj_t BgL_v1092z00_314;
BgL_v1092z00_314 = 
create_vector(((long)0)); 
BgL_arg1362z00_294 = BgL_v1092z00_314; } 
BGl_ftenvz00zz__ft_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)30)), 
CNST_TABLE_REF(((long)23)), BGl_objectz00zz__objectz00, ((long)9267), BFALSE, BGl_proc1643z00zz__ft_typesz00, BFALSE, BGl_proc1642z00zz__ft_typesz00, BFALSE, BgL_arg1360z00_293, BgL_arg1362z00_294); } 
{ /* Llib/types.scm 63 */
 obj_t BgL_arg1454z00_320; obj_t BgL_arg1534z00_321;
{ /* Llib/types.scm 63 */
 obj_t BgL_v1093z00_332;
BgL_v1093z00_332 = 
create_vector(((long)1)); 
{ /* Llib/types.scm 63 */
 obj_t BgL_arg1571z00_333;
BgL_arg1571z00_333 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)31)), BGl_proc1645z00zz__ft_typesz00, BGl_proc1644z00zz__ft_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_fthreadz00zz__ft_typesz00); 
VECTOR_SET(BgL_v1093z00_332,((long)0),BgL_arg1571z00_333); } 
BgL_arg1454z00_320 = BgL_v1093z00_332; } 
{ /* Llib/types.scm 63 */
 obj_t BgL_v1094z00_343;
BgL_v1094z00_343 = 
create_vector(((long)0)); 
BgL_arg1534z00_321 = BgL_v1094z00_343; } 
return ( 
BGl_z52sigjoinz52zz__ft_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)32)), 
CNST_TABLE_REF(((long)23)), BGl_objectz00zz__objectz00, ((long)7140), BGl_proc1648z00zz__ft_typesz00, BGl_proc1647z00zz__ft_typesz00, BFALSE, BGl_proc1646z00zz__ft_typesz00, BFALSE, BgL_arg1454z00_320, BgL_arg1534z00_321), BUNSPEC) ;} } 

}



/* &<@anonymous:1566> */
obj_t BGl_z62zc3z04anonymousza31566ze3ze5zz__ft_typesz00(obj_t BgL_envz00_467, obj_t BgL_new1081z00_468)
{
{ /* Llib/types.scm 63 */
{ 
 BgL_z52sigjoinz52_bglt BgL_auxz00_922;
{ 
 BgL_fthreadz00_bglt BgL_auxz00_923;
{ /* Llib/types.scm 63 */
 obj_t BgL_classz00_671;
BgL_classz00_671 = BGl_fthreadz00zz__ft_typesz00; 
{ /* Llib/types.scm 63 */
 obj_t BgL__ortest_1113z00_672;
BgL__ortest_1113z00_672 = 
BGL_CLASS_NIL(BgL_classz00_671); 
if(
CBOOL(BgL__ortest_1113z00_672))
{ /* Llib/types.scm 63 */
BgL_auxz00_923 = 
((BgL_fthreadz00_bglt)BgL__ortest_1113z00_672)
; }  else 
{ /* Llib/types.scm 63 */
BgL_auxz00_923 = 
((BgL_fthreadz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_671))
; } } } 
((((BgL_z52sigjoinz52_bglt)COBJECT(
((BgL_z52sigjoinz52_bglt)BgL_new1081z00_468)))->BgL_threadz00)=((BgL_fthreadz00_bglt)BgL_auxz00_923),BUNSPEC); } 
BgL_auxz00_922 = 
((BgL_z52sigjoinz52_bglt)BgL_new1081z00_468); 
return 
((obj_t)BgL_auxz00_922);} } 

}



/* &lambda1551 */
BgL_z52sigjoinz52_bglt BGl_z62lambda1551z62zz__ft_typesz00(obj_t BgL_envz00_469)
{
{ /* Llib/types.scm 63 */
{ /* Llib/types.scm 63 */
 BgL_z52sigjoinz52_bglt BgL_new1080z00_673;
BgL_new1080z00_673 = 
((BgL_z52sigjoinz52_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z52sigjoinz52_bgl) ))); 
{ /* Llib/types.scm 63 */
 long BgL_arg1565z00_674;
BgL_arg1565z00_674 = 
BGL_CLASS_NUM(BGl_z52sigjoinz52zz__ft_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1080z00_673), BgL_arg1565z00_674); } 
return BgL_new1080z00_673;} } 

}



/* &lambda1535 */
BgL_z52sigjoinz52_bglt BGl_z62lambda1535z62zz__ft_typesz00(obj_t BgL_envz00_470, obj_t BgL_thread1079z00_471)
{
{ /* Llib/types.scm 63 */
{ /* Llib/types.scm 63 */
 BgL_z52sigjoinz52_bglt BgL_new1086z00_676;
{ /* Llib/types.scm 63 */
 BgL_z52sigjoinz52_bglt BgL_new1085z00_677;
BgL_new1085z00_677 = 
((BgL_z52sigjoinz52_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z52sigjoinz52_bgl) ))); 
{ /* Llib/types.scm 63 */
 long BgL_arg1550z00_678;
BgL_arg1550z00_678 = 
BGL_CLASS_NUM(BGl_z52sigjoinz52zz__ft_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1085z00_677), BgL_arg1550z00_678); } 
BgL_new1086z00_676 = BgL_new1085z00_677; } 
((((BgL_z52sigjoinz52_bglt)COBJECT(BgL_new1086z00_676))->BgL_threadz00)=((BgL_fthreadz00_bglt)
((BgL_fthreadz00_bglt)BgL_thread1079z00_471)),BUNSPEC); 
return BgL_new1086z00_676;} } 

}



/* &lambda1575 */
obj_t BGl_z62lambda1575z62zz__ft_typesz00(obj_t BgL_envz00_472, obj_t BgL_oz00_473, obj_t BgL_vz00_474)
{
{ /* Llib/types.scm 63 */
return 
((((BgL_z52sigjoinz52_bglt)COBJECT(
((BgL_z52sigjoinz52_bglt)BgL_oz00_473)))->BgL_threadz00)=((BgL_fthreadz00_bglt)
((BgL_fthreadz00_bglt)BgL_vz00_474)),BUNSPEC);} 

}



/* &lambda1574 */
BgL_fthreadz00_bglt BGl_z62lambda1574z62zz__ft_typesz00(obj_t BgL_envz00_475, obj_t BgL_oz00_476)
{
{ /* Llib/types.scm 63 */
return 
(((BgL_z52sigjoinz52_bglt)COBJECT(
((BgL_z52sigjoinz52_bglt)BgL_oz00_476)))->BgL_threadz00);} 

}



/* &<@anonymous:1366> */
obj_t BGl_z62zc3z04anonymousza31366ze3ze5zz__ft_typesz00(obj_t BgL_envz00_477, obj_t BgL_new1077z00_478)
{
{ /* Llib/types.scm 60 */
{ 
 BgL_ftenvz00_bglt BgL_auxz00_949;
((((BgL_ftenvz00_bglt)COBJECT(
((BgL_ftenvz00_bglt)BgL_new1077z00_478)))->BgL_instantz00)=((long)((long)0)),BUNSPEC); 
BgL_auxz00_949 = 
((BgL_ftenvz00_bglt)BgL_new1077z00_478); 
return 
((obj_t)BgL_auxz00_949);} } 

}



/* &lambda1363 */
BgL_ftenvz00_bglt BGl_z62lambda1363z62zz__ft_typesz00(obj_t BgL_envz00_479)
{
{ /* Llib/types.scm 60 */
{ /* Llib/types.scm 60 */
 BgL_ftenvz00_bglt BgL_new1076z00_683;
BgL_new1076z00_683 = 
((BgL_ftenvz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ftenvz00_bgl) ))); 
{ /* Llib/types.scm 60 */
 long BgL_arg1365z00_684;
BgL_arg1365z00_684 = 
BGL_CLASS_NUM(BGl_ftenvz00zz__ft_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1076z00_683), BgL_arg1365z00_684); } 
return BgL_new1076z00_683;} } 

}



/* &<@anonymous:1381> */
obj_t BGl_z62zc3z04anonymousza31381ze3ze5zz__ft_typesz00(obj_t BgL_envz00_480)
{
{ /* Llib/types.scm 60 */
return 
BINT(((long)0));} 

}



/* &lambda1380 */
obj_t BGl_z62lambda1380z62zz__ft_typesz00(obj_t BgL_envz00_481, obj_t BgL_oz00_482, obj_t BgL_vz00_483)
{
{ /* Llib/types.scm 60 */
{ /* Llib/types.scm 60 */
 long BgL_vz00_686;
BgL_vz00_686 = 
(long)CINT(BgL_vz00_483); 
return 
((((BgL_ftenvz00_bglt)COBJECT(
((BgL_ftenvz00_bglt)BgL_oz00_482)))->BgL_instantz00)=((long)BgL_vz00_686),BUNSPEC);} } 

}



/* &lambda1379 */
obj_t BGl_z62lambda1379z62zz__ft_typesz00(obj_t BgL_envz00_484, obj_t BgL_oz00_485)
{
{ /* Llib/types.scm 60 */
return 
BINT(
(((BgL_ftenvz00_bglt)COBJECT(
((BgL_ftenvz00_bglt)BgL_oz00_485)))->BgL_instantz00));} 

}



/* &<@anonymous:1338> */
obj_t BGl_z62zc3z04anonymousza31338ze3ze5zz__ft_typesz00(obj_t BgL_envz00_486, obj_t BgL_new1074z00_487)
{
{ /* Llib/types.scm 54 */
{ 
 BgL_schedulerz00_bglt BgL_auxz00_965;
((((BgL_threadz00_bglt)COBJECT(
((BgL_threadz00_bglt)
((BgL_schedulerz00_bglt)BgL_new1074z00_487))))->BgL_namez00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)
((BgL_schedulerz00_bglt)BgL_new1074z00_487))))->BgL_schedulerz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)
((BgL_schedulerz00_bglt)BgL_new1074z00_487))))->BgL_z52builtinz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)
((BgL_schedulerz00_bglt)BgL_new1074z00_487))))->BgL_z52timeoutz52)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)
((BgL_schedulerz00_bglt)BgL_new1074z00_487))))->BgL_z52statez52)=((obj_t)
CNST_TABLE_REF(((long)33))),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)
((BgL_schedulerz00_bglt)BgL_new1074z00_487))))->BgL_z52iszd2suspendz80)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)
((BgL_schedulerz00_bglt)BgL_new1074z00_487))))->BgL_z52terminatez52)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)
((BgL_schedulerz00_bglt)BgL_new1074z00_487))))->BgL_z52resultz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)
((BgL_schedulerz00_bglt)BgL_new1074z00_487))))->BgL_z52exczd2resultz80)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)
((BgL_schedulerz00_bglt)BgL_new1074z00_487))))->BgL_z52exczd2raisedz80)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)
((BgL_schedulerz00_bglt)BgL_new1074z00_487))))->BgL_z52identz52)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)
((BgL_schedulerz00_bglt)BgL_new1074z00_487))))->BgL_z52signalsz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)
((BgL_schedulerz00_bglt)BgL_new1074z00_487))))->BgL_z52awakezd2signalz80)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)
((BgL_schedulerz00_bglt)BgL_new1074z00_487))))->BgL_z52awakezd2valuez80)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)
((BgL_schedulerz00_bglt)BgL_new1074z00_487))))->BgL_z52cleanupz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)
((BgL_schedulerz00_bglt)BgL_new1074z00_487))))->BgL_z52specificz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)
((BgL_schedulerz00_bglt)BgL_new1074z00_487))))->BgL_bodyz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_schedulerz00_bglt)COBJECT(
((BgL_schedulerz00_bglt)BgL_new1074z00_487)))->BgL_envzb2zb2)=((obj_t)
MAKE_YOUNG_PAIR(BFALSE, BFALSE)),BUNSPEC); 
((((BgL_schedulerz00_bglt)COBJECT(
((BgL_schedulerz00_bglt)BgL_new1074z00_487)))->BgL_strictzd2orderzf3z21)=((obj_t)BFALSE),BUNSPEC); 
BgL_auxz00_965 = 
((BgL_schedulerz00_bglt)BgL_new1074z00_487); 
return 
((obj_t)BgL_auxz00_965);} } 

}



/* &lambda1333 */
BgL_schedulerz00_bglt BGl_z62lambda1333z62zz__ft_typesz00(obj_t BgL_envz00_488)
{
{ /* Llib/types.scm 54 */
{ /* Llib/types.scm 54 */
 BgL_schedulerz00_bglt BgL_new1073z00_689;
BgL_new1073z00_689 = 
((BgL_schedulerz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_schedulerz00_bgl) ))); 
{ /* Llib/types.scm 54 */
 long BgL_arg1337z00_690;
BgL_arg1337z00_690 = 
BGL_CLASS_NUM(BGl_schedulerz00zz__ft_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1073z00_689), BgL_arg1337z00_690); } 
return BgL_new1073z00_689;} } 

}



/* &<@anonymous:1355> */
obj_t BGl_z62zc3z04anonymousza31355ze3ze5zz__ft_typesz00(obj_t BgL_envz00_489)
{
{ /* Llib/types.scm 54 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda1354 */
obj_t BGl_z62lambda1354z62zz__ft_typesz00(obj_t BgL_envz00_490, obj_t BgL_oz00_491, obj_t BgL_vz00_492)
{
{ /* Llib/types.scm 54 */
return 
((((BgL_schedulerz00_bglt)COBJECT(
((BgL_schedulerz00_bglt)BgL_oz00_491)))->BgL_strictzd2orderzf3z21)=((obj_t)
((obj_t)BgL_vz00_492)),BUNSPEC);} 

}



/* &lambda1353 */
obj_t BGl_z62lambda1353z62zz__ft_typesz00(obj_t BgL_envz00_493, obj_t BgL_oz00_494)
{
{ /* Llib/types.scm 54 */
return 
(((BgL_schedulerz00_bglt)COBJECT(
((BgL_schedulerz00_bglt)BgL_oz00_494)))->BgL_strictzd2orderzf3z21);} 

}



/* &lambda1343 */
obj_t BGl_z62lambda1343z62zz__ft_typesz00(obj_t BgL_envz00_495, obj_t BgL_oz00_496, obj_t BgL_vz00_497)
{
{ /* Llib/types.scm 54 */
return 
((((BgL_schedulerz00_bglt)COBJECT(
((BgL_schedulerz00_bglt)BgL_oz00_496)))->BgL_envzb2zb2)=((obj_t)
((obj_t)BgL_vz00_497)),BUNSPEC);} 

}



/* &lambda1342 */
obj_t BGl_z62lambda1342z62zz__ft_typesz00(obj_t BgL_envz00_498, obj_t BgL_oz00_499)
{
{ /* Llib/types.scm 54 */
return 
(((BgL_schedulerz00_bglt)COBJECT(
((BgL_schedulerz00_bglt)BgL_oz00_499)))->BgL_envzb2zb2);} 

}



/* &<@anonymous:1115> */
obj_t BGl_z62zc3z04anonymousza31115ze3ze5zz__ft_typesz00(obj_t BgL_envz00_500, obj_t BgL_new1071z00_501)
{
{ /* Llib/types.scm 19 */
{ 
 BgL_fthreadz00_bglt BgL_auxz00_1042;
((((BgL_threadz00_bglt)COBJECT(
((BgL_threadz00_bglt)
((BgL_fthreadz00_bglt)BgL_new1071z00_501))))->BgL_namez00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_new1071z00_501)))->BgL_schedulerz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_new1071z00_501)))->BgL_z52builtinz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_new1071z00_501)))->BgL_z52timeoutz52)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_new1071z00_501)))->BgL_z52statez52)=((obj_t)
CNST_TABLE_REF(((long)33))),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_new1071z00_501)))->BgL_z52iszd2suspendz80)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_new1071z00_501)))->BgL_z52terminatez52)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_new1071z00_501)))->BgL_z52resultz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_new1071z00_501)))->BgL_z52exczd2resultz80)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_new1071z00_501)))->BgL_z52exczd2raisedz80)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_new1071z00_501)))->BgL_z52identz52)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_new1071z00_501)))->BgL_z52signalsz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_new1071z00_501)))->BgL_z52awakezd2signalz80)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_new1071z00_501)))->BgL_z52awakezd2valuez80)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_new1071z00_501)))->BgL_z52cleanupz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_new1071z00_501)))->BgL_z52specificz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_new1071z00_501)))->BgL_bodyz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
BgL_auxz00_1042 = 
((BgL_fthreadz00_bglt)BgL_new1071z00_501); 
return 
((obj_t)BgL_auxz00_1042);} } 

}



/* &lambda1113 */
BgL_fthreadz00_bglt BGl_z62lambda1113z62zz__ft_typesz00(obj_t BgL_envz00_502)
{
{ /* Llib/types.scm 19 */
{ /* Llib/types.scm 19 */
 BgL_fthreadz00_bglt BgL_new1070z00_698;
BgL_new1070z00_698 = 
((BgL_fthreadz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_fthreadz00_bgl) ))); 
{ /* Llib/types.scm 19 */
 long BgL_arg1114z00_699;
BgL_arg1114z00_699 = 
BGL_CLASS_NUM(BGl_fthreadz00zz__ft_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1070z00_698), BgL_arg1114z00_699); } 
return BgL_new1070z00_698;} } 

}



/* &lambda1109 */
BgL_fthreadz00_bglt BGl_z62lambda1109z62zz__ft_typesz00(obj_t BgL_envz00_503, obj_t BgL_name1053z00_504, obj_t BgL_scheduler1054z00_505, obj_t BgL_z52builtin1055z52_506, obj_t BgL_z52timeout1056z52_507, obj_t BgL_z52state1057z52_508, obj_t BgL_z52iszd2suspend1058z80_509, obj_t BgL_z52terminate1059z52_510, obj_t BgL_z52result1060z52_511, obj_t BgL_z52exczd2result1061z80_512, obj_t BgL_z52exczd2raised1062z80_513, obj_t BgL_z52ident1063z52_514, obj_t BgL_z52signals1064z52_515, obj_t BgL_z52awakezd2signal1065z80_516, obj_t BgL_z52awakezd2value1066z80_517, obj_t BgL_z52cleanup1067z52_518, obj_t BgL_z52specific1068z52_519, obj_t BgL_body1069z00_520)
{
{ /* Llib/types.scm 19 */
{ /* Llib/types.scm 19 */
 int BgL_z52timeout1056z52_700; bool_t BgL_z52iszd2suspend1058z80_702; bool_t BgL_z52exczd2raised1062z80_704; int BgL_z52ident1063z52_705;
BgL_z52timeout1056z52_700 = 
CINT(BgL_z52timeout1056z52_507); 
BgL_z52iszd2suspend1058z80_702 = 
CBOOL(BgL_z52iszd2suspend1058z80_509); 
BgL_z52exczd2raised1062z80_704 = 
CBOOL(BgL_z52exczd2raised1062z80_513); 
BgL_z52ident1063z52_705 = 
CINT(BgL_z52ident1063z52_514); 
{ /* Llib/types.scm 19 */
 BgL_fthreadz00_bglt BgL_new1084z00_708;
{ /* Llib/types.scm 19 */
 BgL_fthreadz00_bglt BgL_new1083z00_709;
BgL_new1083z00_709 = 
((BgL_fthreadz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_fthreadz00_bgl) ))); 
{ /* Llib/types.scm 19 */
 long BgL_arg1112z00_710;
BgL_arg1112z00_710 = 
BGL_CLASS_NUM(BGl_fthreadz00zz__ft_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1083z00_709), BgL_arg1112z00_710); } 
BgL_new1084z00_708 = BgL_new1083z00_709; } 
((((BgL_threadz00_bglt)COBJECT(
((BgL_threadz00_bglt)BgL_new1084z00_708)))->BgL_namez00)=((obj_t)BgL_name1053z00_504),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(BgL_new1084z00_708))->BgL_schedulerz00)=((obj_t)BgL_scheduler1054z00_505),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(BgL_new1084z00_708))->BgL_z52builtinz52)=((obj_t)BgL_z52builtin1055z52_506),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(BgL_new1084z00_708))->BgL_z52timeoutz52)=((int)BgL_z52timeout1056z52_700),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(BgL_new1084z00_708))->BgL_z52statez52)=((obj_t)
((obj_t)BgL_z52state1057z52_508)),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(BgL_new1084z00_708))->BgL_z52iszd2suspendz80)=((bool_t)BgL_z52iszd2suspend1058z80_702),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(BgL_new1084z00_708))->BgL_z52terminatez52)=((obj_t)
((obj_t)BgL_z52terminate1059z52_510)),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(BgL_new1084z00_708))->BgL_z52resultz52)=((obj_t)BgL_z52result1060z52_511),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(BgL_new1084z00_708))->BgL_z52exczd2resultz80)=((obj_t)BgL_z52exczd2result1061z80_512),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(BgL_new1084z00_708))->BgL_z52exczd2raisedz80)=((bool_t)BgL_z52exczd2raised1062z80_704),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(BgL_new1084z00_708))->BgL_z52identz52)=((int)BgL_z52ident1063z52_705),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(BgL_new1084z00_708))->BgL_z52signalsz52)=((obj_t)
((obj_t)BgL_z52signals1064z52_515)),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(BgL_new1084z00_708))->BgL_z52awakezd2signalz80)=((obj_t)BgL_z52awakezd2signal1065z80_516),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(BgL_new1084z00_708))->BgL_z52awakezd2valuez80)=((obj_t)BgL_z52awakezd2value1066z80_517),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(BgL_new1084z00_708))->BgL_z52cleanupz52)=((obj_t)BgL_z52cleanup1067z52_518),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(BgL_new1084z00_708))->BgL_z52specificz52)=((obj_t)BgL_z52specific1068z52_519),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(BgL_new1084z00_708))->BgL_bodyz00)=((obj_t)
((obj_t)BgL_body1069z00_520)),BUNSPEC); 
{ /* Llib/types.scm 19 */
 obj_t BgL_fun1110z00_711;
BgL_fun1110z00_711 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_fthreadz00zz__ft_typesz00); 
PROCEDURE_ENTRY(BgL_fun1110z00_711)(BgL_fun1110z00_711, 
((obj_t)BgL_new1084z00_708), BEOA); } 
return BgL_new1084z00_708;} } } 

}



/* &lambda1288 */
obj_t BGl_z62lambda1288z62zz__ft_typesz00(obj_t BgL_envz00_521, obj_t BgL_oz00_522, obj_t BgL_vz00_523)
{
{ /* Llib/types.scm 19 */
return 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_oz00_522)))->BgL_bodyz00)=((obj_t)
((obj_t)BgL_vz00_523)),BUNSPEC);} 

}



/* &lambda1287 */
obj_t BGl_z62lambda1287z62zz__ft_typesz00(obj_t BgL_envz00_524, obj_t BgL_oz00_525)
{
{ /* Llib/types.scm 19 */
return 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_oz00_525)))->BgL_bodyz00);} 

}



/* &<@anonymous:1273> */
obj_t BGl_z62zc3z04anonymousza31273ze3ze5zz__ft_typesz00(obj_t BgL_envz00_526)
{
{ /* Llib/types.scm 19 */
return BUNSPEC;} 

}



/* &lambda1272 */
obj_t BGl_z62lambda1272z62zz__ft_typesz00(obj_t BgL_envz00_527, obj_t BgL_oz00_528, obj_t BgL_vz00_529)
{
{ /* Llib/types.scm 19 */
return 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_oz00_528)))->BgL_z52specificz52)=((obj_t)BgL_vz00_529),BUNSPEC);} 

}



/* &lambda1271 */
obj_t BGl_z62lambda1271z62zz__ft_typesz00(obj_t BgL_envz00_530, obj_t BgL_oz00_531)
{
{ /* Llib/types.scm 19 */
return 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_oz00_531)))->BgL_z52specificz52);} 

}



/* &<@anonymous:1266> */
obj_t BGl_z62zc3z04anonymousza31266ze3ze5zz__ft_typesz00(obj_t BgL_envz00_532)
{
{ /* Llib/types.scm 19 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda1265 */
obj_t BGl_z62lambda1265z62zz__ft_typesz00(obj_t BgL_envz00_533, obj_t BgL_oz00_534, obj_t BgL_vz00_535)
{
{ /* Llib/types.scm 19 */
return 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_oz00_534)))->BgL_z52cleanupz52)=((obj_t)BgL_vz00_535),BUNSPEC);} 

}



/* &lambda1264 */
obj_t BGl_z62lambda1264z62zz__ft_typesz00(obj_t BgL_envz00_536, obj_t BgL_oz00_537)
{
{ /* Llib/types.scm 19 */
return 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_oz00_537)))->BgL_z52cleanupz52);} 

}



/* &<@anonymous:1255> */
obj_t BGl_z62zc3z04anonymousza31255ze3ze5zz__ft_typesz00(obj_t BgL_envz00_538)
{
{ /* Llib/types.scm 19 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda1254 */
obj_t BGl_z62lambda1254z62zz__ft_typesz00(obj_t BgL_envz00_539, obj_t BgL_oz00_540, obj_t BgL_vz00_541)
{
{ /* Llib/types.scm 19 */
return 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_oz00_540)))->BgL_z52awakezd2valuez80)=((obj_t)BgL_vz00_541),BUNSPEC);} 

}



/* &lambda1253 */
obj_t BGl_z62lambda1253z62zz__ft_typesz00(obj_t BgL_envz00_542, obj_t BgL_oz00_543)
{
{ /* Llib/types.scm 19 */
return 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_oz00_543)))->BgL_z52awakezd2valuez80);} 

}



/* &<@anonymous:1238> */
obj_t BGl_z62zc3z04anonymousza31238ze3ze5zz__ft_typesz00(obj_t BgL_envz00_544)
{
{ /* Llib/types.scm 19 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda1237 */
obj_t BGl_z62lambda1237z62zz__ft_typesz00(obj_t BgL_envz00_545, obj_t BgL_oz00_546, obj_t BgL_vz00_547)
{
{ /* Llib/types.scm 19 */
return 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_oz00_546)))->BgL_z52awakezd2signalz80)=((obj_t)BgL_vz00_547),BUNSPEC);} 

}



/* &lambda1236 */
obj_t BGl_z62lambda1236z62zz__ft_typesz00(obj_t BgL_envz00_548, obj_t BgL_oz00_549)
{
{ /* Llib/types.scm 19 */
return 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_oz00_549)))->BgL_z52awakezd2signalz80);} 

}



/* &<@anonymous:1228> */
obj_t BGl_z62zc3z04anonymousza31228ze3ze5zz__ft_typesz00(obj_t BgL_envz00_550)
{
{ /* Llib/types.scm 19 */
return BNIL;} 

}



/* &lambda1227 */
obj_t BGl_z62lambda1227z62zz__ft_typesz00(obj_t BgL_envz00_551, obj_t BgL_oz00_552, obj_t BgL_vz00_553)
{
{ /* Llib/types.scm 19 */
return 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_oz00_552)))->BgL_z52signalsz52)=((obj_t)
((obj_t)BgL_vz00_553)),BUNSPEC);} 

}



/* &lambda1226 */
obj_t BGl_z62lambda1226z62zz__ft_typesz00(obj_t BgL_envz00_554, obj_t BgL_oz00_555)
{
{ /* Llib/types.scm 19 */
return 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_oz00_555)))->BgL_z52signalsz52);} 

}



/* &<@anonymous:1215> */
obj_t BGl_z62zc3z04anonymousza31215ze3ze5zz__ft_typesz00(obj_t BgL_envz00_556)
{
{ /* Llib/types.scm 19 */
return 
BINT(((long)0));} 

}



/* &lambda1214 */
obj_t BGl_z62lambda1214z62zz__ft_typesz00(obj_t BgL_envz00_557, obj_t BgL_oz00_558, obj_t BgL_vz00_559)
{
{ /* Llib/types.scm 19 */
{ /* Llib/types.scm 19 */
 int BgL_vz00_727;
BgL_vz00_727 = 
CINT(BgL_vz00_559); 
return 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_oz00_558)))->BgL_z52identz52)=((int)BgL_vz00_727),BUNSPEC);} } 

}



/* &lambda1213 */
obj_t BGl_z62lambda1213z62zz__ft_typesz00(obj_t BgL_envz00_560, obj_t BgL_oz00_561)
{
{ /* Llib/types.scm 19 */
return 
BINT(
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_oz00_561)))->BgL_z52identz52));} 

}



/* &<@anonymous:1204> */
obj_t BGl_z62zc3z04anonymousza31204ze3ze5zz__ft_typesz00(obj_t BgL_envz00_562)
{
{ /* Llib/types.scm 19 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda1203 */
obj_t BGl_z62lambda1203z62zz__ft_typesz00(obj_t BgL_envz00_563, obj_t BgL_oz00_564, obj_t BgL_vz00_565)
{
{ /* Llib/types.scm 19 */
{ /* Llib/types.scm 19 */
 bool_t BgL_vz00_730;
BgL_vz00_730 = 
CBOOL(BgL_vz00_565); 
return 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_oz00_564)))->BgL_z52exczd2raisedz80)=((bool_t)BgL_vz00_730),BUNSPEC);} } 

}



/* &lambda1202 */
obj_t BGl_z62lambda1202z62zz__ft_typesz00(obj_t BgL_envz00_566, obj_t BgL_oz00_567)
{
{ /* Llib/types.scm 19 */
return 
BBOOL(
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_oz00_567)))->BgL_z52exczd2raisedz80));} 

}



/* &<@anonymous:1192> */
obj_t BGl_z62zc3z04anonymousza31192ze3ze5zz__ft_typesz00(obj_t BgL_envz00_568)
{
{ /* Llib/types.scm 19 */
return BUNSPEC;} 

}



/* &lambda1191 */
obj_t BGl_z62lambda1191z62zz__ft_typesz00(obj_t BgL_envz00_569, obj_t BgL_oz00_570, obj_t BgL_vz00_571)
{
{ /* Llib/types.scm 19 */
return 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_oz00_570)))->BgL_z52exczd2resultz80)=((obj_t)BgL_vz00_571),BUNSPEC);} 

}



/* &lambda1190 */
obj_t BGl_z62lambda1190z62zz__ft_typesz00(obj_t BgL_envz00_572, obj_t BgL_oz00_573)
{
{ /* Llib/types.scm 19 */
return 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_oz00_573)))->BgL_z52exczd2resultz80);} 

}



/* &<@anonymous:1184> */
obj_t BGl_z62zc3z04anonymousza31184ze3ze5zz__ft_typesz00(obj_t BgL_envz00_574)
{
{ /* Llib/types.scm 19 */
return BUNSPEC;} 

}



/* &lambda1183 */
obj_t BGl_z62lambda1183z62zz__ft_typesz00(obj_t BgL_envz00_575, obj_t BgL_oz00_576, obj_t BgL_vz00_577)
{
{ /* Llib/types.scm 19 */
return 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_oz00_576)))->BgL_z52resultz52)=((obj_t)BgL_vz00_577),BUNSPEC);} 

}



/* &lambda1182 */
obj_t BGl_z62lambda1182z62zz__ft_typesz00(obj_t BgL_envz00_578, obj_t BgL_oz00_579)
{
{ /* Llib/types.scm 19 */
return 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_oz00_579)))->BgL_z52resultz52);} 

}



/* &<@anonymous:1176> */
obj_t BGl_z62zc3z04anonymousza31176ze3ze5zz__ft_typesz00(obj_t BgL_envz00_580)
{
{ /* Llib/types.scm 19 */
return BGl_listzd2envzd2zz__r4_pairs_and_lists_6_3z00;} 

}



/* &lambda1175 */
obj_t BGl_z62lambda1175z62zz__ft_typesz00(obj_t BgL_envz00_581, obj_t BgL_oz00_582, obj_t BgL_vz00_583)
{
{ /* Llib/types.scm 19 */
return 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_oz00_582)))->BgL_z52terminatez52)=((obj_t)
((obj_t)BgL_vz00_583)),BUNSPEC);} 

}



/* &lambda1174 */
obj_t BGl_z62lambda1174z62zz__ft_typesz00(obj_t BgL_envz00_584, obj_t BgL_oz00_585)
{
{ /* Llib/types.scm 19 */
return 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_oz00_585)))->BgL_z52terminatez52);} 

}



/* &<@anonymous:1164> */
obj_t BGl_z62zc3z04anonymousza31164ze3ze5zz__ft_typesz00(obj_t BgL_envz00_586)
{
{ /* Llib/types.scm 19 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda1163 */
obj_t BGl_z62lambda1163z62zz__ft_typesz00(obj_t BgL_envz00_587, obj_t BgL_oz00_588, obj_t BgL_vz00_589)
{
{ /* Llib/types.scm 19 */
{ /* Llib/types.scm 19 */
 bool_t BgL_vz00_740;
BgL_vz00_740 = 
CBOOL(BgL_vz00_589); 
return 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_oz00_588)))->BgL_z52iszd2suspendz80)=((bool_t)BgL_vz00_740),BUNSPEC);} } 

}



/* &lambda1162 */
obj_t BGl_z62lambda1162z62zz__ft_typesz00(obj_t BgL_envz00_590, obj_t BgL_oz00_591)
{
{ /* Llib/types.scm 19 */
return 
BBOOL(
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_oz00_591)))->BgL_z52iszd2suspendz80));} 

}



/* &<@anonymous:1153> */
obj_t BGl_z62zc3z04anonymousza31153ze3ze5zz__ft_typesz00(obj_t BgL_envz00_592)
{
{ /* Llib/types.scm 19 */
return 
CNST_TABLE_REF(((long)34));} 

}



/* &lambda1152 */
obj_t BGl_z62lambda1152z62zz__ft_typesz00(obj_t BgL_envz00_593, obj_t BgL_oz00_594, obj_t BgL_vz00_595)
{
{ /* Llib/types.scm 19 */
return 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_oz00_594)))->BgL_z52statez52)=((obj_t)
((obj_t)BgL_vz00_595)),BUNSPEC);} 

}



/* &lambda1151 */
obj_t BGl_z62lambda1151z62zz__ft_typesz00(obj_t BgL_envz00_596, obj_t BgL_oz00_597)
{
{ /* Llib/types.scm 19 */
return 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_oz00_597)))->BgL_z52statez52);} 

}



/* &<@anonymous:1145> */
obj_t BGl_z62zc3z04anonymousza31145ze3ze5zz__ft_typesz00(obj_t BgL_envz00_598)
{
{ /* Llib/types.scm 19 */
return 
BINT(((long)1));} 

}



/* &lambda1144 */
obj_t BGl_z62lambda1144z62zz__ft_typesz00(obj_t BgL_envz00_599, obj_t BgL_oz00_600, obj_t BgL_vz00_601)
{
{ /* Llib/types.scm 19 */
{ /* Llib/types.scm 19 */
 int BgL_vz00_746;
BgL_vz00_746 = 
CINT(BgL_vz00_601); 
return 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_oz00_600)))->BgL_z52timeoutz52)=((int)BgL_vz00_746),BUNSPEC);} } 

}



/* &lambda1143 */
obj_t BGl_z62lambda1143z62zz__ft_typesz00(obj_t BgL_envz00_602, obj_t BgL_oz00_603)
{
{ /* Llib/types.scm 19 */
return 
BINT(
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_oz00_603)))->BgL_z52timeoutz52));} 

}



/* &<@anonymous:1135> */
obj_t BGl_z62zc3z04anonymousza31135ze3ze5zz__ft_typesz00(obj_t BgL_envz00_604)
{
{ /* Llib/types.scm 19 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda1134 */
obj_t BGl_z62lambda1134z62zz__ft_typesz00(obj_t BgL_envz00_605, obj_t BgL_oz00_606, obj_t BgL_vz00_607)
{
{ /* Llib/types.scm 19 */
return 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_oz00_606)))->BgL_z52builtinz52)=((obj_t)BgL_vz00_607),BUNSPEC);} 

}



/* &lambda1133 */
obj_t BGl_z62lambda1133z62zz__ft_typesz00(obj_t BgL_envz00_608, obj_t BgL_oz00_609)
{
{ /* Llib/types.scm 19 */
return 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_oz00_609)))->BgL_z52builtinz52);} 

}



/* &<@anonymous:1125> */
obj_t BGl_z62zc3z04anonymousza31125ze3ze5zz__ft_typesz00(obj_t BgL_envz00_610)
{
{ /* Llib/types.scm 19 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda1124 */
obj_t BGl_z62lambda1124z62zz__ft_typesz00(obj_t BgL_envz00_611, obj_t BgL_oz00_612, obj_t BgL_vz00_613)
{
{ /* Llib/types.scm 19 */
return 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_oz00_612)))->BgL_schedulerz00)=((obj_t)BgL_vz00_613),BUNSPEC);} 

}



/* &lambda1123 */
obj_t BGl_z62lambda1123z62zz__ft_typesz00(obj_t BgL_envz00_614, obj_t BgL_oz00_615)
{
{ /* Llib/types.scm 19 */
return 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_oz00_615)))->BgL_schedulerz00);} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__ft_typesz00()
{
{ /* Llib/types.scm 15 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__ft_typesz00()
{
{ /* Llib/types.scm 15 */
return BUNSPEC;} 

}

#ifdef __cplusplus
}
#endif
