/*===========================================================================*/
/*   (Llib/pgp_packets.scm)                                                  */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 3 07:37:42 AM CET 2021      */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.4c-2/bin/bigloo -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.4c-2/lib/bigloo/4.4c -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.4c-2/lib/bigloo/4.4c -fno-reflection -unsafe -safee -copt -fPIC -copt -IPosix Llib/pgp_packets.scm -o objs/pgp_packets.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_pgpzd2packetzd2_bgl {
   header_t header;
   obj_t widening;
} *BgL_pgpzd2packetzd2_bglt;

typedef struct BgL_pgpzd2sessionzd2keyzd2packetzd2_bgl {
   header_t header;
   obj_t widening;
} *BgL_pgpzd2sessionzd2keyzd2packetzd2_bglt;

typedef struct BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_versionz00;
   obj_t BgL_idz00;
   obj_t BgL_algoz00;
   obj_t BgL_encryptedzd2sessionzd2keyz00;
} *BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt;

typedef struct BgL_pgpzd2sigzd2packetz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_versionz00;
   obj_t BgL_signaturezd2typezd2;
   obj_t BgL_issuerz00;
   obj_t BgL_publiczd2keyzd2algoz00;
   obj_t BgL_hashzd2algozd2;
} *BgL_pgpzd2sigzd2packetz00_bglt;

typedef struct BgL_pgpzd2signaturezd2packetz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_versionz00;
   obj_t BgL_signaturezd2typezd2;
   obj_t BgL_issuerz00;
   obj_t BgL_publiczd2keyzd2algoz00;
   obj_t BgL_hashzd2algozd2;
   obj_t BgL_creationzd2datezd2;
   obj_t BgL_signaturez00;
   obj_t BgL_signedzd2packetzd2prefixz00;
   obj_t BgL_hashzd2trailerzd2;
   obj_t BgL_leftzd2hashzd2;
} *BgL_pgpzd2signaturezd2packetz00_bglt;

typedef struct BgL_pgpzd2signaturezd2v3zd2packetzd2_bgl {
   header_t header;
   obj_t widening;
   long BgL_versionz00;
   obj_t BgL_signaturezd2typezd2;
   obj_t BgL_issuerz00;
   obj_t BgL_publiczd2keyzd2algoz00;
   obj_t BgL_hashzd2algozd2;
   obj_t BgL_creationzd2datezd2;
   obj_t BgL_signaturez00;
   obj_t BgL_signedzd2packetzd2prefixz00;
   obj_t BgL_hashzd2trailerzd2;
   obj_t BgL_leftzd2hashzd2;
} *BgL_pgpzd2signaturezd2v3zd2packetzd2_bglt;

typedef struct BgL_pgpzd2signaturezd2v4zd2packetzd2_bgl {
   header_t header;
   obj_t widening;
   long BgL_versionz00;
   obj_t BgL_signaturezd2typezd2;
   obj_t BgL_issuerz00;
   obj_t BgL_publiczd2keyzd2algoz00;
   obj_t BgL_hashzd2algozd2;
   obj_t BgL_creationzd2datezd2;
   obj_t BgL_signaturez00;
   obj_t BgL_signedzd2packetzd2prefixz00;
   obj_t BgL_hashzd2trailerzd2;
   obj_t BgL_leftzd2hashzd2;
   obj_t BgL_securezd2subzd2packetsz00;
   obj_t BgL_insecurezd2subzd2packetsz00;
} *BgL_pgpzd2signaturezd2v4zd2packetzd2_bglt;

typedef struct BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_versionz00;
   obj_t BgL_algoz00;
   obj_t BgL_s2kz00;
   obj_t BgL_encryptedzd2sessionzd2keyz00;
} *BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt;

typedef struct BgL_pgpzd2onezd2passzd2signaturezd2packetz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_versionz00;
   obj_t BgL_signaturezd2typezd2;
   obj_t BgL_issuerz00;
   obj_t BgL_publiczd2keyzd2algoz00;
   obj_t BgL_hashzd2algozd2;
   bool_t BgL_containszd2nestedzd2sigzf3zf3;
} *BgL_pgpzd2onezd2passzd2signaturezd2packetz00_bglt;

typedef struct BgL_pgpzd2keyzd2packetz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   long BgL_versionz00;
   bool_t BgL_subkeyzf3zf3;
   obj_t BgL_algoz00;
   obj_t BgL_creationzd2datezd2;
   obj_t BgL_validzd2dayszd2;
   obj_t BgL_keyz00;
} *BgL_pgpzd2keyzd2packetz00_bglt;

typedef struct BgL_pgpzd2publiczd2keyzd2packetzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   long BgL_versionz00;
   bool_t BgL_subkeyzf3zf3;
   obj_t BgL_algoz00;
   obj_t BgL_creationzd2datezd2;
   obj_t BgL_validzd2dayszd2;
   obj_t BgL_keyz00;
} *BgL_pgpzd2publiczd2keyzd2packetzd2_bglt;

typedef struct BgL_pgpzd2secretzd2keyzd2packetzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   long BgL_versionz00;
   bool_t BgL_subkeyzf3zf3;
   obj_t BgL_algoz00;
   obj_t BgL_creationzd2datezd2;
   obj_t BgL_validzd2dayszd2;
   obj_t BgL_keyz00;
   obj_t BgL_passwordzd2protectedzd2secretzd2keyzd2dataz00;
} *BgL_pgpzd2secretzd2keyzd2packetzd2_bglt;

typedef struct BgL_pgpzd2secretzd2keyzd2decodedzd2packetz00_bgl {
   obj_t BgL_secretzd2keyzd2;
} *BgL_pgpzd2secretzd2keyzd2decodedzd2packetz00_bglt;

typedef struct BgL_pgpzd2compressedzd2packetz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_packetsz00;
} *BgL_pgpzd2compressedzd2packetz00_bglt;

typedef struct BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_dataz00;
} *BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt;

typedef struct BgL_pgpzd2markerzd2packetz00_bgl {
   header_t header;
   obj_t widening;
} *BgL_pgpzd2markerzd2packetz00_bglt;

typedef struct BgL_pgpzd2literalzd2packetz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_formatz00;
   bool_t BgL_forzd2yourzd2eyeszd2onlyzf3z21;
   obj_t BgL_filezd2namezd2;
   obj_t BgL_creationzd2datezd2;
   obj_t BgL_dataz00;
} *BgL_pgpzd2literalzd2packetz00_bglt;

typedef struct BgL_pgpzd2trustzd2packetz00_bgl {
   header_t header;
   obj_t widening;
} *BgL_pgpzd2trustzd2packetz00_bglt;

typedef struct BgL_pgpzd2idzd2packetz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_dataz00;
} *BgL_pgpzd2idzd2packetz00_bglt;

typedef struct BgL_pgpzd2attributezd2packetz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_dataz00;
} *BgL_pgpzd2attributezd2packetz00_bglt;

typedef struct BgL_pgpzd2mdczd2symmetricallyzd2encryptedzd2packetz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_dataz00;
   long BgL_versionz00;
} *BgL_pgpzd2mdczd2symmetricallyzd2encryptedzd2packetz00_bglt;

typedef struct BgL_pgpzd2mdczd2packetz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_hashz00;
} *BgL_pgpzd2mdczd2packetz00_bglt;

typedef struct BgL_pgpzd2signaturezd2subzd2packetzd2_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_criticalzf3zf3;
} *BgL_pgpzd2signaturezd2subzd2packetzd2_bglt;

typedef struct BgL_pgpzd2signaturezd2subzd2genericzd2_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_criticalzf3zf3;
   obj_t BgL_typez00;
   obj_t BgL_dataz00;
} *BgL_pgpzd2signaturezd2subzd2genericzd2_bglt;

typedef struct BgL_pgpzd2signaturezd2subzd2creationzd2timez00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_criticalzf3zf3;
   obj_t BgL_creationzd2datezd2;
} *BgL_pgpzd2signaturezd2subzd2creationzd2timez00_bglt;

typedef struct BgL_pgpzd2signaturezd2subzd2expirationzd2timez00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_criticalzf3zf3;
   obj_t BgL_expirationzd2datezd2;
} *BgL_pgpzd2signaturezd2subzd2expirationzd2timez00_bglt;

typedef struct BgL_pgpzd2signaturezd2subzd2exportablezd2_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_criticalzf3zf3;
   bool_t BgL_exportablezf3zf3;
} *BgL_pgpzd2signaturezd2subzd2exportablezd2_bglt;

typedef struct BgL_pgpzd2signaturezd2subzd2trustzd2_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_criticalzf3zf3;
   int BgL_levelz00;
   int BgL_amountz00;
} *BgL_pgpzd2signaturezd2subzd2trustzd2_bglt;

typedef struct BgL_pgpzd2signaturezd2subzd2revocablezd2_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_criticalzf3zf3;
   bool_t BgL_revocablezf3zf3;
} *BgL_pgpzd2signaturezd2subzd2revocablezd2_bglt;

typedef struct BgL_pgpzd2signaturezd2subzd2keyzd2expirationzd2timezd2_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_criticalzf3zf3;
   long BgL_expirationzd2timezd2;
} *BgL_pgpzd2signaturezd2subzd2keyzd2expirationzd2timezd2_bglt;

typedef struct BgL_pgpzd2signaturezd2subzd2preferredzd2symmetricz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_criticalzf3zf3;
   obj_t BgL_algosz00;
} *BgL_pgpzd2signaturezd2subzd2preferredzd2symmetricz00_bglt;

typedef struct BgL_pgpzd2signaturezd2subzd2revocationzd2_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_criticalzf3zf3;
   char BgL_claza7za7z00;
   bool_t BgL_sensitivezf3zf3;
   char BgL_algidz00;
   obj_t BgL_fingerprintz00;
} *BgL_pgpzd2signaturezd2subzd2revocationzd2_bglt;

typedef struct BgL_pgpzd2signaturezd2subzd2idzd2_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_criticalzf3zf3;
   obj_t BgL_keyzd2idzd2;
} *BgL_pgpzd2signaturezd2subzd2idzd2_bglt;

typedef struct BgL_pgpzd2signaturezd2subzd2notationzd2_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_criticalzf3zf3;
   obj_t BgL_flagsz00;
   obj_t BgL_namez00;
   obj_t BgL_valuez00;
} *BgL_pgpzd2signaturezd2subzd2notationzd2_bglt;

typedef struct BgL_pgpzd2signaturezd2subzd2preferredzd2hashz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_criticalzf3zf3;
   obj_t BgL_algosz00;
} *BgL_pgpzd2signaturezd2subzd2preferredzd2hashz00_bglt;

typedef struct BgL_pgpzd2signaturezd2subzd2preferredzd2compressionz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_criticalzf3zf3;
   obj_t BgL_algosz00;
} *BgL_pgpzd2signaturezd2subzd2preferredzd2compressionz00_bglt;

typedef struct BgL_pgpzd2signaturezd2subzd2preferredzd2keyzd2serverzd2_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_criticalzf3zf3;
   obj_t BgL_serverz00;
} *BgL_pgpzd2signaturezd2subzd2preferredzd2keyzd2serverzd2_bglt;

typedef struct BgL_pgpzd2signaturezd2subzd2primaryzd2idz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_criticalzf3zf3;
   bool_t BgL_primaryzf3zf3;
} *BgL_pgpzd2signaturezd2subzd2primaryzd2idz00_bglt;

typedef struct BgL_pgpzd2signaturezd2subzd2policyzd2_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_criticalzf3zf3;
   obj_t BgL_urlz00;
} *BgL_pgpzd2signaturezd2subzd2policyzd2_bglt;

typedef struct BgL_pgpzd2signaturezd2subzd2signerzd2idz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_criticalzf3zf3;
   obj_t BgL_idz00;
} *BgL_pgpzd2signaturezd2subzd2signerzd2idz00_bglt;

typedef struct BgL_pgpzd2signaturezd2subzd2revocationzd2reasonz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_criticalzf3zf3;
   obj_t BgL_codez00;
   obj_t BgL_reasonz00;
} *BgL_pgpzd2signaturezd2subzd2revocationzd2reasonz00_bglt;


static BgL_pgpzd2signaturezd2v3zd2packetzd2_bglt BGl_z62lambda1847z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_pgpzd2keyzd2packetz00_bglt BGl_z62lambda1928z62zz__openpgpzd2packetszd2(obj_t);
static BgL_pgpzd2signaturezd2v3zd2packetzd2_bglt BGl_z62lambda1849z62zz__openpgpzd2packetszd2(obj_t);
static obj_t BGl_z62lambda1770z62zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62lambda1771z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1935z62zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62lambda1936z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1697z62zz__openpgpzd2packetszd2(obj_t, obj_t);
static BgL_pgpzd2signaturezd2v4zd2packetzd2_bglt BGl_z62lambda1859z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1698z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_PGPzd2Signaturezd2Subzd2Keyzd2Expirationzd2Timezd2zz__openpgpzd2packetszd2 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza32100ze3ze5zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__openpgpzd2packetszd2 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31863ze3ze5zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62lambda1941z62zz__openpgpzd2packetszd2(obj_t, obj_t);
static BgL_pgpzd2signaturezd2v4zd2packetzd2_bglt BGl_z62lambda1861z62zz__openpgpzd2packetszd2(obj_t);
static obj_t BGl_z62lambda1942z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1947z62zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62lambda1867z62zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62lambda1948z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1868z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31937ze3ze5zz__openpgpzd2packetszd2(obj_t);
static obj_t BGl_z62lambda1872z62zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62lambda1953z62zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62lambda1873z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1954z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_PGPzd2Signaturezd2Subzd2Policyzd2zz__openpgpzd2packetszd2 = BUNSPEC;
static obj_t BGl_z62lambda1958z62zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62lambda1959z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static BgL_pgpzd2signaturezd2packetz00_bglt BGl_z62lambda1798z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt BGl_z62lambda1879z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
static obj_t BGl_z62zc3z04anonymousza32110ze3ze5zz__openpgpzd2packetszd2(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_PGPzd2Signaturezd2Subzd2Notationzd2zz__openpgpzd2packetszd2 = BUNSPEC;
static BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt BGl_z62lambda1881z62zz__openpgpzd2packetszd2(obj_t);
static obj_t BGl_z62lambda1963z62zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62lambda1964z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1887z62zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62lambda1968z62zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62lambda1888z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1969z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32006ze3ze5zz__openpgpzd2packetszd2(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_PGPzd2Signaturezd2Subzd2Signerzd2IDz00zz__openpgpzd2packetszd2 = BUNSPEC;
static obj_t BGl_toplevelzd2initzd2zz__openpgpzd2packetszd2();
static obj_t BGl_z62lambda1892z62zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62lambda1893z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static BgL_pgpzd2publiczd2keyzd2packetzd2_bglt BGl_z62lambda1975z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_pgpzd2publiczd2keyzd2packetzd2_bglt BGl_z62lambda1977z62zz__openpgpzd2packetszd2(obj_t);
static obj_t BGl_z62lambda1899z62zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31883ze3ze5zz__openpgpzd2packetszd2(obj_t, obj_t);
static BgL_pgpzd2secretzd2keyzd2packetzd2_bglt BGl_z62lambda1985z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_genericzd2initzd2zz__openpgpzd2packetszd2();
static BgL_pgpzd2secretzd2keyzd2packetzd2_bglt BGl_z62lambda1987z62zz__openpgpzd2packetszd2(obj_t);
BGL_EXPORTED_DEF obj_t BGl_PGPzd2Signaturezd2Subzd2Genericzd2zz__openpgpzd2packetszd2 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_PGPzd2Signaturezd2Subzd2Preferredzd2Compressionz00zz__openpgpzd2packetszd2 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza32040ze3ze5zz__openpgpzd2packetszd2(obj_t, obj_t);
BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t);
static obj_t BGl_objectzd2initzd2zz__openpgpzd2packetszd2();
static obj_t BGl_z62zc3z04anonymousza31949ze3ze5zz__openpgpzd2packetszd2(obj_t);
static obj_t BGl_z62lambda1993z62zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62lambda1994z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32025ze3ze5zz__openpgpzd2packetszd2(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_PGPzd2Markerzd2Packetz00zz__openpgpzd2packetszd2 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza32140ze3ze5zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32302ze3ze5zz__openpgpzd2packetszd2(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_PGPzd2Compressedzd2Packetz00zz__openpgpzd2packetszd2 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_PGPzd2Sessionzd2Keyzd2Packetzd2zz__openpgpzd2packetszd2 = BUNSPEC;
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_PGPzd2Keyzd2Packetz00zz__openpgpzd2packetszd2 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza32222ze3ze5zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32125ze3ze5zz__openpgpzd2packetszd2(obj_t, obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__openpgpzd2packetszd2();
BGL_EXPORTED_DEF obj_t BGl_PGPzd2Signaturezd2Subzd2Primaryzd2IDz00zz__openpgpzd2packetszd2 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza32207ze3ze5zz__openpgpzd2packetszd2(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_PGPzd2Signaturezd2Subzd2Expirationzd2Timez00zz__openpgpzd2packetszd2 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza32402ze3ze5zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31979ze3ze5zz__openpgpzd2packetszd2(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_PGPzd2Signaturezd2v3zd2Packetzd2zz__openpgpzd2packetszd2 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza32055ze3ze5zz__openpgpzd2packetszd2(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_PGPzd2Signaturezd2Subzd2Creationzd2Timez00zz__openpgpzd2packetszd2 = BUNSPEC;
static BgL_pgpzd2secretzd2keyzd2packetzd2_bglt BGl_z62lambda2001z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_pgpzd2secretzd2keyzd2packetzd2_bglt BGl_z62lambda2004z62zz__openpgpzd2packetszd2(obj_t, obj_t);
static BgL_pgpzd2secretzd2keyzd2packetzd2_bglt BGl_z62lambda2007z62zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31989ze3ze5zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31611ze3ze5zz__openpgpzd2packetszd2(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_PGPzd2Signaturezd2Subzd2Trustzd2zz__openpgpzd2packetszd2 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza32170ze3ze5zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62lambda2014z62zz__openpgpzd2packetszd2(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_PGPzd2Publiczd2Keyzd2Packetzd2zz__openpgpzd2packetszd2 = BUNSPEC;
static obj_t BGl_z62lambda2015z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32065ze3ze5zz__openpgpzd2packetszd2(obj_t, obj_t);
static BgL_pgpzd2compressedzd2packetz00_bglt BGl_z62lambda2021z62zz__openpgpzd2packetszd2(obj_t, obj_t);
static BgL_pgpzd2compressedzd2packetz00_bglt BGl_z62lambda2023z62zz__openpgpzd2packetszd2(obj_t);
static obj_t BGl_z62zc3z04anonymousza32252ze3ze5zz__openpgpzd2packetszd2(obj_t, obj_t);
static BgL_pgpzd2idzd2packetz00_bglt BGl_z62lambda2106z62zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32155ze3ze5zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32317ze3ze5zz__openpgpzd2packetszd2(obj_t, obj_t);
static BgL_pgpzd2idzd2packetz00_bglt BGl_z62lambda2108z62zz__openpgpzd2packetszd2(obj_t);
static obj_t BGl_z62lambda2029z62zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62lambda2030z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_PGPzd2Symmetriczd2Keyzd2Encryptedzd2Sessionzd2Keyzd2Packetz00zz__openpgpzd2packetszd2 = BUNSPEC;
static obj_t BGl_z62lambda2114z62zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62lambda2115z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32237ze3ze5zz__openpgpzd2packetszd2(obj_t, obj_t);
static BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt BGl_z62lambda2036z62zz__openpgpzd2packetszd2(obj_t, obj_t);
static BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt BGl_z62lambda2038z62zz__openpgpzd2packetszd2(obj_t);
static BgL_pgpzd2attributezd2packetz00_bglt BGl_z62lambda2121z62zz__openpgpzd2packetszd2(obj_t, obj_t);
static BgL_pgpzd2signaturezd2subzd2creationzd2timez00_bglt BGl_z62lambda2203z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32432ze3ze5zz__openpgpzd2packetszd2(obj_t, obj_t);
static BgL_pgpzd2attributezd2packetz00_bglt BGl_z62lambda2123z62zz__openpgpzd2packetszd2(obj_t);
static BgL_pgpzd2signaturezd2subzd2creationzd2timez00_bglt BGl_z62lambda2205z62zz__openpgpzd2packetszd2(obj_t);
static obj_t BGl_z62lambda2044z62zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62lambda2045z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2129z62zz__openpgpzd2packetszd2(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__openpgpzd2packetszd2(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__datez00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t bgl_nanoseconds_to_date(BGL_LONGLONG_T);
BGL_EXPORTED_DEF obj_t BGl_PGPzd2Packetzd2zz__openpgpzd2packetszd2 = BUNSPEC;
static obj_t BGl_z62lambda2130z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2211z62zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62lambda2212z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static BgL_pgpzd2markerzd2packetz00_bglt BGl_z62lambda2051z62zz__openpgpzd2packetszd2(obj_t);
static BgL_pgpzd2markerzd2packetz00_bglt BGl_z62lambda2053z62zz__openpgpzd2packetszd2(obj_t);
static obj_t BGl_z62zc3z04anonymousza32417ze3ze5zz__openpgpzd2packetszd2(obj_t, obj_t);
static BgL_pgpzd2mdczd2symmetricallyzd2encryptedzd2packetz00_bglt BGl_z62lambda2136z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static BgL_pgpzd2signaturezd2subzd2expirationzd2timez00_bglt BGl_z62lambda2218z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static BgL_pgpzd2mdczd2symmetricallyzd2encryptedzd2packetz00_bglt BGl_z62lambda2138z62zz__openpgpzd2packetszd2(obj_t);
BGL_EXPORTED_DEF obj_t BGl_PGPzd2Sigzd2Packetz00zz__openpgpzd2packetszd2 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_PGPzd2Signaturezd2v4zd2Packetzd2zz__openpgpzd2packetszd2 = BUNSPEC;
static BgL_pgpzd2signaturezd2subzd2preferredzd2symmetricz00_bglt BGl_z62lambda2300z62zz__openpgpzd2packetszd2(obj_t);
static BgL_pgpzd2signaturezd2subzd2expirationzd2timez00_bglt BGl_z62lambda2220z62zz__openpgpzd2packetszd2(obj_t);
BGL_EXPORTED_DEF obj_t BGl_PGPzd2Attributezd2Packetz00zz__openpgpzd2packetszd2 = BUNSPEC;
static BgL_pgpzd2literalzd2packetz00_bglt BGl_z62lambda2061z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32272ze3ze5zz__openpgpzd2packetszd2(obj_t, obj_t);
static BgL_pgpzd2literalzd2packetz00_bglt BGl_z62lambda2063z62zz__openpgpzd2packetszd2(obj_t);
static obj_t BGl_z62lambda2144z62zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62lambda2306z62zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62lambda2145z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2226z62zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62lambda2307z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_PGPzd2Signaturezd2Subzd2Preferredzd2Symmetricz00zz__openpgpzd2packetszd2 = BUNSPEC;
static obj_t BGl_z62lambda2227z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2069z62zz__openpgpzd2packetszd2(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_PGPzd2Signaturezd2Subzd2Revocablezd2zz__openpgpzd2packetszd2 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_PGPzd2Signaturezd2Subzd2Packetzd2zz__openpgpzd2packetszd2 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_PGPzd2Signaturezd2Subzd2Revocationzd2zz__openpgpzd2packetszd2 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_PGPzd2Literalzd2Packetz00zz__openpgpzd2packetszd2 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31730ze3ze5zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62lambda2070z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static BgL_pgpzd2mdczd2packetz00_bglt BGl_z62lambda2151z62zz__openpgpzd2packetszd2(obj_t, obj_t);
static BgL_pgpzd2signaturezd2subzd2revocationzd2_bglt BGl_z62lambda2313z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32362ze3ze5zz__openpgpzd2packetszd2(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_PGPzd2Publiczd2Keyzd2Encryptedzd2Sessionzd2Keyzd2Packetz00zz__openpgpzd2packetszd2 = BUNSPEC;
static BgL_pgpzd2signaturezd2subzd2exportablezd2_bglt BGl_z62lambda2233z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static BgL_pgpzd2mdczd2packetz00_bglt BGl_z62lambda2153z62zz__openpgpzd2packetszd2(obj_t);
static BgL_pgpzd2signaturezd2subzd2revocationzd2_bglt BGl_z62lambda2315z62zz__openpgpzd2packetszd2(obj_t);
static BgL_pgpzd2signaturezd2subzd2exportablezd2_bglt BGl_z62lambda2235z62zz__openpgpzd2packetszd2(obj_t);
static obj_t BGl_z62lambda2074z62zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62lambda2075z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2159z62zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zz__openpgpzd2packetszd2();
static obj_t BGl_z62lambda2079z62zz__openpgpzd2packetszd2(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_PGPzd2Signaturezd2Subzd2Preferredzd2Hashz00zz__openpgpzd2packetszd2 = BUNSPEC;
static obj_t BGl_libraryzd2moduleszd2initz00zz__openpgpzd2packetszd2();
BGL_EXPORTED_DEF obj_t BGl_PGPzd2IDzd2Packetz00zz__openpgpzd2packetszd2 = BUNSPEC;
BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_pgpzd2signaturezd2subzd2preferredzd2compressionz00_bglt BGl_z62lambda2400z62zz__openpgpzd2packetszd2(obj_t);
static obj_t BGl_z62zc3z04anonymousza31812ze3ze5zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62lambda2321z62zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_gczd2rootszd2initz00zz__openpgpzd2packetszd2();
static obj_t BGl_z62lambda2160z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2241z62zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62lambda2322z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2080z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2242z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32347ze3ze5zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62lambda2406z62zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32177ze3ze5zz__openpgpzd2packetszd2(obj_t);
static obj_t BGl_z62lambda2326z62zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62lambda2407z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2084z62zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62lambda2327z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_PGPzd2Secretzd2Keyzd2Packetzd2zz__openpgpzd2packetszd2 = BUNSPEC;
static obj_t BGl_z62lambda2085z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static BgL_pgpzd2signaturezd2subzd2packetzd2_bglt BGl_z62lambda2166z62zz__openpgpzd2packetszd2(obj_t, obj_t);
static BgL_pgpzd2signaturezd2subzd2trustzd2_bglt BGl_z62lambda2248z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t, obj_t);
static BgL_pgpzd2signaturezd2subzd2packetzd2_bglt BGl_z62lambda2168z62zz__openpgpzd2packetszd2(obj_t);
static obj_t BGl_z62lambda2089z62zz__openpgpzd2packetszd2(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_PGPzd2MDCzd2Symmetricallyzd2Encryptedzd2Packetz00zz__openpgpzd2packetszd2 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_PGPzd2MDCzd2Packetz00zz__openpgpzd2packetszd2 = BUNSPEC;
static BgL_pgpzd2signaturezd2subzd2trustzd2_bglt BGl_z62lambda2250z62zz__openpgpzd2packetszd2(obj_t);
static obj_t BGl_z62lambda2331z62zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62lambda2332z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static BgL_pgpzd2signaturezd2subzd2preferredzd2keyzd2serverzd2_bglt BGl_z62lambda2413z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2090z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static BgL_pgpzd2signaturezd2subzd2preferredzd2keyzd2serverzd2_bglt BGl_z62lambda2415z62zz__openpgpzd2packetszd2(obj_t);
static obj_t BGl_z62lambda2336z62zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62lambda2175z62zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62lambda2256z62zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62lambda2337z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2176z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2257z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_objectz00zz__objectz00;
static BgL_pgpzd2trustzd2packetz00_bglt BGl_z62lambda2096z62zz__openpgpzd2packetszd2(obj_t);
static BgL_pgpzd2trustzd2packetz00_bglt BGl_z62lambda2098z62zz__openpgpzd2packetszd2(obj_t);
static obj_t BGl_z62lambda2421z62zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62lambda2422z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32462ze3ze5zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62lambda2261z62zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62lambda2262z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static BgL_pgpzd2signaturezd2subzd2idzd2_bglt BGl_z62lambda2343z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static BgL_pgpzd2signaturezd2subzd2genericzd2_bglt BGl_z62lambda2183z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32187ze3ze5zz__openpgpzd2packetszd2(obj_t, obj_t);
static BgL_pgpzd2signaturezd2subzd2idzd2_bglt BGl_z62lambda2345z62zz__openpgpzd2packetszd2(obj_t);
static BgL_pgpzd2signaturezd2subzd2genericzd2_bglt BGl_z62lambda2185z62zz__openpgpzd2packetszd2(obj_t);
static BgL_pgpzd2signaturezd2subzd2primaryzd2idz00_bglt BGl_z62lambda2428z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static BgL_pgpzd2signaturezd2subzd2revocablezd2_bglt BGl_z62lambda2268z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static BgL_pgpzd2signaturezd2subzd2primaryzd2idz00_bglt BGl_z62lambda2430z62zz__openpgpzd2packetszd2(obj_t);
static BgL_pgpzd2signaturezd2subzd2revocablezd2_bglt BGl_z62lambda2270z62zz__openpgpzd2packetszd2(obj_t);
static obj_t BGl_z62lambda2351z62zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62lambda2352z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2191z62zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32447ze3ze5zz__openpgpzd2packetszd2(obj_t, obj_t);
static BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt BGl_z62lambda1625z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2192z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1707z62zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62lambda2436z62zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62lambda1708z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2437z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2276z62zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62lambda2196z62zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62lambda2277z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static BgL_pgpzd2signaturezd2subzd2notationzd2_bglt BGl_z62lambda2358z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2197z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
BGL_IMPORT BGL_LONGLONG_T bgl_current_nanoseconds();
BGL_EXPORTED_DEF obj_t BGl_PGPzd2Onezd2Passzd2Signaturezd2Packetz00zz__openpgpzd2packetszd2 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_PGPzd2Secretzd2Keyzd2Decodedzd2Packetz00zz__openpgpzd2packetszd2 = BUNSPEC;
static BgL_pgpzd2signaturezd2subzd2notationzd2_bglt BGl_z62lambda2360z62zz__openpgpzd2packetszd2(obj_t);
static BgL_pgpzd2signaturezd2subzd2policyzd2_bglt BGl_z62lambda2443z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static BgL_pgpzd2signaturezd2subzd2keyzd2expirationzd2timezd2_bglt BGl_z62lambda2283z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static BgL_pgpzd2signaturezd2subzd2policyzd2_bglt BGl_z62lambda2445z62zz__openpgpzd2packetszd2(obj_t);
static BgL_pgpzd2signaturezd2subzd2keyzd2expirationzd2timezd2_bglt BGl_z62lambda2285z62zz__openpgpzd2packetszd2(obj_t);
static obj_t BGl_z62lambda2366z62zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62lambda2367z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_PGPzd2Trustzd2Packetz00zz__openpgpzd2packetszd2 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_PGPzd2Signaturezd2Subzd2Exportablezd2zz__openpgpzd2packetszd2 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_PGPzd2Symmetricallyzd2Encryptedzd2Packetzd2zz__openpgpzd2packetszd2 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_PGPzd2Signaturezd2Packetz00zz__openpgpzd2packetszd2 = BUNSPEC;
static BgL_pgpzd2signaturezd2packetz00_bglt BGl_z62lambda1800z62zz__openpgpzd2packetszd2(obj_t);
static obj_t BGl_z62zc3z04anonymousza31930ze3ze5zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62lambda2451z62zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62lambda2371z62zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62lambda2452z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2291z62zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62lambda2372z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2292z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32287ze3ze5zz__openpgpzd2packetszd2(obj_t, obj_t);
static BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt BGl_z62lambda1645z62zz__openpgpzd2packetszd2(obj_t);
static BgL_pgpzd2sigzd2packetz00_bglt BGl_z62lambda1726z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_PGPzd2Signaturezd2Subzd2IDzd2zz__openpgpzd2packetszd2 = BUNSPEC;
static BgL_pgpzd2sigzd2packetz00_bglt BGl_z62lambda1728z62zz__openpgpzd2packetszd2(obj_t);
static obj_t BGl_z62lambda2376z62zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62lambda2377z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static BgL_pgpzd2signaturezd2subzd2signerzd2idz00_bglt BGl_z62lambda2458z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static BgL_pgpzd2signaturezd2subzd2preferredzd2symmetricz00_bglt BGl_z62lambda2298z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31915ze3ze5zz__openpgpzd2packetszd2(obj_t, obj_t);
static BgL_pgpzd2signaturezd2subzd2signerzd2idz00_bglt BGl_z62lambda2460z62zz__openpgpzd2packetszd2(obj_t);
static BgL_pgpzd2packetzd2_bglt BGl_z62lambda1572z62zz__openpgpzd2packetszd2(obj_t);
static obj_t BGl_z62lambda1734z62zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62lambda1735z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static BgL_pgpzd2signaturezd2subzd2preferredzd2hashz00_bglt BGl_z62lambda2383z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static BgL_pgpzd2packetzd2_bglt BGl_z62lambda1574z62zz__openpgpzd2packetszd2(obj_t);
static obj_t BGl_z62lambda1817z62zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62lambda1818z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static BgL_pgpzd2signaturezd2subzd2preferredzd2hashz00_bglt BGl_z62lambda2385z62zz__openpgpzd2packetszd2(obj_t);
static obj_t BGl_z62lambda2466z62zz__openpgpzd2packetszd2(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_PGPzd2Signaturezd2Subzd2Revocationzd2Reasonz00zz__openpgpzd2packetszd2 = BUNSPEC;
static obj_t BGl_z62lambda2467z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1900z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1660z62zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62lambda1661z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1742z62zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62lambda1904z62zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31576ze3ze5zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62lambda1743z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1905z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2391z62zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31649ze3ze5zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62lambda1825z62zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62lambda2392z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static BgL_pgpzd2signaturezd2subzd2revocationzd2reasonz00_bglt BGl_z62lambda2473z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1826z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static BgL_pgpzd2signaturezd2subzd2revocationzd2reasonz00_bglt BGl_z62lambda2475z62zz__openpgpzd2packetszd2(obj_t);
static obj_t BGl_z62lambda1747z62zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62lambda1748z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static BgL_pgpzd2signaturezd2subzd2preferredzd2compressionz00_bglt BGl_z62lambda2398z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1830z62zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31852ze3ze5zz__openpgpzd2packetszd2(obj_t, obj_t);
static BgL_pgpzd2onezd2passzd2signaturezd2packetz00_bglt BGl_z62lambda1911z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1831z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static BgL_pgpzd2onezd2passzd2signaturezd2packetz00_bglt BGl_z62lambda1913z62zz__openpgpzd2packetszd2(obj_t);
static obj_t BGl_z62lambda2481z62zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32387ze3ze5zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62lambda2482z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1835z62zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62lambda1836z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static BgL_pgpzd2sessionzd2keyzd2packetzd2_bglt BGl_z62lambda1594z62zz__openpgpzd2packetszd2(obj_t);
static obj_t BGl_z62lambda1919z62zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62lambda2486z62zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62lambda2487z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_PGPzd2Signaturezd2Subzd2Preferredzd2Keyzd2Serverzd2zz__openpgpzd2packetszd2 = BUNSPEC;
static obj_t BGl_z62lambda1920z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1840z62zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62lambda1841z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1761z62zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62lambda1681z62zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62lambda1762z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32477ze3ze5zz__openpgpzd2packetszd2(obj_t, obj_t);
static obj_t BGl_z62lambda1682z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t);
static BgL_pgpzd2keyzd2packetz00_bglt BGl_z62lambda1926z62zz__openpgpzd2packetszd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t __cnst[ 102 ] ;


DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2500z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1707za7622754z00, BGl_z62lambda1707z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2501z00zz__openpgpzd2packetszd2, BgL_bgl_za762za7c3za704anonymo2755za7, BGl_z62zc3z04anonymousza31649ze3ze5zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2502z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1645za7622756z00, BGl_z62lambda1645z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2503z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1625za7622757z00, BGl_z62lambda1625z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2504z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1735za7622758z00, BGl_z62lambda1735z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2505z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1734za7622759z00, BGl_z62lambda1734z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2506z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1743za7622760z00, BGl_z62lambda1743z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2507z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1742za7622761z00, BGl_z62lambda1742z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2508z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1748za7622762z00, BGl_z62lambda1748z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2509z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1747za7622763z00, BGl_z62lambda1747z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2510z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1762za7622764z00, BGl_z62lambda1762z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2511z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1761za7622765z00, BGl_z62lambda1761z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2512z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1771za7622766z00, BGl_z62lambda1771z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2513z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1770za7622767z00, BGl_z62lambda1770z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2514z00zz__openpgpzd2packetszd2, BgL_bgl_za762za7c3za704anonymo2768za7, BGl_z62zc3z04anonymousza31730ze3ze5zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2515z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1728za7622769z00, BGl_z62lambda1728z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2516z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1726za7622770z00, BGl_z62lambda1726z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2517z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1818za7622771z00, BGl_z62lambda1818z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2518z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1817za7622772z00, BGl_z62lambda1817z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2519z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1826za7622773z00, BGl_z62lambda1826z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2600z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2053za7622774z00, BGl_z62lambda2053z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2601z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2051za7622775z00, BGl_z62lambda2051z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2520z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1825za7622776z00, BGl_z62lambda1825z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2602z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2070za7622777z00, BGl_z62lambda2070z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2521z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1831za7622778z00, BGl_z62lambda1831z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2603z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2069za7622779z00, BGl_z62lambda2069z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2522z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1830za7622780z00, BGl_z62lambda1830z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2604z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2075za7622781z00, BGl_z62lambda2075z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2523z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1836za7622782z00, BGl_z62lambda1836z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2605z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2074za7622783z00, BGl_z62lambda2074z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2524z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1835za7622784z00, BGl_z62lambda1835z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2606z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2080za7622785z00, BGl_z62lambda2080z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2525z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1841za7622786z00, BGl_z62lambda1841z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2607z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2079za7622787z00, BGl_z62lambda2079z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2526z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1840za7622788z00, BGl_z62lambda1840z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2608z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2085za7622789z00, BGl_z62lambda2085z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2527z00zz__openpgpzd2packetszd2, BgL_bgl_za762za7c3za704anonymo2790za7, BGl_z62zc3z04anonymousza31812ze3ze5zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2609z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2084za7622791z00, BGl_z62lambda2084z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2528z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1800za7622792z00, BGl_z62lambda1800z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2529z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1798za7622793z00, BGl_z62lambda1798z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 10 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2610z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2090za7622794z00, BGl_z62lambda2090z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2611z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2089za7622795z00, BGl_z62lambda2089z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2530z00zz__openpgpzd2packetszd2, BgL_bgl_za762za7c3za704anonymo2796za7, BGl_z62zc3z04anonymousza31852ze3ze5zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2612z00zz__openpgpzd2packetszd2, BgL_bgl_za762za7c3za704anonymo2797za7, BGl_z62zc3z04anonymousza32065ze3ze5zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2531z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1849za7622798z00, BGl_z62lambda1849z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2613z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2063za7622799z00, BGl_z62lambda2063z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2532z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1847za7622800z00, BGl_z62lambda1847z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 10 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2614z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2061za7622801z00, BGl_z62lambda2061z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2533z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1868za7622802z00, BGl_z62lambda1868z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2615z00zz__openpgpzd2packetszd2, BgL_bgl_za762za7c3za704anonymo2803za7, BGl_z62zc3z04anonymousza32100ze3ze5zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2534z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1867za7622804z00, BGl_z62lambda1867z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2616z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2098za7622805z00, BGl_z62lambda2098z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2535z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1873za7622806z00, BGl_z62lambda1873z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2617z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2096za7622807z00, BGl_z62lambda2096z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2536z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1872za7622808z00, BGl_z62lambda1872z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2618z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2115za7622809z00, BGl_z62lambda2115z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2537z00zz__openpgpzd2packetszd2, BgL_bgl_za762za7c3za704anonymo2810za7, BGl_z62zc3z04anonymousza31863ze3ze5zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2619z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2114za7622811z00, BGl_z62lambda2114z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2538z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1861za7622812z00, BGl_z62lambda1861z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2539z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1859za7622813z00, BGl_z62lambda1859z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 12 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2700z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2351za7622814z00, BGl_z62lambda2351z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2701z00zz__openpgpzd2packetszd2, BgL_bgl_za762za7c3za704anonymo2815za7, BGl_z62zc3z04anonymousza32347ze3ze5zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2620z00zz__openpgpzd2packetszd2, BgL_bgl_za762za7c3za704anonymo2816za7, BGl_z62zc3z04anonymousza32110ze3ze5zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2702z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2345za7622817z00, BGl_z62lambda2345z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2621z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2108za7622818z00, BGl_z62lambda2108z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2540z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1888za7622819z00, BGl_z62lambda1888z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2703z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2343za7622820z00, BGl_z62lambda2343z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2622z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2106za7622821z00, BGl_z62lambda2106z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2541z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1887za7622822z00, BGl_z62lambda1887z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2704z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2367za7622823z00, BGl_z62lambda2367z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2623z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2130za7622824z00, BGl_z62lambda2130z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2542z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1893za7622825z00, BGl_z62lambda1893z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2705z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2366za7622826z00, BGl_z62lambda2366z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2624z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2129za7622827z00, BGl_z62lambda2129z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2543z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1892za7622828z00, BGl_z62lambda1892z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2706z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2372za7622829z00, BGl_z62lambda2372z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2625z00zz__openpgpzd2packetszd2, BgL_bgl_za762za7c3za704anonymo2830za7, BGl_z62zc3z04anonymousza32125ze3ze5zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2544z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1900za7622831z00, BGl_z62lambda1900z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2707z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2371za7622832z00, BGl_z62lambda2371z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2626z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2123za7622833z00, BGl_z62lambda2123z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2545z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1899za7622834z00, BGl_z62lambda1899z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2708z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2377za7622835z00, BGl_z62lambda2377z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2627z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2121za7622836z00, BGl_z62lambda2121z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2546z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1905za7622837z00, BGl_z62lambda1905z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2709z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2376za7622838z00, BGl_z62lambda2376z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2628z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2145za7622839z00, BGl_z62lambda2145z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2547z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1904za7622840z00, BGl_z62lambda1904z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2629z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2144za7622841z00, BGl_z62lambda2144z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2548z00zz__openpgpzd2packetszd2, BgL_bgl_za762za7c3za704anonymo2842za7, BGl_z62zc3z04anonymousza31883ze3ze5zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2549z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1881za7622843z00, BGl_z62lambda1881z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2710z00zz__openpgpzd2packetszd2, BgL_bgl_za762za7c3za704anonymo2844za7, BGl_z62zc3z04anonymousza32362ze3ze5zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2711z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2360za7622845z00, BGl_z62lambda2360z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2630z00zz__openpgpzd2packetszd2, BgL_bgl_za762za7c3za704anonymo2846za7, BGl_z62zc3z04anonymousza32140ze3ze5zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2712z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2358za7622847z00, BGl_z62lambda2358z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2631z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2138za7622848z00, BGl_z62lambda2138z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2550z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1879za7622849z00, BGl_z62lambda1879z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2713z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2392za7622850z00, BGl_z62lambda2392z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2632z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2136za7622851z00, BGl_z62lambda2136z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2551z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1920za7622852z00, BGl_z62lambda1920z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2714z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2391za7622853z00, BGl_z62lambda2391z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2633z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2160za7622854z00, BGl_z62lambda2160z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2552z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1919za7622855z00, BGl_z62lambda1919z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2715z00zz__openpgpzd2packetszd2, BgL_bgl_za762za7c3za704anonymo2856za7, BGl_z62zc3z04anonymousza32387ze3ze5zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2634z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2159za7622857z00, BGl_z62lambda2159z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2553z00zz__openpgpzd2packetszd2, BgL_bgl_za762za7c3za704anonymo2858za7, BGl_z62zc3z04anonymousza31915ze3ze5zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2716z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2385za7622859z00, BGl_z62lambda2385z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2635z00zz__openpgpzd2packetszd2, BgL_bgl_za762za7c3za704anonymo2860za7, BGl_z62zc3z04anonymousza32155ze3ze5zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2554z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1913za7622861z00, BGl_z62lambda1913z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2717z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2383za7622862z00, BGl_z62lambda2383z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2636z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2153za7622863z00, BGl_z62lambda2153z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2555z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1911za7622864z00, BGl_z62lambda1911z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2718z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2407za7622865z00, BGl_z62lambda2407z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2637z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2151za7622866z00, BGl_z62lambda2151z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2556z00zz__openpgpzd2packetszd2, BgL_bgl_za762za7c3za704anonymo2867za7, BGl_z62zc3z04anonymousza31937ze3ze5zz__openpgpzd2packetszd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2719z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2406za7622868z00, BGl_z62lambda2406z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2638z00zz__openpgpzd2packetszd2, BgL_bgl_za762za7c3za704anonymo2869za7, BGl_z62zc3z04anonymousza32177ze3ze5zz__openpgpzd2packetszd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2557z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1936za7622870z00, BGl_z62lambda1936z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2639z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2176za7622871z00, BGl_z62lambda2176z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2558z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1935za7622872z00, BGl_z62lambda1935z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2559z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1942za7622873z00, BGl_z62lambda1942z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2720z00zz__openpgpzd2packetszd2, BgL_bgl_za762za7c3za704anonymo2874za7, BGl_z62zc3z04anonymousza32402ze3ze5zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2721z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2400za7622875z00, BGl_z62lambda2400z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2640z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2175za7622876z00, BGl_z62lambda2175z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2722z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2398za7622877z00, BGl_z62lambda2398z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2641z00zz__openpgpzd2packetszd2, BgL_bgl_za762za7c3za704anonymo2878za7, BGl_z62zc3z04anonymousza32170ze3ze5zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2560z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1941za7622879z00, BGl_z62lambda1941z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2723z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2422za7622880z00, BGl_z62lambda2422z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2642z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2168za7622881z00, BGl_z62lambda2168z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2561z00zz__openpgpzd2packetszd2, BgL_bgl_za762za7c3za704anonymo2882za7, BGl_z62zc3z04anonymousza31949ze3ze5zz__openpgpzd2packetszd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2724z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2421za7622883z00, BGl_z62lambda2421z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2643z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2166za7622884z00, BGl_z62lambda2166z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2562z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1948za7622885z00, BGl_z62lambda1948z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2725z00zz__openpgpzd2packetszd2, BgL_bgl_za762za7c3za704anonymo2886za7, BGl_z62zc3z04anonymousza32417ze3ze5zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2644z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2192za7622887z00, BGl_z62lambda2192z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2563z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1947za7622888z00, BGl_z62lambda1947z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2726z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2415za7622889z00, BGl_z62lambda2415z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2645z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2191za7622890z00, BGl_z62lambda2191z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2564z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1954za7622891z00, BGl_z62lambda1954z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2727z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2413za7622892z00, BGl_z62lambda2413z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2646z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2197za7622893z00, BGl_z62lambda2197z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2565z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1953za7622894z00, BGl_z62lambda1953z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2728z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2437za7622895z00, BGl_z62lambda2437z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2647z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2196za7622896z00, BGl_z62lambda2196z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2566z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1959za7622897z00, BGl_z62lambda1959z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2729z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2436za7622898z00, BGl_z62lambda2436z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2648z00zz__openpgpzd2packetszd2, BgL_bgl_za762za7c3za704anonymo2899za7, BGl_z62zc3z04anonymousza32187ze3ze5zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2567z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1958za7622900z00, BGl_z62lambda1958z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2649z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2185za7622901z00, BGl_z62lambda2185z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2568z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1964za7622902z00, BGl_z62lambda1964z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2569z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1963za7622903z00, BGl_z62lambda1963z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2488z00zz__openpgpzd2packetszd2, BgL_bgl_za762za7c3za704anonymo2904za7, BGl_z62zc3z04anonymousza31576ze3ze5zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2489z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1574za7622905z00, BGl_z62lambda1574z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2730z00zz__openpgpzd2packetszd2, BgL_bgl_za762za7c3za704anonymo2906za7, BGl_z62zc3z04anonymousza32432ze3ze5zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2731z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2430za7622907z00, BGl_z62lambda2430z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2650z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2183za7622908z00, BGl_z62lambda2183z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2732z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2428za7622909z00, BGl_z62lambda2428z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2651z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2212za7622910z00, BGl_z62lambda2212z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2570z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1969za7622911z00, BGl_z62lambda1969z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2733z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2452za7622912z00, BGl_z62lambda2452z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2652z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2211za7622913z00, BGl_z62lambda2211z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2571z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1968za7622914z00, BGl_z62lambda1968z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2490z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1572za7622915z00, BGl_z62lambda1572z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2734z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2451za7622916z00, BGl_z62lambda2451z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2653z00zz__openpgpzd2packetszd2, BgL_bgl_za762za7c3za704anonymo2917za7, BGl_z62zc3z04anonymousza32207ze3ze5zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2572z00zz__openpgpzd2packetszd2, BgL_bgl_za762za7c3za704anonymo2918za7, BGl_z62zc3z04anonymousza31930ze3ze5zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2491z00zz__openpgpzd2packetszd2, BgL_bgl_za762za7c3za704anonymo2919za7, BGl_z62zc3z04anonymousza31611ze3ze5zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2735z00zz__openpgpzd2packetszd2, BgL_bgl_za762za7c3za704anonymo2920za7, BGl_z62zc3z04anonymousza32447ze3ze5zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2654z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2205za7622921z00, BGl_z62lambda2205z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2573z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1928za7622922z00, BGl_z62lambda1928z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2492z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1594za7622923z00, BGl_z62lambda1594z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2736z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2445za7622924z00, BGl_z62lambda2445z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2655z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2203za7622925z00, BGl_z62lambda2203z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2574z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1926za7622926z00, BGl_z62lambda1926z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2493z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1661za7622927z00, BGl_z62lambda1661z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2737z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2443za7622928z00, BGl_z62lambda2443z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2656z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2227za7622929z00, BGl_z62lambda2227z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2575z00zz__openpgpzd2packetszd2, BgL_bgl_za762za7c3za704anonymo2930za7, BGl_z62zc3z04anonymousza31979ze3ze5zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2494z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1660za7622931z00, BGl_z62lambda1660z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2738z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2467za7622932z00, BGl_z62lambda2467z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2657z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2226za7622933z00, BGl_z62lambda2226z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2576z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1977za7622934z00, BGl_z62lambda1977z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2495z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1682za7622935z00, BGl_z62lambda1682z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2739z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2466za7622936z00, BGl_z62lambda2466z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2658z00zz__openpgpzd2packetszd2, BgL_bgl_za762za7c3za704anonymo2937za7, BGl_z62zc3z04anonymousza32222ze3ze5zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2577z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1975za7622938z00, BGl_z62lambda1975z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2496z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1681za7622939z00, BGl_z62lambda1681z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2659z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2220za7622940z00, BGl_z62lambda2220z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2578z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1994za7622941z00, BGl_z62lambda1994z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2497z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1698za7622942z00, BGl_z62lambda1698z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2579z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1993za7622943z00, BGl_z62lambda1993z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2498z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1697za7622944z00, BGl_z62lambda1697z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2499z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1708za7622945z00, BGl_z62lambda1708z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2740z00zz__openpgpzd2packetszd2, BgL_bgl_za762za7c3za704anonymo2946za7, BGl_z62zc3z04anonymousza32462ze3ze5zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2741z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2460za7622947z00, BGl_z62lambda2460z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2660z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2218za7622948z00, BGl_z62lambda2218z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2742z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2458za7622949z00, BGl_z62lambda2458z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2661z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2242za7622950z00, BGl_z62lambda2242z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2580z00zz__openpgpzd2packetszd2, BgL_bgl_za762za7c3za704anonymo2951za7, BGl_z62zc3z04anonymousza31989ze3ze5zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2743z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2482za7622952z00, BGl_z62lambda2482z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2662z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2241za7622953z00, BGl_z62lambda2241z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2581z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1987za7622954z00, BGl_z62lambda1987z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2750z00zz__openpgpzd2packetszd2, BgL_bgl_string2750za700za7za7_2955za7, "", 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2744z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2481za7622956z00, BGl_z62lambda2481z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2663z00zz__openpgpzd2packetszd2, BgL_bgl_za762za7c3za704anonymo2957za7, BGl_z62zc3z04anonymousza32237ze3ze5zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2582z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda1985za7622958z00, BGl_z62lambda1985z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 8 );
DEFINE_STRING( BGl_string2751z00zz__openpgpzd2packetszd2, BgL_bgl_string2751za700za7za7_2959za7, "_ PGP-Signature-Sub-Revocation-Reason reason code PGP-Signature-Sub-Signer-ID PGP-Signature-Sub-Policy url PGP-Signature-Sub-Primary-ID primary? PGP-Signature-Sub-Preferred-Key-Server server PGP-Signature-Sub-Preferred-Compression PGP-Signature-Sub-Preferred-Hash PGP-Signature-Sub-Notation value name flags PGP-Signature-Sub-ID key-id PGP-Signature-Sub-Revocation fingerprint algid sensitive? byte clazz PGP-Signature-Sub-Preferred-Symmetric algos PGP-Signature-Sub-Key-Expiration-Time expiration-time PGP-Signature-Sub-Revocable revocable? PGP-Signature-Sub-Trust amount int level PGP-Signature-Sub-Exportable exportable? PGP-Signature-Sub-Expiration-Time expiration-date PGP-Signature-Sub-Creation-Time PGP-Signature-Sub-Generic type PGP-Signature-Sub-Packet critical? PGP-MDC-Packet hash PGP-MDC-Symmetrically-Encrypted-Packet PGP-Attribute-Packet PGP-ID-Packet PGP-Trust-Packet PGP-Literal-Packet file-name for-your-eyes-only? format PGP-Marker-Packet PGP-Symmetrically-Encrypted-Packet data PGP-Compressed-Packet packe"
"ts PGP-Secret-Key-Decoded-Packet secret-key PGP-Secret-Key-Packet password-protected-secret-key-data PGP-Public-Key-Packet PGP-Key-Packet key valid-days subkey? PGP-One-Pass-Signature-Packet bool contains-nested-sig? PGP-Symmetric-Key-Encrypted-Session-Key-Packet s2k PGP-Signature-v4-Packet insecure-sub-packets pair-nil secure-sub-packets PGP-Signature-v3-Packet PGP-Signature-Packet left-hash hash-trailer signed-packet-prefix signature date creation-date PGP-Sig-Packet hash-algo public-key-algo issuer signature-type PGP-Public-Key-Encrypted-Session-Key-Packet obj encrypted-session-key symbol algo bstring id long version PGP-Session-Key-Packet __openpgp-packets PGP-Packet ", 1704 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2745z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2487za7622960z00, BGl_z62lambda2487z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2664z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2235za7622961z00, BGl_z62lambda2235z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2583z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2015za7622962z00, BGl_z62lambda2015z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2746z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2486za7622963z00, BGl_z62lambda2486z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2665z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2233za7622964z00, BGl_z62lambda2233z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2584z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2014za7622965z00, BGl_z62lambda2014z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2747z00zz__openpgpzd2packetszd2, BgL_bgl_za762za7c3za704anonymo2966za7, BGl_z62zc3z04anonymousza32477ze3ze5zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2666z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2257za7622967z00, BGl_z62lambda2257z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2585z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2007za7622968z00, BGl_z62lambda2007z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2748z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2475za7622969z00, BGl_z62lambda2475z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2667z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2256za7622970z00, BGl_z62lambda2256z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2586z00zz__openpgpzd2packetszd2, BgL_bgl_za762za7c3za704anonymo2971za7, BGl_z62zc3z04anonymousza32006ze3ze5zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2749z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2473za7622972z00, BGl_z62lambda2473z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2668z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2262za7622973z00, BGl_z62lambda2262z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2587z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2004za7622974z00, BGl_z62lambda2004z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2669z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2261za7622975z00, BGl_z62lambda2261z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2588z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2001za7622976z00, BGl_z62lambda2001z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 9 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2589z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2030za7622977z00, BGl_z62lambda2030z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2670z00zz__openpgpzd2packetszd2, BgL_bgl_za762za7c3za704anonymo2978za7, BGl_z62zc3z04anonymousza32252ze3ze5zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2671z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2250za7622979z00, BGl_z62lambda2250z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2590z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2029za7622980z00, BGl_z62lambda2029z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2672z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2248za7622981z00, BGl_z62lambda2248z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2591z00zz__openpgpzd2packetszd2, BgL_bgl_za762za7c3za704anonymo2982za7, BGl_z62zc3z04anonymousza32025ze3ze5zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2673z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2277za7622983z00, BGl_z62lambda2277z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2592z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2023za7622984z00, BGl_z62lambda2023z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2674z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2276za7622985z00, BGl_z62lambda2276z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2593z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2021za7622986z00, BGl_z62lambda2021z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2675z00zz__openpgpzd2packetszd2, BgL_bgl_za762za7c3za704anonymo2987za7, BGl_z62zc3z04anonymousza32272ze3ze5zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2594z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2045za7622988z00, BGl_z62lambda2045z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2676z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2270za7622989z00, BGl_z62lambda2270z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2595z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2044za7622990z00, BGl_z62lambda2044z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2677z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2268za7622991z00, BGl_z62lambda2268z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2596z00zz__openpgpzd2packetszd2, BgL_bgl_za762za7c3za704anonymo2992za7, BGl_z62zc3z04anonymousza32040ze3ze5zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2678z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2292za7622993z00, BGl_z62lambda2292z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2597z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2038za7622994z00, BGl_z62lambda2038z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2679z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2291za7622995z00, BGl_z62lambda2291z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2598z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2036za7622996z00, BGl_z62lambda2036z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2599z00zz__openpgpzd2packetszd2, BgL_bgl_za762za7c3za704anonymo2997za7, BGl_z62zc3z04anonymousza32055ze3ze5zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2680z00zz__openpgpzd2packetszd2, BgL_bgl_za762za7c3za704anonymo2998za7, BGl_z62zc3z04anonymousza32287ze3ze5zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2681z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2285za7622999z00, BGl_z62lambda2285z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2682z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2283za7623000z00, BGl_z62lambda2283z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2683z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2307za7623001z00, BGl_z62lambda2307z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2684z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2306za7623002z00, BGl_z62lambda2306z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2685z00zz__openpgpzd2packetszd2, BgL_bgl_za762za7c3za704anonymo3003za7, BGl_z62zc3z04anonymousza32302ze3ze5zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2686z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2300za7623004z00, BGl_z62lambda2300z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2687z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2298za7623005z00, BGl_z62lambda2298z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2688z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2322za7623006z00, BGl_z62lambda2322z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2689z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2321za7623007z00, BGl_z62lambda2321z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2690z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2327za7623008z00, BGl_z62lambda2327z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2691z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2326za7623009z00, BGl_z62lambda2326z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2692z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2332za7623010z00, BGl_z62lambda2332z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2693z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2331za7623011z00, BGl_z62lambda2331z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2694z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2337za7623012z00, BGl_z62lambda2337z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2695z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2336za7623013z00, BGl_z62lambda2336z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2696z00zz__openpgpzd2packetszd2, BgL_bgl_za762za7c3za704anonymo3014za7, BGl_z62zc3z04anonymousza32317ze3ze5zz__openpgpzd2packetszd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2697z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2315za7623015z00, BGl_z62lambda2315z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2698z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2313za7623016z00, BGl_z62lambda2313z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2699z00zz__openpgpzd2packetszd2, BgL_bgl_za762lambda2352za7623017z00, BGl_z62lambda2352z62zz__openpgpzd2packetszd2, 0L, BUNSPEC, 2 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_PGPzd2Signaturezd2Subzd2Keyzd2Expirationzd2Timezd2zz__openpgpzd2packetszd2) );
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__openpgpzd2packetszd2) );
ADD_ROOT( (void *)(&BGl_PGPzd2Signaturezd2Subzd2Policyzd2zz__openpgpzd2packetszd2) );
ADD_ROOT( (void *)(&BGl_PGPzd2Signaturezd2Subzd2Notationzd2zz__openpgpzd2packetszd2) );
ADD_ROOT( (void *)(&BGl_PGPzd2Signaturezd2Subzd2Signerzd2IDz00zz__openpgpzd2packetszd2) );
ADD_ROOT( (void *)(&BGl_PGPzd2Signaturezd2Subzd2Genericzd2zz__openpgpzd2packetszd2) );
ADD_ROOT( (void *)(&BGl_PGPzd2Signaturezd2Subzd2Preferredzd2Compressionz00zz__openpgpzd2packetszd2) );
ADD_ROOT( (void *)(&BGl_PGPzd2Markerzd2Packetz00zz__openpgpzd2packetszd2) );
ADD_ROOT( (void *)(&BGl_PGPzd2Compressedzd2Packetz00zz__openpgpzd2packetszd2) );
ADD_ROOT( (void *)(&BGl_PGPzd2Sessionzd2Keyzd2Packetzd2zz__openpgpzd2packetszd2) );
ADD_ROOT( (void *)(&BGl_PGPzd2Keyzd2Packetz00zz__openpgpzd2packetszd2) );
ADD_ROOT( (void *)(&BGl_PGPzd2Signaturezd2Subzd2Primaryzd2IDz00zz__openpgpzd2packetszd2) );
ADD_ROOT( (void *)(&BGl_PGPzd2Signaturezd2Subzd2Expirationzd2Timez00zz__openpgpzd2packetszd2) );
ADD_ROOT( (void *)(&BGl_PGPzd2Signaturezd2v3zd2Packetzd2zz__openpgpzd2packetszd2) );
ADD_ROOT( (void *)(&BGl_PGPzd2Signaturezd2Subzd2Creationzd2Timez00zz__openpgpzd2packetszd2) );
ADD_ROOT( (void *)(&BGl_PGPzd2Signaturezd2Subzd2Trustzd2zz__openpgpzd2packetszd2) );
ADD_ROOT( (void *)(&BGl_PGPzd2Publiczd2Keyzd2Packetzd2zz__openpgpzd2packetszd2) );
ADD_ROOT( (void *)(&BGl_PGPzd2Symmetriczd2Keyzd2Encryptedzd2Sessionzd2Keyzd2Packetz00zz__openpgpzd2packetszd2) );
ADD_ROOT( (void *)(&BGl_PGPzd2Packetzd2zz__openpgpzd2packetszd2) );
ADD_ROOT( (void *)(&BGl_PGPzd2Sigzd2Packetz00zz__openpgpzd2packetszd2) );
ADD_ROOT( (void *)(&BGl_PGPzd2Signaturezd2v4zd2Packetzd2zz__openpgpzd2packetszd2) );
ADD_ROOT( (void *)(&BGl_PGPzd2Attributezd2Packetz00zz__openpgpzd2packetszd2) );
ADD_ROOT( (void *)(&BGl_PGPzd2Signaturezd2Subzd2Preferredzd2Symmetricz00zz__openpgpzd2packetszd2) );
ADD_ROOT( (void *)(&BGl_PGPzd2Signaturezd2Subzd2Revocablezd2zz__openpgpzd2packetszd2) );
ADD_ROOT( (void *)(&BGl_PGPzd2Signaturezd2Subzd2Packetzd2zz__openpgpzd2packetszd2) );
ADD_ROOT( (void *)(&BGl_PGPzd2Signaturezd2Subzd2Revocationzd2zz__openpgpzd2packetszd2) );
ADD_ROOT( (void *)(&BGl_PGPzd2Literalzd2Packetz00zz__openpgpzd2packetszd2) );
ADD_ROOT( (void *)(&BGl_PGPzd2Publiczd2Keyzd2Encryptedzd2Sessionzd2Keyzd2Packetz00zz__openpgpzd2packetszd2) );
ADD_ROOT( (void *)(&BGl_PGPzd2Signaturezd2Subzd2Preferredzd2Hashz00zz__openpgpzd2packetszd2) );
ADD_ROOT( (void *)(&BGl_PGPzd2IDzd2Packetz00zz__openpgpzd2packetszd2) );
ADD_ROOT( (void *)(&BGl_PGPzd2Secretzd2Keyzd2Packetzd2zz__openpgpzd2packetszd2) );
ADD_ROOT( (void *)(&BGl_PGPzd2MDCzd2Symmetricallyzd2Encryptedzd2Packetz00zz__openpgpzd2packetszd2) );
ADD_ROOT( (void *)(&BGl_PGPzd2MDCzd2Packetz00zz__openpgpzd2packetszd2) );
ADD_ROOT( (void *)(&BGl_PGPzd2Onezd2Passzd2Signaturezd2Packetz00zz__openpgpzd2packetszd2) );
ADD_ROOT( (void *)(&BGl_PGPzd2Secretzd2Keyzd2Decodedzd2Packetz00zz__openpgpzd2packetszd2) );
ADD_ROOT( (void *)(&BGl_PGPzd2Trustzd2Packetz00zz__openpgpzd2packetszd2) );
ADD_ROOT( (void *)(&BGl_PGPzd2Signaturezd2Subzd2Exportablezd2zz__openpgpzd2packetszd2) );
ADD_ROOT( (void *)(&BGl_PGPzd2Symmetricallyzd2Encryptedzd2Packetzd2zz__openpgpzd2packetszd2) );
ADD_ROOT( (void *)(&BGl_PGPzd2Signaturezd2Packetz00zz__openpgpzd2packetszd2) );
ADD_ROOT( (void *)(&BGl_PGPzd2Signaturezd2Subzd2IDzd2zz__openpgpzd2packetszd2) );
ADD_ROOT( (void *)(&BGl_PGPzd2Signaturezd2Subzd2Revocationzd2Reasonz00zz__openpgpzd2packetszd2) );
ADD_ROOT( (void *)(&BGl_PGPzd2Signaturezd2Subzd2Preferredzd2Keyzd2Serverzd2zz__openpgpzd2packetszd2) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__openpgpzd2packetszd2(long BgL_checksumz00_3584, char * BgL_fromz00_3585)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__openpgpzd2packetszd2))
{ 
BGl_requirezd2initializa7ationz75zz__openpgpzd2packetszd2 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__openpgpzd2packetszd2(); 
BGl_libraryzd2moduleszd2initz00zz__openpgpzd2packetszd2(); 
BGl_cnstzd2initzd2zz__openpgpzd2packetszd2(); 
BGl_objectzd2initzd2zz__openpgpzd2packetszd2(); 
return 
BGl_toplevelzd2initzd2zz__openpgpzd2packetszd2();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__openpgpzd2packetszd2()
{
{ /* Llib/pgp_packets.scm 1 */
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "__openpgp-packets"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "__openpgp-packets"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "__openpgp-packets"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "__openpgp-packets"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)0), "__openpgp-packets"); 
BGl_modulezd2initializa7ationz75zz__datez00(((long)0), "__openpgp-packets"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)0), "__openpgp-packets"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__openpgpzd2packetszd2()
{
{ /* Llib/pgp_packets.scm 1 */
{ /* Llib/pgp_packets.scm 1 */
 obj_t BgL_cportz00_3001;
{ /* Llib/pgp_packets.scm 1 */
 obj_t BgL_stringz00_3009;
BgL_stringz00_3009 = BGl_string2751z00zz__openpgpzd2packetszd2; 
{ /* Llib/pgp_packets.scm 1 */
 obj_t BgL_startz00_3010;
BgL_startz00_3010 = 
BINT(((long)0)); 
{ /* Llib/pgp_packets.scm 1 */
 obj_t BgL_endz00_3011;
BgL_endz00_3011 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_3009))); 
{ /* Llib/pgp_packets.scm 1 */

BgL_cportz00_3001 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_3009, BgL_startz00_3010, BgL_endz00_3011); } } } } 
{ 
 long BgL_iz00_3002;
BgL_iz00_3002 = ((long)101); 
BgL_loopz00_3003:
if(
(BgL_iz00_3002==((long)-1)))
{ /* Llib/pgp_packets.scm 1 */
return BUNSPEC;}  else 
{ /* Llib/pgp_packets.scm 1 */
{ /* Llib/pgp_packets.scm 1 */
 obj_t BgL_arg2753z00_3005;
{ /* Llib/pgp_packets.scm 1 */

{ /* Llib/pgp_packets.scm 1 */
 obj_t BgL_locationz00_3007;
BgL_locationz00_3007 = 
BBOOL(((bool_t)0)); 
{ /* Llib/pgp_packets.scm 1 */

BgL_arg2753z00_3005 = 
BGl_readz00zz__readerz00(BgL_cportz00_3001, BgL_locationz00_3007); } } } 
{ /* Llib/pgp_packets.scm 1 */
 int BgL_tmpz00_3610;
BgL_tmpz00_3610 = 
(int)(BgL_iz00_3002); 
CNST_TABLE_SET(BgL_tmpz00_3610, BgL_arg2753z00_3005); } } 
{ /* Llib/pgp_packets.scm 1 */
 int BgL_auxz00_3008;
BgL_auxz00_3008 = 
(int)(
(BgL_iz00_3002-((long)1))); 
{ 
 long BgL_iz00_3615;
BgL_iz00_3615 = 
(long)(BgL_auxz00_3008); 
BgL_iz00_3002 = BgL_iz00_3615; 
goto BgL_loopz00_3003;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__openpgpzd2packetszd2()
{
{ /* Llib/pgp_packets.scm 1 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__openpgpzd2packetszd2()
{
{ /* Llib/pgp_packets.scm 1 */
return BUNSPEC;} 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__openpgpzd2packetszd2()
{
{ /* Llib/pgp_packets.scm 1 */
{ /* Llib/pgp_packets.scm 3 */
 obj_t BgL_arg1566z00_14; obj_t BgL_arg1571z00_15;
{ /* Llib/pgp_packets.scm 3 */
 obj_t BgL_v1397z00_25;
BgL_v1397z00_25 = 
create_vector(((long)0)); 
BgL_arg1566z00_14 = BgL_v1397z00_25; } 
{ /* Llib/pgp_packets.scm 3 */
 obj_t BgL_v1398z00_26;
BgL_v1398z00_26 = 
create_vector(((long)0)); 
BgL_arg1571z00_15 = BgL_v1398z00_26; } 
BGl_PGPzd2Packetzd2zz__openpgpzd2packetszd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)0)), 
CNST_TABLE_REF(((long)1)), BGl_objectz00zz__objectz00, ((long)34311), BGl_proc2490z00zz__openpgpzd2packetszd2, BGl_proc2489z00zz__openpgpzd2packetszd2, BFALSE, BGl_proc2488z00zz__openpgpzd2packetszd2, BFALSE, BgL_arg1566z00_14, BgL_arg1571z00_15); } 
{ /* Llib/pgp_packets.scm 4 */
 obj_t BgL_arg1592z00_32; obj_t BgL_arg1593z00_33;
{ /* Llib/pgp_packets.scm 4 */
 obj_t BgL_v1399z00_39;
BgL_v1399z00_39 = 
create_vector(((long)0)); 
BgL_arg1592z00_32 = BgL_v1399z00_39; } 
{ /* Llib/pgp_packets.scm 4 */
 obj_t BgL_v1400z00_40;
BgL_v1400z00_40 = 
create_vector(((long)0)); 
BgL_arg1593z00_33 = BgL_v1400z00_40; } 
BGl_PGPzd2Sessionzd2Keyzd2Packetzd2zz__openpgpzd2packetszd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)2)), 
CNST_TABLE_REF(((long)1)), BGl_PGPzd2Packetzd2zz__openpgpzd2packetszd2, ((long)39181), BFALSE, BGl_proc2492z00zz__openpgpzd2packetszd2, BFALSE, BGl_proc2491z00zz__openpgpzd2packetszd2, BFALSE, BgL_arg1592z00_32, BgL_arg1593z00_33); } 
{ /* Llib/pgp_packets.scm 5 */
 obj_t BgL_arg1623z00_46; obj_t BgL_arg1624z00_47;
{ /* Llib/pgp_packets.scm 5 */
 obj_t BgL_v1401z00_61;
BgL_v1401z00_61 = 
create_vector(((long)4)); 
{ /* Llib/pgp_packets.scm 5 */
 obj_t BgL_arg1654z00_62;
BgL_arg1654z00_62 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)3)), BGl_proc2494z00zz__openpgpzd2packetszd2, BGl_proc2493z00zz__openpgpzd2packetszd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)4))); 
VECTOR_SET(BgL_v1401z00_61,((long)0),BgL_arg1654z00_62); } 
{ /* Llib/pgp_packets.scm 5 */
 obj_t BgL_arg1662z00_72;
BgL_arg1662z00_72 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)5)), BGl_proc2496z00zz__openpgpzd2packetszd2, BGl_proc2495z00zz__openpgpzd2packetszd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)6))); 
VECTOR_SET(BgL_v1401z00_61,((long)1),BgL_arg1662z00_72); } 
{ /* Llib/pgp_packets.scm 5 */
 obj_t BgL_arg1686z00_82;
BgL_arg1686z00_82 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)7)), BGl_proc2498z00zz__openpgpzd2packetszd2, BGl_proc2497z00zz__openpgpzd2packetszd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)8))); 
VECTOR_SET(BgL_v1401z00_61,((long)2),BgL_arg1686z00_82); } 
{ /* Llib/pgp_packets.scm 5 */
 obj_t BgL_arg1704z00_92;
BgL_arg1704z00_92 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)9)), BGl_proc2500z00zz__openpgpzd2packetszd2, BGl_proc2499z00zz__openpgpzd2packetszd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)10))); 
VECTOR_SET(BgL_v1401z00_61,((long)3),BgL_arg1704z00_92); } 
BgL_arg1623z00_46 = BgL_v1401z00_61; } 
{ /* Llib/pgp_packets.scm 5 */
 obj_t BgL_v1402z00_102;
BgL_v1402z00_102 = 
create_vector(((long)0)); 
BgL_arg1624z00_47 = BgL_v1402z00_102; } 
BGl_PGPzd2Publiczd2Keyzd2Encryptedzd2Sessionzd2Keyzd2Packetz00zz__openpgpzd2packetszd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)11)), 
CNST_TABLE_REF(((long)1)), BGl_PGPzd2Sessionzd2Keyzd2Packetzd2zz__openpgpzd2packetszd2, ((long)41951), BGl_proc2503z00zz__openpgpzd2packetszd2, BGl_proc2502z00zz__openpgpzd2packetszd2, BFALSE, BGl_proc2501z00zz__openpgpzd2packetszd2, BFALSE, BgL_arg1623z00_46, BgL_arg1624z00_47); } 
{ /* Llib/pgp_packets.scm 15 */
 obj_t BgL_arg1714z00_109; obj_t BgL_arg1725z00_110;
{ /* Llib/pgp_packets.scm 15 */
 obj_t BgL_v1403z00_125;
BgL_v1403z00_125 = 
create_vector(((long)5)); 
{ /* Llib/pgp_packets.scm 15 */
 obj_t BgL_arg1731z00_126;
BgL_arg1731z00_126 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)3)), BGl_proc2505z00zz__openpgpzd2packetszd2, BGl_proc2504z00zz__openpgpzd2packetszd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)4))); 
VECTOR_SET(BgL_v1403z00_125,((long)0),BgL_arg1731z00_126); } 
{ /* Llib/pgp_packets.scm 15 */
 obj_t BgL_arg1739z00_136;
BgL_arg1739z00_136 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)12)), BGl_proc2507z00zz__openpgpzd2packetszd2, BGl_proc2506z00zz__openpgpzd2packetszd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)8))); 
VECTOR_SET(BgL_v1403z00_125,((long)1),BgL_arg1739z00_136); } 
{ /* Llib/pgp_packets.scm 15 */
 obj_t BgL_arg1744z00_146;
BgL_arg1744z00_146 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)13)), BGl_proc2509z00zz__openpgpzd2packetszd2, BGl_proc2508z00zz__openpgpzd2packetszd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)10))); 
VECTOR_SET(BgL_v1403z00_125,((long)2),BgL_arg1744z00_146); } 
{ /* Llib/pgp_packets.scm 15 */
 obj_t BgL_arg1756z00_156;
BgL_arg1756z00_156 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)14)), BGl_proc2511z00zz__openpgpzd2packetszd2, BGl_proc2510z00zz__openpgpzd2packetszd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)8))); 
VECTOR_SET(BgL_v1403z00_125,((long)3),BgL_arg1756z00_156); } 
{ /* Llib/pgp_packets.scm 15 */
 obj_t BgL_arg1765z00_166;
BgL_arg1765z00_166 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)15)), BGl_proc2513z00zz__openpgpzd2packetszd2, BGl_proc2512z00zz__openpgpzd2packetszd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)8))); 
VECTOR_SET(BgL_v1403z00_125,((long)4),BgL_arg1765z00_166); } 
BgL_arg1714z00_109 = BgL_v1403z00_125; } 
{ /* Llib/pgp_packets.scm 15 */
 obj_t BgL_v1404z00_176;
BgL_v1404z00_176 = 
create_vector(((long)0)); 
BgL_arg1725z00_110 = BgL_v1404z00_176; } 
BGl_PGPzd2Sigzd2Packetz00zz__openpgpzd2packetszd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)16)), 
CNST_TABLE_REF(((long)1)), BGl_PGPzd2Packetzd2zz__openpgpzd2packetszd2, ((long)56552), BGl_proc2516z00zz__openpgpzd2packetszd2, BGl_proc2515z00zz__openpgpzd2packetszd2, BFALSE, BGl_proc2514z00zz__openpgpzd2packetszd2, BFALSE, BgL_arg1714z00_109, BgL_arg1725z00_110); } 
{ /* Llib/pgp_packets.scm 21 */
 obj_t BgL_arg1791z00_183; obj_t BgL_arg1797z00_184;
{ /* Llib/pgp_packets.scm 21 */
 obj_t BgL_v1405z00_204;
BgL_v1405z00_204 = 
create_vector(((long)5)); 
{ /* Llib/pgp_packets.scm 21 */
 obj_t BgL_arg1813z00_205;
BgL_arg1813z00_205 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)17)), BGl_proc2518z00zz__openpgpzd2packetszd2, BGl_proc2517z00zz__openpgpzd2packetszd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)18))); 
VECTOR_SET(BgL_v1405z00_204,((long)0),BgL_arg1813z00_205); } 
{ /* Llib/pgp_packets.scm 21 */
 obj_t BgL_arg1822z00_215;
BgL_arg1822z00_215 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)19)), BGl_proc2520z00zz__openpgpzd2packetszd2, BGl_proc2519z00zz__openpgpzd2packetszd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)10))); 
VECTOR_SET(BgL_v1405z00_204,((long)1),BgL_arg1822z00_215); } 
{ /* Llib/pgp_packets.scm 21 */
 obj_t BgL_arg1827z00_225;
BgL_arg1827z00_225 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)20)), BGl_proc2522z00zz__openpgpzd2packetszd2, BGl_proc2521z00zz__openpgpzd2packetszd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)6))); 
VECTOR_SET(BgL_v1405z00_204,((long)2),BgL_arg1827z00_225); } 
{ /* Llib/pgp_packets.scm 21 */
 obj_t BgL_arg1832z00_235;
BgL_arg1832z00_235 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)21)), BGl_proc2524z00zz__openpgpzd2packetszd2, BGl_proc2523z00zz__openpgpzd2packetszd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)6))); 
VECTOR_SET(BgL_v1405z00_204,((long)3),BgL_arg1832z00_235); } 
{ /* Llib/pgp_packets.scm 21 */
 obj_t BgL_arg1837z00_245;
BgL_arg1837z00_245 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)22)), BGl_proc2526z00zz__openpgpzd2packetszd2, BGl_proc2525z00zz__openpgpzd2packetszd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)6))); 
VECTOR_SET(BgL_v1405z00_204,((long)4),BgL_arg1837z00_245); } 
BgL_arg1791z00_183 = BgL_v1405z00_204; } 
{ /* Llib/pgp_packets.scm 21 */
 obj_t BgL_v1406z00_255;
BgL_v1406z00_255 = 
create_vector(((long)0)); 
BgL_arg1797z00_184 = BgL_v1406z00_255; } 
BGl_PGPzd2Signaturezd2Packetz00zz__openpgpzd2packetszd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)23)), 
CNST_TABLE_REF(((long)1)), BGl_PGPzd2Sigzd2Packetz00zz__openpgpzd2packetszd2, ((long)10703), BGl_proc2529z00zz__openpgpzd2packetszd2, BGl_proc2528z00zz__openpgpzd2packetszd2, BFALSE, BGl_proc2527z00zz__openpgpzd2packetszd2, BFALSE, BgL_arg1791z00_183, BgL_arg1797z00_184); } 
{ /* Llib/pgp_packets.scm 27 */
 obj_t BgL_arg1845z00_262; obj_t BgL_arg1846z00_263;
{ /* Llib/pgp_packets.scm 27 */
 obj_t BgL_v1407z00_283;
BgL_v1407z00_283 = 
create_vector(((long)0)); 
BgL_arg1845z00_262 = BgL_v1407z00_283; } 
{ /* Llib/pgp_packets.scm 27 */
 obj_t BgL_v1408z00_284;
BgL_v1408z00_284 = 
create_vector(((long)0)); 
BgL_arg1846z00_263 = BgL_v1408z00_284; } 
BGl_PGPzd2Signaturezd2v3zd2Packetzd2zz__openpgpzd2packetszd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)24)), 
CNST_TABLE_REF(((long)1)), BGl_PGPzd2Signaturezd2Packetz00zz__openpgpzd2packetszd2, ((long)284), BGl_proc2532z00zz__openpgpzd2packetszd2, BGl_proc2531z00zz__openpgpzd2packetszd2, BFALSE, BGl_proc2530z00zz__openpgpzd2packetszd2, BFALSE, BgL_arg1845z00_262, BgL_arg1846z00_263); } 
{ /* Llib/pgp_packets.scm 28 */
 obj_t BgL_arg1857z00_291; obj_t BgL_arg1858z00_292;
{ /* Llib/pgp_packets.scm 28 */
 obj_t BgL_v1409z00_314;
BgL_v1409z00_314 = 
create_vector(((long)2)); 
{ /* Llib/pgp_packets.scm 28 */
 obj_t BgL_arg1864z00_315;
BgL_arg1864z00_315 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)25)), BGl_proc2534z00zz__openpgpzd2packetszd2, BGl_proc2533z00zz__openpgpzd2packetszd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)26))); 
VECTOR_SET(BgL_v1409z00_314,((long)0),BgL_arg1864z00_315); } 
{ /* Llib/pgp_packets.scm 28 */
 obj_t BgL_arg1869z00_325;
BgL_arg1869z00_325 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)27)), BGl_proc2536z00zz__openpgpzd2packetszd2, BGl_proc2535z00zz__openpgpzd2packetszd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)26))); 
VECTOR_SET(BgL_v1409z00_314,((long)1),BgL_arg1869z00_325); } 
BgL_arg1857z00_291 = BgL_v1409z00_314; } 
{ /* Llib/pgp_packets.scm 28 */
 obj_t BgL_v1410z00_335;
BgL_v1410z00_335 = 
create_vector(((long)0)); 
BgL_arg1858z00_292 = BgL_v1410z00_335; } 
BGl_PGPzd2Signaturezd2v4zd2Packetzd2zz__openpgpzd2packetszd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)28)), 
CNST_TABLE_REF(((long)1)), BGl_PGPzd2Signaturezd2Packetz00zz__openpgpzd2packetszd2, ((long)8690), BGl_proc2539z00zz__openpgpzd2packetszd2, BGl_proc2538z00zz__openpgpzd2packetszd2, BFALSE, BGl_proc2537z00zz__openpgpzd2packetszd2, BFALSE, BgL_arg1857z00_291, BgL_arg1858z00_292); } 
{ /* Llib/pgp_packets.scm 31 */
 obj_t BgL_arg1877z00_342; obj_t BgL_arg1878z00_343;
{ /* Llib/pgp_packets.scm 31 */
 obj_t BgL_v1411z00_357;
BgL_v1411z00_357 = 
create_vector(((long)4)); 
{ /* Llib/pgp_packets.scm 31 */
 obj_t BgL_arg1884z00_358;
BgL_arg1884z00_358 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)3)), BGl_proc2541z00zz__openpgpzd2packetszd2, BGl_proc2540z00zz__openpgpzd2packetszd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)4))); 
VECTOR_SET(BgL_v1411z00_357,((long)0),BgL_arg1884z00_358); } 
{ /* Llib/pgp_packets.scm 31 */
 obj_t BgL_arg1889z00_368;
BgL_arg1889z00_368 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)7)), BGl_proc2543z00zz__openpgpzd2packetszd2, BGl_proc2542z00zz__openpgpzd2packetszd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)8))); 
VECTOR_SET(BgL_v1411z00_357,((long)1),BgL_arg1889z00_368); } 
{ /* Llib/pgp_packets.scm 31 */
 obj_t BgL_arg1894z00_378;
BgL_arg1894z00_378 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)29)), BGl_proc2545z00zz__openpgpzd2packetszd2, BGl_proc2544z00zz__openpgpzd2packetszd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)10))); 
VECTOR_SET(BgL_v1411z00_357,((long)2),BgL_arg1894z00_378); } 
{ /* Llib/pgp_packets.scm 31 */
 obj_t BgL_arg1901z00_388;
BgL_arg1901z00_388 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)9)), BGl_proc2547z00zz__openpgpzd2packetszd2, BGl_proc2546z00zz__openpgpzd2packetszd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)10))); 
VECTOR_SET(BgL_v1411z00_357,((long)3),BgL_arg1901z00_388); } 
BgL_arg1877z00_342 = BgL_v1411z00_357; } 
{ /* Llib/pgp_packets.scm 31 */
 obj_t BgL_v1412z00_398;
BgL_v1412z00_398 = 
create_vector(((long)0)); 
BgL_arg1878z00_343 = BgL_v1412z00_398; } 
BGl_PGPzd2Symmetriczd2Keyzd2Encryptedzd2Sessionzd2Keyzd2Packetz00zz__openpgpzd2packetszd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)30)), 
CNST_TABLE_REF(((long)1)), BGl_PGPzd2Sessionzd2Keyzd2Packetzd2zz__openpgpzd2packetszd2, ((long)36207), BGl_proc2550z00zz__openpgpzd2packetszd2, BGl_proc2549z00zz__openpgpzd2packetszd2, BFALSE, BGl_proc2548z00zz__openpgpzd2packetszd2, BFALSE, BgL_arg1877z00_342, BgL_arg1878z00_343); } 
{ /* Llib/pgp_packets.scm 39 */
 obj_t BgL_arg1909z00_405; obj_t BgL_arg1910z00_406;
{ /* Llib/pgp_packets.scm 39 */
 obj_t BgL_v1413z00_422;
BgL_v1413z00_422 = 
create_vector(((long)1)); 
{ /* Llib/pgp_packets.scm 39 */
 obj_t BgL_arg1916z00_423;
BgL_arg1916z00_423 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)31)), BGl_proc2552z00zz__openpgpzd2packetszd2, BGl_proc2551z00zz__openpgpzd2packetszd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)32))); 
VECTOR_SET(BgL_v1413z00_422,((long)0),BgL_arg1916z00_423); } 
BgL_arg1909z00_405 = BgL_v1413z00_422; } 
{ /* Llib/pgp_packets.scm 39 */
 obj_t BgL_v1414z00_433;
BgL_v1414z00_433 = 
create_vector(((long)0)); 
BgL_arg1910z00_406 = BgL_v1414z00_433; } 
BGl_PGPzd2Onezd2Passzd2Signaturezd2Packetz00zz__openpgpzd2packetszd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)33)), 
CNST_TABLE_REF(((long)1)), BGl_PGPzd2Sigzd2Packetz00zz__openpgpzd2packetszd2, ((long)64132), BGl_proc2555z00zz__openpgpzd2packetszd2, BGl_proc2554z00zz__openpgpzd2packetszd2, BFALSE, BGl_proc2553z00zz__openpgpzd2packetszd2, BFALSE, BgL_arg1909z00_405, BgL_arg1910z00_406); } 
{ /* Llib/pgp_packets.scm 41 */
 obj_t BgL_arg1924z00_440; obj_t BgL_arg1925z00_441;
{ /* Llib/pgp_packets.scm 41 */
 obj_t BgL_v1415z00_458;
BgL_v1415z00_458 = 
create_vector(((long)7)); 
{ /* Llib/pgp_packets.scm 41 */
 obj_t BgL_arg1931z00_459;
BgL_arg1931z00_459 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)5)), BGl_proc2558z00zz__openpgpzd2packetszd2, BGl_proc2557z00zz__openpgpzd2packetszd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2556z00zz__openpgpzd2packetszd2, 
CNST_TABLE_REF(((long)10))); 
VECTOR_SET(BgL_v1415z00_458,((long)0),BgL_arg1931z00_459); } 
{ /* Llib/pgp_packets.scm 41 */
 obj_t BgL_arg1938z00_472;
BgL_arg1938z00_472 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)3)), BGl_proc2560z00zz__openpgpzd2packetszd2, BGl_proc2559z00zz__openpgpzd2packetszd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)4))); 
VECTOR_SET(BgL_v1415z00_458,((long)1),BgL_arg1938z00_472); } 
{ /* Llib/pgp_packets.scm 41 */
 obj_t BgL_arg1943z00_482;
BgL_arg1943z00_482 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)34)), BGl_proc2563z00zz__openpgpzd2packetszd2, BGl_proc2562z00zz__openpgpzd2packetszd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2561z00zz__openpgpzd2packetszd2, 
CNST_TABLE_REF(((long)32))); 
VECTOR_SET(BgL_v1415z00_458,((long)2),BgL_arg1943z00_482); } 
{ /* Llib/pgp_packets.scm 41 */
 obj_t BgL_arg1950z00_495;
BgL_arg1950z00_495 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)7)), BGl_proc2565z00zz__openpgpzd2packetszd2, BGl_proc2564z00zz__openpgpzd2packetszd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)8))); 
VECTOR_SET(BgL_v1415z00_458,((long)3),BgL_arg1950z00_495); } 
{ /* Llib/pgp_packets.scm 41 */
 obj_t BgL_arg1955z00_505;
BgL_arg1955z00_505 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)17)), BGl_proc2567z00zz__openpgpzd2packetszd2, BGl_proc2566z00zz__openpgpzd2packetszd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)18))); 
VECTOR_SET(BgL_v1415z00_458,((long)4),BgL_arg1955z00_505); } 
{ /* Llib/pgp_packets.scm 41 */
 obj_t BgL_arg1960z00_515;
BgL_arg1960z00_515 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)35)), BGl_proc2569z00zz__openpgpzd2packetszd2, BGl_proc2568z00zz__openpgpzd2packetszd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)10))); 
VECTOR_SET(BgL_v1415z00_458,((long)5),BgL_arg1960z00_515); } 
{ /* Llib/pgp_packets.scm 41 */
 obj_t BgL_arg1965z00_525;
BgL_arg1965z00_525 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)36)), BGl_proc2571z00zz__openpgpzd2packetszd2, BGl_proc2570z00zz__openpgpzd2packetszd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)10))); 
VECTOR_SET(BgL_v1415z00_458,((long)6),BgL_arg1965z00_525); } 
BgL_arg1924z00_440 = BgL_v1415z00_458; } 
{ /* Llib/pgp_packets.scm 41 */
 obj_t BgL_v1416z00_535;
BgL_v1416z00_535 = 
create_vector(((long)0)); 
BgL_arg1925z00_441 = BgL_v1416z00_535; } 
BGl_PGPzd2Keyzd2Packetz00zz__openpgpzd2packetszd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)37)), 
CNST_TABLE_REF(((long)1)), BGl_PGPzd2Packetzd2zz__openpgpzd2packetszd2, ((long)23736), BGl_proc2574z00zz__openpgpzd2packetszd2, BGl_proc2573z00zz__openpgpzd2packetszd2, BFALSE, BGl_proc2572z00zz__openpgpzd2packetszd2, BFALSE, BgL_arg1924z00_440, BgL_arg1925z00_441); } 
{ /* Llib/pgp_packets.scm 49 */
 obj_t BgL_arg1973z00_542; obj_t BgL_arg1974z00_543;
{ /* Llib/pgp_packets.scm 49 */
 obj_t BgL_v1417z00_560;
BgL_v1417z00_560 = 
create_vector(((long)0)); 
BgL_arg1973z00_542 = BgL_v1417z00_560; } 
{ /* Llib/pgp_packets.scm 49 */
 obj_t BgL_v1418z00_561;
BgL_v1418z00_561 = 
create_vector(((long)0)); 
BgL_arg1974z00_543 = BgL_v1418z00_561; } 
BGl_PGPzd2Publiczd2Keyzd2Packetzd2zz__openpgpzd2packetszd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)38)), 
CNST_TABLE_REF(((long)1)), BGl_PGPzd2Keyzd2Packetz00zz__openpgpzd2packetszd2, ((long)27376), BGl_proc2577z00zz__openpgpzd2packetszd2, BGl_proc2576z00zz__openpgpzd2packetszd2, BFALSE, BGl_proc2575z00zz__openpgpzd2packetszd2, BFALSE, BgL_arg1973z00_542, BgL_arg1974z00_543); } 
{ /* Llib/pgp_packets.scm 50 */
 obj_t BgL_arg1983z00_568; obj_t BgL_arg1984z00_569;
{ /* Llib/pgp_packets.scm 50 */
 obj_t BgL_v1419z00_587;
BgL_v1419z00_587 = 
create_vector(((long)1)); 
{ /* Llib/pgp_packets.scm 50 */
 obj_t BgL_arg1990z00_588;
BgL_arg1990z00_588 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)39)), BGl_proc2579z00zz__openpgpzd2packetszd2, BGl_proc2578z00zz__openpgpzd2packetszd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)6))); 
VECTOR_SET(BgL_v1419z00_587,((long)0),BgL_arg1990z00_588); } 
BgL_arg1983z00_568 = BgL_v1419z00_587; } 
{ /* Llib/pgp_packets.scm 50 */
 obj_t BgL_v1420z00_598;
BgL_v1420z00_598 = 
create_vector(((long)0)); 
BgL_arg1984z00_569 = BgL_v1420z00_598; } 
BGl_PGPzd2Secretzd2Keyzd2Packetzd2zz__openpgpzd2packetszd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)40)), 
CNST_TABLE_REF(((long)1)), BGl_PGPzd2Keyzd2Packetz00zz__openpgpzd2packetszd2, ((long)21832), BGl_proc2582z00zz__openpgpzd2packetszd2, BGl_proc2581z00zz__openpgpzd2packetszd2, BFALSE, BGl_proc2580z00zz__openpgpzd2packetszd2, BFALSE, BgL_arg1983z00_568, BgL_arg1984z00_569); } 
{ /* Llib/pgp_packets.scm 52 */
 obj_t BgL_arg1999z00_606; obj_t BgL_arg2000z00_607;
{ /* Llib/pgp_packets.scm 52 */
 obj_t BgL_v1421z00_637;
BgL_v1421z00_637 = 
create_vector(((long)1)); 
{ /* Llib/pgp_packets.scm 52 */
 obj_t BgL_arg2011z00_638;
BgL_arg2011z00_638 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)41)), BGl_proc2584z00zz__openpgpzd2packetszd2, BGl_proc2583z00zz__openpgpzd2packetszd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)10))); 
VECTOR_SET(BgL_v1421z00_637,((long)0),BgL_arg2011z00_638); } 
BgL_arg1999z00_606 = BgL_v1421z00_637; } 
{ /* Llib/pgp_packets.scm 52 */
 obj_t BgL_v1422z00_648;
BgL_v1422z00_648 = 
create_vector(((long)0)); 
BgL_arg2000z00_607 = BgL_v1422z00_648; } 
BGl_PGPzd2Secretzd2Keyzd2Decodedzd2Packetz00zz__openpgpzd2packetszd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)42)), 
CNST_TABLE_REF(((long)1)), BGl_PGPzd2Secretzd2Keyzd2Packetzd2zz__openpgpzd2packetszd2, ((long)13166), BGl_proc2588z00zz__openpgpzd2packetszd2, BGl_proc2587z00zz__openpgpzd2packetszd2, BFALSE, BGl_proc2586z00zz__openpgpzd2packetszd2, BGl_proc2585z00zz__openpgpzd2packetszd2, BgL_arg1999z00_606, BgL_arg2000z00_607); } 
{ /* Llib/pgp_packets.scm 54 */
 obj_t BgL_arg2019z00_656; obj_t BgL_arg2020z00_657;
{ /* Llib/pgp_packets.scm 54 */
 obj_t BgL_v1423z00_668;
BgL_v1423z00_668 = 
create_vector(((long)1)); 
{ /* Llib/pgp_packets.scm 54 */
 obj_t BgL_arg2026z00_669;
BgL_arg2026z00_669 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)43)), BGl_proc2590z00zz__openpgpzd2packetszd2, BGl_proc2589z00zz__openpgpzd2packetszd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)26))); 
VECTOR_SET(BgL_v1423z00_668,((long)0),BgL_arg2026z00_669); } 
BgL_arg2019z00_656 = BgL_v1423z00_668; } 
{ /* Llib/pgp_packets.scm 54 */
 obj_t BgL_v1424z00_679;
BgL_v1424z00_679 = 
create_vector(((long)0)); 
BgL_arg2020z00_657 = BgL_v1424z00_679; } 
BGl_PGPzd2Compressedzd2Packetz00zz__openpgpzd2packetszd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)44)), 
CNST_TABLE_REF(((long)1)), BGl_PGPzd2Packetzd2zz__openpgpzd2packetszd2, ((long)40673), BGl_proc2593z00zz__openpgpzd2packetszd2, BGl_proc2592z00zz__openpgpzd2packetszd2, BFALSE, BGl_proc2591z00zz__openpgpzd2packetszd2, BFALSE, BgL_arg2019z00_656, BgL_arg2020z00_657); } 
{ /* Llib/pgp_packets.scm 56 */
 obj_t BgL_arg2034z00_686; obj_t BgL_arg2035z00_687;
{ /* Llib/pgp_packets.scm 56 */
 obj_t BgL_v1425z00_698;
BgL_v1425z00_698 = 
create_vector(((long)1)); 
{ /* Llib/pgp_packets.scm 56 */
 obj_t BgL_arg2041z00_699;
BgL_arg2041z00_699 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)45)), BGl_proc2595z00zz__openpgpzd2packetszd2, BGl_proc2594z00zz__openpgpzd2packetszd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)6))); 
VECTOR_SET(BgL_v1425z00_698,((long)0),BgL_arg2041z00_699); } 
BgL_arg2034z00_686 = BgL_v1425z00_698; } 
{ /* Llib/pgp_packets.scm 56 */
 obj_t BgL_v1426z00_709;
BgL_v1426z00_709 = 
create_vector(((long)0)); 
BgL_arg2035z00_687 = BgL_v1426z00_709; } 
BGl_PGPzd2Symmetricallyzd2Encryptedzd2Packetzd2zz__openpgpzd2packetszd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)46)), 
CNST_TABLE_REF(((long)1)), BGl_PGPzd2Packetzd2zz__openpgpzd2packetszd2, ((long)29215), BGl_proc2598z00zz__openpgpzd2packetszd2, BGl_proc2597z00zz__openpgpzd2packetszd2, BFALSE, BGl_proc2596z00zz__openpgpzd2packetszd2, BFALSE, BgL_arg2034z00_686, BgL_arg2035z00_687); } 
{ /* Llib/pgp_packets.scm 58 */
 obj_t BgL_arg2049z00_716; obj_t BgL_arg2050z00_717;
{ /* Llib/pgp_packets.scm 58 */
 obj_t BgL_v1427z00_727;
BgL_v1427z00_727 = 
create_vector(((long)0)); 
BgL_arg2049z00_716 = BgL_v1427z00_727; } 
{ /* Llib/pgp_packets.scm 58 */
 obj_t BgL_v1428z00_728;
BgL_v1428z00_728 = 
create_vector(((long)0)); 
BgL_arg2050z00_717 = BgL_v1428z00_728; } 
BGl_PGPzd2Markerzd2Packetz00zz__openpgpzd2packetszd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)47)), 
CNST_TABLE_REF(((long)1)), BGl_PGPzd2Packetzd2zz__openpgpzd2packetszd2, ((long)31195), BGl_proc2601z00zz__openpgpzd2packetszd2, BGl_proc2600z00zz__openpgpzd2packetszd2, BFALSE, BGl_proc2599z00zz__openpgpzd2packetszd2, BFALSE, BgL_arg2049z00_716, BgL_arg2050z00_717); } 
{ /* Llib/pgp_packets.scm 59 */
 obj_t BgL_arg2059z00_735; obj_t BgL_arg2060z00_736;
{ /* Llib/pgp_packets.scm 59 */
 obj_t BgL_v1429z00_751;
BgL_v1429z00_751 = 
create_vector(((long)5)); 
{ /* Llib/pgp_packets.scm 59 */
 obj_t BgL_arg2066z00_752;
BgL_arg2066z00_752 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)48)), BGl_proc2603z00zz__openpgpzd2packetszd2, BGl_proc2602z00zz__openpgpzd2packetszd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)8))); 
VECTOR_SET(BgL_v1429z00_751,((long)0),BgL_arg2066z00_752); } 
{ /* Llib/pgp_packets.scm 59 */
 obj_t BgL_arg2071z00_762;
BgL_arg2071z00_762 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)49)), BGl_proc2605z00zz__openpgpzd2packetszd2, BGl_proc2604z00zz__openpgpzd2packetszd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)32))); 
VECTOR_SET(BgL_v1429z00_751,((long)1),BgL_arg2071z00_762); } 
{ /* Llib/pgp_packets.scm 59 */
 obj_t BgL_arg2076z00_772;
BgL_arg2076z00_772 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)50)), BGl_proc2607z00zz__openpgpzd2packetszd2, BGl_proc2606z00zz__openpgpzd2packetszd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)10))); 
VECTOR_SET(BgL_v1429z00_751,((long)2),BgL_arg2076z00_772); } 
{ /* Llib/pgp_packets.scm 59 */
 obj_t BgL_arg2081z00_782;
BgL_arg2081z00_782 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)17)), BGl_proc2609z00zz__openpgpzd2packetszd2, BGl_proc2608z00zz__openpgpzd2packetszd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)18))); 
VECTOR_SET(BgL_v1429z00_751,((long)3),BgL_arg2081z00_782); } 
{ /* Llib/pgp_packets.scm 59 */
 obj_t BgL_arg2086z00_792;
BgL_arg2086z00_792 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)45)), BGl_proc2611z00zz__openpgpzd2packetszd2, BGl_proc2610z00zz__openpgpzd2packetszd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)6))); 
VECTOR_SET(BgL_v1429z00_751,((long)4),BgL_arg2086z00_792); } 
BgL_arg2059z00_735 = BgL_v1429z00_751; } 
{ /* Llib/pgp_packets.scm 59 */
 obj_t BgL_v1430z00_802;
BgL_v1430z00_802 = 
create_vector(((long)0)); 
BgL_arg2060z00_736 = BgL_v1430z00_802; } 
BGl_PGPzd2Literalzd2Packetz00zz__openpgpzd2packetszd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)51)), 
CNST_TABLE_REF(((long)1)), BGl_PGPzd2Packetzd2zz__openpgpzd2packetszd2, ((long)26458), BGl_proc2614z00zz__openpgpzd2packetszd2, BGl_proc2613z00zz__openpgpzd2packetszd2, BFALSE, BGl_proc2612z00zz__openpgpzd2packetszd2, BFALSE, BgL_arg2059z00_735, BgL_arg2060z00_736); } 
{ /* Llib/pgp_packets.scm 65 */
 obj_t BgL_arg2094z00_809; obj_t BgL_arg2095z00_810;
{ /* Llib/pgp_packets.scm 65 */
 obj_t BgL_v1431z00_820;
BgL_v1431z00_820 = 
create_vector(((long)0)); 
BgL_arg2094z00_809 = BgL_v1431z00_820; } 
{ /* Llib/pgp_packets.scm 65 */
 obj_t BgL_v1432z00_821;
BgL_v1432z00_821 = 
create_vector(((long)0)); 
BgL_arg2095z00_810 = BgL_v1432z00_821; } 
BGl_PGPzd2Trustzd2Packetz00zz__openpgpzd2packetszd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)52)), 
CNST_TABLE_REF(((long)1)), BGl_PGPzd2Packetzd2zz__openpgpzd2packetszd2, ((long)36763), BGl_proc2617z00zz__openpgpzd2packetszd2, BGl_proc2616z00zz__openpgpzd2packetszd2, BFALSE, BGl_proc2615z00zz__openpgpzd2packetszd2, BFALSE, BgL_arg2094z00_809, BgL_arg2095z00_810); } 
{ /* Llib/pgp_packets.scm 66 */
 obj_t BgL_arg2104z00_828; obj_t BgL_arg2105z00_829;
{ /* Llib/pgp_packets.scm 66 */
 obj_t BgL_v1433z00_840;
BgL_v1433z00_840 = 
create_vector(((long)1)); 
{ /* Llib/pgp_packets.scm 66 */
 obj_t BgL_arg2111z00_841;
BgL_arg2111z00_841 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)45)), BGl_proc2619z00zz__openpgpzd2packetszd2, BGl_proc2618z00zz__openpgpzd2packetszd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)6))); 
VECTOR_SET(BgL_v1433z00_840,((long)0),BgL_arg2111z00_841); } 
BgL_arg2104z00_828 = BgL_v1433z00_840; } 
{ /* Llib/pgp_packets.scm 66 */
 obj_t BgL_v1434z00_851;
BgL_v1434z00_851 = 
create_vector(((long)0)); 
BgL_arg2105z00_829 = BgL_v1434z00_851; } 
BGl_PGPzd2IDzd2Packetz00zz__openpgpzd2packetszd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)53)), 
CNST_TABLE_REF(((long)1)), BGl_PGPzd2Packetzd2zz__openpgpzd2packetszd2, ((long)2773), BGl_proc2622z00zz__openpgpzd2packetszd2, BGl_proc2621z00zz__openpgpzd2packetszd2, BFALSE, BGl_proc2620z00zz__openpgpzd2packetszd2, BFALSE, BgL_arg2104z00_828, BgL_arg2105z00_829); } 
{ /* Llib/pgp_packets.scm 68 */
 obj_t BgL_arg2119z00_858; obj_t BgL_arg2120z00_859;
{ /* Llib/pgp_packets.scm 68 */
 obj_t BgL_v1435z00_870;
BgL_v1435z00_870 = 
create_vector(((long)1)); 
{ /* Llib/pgp_packets.scm 68 */
 obj_t BgL_arg2126z00_871;
BgL_arg2126z00_871 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)45)), BGl_proc2624z00zz__openpgpzd2packetszd2, BGl_proc2623z00zz__openpgpzd2packetszd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)6))); 
VECTOR_SET(BgL_v1435z00_870,((long)0),BgL_arg2126z00_871); } 
BgL_arg2119z00_858 = BgL_v1435z00_870; } 
{ /* Llib/pgp_packets.scm 68 */
 obj_t BgL_v1436z00_881;
BgL_v1436z00_881 = 
create_vector(((long)0)); 
BgL_arg2120z00_859 = BgL_v1436z00_881; } 
BGl_PGPzd2Attributezd2Packetz00zz__openpgpzd2packetszd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)54)), 
CNST_TABLE_REF(((long)1)), BGl_PGPzd2Packetzd2zz__openpgpzd2packetszd2, ((long)42122), BGl_proc2627z00zz__openpgpzd2packetszd2, BGl_proc2626z00zz__openpgpzd2packetszd2, BFALSE, BGl_proc2625z00zz__openpgpzd2packetszd2, BFALSE, BgL_arg2119z00_858, BgL_arg2120z00_859); } 
{ /* Llib/pgp_packets.scm 70 */
 obj_t BgL_arg2134z00_888; obj_t BgL_arg2135z00_889;
{ /* Llib/pgp_packets.scm 70 */
 obj_t BgL_v1437z00_901;
BgL_v1437z00_901 = 
create_vector(((long)1)); 
{ /* Llib/pgp_packets.scm 70 */
 obj_t BgL_arg2141z00_902;
BgL_arg2141z00_902 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)3)), BGl_proc2629z00zz__openpgpzd2packetszd2, BGl_proc2628z00zz__openpgpzd2packetszd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)4))); 
VECTOR_SET(BgL_v1437z00_901,((long)0),BgL_arg2141z00_902); } 
BgL_arg2134z00_888 = BgL_v1437z00_901; } 
{ /* Llib/pgp_packets.scm 70 */
 obj_t BgL_v1438z00_912;
BgL_v1438z00_912 = 
create_vector(((long)0)); 
BgL_arg2135z00_889 = BgL_v1438z00_912; } 
BGl_PGPzd2MDCzd2Symmetricallyzd2Encryptedzd2Packetz00zz__openpgpzd2packetszd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)55)), 
CNST_TABLE_REF(((long)1)), BGl_PGPzd2Symmetricallyzd2Encryptedzd2Packetzd2zz__openpgpzd2packetszd2, ((long)38853), BGl_proc2632z00zz__openpgpzd2packetszd2, BGl_proc2631z00zz__openpgpzd2packetszd2, BFALSE, BGl_proc2630z00zz__openpgpzd2packetszd2, BFALSE, BgL_arg2134z00_888, BgL_arg2135z00_889); } 
{ /* Llib/pgp_packets.scm 72 */
 obj_t BgL_arg2149z00_919; obj_t BgL_arg2150z00_920;
{ /* Llib/pgp_packets.scm 72 */
 obj_t BgL_v1439z00_931;
BgL_v1439z00_931 = 
create_vector(((long)1)); 
{ /* Llib/pgp_packets.scm 72 */
 obj_t BgL_arg2156z00_932;
BgL_arg2156z00_932 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)56)), BGl_proc2634z00zz__openpgpzd2packetszd2, BGl_proc2633z00zz__openpgpzd2packetszd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)6))); 
VECTOR_SET(BgL_v1439z00_931,((long)0),BgL_arg2156z00_932); } 
BgL_arg2149z00_919 = BgL_v1439z00_931; } 
{ /* Llib/pgp_packets.scm 72 */
 obj_t BgL_v1440z00_942;
BgL_v1440z00_942 = 
create_vector(((long)0)); 
BgL_arg2150z00_920 = BgL_v1440z00_942; } 
BGl_PGPzd2MDCzd2Packetz00zz__openpgpzd2packetszd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)57)), 
CNST_TABLE_REF(((long)1)), BGl_PGPzd2Packetzd2zz__openpgpzd2packetszd2, ((long)20880), BGl_proc2637z00zz__openpgpzd2packetszd2, BGl_proc2636z00zz__openpgpzd2packetszd2, BFALSE, BGl_proc2635z00zz__openpgpzd2packetszd2, BFALSE, BgL_arg2149z00_919, BgL_arg2150z00_920); } 
{ /* Llib/pgp_packets.scm 75 */
 obj_t BgL_arg2164z00_949; obj_t BgL_arg2165z00_950;
{ /* Llib/pgp_packets.scm 75 */
 obj_t BgL_v1441z00_961;
BgL_v1441z00_961 = 
create_vector(((long)1)); 
{ /* Llib/pgp_packets.scm 75 */
 obj_t BgL_arg2171z00_962;
BgL_arg2171z00_962 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)58)), BGl_proc2640z00zz__openpgpzd2packetszd2, BGl_proc2639z00zz__openpgpzd2packetszd2, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2638z00zz__openpgpzd2packetszd2, 
CNST_TABLE_REF(((long)32))); 
VECTOR_SET(BgL_v1441z00_961,((long)0),BgL_arg2171z00_962); } 
BgL_arg2164z00_949 = BgL_v1441z00_961; } 
{ /* Llib/pgp_packets.scm 75 */
 obj_t BgL_v1442z00_975;
BgL_v1442z00_975 = 
create_vector(((long)0)); 
BgL_arg2165z00_950 = BgL_v1442z00_975; } 
BGl_PGPzd2Signaturezd2Subzd2Packetzd2zz__openpgpzd2packetszd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)59)), 
CNST_TABLE_REF(((long)1)), BGl_objectz00zz__objectz00, ((long)40149), BGl_proc2643z00zz__openpgpzd2packetszd2, BGl_proc2642z00zz__openpgpzd2packetszd2, BFALSE, BGl_proc2641z00zz__openpgpzd2packetszd2, BFALSE, BgL_arg2164z00_949, BgL_arg2165z00_950); } 
{ /* Llib/pgp_packets.scm 79 */
 obj_t BgL_arg2181z00_982; obj_t BgL_arg2182z00_983;
{ /* Llib/pgp_packets.scm 79 */
 obj_t BgL_v1443z00_996;
BgL_v1443z00_996 = 
create_vector(((long)2)); 
{ /* Llib/pgp_packets.scm 79 */
 obj_t BgL_arg2188z00_997;
BgL_arg2188z00_997 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)60)), BGl_proc2645z00zz__openpgpzd2packetszd2, BGl_proc2644z00zz__openpgpzd2packetszd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)8))); 
VECTOR_SET(BgL_v1443z00_996,((long)0),BgL_arg2188z00_997); } 
{ /* Llib/pgp_packets.scm 79 */
 obj_t BgL_arg2193z00_1007;
BgL_arg2193z00_1007 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)45)), BGl_proc2647z00zz__openpgpzd2packetszd2, BGl_proc2646z00zz__openpgpzd2packetszd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)6))); 
VECTOR_SET(BgL_v1443z00_996,((long)1),BgL_arg2193z00_1007); } 
BgL_arg2181z00_982 = BgL_v1443z00_996; } 
{ /* Llib/pgp_packets.scm 79 */
 obj_t BgL_v1444z00_1017;
BgL_v1444z00_1017 = 
create_vector(((long)0)); 
BgL_arg2182z00_983 = BgL_v1444z00_1017; } 
BGl_PGPzd2Signaturezd2Subzd2Genericzd2zz__openpgpzd2packetszd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)61)), 
CNST_TABLE_REF(((long)1)), BGl_PGPzd2Signaturezd2Subzd2Packetzd2zz__openpgpzd2packetszd2, ((long)31878), BGl_proc2650z00zz__openpgpzd2packetszd2, BGl_proc2649z00zz__openpgpzd2packetszd2, BFALSE, BGl_proc2648z00zz__openpgpzd2packetszd2, BFALSE, BgL_arg2181z00_982, BgL_arg2182z00_983); } 
{ /* Llib/pgp_packets.scm 82 */
 obj_t BgL_arg2201z00_1024; obj_t BgL_arg2202z00_1025;
{ /* Llib/pgp_packets.scm 82 */
 obj_t BgL_v1445z00_1037;
BgL_v1445z00_1037 = 
create_vector(((long)1)); 
{ /* Llib/pgp_packets.scm 82 */
 obj_t BgL_arg2208z00_1038;
BgL_arg2208z00_1038 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)17)), BGl_proc2652z00zz__openpgpzd2packetszd2, BGl_proc2651z00zz__openpgpzd2packetszd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)18))); 
VECTOR_SET(BgL_v1445z00_1037,((long)0),BgL_arg2208z00_1038); } 
BgL_arg2201z00_1024 = BgL_v1445z00_1037; } 
{ /* Llib/pgp_packets.scm 82 */
 obj_t BgL_v1446z00_1048;
BgL_v1446z00_1048 = 
create_vector(((long)0)); 
BgL_arg2202z00_1025 = BgL_v1446z00_1048; } 
BGl_PGPzd2Signaturezd2Subzd2Creationzd2Timez00zz__openpgpzd2packetszd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)62)), 
CNST_TABLE_REF(((long)1)), BGl_PGPzd2Signaturezd2Subzd2Packetzd2zz__openpgpzd2packetszd2, ((long)33723), BGl_proc2655z00zz__openpgpzd2packetszd2, BGl_proc2654z00zz__openpgpzd2packetszd2, BFALSE, BGl_proc2653z00zz__openpgpzd2packetszd2, BFALSE, BgL_arg2201z00_1024, BgL_arg2202z00_1025); } 
{ /* Llib/pgp_packets.scm 84 */
 obj_t BgL_arg2216z00_1055; obj_t BgL_arg2217z00_1056;
{ /* Llib/pgp_packets.scm 84 */
 obj_t BgL_v1447z00_1068;
BgL_v1447z00_1068 = 
create_vector(((long)1)); 
{ /* Llib/pgp_packets.scm 84 */
 obj_t BgL_arg2223z00_1069;
BgL_arg2223z00_1069 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)63)), BGl_proc2657z00zz__openpgpzd2packetszd2, BGl_proc2656z00zz__openpgpzd2packetszd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)18))); 
VECTOR_SET(BgL_v1447z00_1068,((long)0),BgL_arg2223z00_1069); } 
BgL_arg2216z00_1055 = BgL_v1447z00_1068; } 
{ /* Llib/pgp_packets.scm 84 */
 obj_t BgL_v1448z00_1079;
BgL_v1448z00_1079 = 
create_vector(((long)0)); 
BgL_arg2217z00_1056 = BgL_v1448z00_1079; } 
BGl_PGPzd2Signaturezd2Subzd2Expirationzd2Timez00zz__openpgpzd2packetszd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)64)), 
CNST_TABLE_REF(((long)1)), BGl_PGPzd2Signaturezd2Subzd2Packetzd2zz__openpgpzd2packetszd2, ((long)61111), BGl_proc2660z00zz__openpgpzd2packetszd2, BGl_proc2659z00zz__openpgpzd2packetszd2, BFALSE, BGl_proc2658z00zz__openpgpzd2packetszd2, BFALSE, BgL_arg2216z00_1055, BgL_arg2217z00_1056); } 
{ /* Llib/pgp_packets.scm 86 */
 obj_t BgL_arg2231z00_1086; obj_t BgL_arg2232z00_1087;
{ /* Llib/pgp_packets.scm 86 */
 obj_t BgL_v1449z00_1099;
BgL_v1449z00_1099 = 
create_vector(((long)1)); 
{ /* Llib/pgp_packets.scm 86 */
 obj_t BgL_arg2238z00_1100;
BgL_arg2238z00_1100 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)65)), BGl_proc2662z00zz__openpgpzd2packetszd2, BGl_proc2661z00zz__openpgpzd2packetszd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)32))); 
VECTOR_SET(BgL_v1449z00_1099,((long)0),BgL_arg2238z00_1100); } 
BgL_arg2231z00_1086 = BgL_v1449z00_1099; } 
{ /* Llib/pgp_packets.scm 86 */
 obj_t BgL_v1450z00_1110;
BgL_v1450z00_1110 = 
create_vector(((long)0)); 
BgL_arg2232z00_1087 = BgL_v1450z00_1110; } 
BGl_PGPzd2Signaturezd2Subzd2Exportablezd2zz__openpgpzd2packetszd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)66)), 
CNST_TABLE_REF(((long)1)), BGl_PGPzd2Signaturezd2Subzd2Packetzd2zz__openpgpzd2packetszd2, ((long)3155), BGl_proc2665z00zz__openpgpzd2packetszd2, BGl_proc2664z00zz__openpgpzd2packetszd2, BFALSE, BGl_proc2663z00zz__openpgpzd2packetszd2, BFALSE, BgL_arg2231z00_1086, BgL_arg2232z00_1087); } 
{ /* Llib/pgp_packets.scm 88 */
 obj_t BgL_arg2246z00_1117; obj_t BgL_arg2247z00_1118;
{ /* Llib/pgp_packets.scm 88 */
 obj_t BgL_v1451z00_1131;
BgL_v1451z00_1131 = 
create_vector(((long)2)); 
{ /* Llib/pgp_packets.scm 88 */
 obj_t BgL_arg2253z00_1132;
BgL_arg2253z00_1132 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)67)), BGl_proc2667z00zz__openpgpzd2packetszd2, BGl_proc2666z00zz__openpgpzd2packetszd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)68))); 
VECTOR_SET(BgL_v1451z00_1131,((long)0),BgL_arg2253z00_1132); } 
{ /* Llib/pgp_packets.scm 88 */
 obj_t BgL_arg2258z00_1142;
BgL_arg2258z00_1142 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)69)), BGl_proc2669z00zz__openpgpzd2packetszd2, BGl_proc2668z00zz__openpgpzd2packetszd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)68))); 
VECTOR_SET(BgL_v1451z00_1131,((long)1),BgL_arg2258z00_1142); } 
BgL_arg2246z00_1117 = BgL_v1451z00_1131; } 
{ /* Llib/pgp_packets.scm 88 */
 obj_t BgL_v1452z00_1152;
BgL_v1452z00_1152 = 
create_vector(((long)0)); 
BgL_arg2247z00_1118 = BgL_v1452z00_1152; } 
BGl_PGPzd2Signaturezd2Subzd2Trustzd2zz__openpgpzd2packetszd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)70)), 
CNST_TABLE_REF(((long)1)), BGl_PGPzd2Signaturezd2Subzd2Packetzd2zz__openpgpzd2packetszd2, ((long)24246), BGl_proc2672z00zz__openpgpzd2packetszd2, BGl_proc2671z00zz__openpgpzd2packetszd2, BFALSE, BGl_proc2670z00zz__openpgpzd2packetszd2, BFALSE, BgL_arg2246z00_1117, BgL_arg2247z00_1118); } 
{ /* Llib/pgp_packets.scm 91 */
 obj_t BgL_arg2266z00_1159; obj_t BgL_arg2267z00_1160;
{ /* Llib/pgp_packets.scm 91 */
 obj_t BgL_v1453z00_1172;
BgL_v1453z00_1172 = 
create_vector(((long)1)); 
{ /* Llib/pgp_packets.scm 91 */
 obj_t BgL_arg2273z00_1173;
BgL_arg2273z00_1173 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)71)), BGl_proc2674z00zz__openpgpzd2packetszd2, BGl_proc2673z00zz__openpgpzd2packetszd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)32))); 
VECTOR_SET(BgL_v1453z00_1172,((long)0),BgL_arg2273z00_1173); } 
BgL_arg2266z00_1159 = BgL_v1453z00_1172; } 
{ /* Llib/pgp_packets.scm 91 */
 obj_t BgL_v1454z00_1183;
BgL_v1454z00_1183 = 
create_vector(((long)0)); 
BgL_arg2267z00_1160 = BgL_v1454z00_1183; } 
BGl_PGPzd2Signaturezd2Subzd2Revocablezd2zz__openpgpzd2packetszd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)72)), 
CNST_TABLE_REF(((long)1)), BGl_PGPzd2Signaturezd2Subzd2Packetzd2zz__openpgpzd2packetszd2, ((long)15541), BGl_proc2677z00zz__openpgpzd2packetszd2, BGl_proc2676z00zz__openpgpzd2packetszd2, BFALSE, BGl_proc2675z00zz__openpgpzd2packetszd2, BFALSE, BgL_arg2266z00_1159, BgL_arg2267z00_1160); } 
{ /* Llib/pgp_packets.scm 93 */
 obj_t BgL_arg2281z00_1190; obj_t BgL_arg2282z00_1191;
{ /* Llib/pgp_packets.scm 93 */
 obj_t BgL_v1455z00_1203;
BgL_v1455z00_1203 = 
create_vector(((long)1)); 
{ /* Llib/pgp_packets.scm 93 */
 obj_t BgL_arg2288z00_1204;
BgL_arg2288z00_1204 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)73)), BGl_proc2679z00zz__openpgpzd2packetszd2, BGl_proc2678z00zz__openpgpzd2packetszd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)4))); 
VECTOR_SET(BgL_v1455z00_1203,((long)0),BgL_arg2288z00_1204); } 
BgL_arg2281z00_1190 = BgL_v1455z00_1203; } 
{ /* Llib/pgp_packets.scm 93 */
 obj_t BgL_v1456z00_1214;
BgL_v1456z00_1214 = 
create_vector(((long)0)); 
BgL_arg2282z00_1191 = BgL_v1456z00_1214; } 
BGl_PGPzd2Signaturezd2Subzd2Keyzd2Expirationzd2Timezd2zz__openpgpzd2packetszd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)74)), 
CNST_TABLE_REF(((long)1)), BGl_PGPzd2Signaturezd2Subzd2Packetzd2zz__openpgpzd2packetszd2, ((long)50790), BGl_proc2682z00zz__openpgpzd2packetszd2, BGl_proc2681z00zz__openpgpzd2packetszd2, BFALSE, BGl_proc2680z00zz__openpgpzd2packetszd2, BFALSE, BgL_arg2281z00_1190, BgL_arg2282z00_1191); } 
{ /* Llib/pgp_packets.scm 95 */
 obj_t BgL_arg2296z00_1221; obj_t BgL_arg2297z00_1222;
{ /* Llib/pgp_packets.scm 95 */
 obj_t BgL_v1457z00_1234;
BgL_v1457z00_1234 = 
create_vector(((long)1)); 
{ /* Llib/pgp_packets.scm 95 */
 obj_t BgL_arg2303z00_1235;
BgL_arg2303z00_1235 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)75)), BGl_proc2684z00zz__openpgpzd2packetszd2, BGl_proc2683z00zz__openpgpzd2packetszd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)26))); 
VECTOR_SET(BgL_v1457z00_1234,((long)0),BgL_arg2303z00_1235); } 
BgL_arg2296z00_1221 = BgL_v1457z00_1234; } 
{ /* Llib/pgp_packets.scm 95 */
 obj_t BgL_v1458z00_1245;
BgL_v1458z00_1245 = 
create_vector(((long)0)); 
BgL_arg2297z00_1222 = BgL_v1458z00_1245; } 
BGl_PGPzd2Signaturezd2Subzd2Preferredzd2Symmetricz00zz__openpgpzd2packetszd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)76)), 
CNST_TABLE_REF(((long)1)), BGl_PGPzd2Signaturezd2Subzd2Packetzd2zz__openpgpzd2packetszd2, ((long)983), BGl_proc2687z00zz__openpgpzd2packetszd2, BGl_proc2686z00zz__openpgpzd2packetszd2, BFALSE, BGl_proc2685z00zz__openpgpzd2packetszd2, BFALSE, BgL_arg2296z00_1221, BgL_arg2297z00_1222); } 
{ /* Llib/pgp_packets.scm 97 */
 obj_t BgL_arg2311z00_1252; obj_t BgL_arg2312z00_1253;
{ /* Llib/pgp_packets.scm 97 */
 obj_t BgL_v1459z00_1268;
BgL_v1459z00_1268 = 
create_vector(((long)4)); 
{ /* Llib/pgp_packets.scm 97 */
 obj_t BgL_arg2318z00_1269;
BgL_arg2318z00_1269 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)77)), BGl_proc2689z00zz__openpgpzd2packetszd2, BGl_proc2688z00zz__openpgpzd2packetszd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)78))); 
VECTOR_SET(BgL_v1459z00_1268,((long)0),BgL_arg2318z00_1269); } 
{ /* Llib/pgp_packets.scm 97 */
 obj_t BgL_arg2323z00_1279;
BgL_arg2323z00_1279 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)79)), BGl_proc2691z00zz__openpgpzd2packetszd2, BGl_proc2690z00zz__openpgpzd2packetszd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)32))); 
VECTOR_SET(BgL_v1459z00_1268,((long)1),BgL_arg2323z00_1279); } 
{ /* Llib/pgp_packets.scm 97 */
 obj_t BgL_arg2328z00_1289;
BgL_arg2328z00_1289 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)80)), BGl_proc2693z00zz__openpgpzd2packetszd2, BGl_proc2692z00zz__openpgpzd2packetszd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)78))); 
VECTOR_SET(BgL_v1459z00_1268,((long)2),BgL_arg2328z00_1289); } 
{ /* Llib/pgp_packets.scm 97 */
 obj_t BgL_arg2333z00_1299;
BgL_arg2333z00_1299 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)81)), BGl_proc2695z00zz__openpgpzd2packetszd2, BGl_proc2694z00zz__openpgpzd2packetszd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)6))); 
VECTOR_SET(BgL_v1459z00_1268,((long)3),BgL_arg2333z00_1299); } 
BgL_arg2311z00_1252 = BgL_v1459z00_1268; } 
{ /* Llib/pgp_packets.scm 97 */
 obj_t BgL_v1460z00_1309;
BgL_v1460z00_1309 = 
create_vector(((long)0)); 
BgL_arg2312z00_1253 = BgL_v1460z00_1309; } 
BGl_PGPzd2Signaturezd2Subzd2Revocationzd2zz__openpgpzd2packetszd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)82)), 
CNST_TABLE_REF(((long)1)), BGl_PGPzd2Signaturezd2Subzd2Packetzd2zz__openpgpzd2packetszd2, ((long)49123), BGl_proc2698z00zz__openpgpzd2packetszd2, BGl_proc2697z00zz__openpgpzd2packetszd2, BFALSE, BGl_proc2696z00zz__openpgpzd2packetszd2, BFALSE, BgL_arg2311z00_1252, BgL_arg2312z00_1253); } 
{ /* Llib/pgp_packets.scm 102 */
 obj_t BgL_arg2341z00_1316; obj_t BgL_arg2342z00_1317;
{ /* Llib/pgp_packets.scm 102 */
 obj_t BgL_v1461z00_1329;
BgL_v1461z00_1329 = 
create_vector(((long)1)); 
{ /* Llib/pgp_packets.scm 102 */
 obj_t BgL_arg2348z00_1330;
BgL_arg2348z00_1330 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)83)), BGl_proc2700z00zz__openpgpzd2packetszd2, BGl_proc2699z00zz__openpgpzd2packetszd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)6))); 
VECTOR_SET(BgL_v1461z00_1329,((long)0),BgL_arg2348z00_1330); } 
BgL_arg2341z00_1316 = BgL_v1461z00_1329; } 
{ /* Llib/pgp_packets.scm 102 */
 obj_t BgL_v1462z00_1340;
BgL_v1462z00_1340 = 
create_vector(((long)0)); 
BgL_arg2342z00_1317 = BgL_v1462z00_1340; } 
BGl_PGPzd2Signaturezd2Subzd2IDzd2zz__openpgpzd2packetszd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)84)), 
CNST_TABLE_REF(((long)1)), BGl_PGPzd2Signaturezd2Subzd2Packetzd2zz__openpgpzd2packetszd2, ((long)31441), BGl_proc2703z00zz__openpgpzd2packetszd2, BGl_proc2702z00zz__openpgpzd2packetszd2, BFALSE, BGl_proc2701z00zz__openpgpzd2packetszd2, BFALSE, BgL_arg2341z00_1316, BgL_arg2342z00_1317); } 
{ /* Llib/pgp_packets.scm 104 */
 obj_t BgL_arg2356z00_1347; obj_t BgL_arg2357z00_1348;
{ /* Llib/pgp_packets.scm 104 */
 obj_t BgL_v1463z00_1362;
BgL_v1463z00_1362 = 
create_vector(((long)3)); 
{ /* Llib/pgp_packets.scm 104 */
 obj_t BgL_arg2363z00_1363;
BgL_arg2363z00_1363 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)85)), BGl_proc2705z00zz__openpgpzd2packetszd2, BGl_proc2704z00zz__openpgpzd2packetszd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)6))); 
VECTOR_SET(BgL_v1463z00_1362,((long)0),BgL_arg2363z00_1363); } 
{ /* Llib/pgp_packets.scm 104 */
 obj_t BgL_arg2368z00_1373;
BgL_arg2368z00_1373 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)86)), BGl_proc2707z00zz__openpgpzd2packetszd2, BGl_proc2706z00zz__openpgpzd2packetszd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)6))); 
VECTOR_SET(BgL_v1463z00_1362,((long)1),BgL_arg2368z00_1373); } 
{ /* Llib/pgp_packets.scm 104 */
 obj_t BgL_arg2373z00_1383;
BgL_arg2373z00_1383 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)87)), BGl_proc2709z00zz__openpgpzd2packetszd2, BGl_proc2708z00zz__openpgpzd2packetszd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)6))); 
VECTOR_SET(BgL_v1463z00_1362,((long)2),BgL_arg2373z00_1383); } 
BgL_arg2356z00_1347 = BgL_v1463z00_1362; } 
{ /* Llib/pgp_packets.scm 104 */
 obj_t BgL_v1464z00_1393;
BgL_v1464z00_1393 = 
create_vector(((long)0)); 
BgL_arg2357z00_1348 = BgL_v1464z00_1393; } 
BGl_PGPzd2Signaturezd2Subzd2Notationzd2zz__openpgpzd2packetszd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)88)), 
CNST_TABLE_REF(((long)1)), BGl_PGPzd2Signaturezd2Subzd2Packetzd2zz__openpgpzd2packetszd2, ((long)11778), BGl_proc2712z00zz__openpgpzd2packetszd2, BGl_proc2711z00zz__openpgpzd2packetszd2, BFALSE, BGl_proc2710z00zz__openpgpzd2packetszd2, BFALSE, BgL_arg2356z00_1347, BgL_arg2357z00_1348); } 
{ /* Llib/pgp_packets.scm 107 */
 obj_t BgL_arg2381z00_1400; obj_t BgL_arg2382z00_1401;
{ /* Llib/pgp_packets.scm 107 */
 obj_t BgL_v1465z00_1413;
BgL_v1465z00_1413 = 
create_vector(((long)1)); 
{ /* Llib/pgp_packets.scm 107 */
 obj_t BgL_arg2388z00_1414;
BgL_arg2388z00_1414 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)75)), BGl_proc2714z00zz__openpgpzd2packetszd2, BGl_proc2713z00zz__openpgpzd2packetszd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)26))); 
VECTOR_SET(BgL_v1465z00_1413,((long)0),BgL_arg2388z00_1414); } 
BgL_arg2381z00_1400 = BgL_v1465z00_1413; } 
{ /* Llib/pgp_packets.scm 107 */
 obj_t BgL_v1466z00_1424;
BgL_v1466z00_1424 = 
create_vector(((long)0)); 
BgL_arg2382z00_1401 = BgL_v1466z00_1424; } 
BGl_PGPzd2Signaturezd2Subzd2Preferredzd2Hashz00zz__openpgpzd2packetszd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)89)), 
CNST_TABLE_REF(((long)1)), BGl_PGPzd2Signaturezd2Subzd2Packetzd2zz__openpgpzd2packetszd2, ((long)29934), BGl_proc2717z00zz__openpgpzd2packetszd2, BGl_proc2716z00zz__openpgpzd2packetszd2, BFALSE, BGl_proc2715z00zz__openpgpzd2packetszd2, BFALSE, BgL_arg2381z00_1400, BgL_arg2382z00_1401); } 
{ /* Llib/pgp_packets.scm 109 */
 obj_t BgL_arg2396z00_1431; obj_t BgL_arg2397z00_1432;
{ /* Llib/pgp_packets.scm 109 */
 obj_t BgL_v1467z00_1444;
BgL_v1467z00_1444 = 
create_vector(((long)1)); 
{ /* Llib/pgp_packets.scm 109 */
 obj_t BgL_arg2403z00_1445;
BgL_arg2403z00_1445 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)75)), BGl_proc2719z00zz__openpgpzd2packetszd2, BGl_proc2718z00zz__openpgpzd2packetszd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)26))); 
VECTOR_SET(BgL_v1467z00_1444,((long)0),BgL_arg2403z00_1445); } 
BgL_arg2396z00_1431 = BgL_v1467z00_1444; } 
{ /* Llib/pgp_packets.scm 109 */
 obj_t BgL_v1468z00_1455;
BgL_v1468z00_1455 = 
create_vector(((long)0)); 
BgL_arg2397z00_1432 = BgL_v1468z00_1455; } 
BGl_PGPzd2Signaturezd2Subzd2Preferredzd2Compressionz00zz__openpgpzd2packetszd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)90)), 
CNST_TABLE_REF(((long)1)), BGl_PGPzd2Signaturezd2Subzd2Packetzd2zz__openpgpzd2packetszd2, ((long)47196), BGl_proc2722z00zz__openpgpzd2packetszd2, BGl_proc2721z00zz__openpgpzd2packetszd2, BFALSE, BGl_proc2720z00zz__openpgpzd2packetszd2, BFALSE, BgL_arg2396z00_1431, BgL_arg2397z00_1432); } 
{ /* Llib/pgp_packets.scm 111 */
 obj_t BgL_arg2411z00_1462; obj_t BgL_arg2412z00_1463;
{ /* Llib/pgp_packets.scm 111 */
 obj_t BgL_v1469z00_1475;
BgL_v1469z00_1475 = 
create_vector(((long)1)); 
{ /* Llib/pgp_packets.scm 111 */
 obj_t BgL_arg2418z00_1476;
BgL_arg2418z00_1476 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)91)), BGl_proc2724z00zz__openpgpzd2packetszd2, BGl_proc2723z00zz__openpgpzd2packetszd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)6))); 
VECTOR_SET(BgL_v1469z00_1475,((long)0),BgL_arg2418z00_1476); } 
BgL_arg2411z00_1462 = BgL_v1469z00_1475; } 
{ /* Llib/pgp_packets.scm 111 */
 obj_t BgL_v1470z00_1486;
BgL_v1470z00_1486 = 
create_vector(((long)0)); 
BgL_arg2412z00_1463 = BgL_v1470z00_1486; } 
BGl_PGPzd2Signaturezd2Subzd2Preferredzd2Keyzd2Serverzd2zz__openpgpzd2packetszd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)92)), 
CNST_TABLE_REF(((long)1)), BGl_PGPzd2Signaturezd2Subzd2Packetzd2zz__openpgpzd2packetszd2, ((long)10017), BGl_proc2727z00zz__openpgpzd2packetszd2, BGl_proc2726z00zz__openpgpzd2packetszd2, BFALSE, BGl_proc2725z00zz__openpgpzd2packetszd2, BFALSE, BgL_arg2411z00_1462, BgL_arg2412z00_1463); } 
{ /* Llib/pgp_packets.scm 113 */
 obj_t BgL_arg2426z00_1493; obj_t BgL_arg2427z00_1494;
{ /* Llib/pgp_packets.scm 113 */
 obj_t BgL_v1471z00_1506;
BgL_v1471z00_1506 = 
create_vector(((long)1)); 
{ /* Llib/pgp_packets.scm 113 */
 obj_t BgL_arg2433z00_1507;
BgL_arg2433z00_1507 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)93)), BGl_proc2729z00zz__openpgpzd2packetszd2, BGl_proc2728z00zz__openpgpzd2packetszd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)32))); 
VECTOR_SET(BgL_v1471z00_1506,((long)0),BgL_arg2433z00_1507); } 
BgL_arg2426z00_1493 = BgL_v1471z00_1506; } 
{ /* Llib/pgp_packets.scm 113 */
 obj_t BgL_v1472z00_1517;
BgL_v1472z00_1517 = 
create_vector(((long)0)); 
BgL_arg2427z00_1494 = BgL_v1472z00_1517; } 
BGl_PGPzd2Signaturezd2Subzd2Primaryzd2IDz00zz__openpgpzd2packetszd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)94)), 
CNST_TABLE_REF(((long)1)), BGl_PGPzd2Signaturezd2Subzd2Packetzd2zz__openpgpzd2packetszd2, ((long)4569), BGl_proc2732z00zz__openpgpzd2packetszd2, BGl_proc2731z00zz__openpgpzd2packetszd2, BFALSE, BGl_proc2730z00zz__openpgpzd2packetszd2, BFALSE, BgL_arg2426z00_1493, BgL_arg2427z00_1494); } 
{ /* Llib/pgp_packets.scm 115 */
 obj_t BgL_arg2441z00_1524; obj_t BgL_arg2442z00_1525;
{ /* Llib/pgp_packets.scm 115 */
 obj_t BgL_v1473z00_1537;
BgL_v1473z00_1537 = 
create_vector(((long)1)); 
{ /* Llib/pgp_packets.scm 115 */
 obj_t BgL_arg2448z00_1538;
BgL_arg2448z00_1538 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)95)), BGl_proc2734z00zz__openpgpzd2packetszd2, BGl_proc2733z00zz__openpgpzd2packetszd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)6))); 
VECTOR_SET(BgL_v1473z00_1537,((long)0),BgL_arg2448z00_1538); } 
BgL_arg2441z00_1524 = BgL_v1473z00_1537; } 
{ /* Llib/pgp_packets.scm 115 */
 obj_t BgL_v1474z00_1548;
BgL_v1474z00_1548 = 
create_vector(((long)0)); 
BgL_arg2442z00_1525 = BgL_v1474z00_1548; } 
BGl_PGPzd2Signaturezd2Subzd2Policyzd2zz__openpgpzd2packetszd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)96)), 
CNST_TABLE_REF(((long)1)), BGl_PGPzd2Signaturezd2Subzd2Packetzd2zz__openpgpzd2packetszd2, ((long)38148), BGl_proc2737z00zz__openpgpzd2packetszd2, BGl_proc2736z00zz__openpgpzd2packetszd2, BFALSE, BGl_proc2735z00zz__openpgpzd2packetszd2, BFALSE, BgL_arg2441z00_1524, BgL_arg2442z00_1525); } 
{ /* Llib/pgp_packets.scm 117 */
 obj_t BgL_arg2456z00_1555; obj_t BgL_arg2457z00_1556;
{ /* Llib/pgp_packets.scm 117 */
 obj_t BgL_v1475z00_1568;
BgL_v1475z00_1568 = 
create_vector(((long)1)); 
{ /* Llib/pgp_packets.scm 117 */
 obj_t BgL_arg2463z00_1569;
BgL_arg2463z00_1569 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)5)), BGl_proc2739z00zz__openpgpzd2packetszd2, BGl_proc2738z00zz__openpgpzd2packetszd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)6))); 
VECTOR_SET(BgL_v1475z00_1568,((long)0),BgL_arg2463z00_1569); } 
BgL_arg2456z00_1555 = BgL_v1475z00_1568; } 
{ /* Llib/pgp_packets.scm 117 */
 obj_t BgL_v1476z00_1579;
BgL_v1476z00_1579 = 
create_vector(((long)0)); 
BgL_arg2457z00_1556 = BgL_v1476z00_1579; } 
BGl_PGPzd2Signaturezd2Subzd2Signerzd2IDz00zz__openpgpzd2packetszd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)97)), 
CNST_TABLE_REF(((long)1)), BGl_PGPzd2Signaturezd2Subzd2Packetzd2zz__openpgpzd2packetszd2, ((long)31644), BGl_proc2742z00zz__openpgpzd2packetszd2, BGl_proc2741z00zz__openpgpzd2packetszd2, BFALSE, BGl_proc2740z00zz__openpgpzd2packetszd2, BFALSE, BgL_arg2456z00_1555, BgL_arg2457z00_1556); } 
{ /* Llib/pgp_packets.scm 119 */
 obj_t BgL_arg2471z00_1586; obj_t BgL_arg2472z00_1587;
{ /* Llib/pgp_packets.scm 119 */
 obj_t BgL_v1477z00_1600;
BgL_v1477z00_1600 = 
create_vector(((long)2)); 
{ /* Llib/pgp_packets.scm 119 */
 obj_t BgL_arg2478z00_1601;
BgL_arg2478z00_1601 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)98)), BGl_proc2744z00zz__openpgpzd2packetszd2, BGl_proc2743z00zz__openpgpzd2packetszd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)8))); 
VECTOR_SET(BgL_v1477z00_1600,((long)0),BgL_arg2478z00_1601); } 
{ /* Llib/pgp_packets.scm 119 */
 obj_t BgL_arg2483z00_1611;
BgL_arg2483z00_1611 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)99)), BGl_proc2746z00zz__openpgpzd2packetszd2, BGl_proc2745z00zz__openpgpzd2packetszd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)6))); 
VECTOR_SET(BgL_v1477z00_1600,((long)1),BgL_arg2483z00_1611); } 
BgL_arg2471z00_1586 = BgL_v1477z00_1600; } 
{ /* Llib/pgp_packets.scm 119 */
 obj_t BgL_v1478z00_1621;
BgL_v1478z00_1621 = 
create_vector(((long)0)); 
BgL_arg2472z00_1587 = BgL_v1478z00_1621; } 
return ( 
BGl_PGPzd2Signaturezd2Subzd2Revocationzd2Reasonz00zz__openpgpzd2packetszd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)100)), 
CNST_TABLE_REF(((long)1)), BGl_PGPzd2Signaturezd2Subzd2Packetzd2zz__openpgpzd2packetszd2, ((long)45119), BGl_proc2749z00zz__openpgpzd2packetszd2, BGl_proc2748z00zz__openpgpzd2packetszd2, BFALSE, BGl_proc2747z00zz__openpgpzd2packetszd2, BFALSE, BgL_arg2471z00_1586, BgL_arg2472z00_1587), BUNSPEC) ;} } 

}



/* &<@anonymous:2477> */
obj_t BGl_z62zc3z04anonymousza32477ze3ze5zz__openpgpzd2packetszd2(obj_t BgL_envz00_2353, obj_t BgL_new1313z00_2354)
{
{ /* Llib/pgp_packets.scm 119 */
{ 
 BgL_pgpzd2signaturezd2subzd2revocationzd2reasonz00_bglt BgL_auxz00_4095;
((((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)
((BgL_pgpzd2signaturezd2subzd2revocationzd2reasonz00_bglt)BgL_new1313z00_2354))))->BgL_criticalzf3zf3)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_pgpzd2signaturezd2subzd2revocationzd2reasonz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2revocationzd2reasonz00_bglt)BgL_new1313z00_2354)))->BgL_codez00)=((obj_t)
CNST_TABLE_REF(((long)101))),BUNSPEC); 
((((BgL_pgpzd2signaturezd2subzd2revocationzd2reasonz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2revocationzd2reasonz00_bglt)BgL_new1313z00_2354)))->BgL_reasonz00)=((obj_t)BGl_string2750z00zz__openpgpzd2packetszd2),BUNSPEC); 
BgL_auxz00_4095 = 
((BgL_pgpzd2signaturezd2subzd2revocationzd2reasonz00_bglt)BgL_new1313z00_2354); 
return 
((obj_t)BgL_auxz00_4095);} } 

}



/* &lambda2475 */
BgL_pgpzd2signaturezd2subzd2revocationzd2reasonz00_bglt BGl_z62lambda2475z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2355)
{
{ /* Llib/pgp_packets.scm 119 */
{ /* Llib/pgp_packets.scm 119 */
 BgL_pgpzd2signaturezd2subzd2revocationzd2reasonz00_bglt BgL_new1312z00_3014;
BgL_new1312z00_3014 = 
((BgL_pgpzd2signaturezd2subzd2revocationzd2reasonz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2signaturezd2subzd2revocationzd2reasonz00_bgl) ))); 
{ /* Llib/pgp_packets.scm 119 */
 long BgL_arg2476z00_3015;
BgL_arg2476z00_3015 = 
BGL_CLASS_NUM(BGl_PGPzd2Signaturezd2Subzd2Revocationzd2Reasonz00zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1312z00_3014), BgL_arg2476z00_3015); } 
{ /* Llib/pgp_packets.scm 119 */
 BgL_objectz00_bglt BgL_tmpz00_4110;
BgL_tmpz00_4110 = 
((BgL_objectz00_bglt)BgL_new1312z00_3014); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4110, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1312z00_3014); 
return BgL_new1312z00_3014;} } 

}



/* &lambda2473 */
BgL_pgpzd2signaturezd2subzd2revocationzd2reasonz00_bglt BGl_z62lambda2473z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2356, obj_t BgL_criticalzf31309zf3_2357, obj_t BgL_code1310z00_2358, obj_t BgL_reason1311z00_2359)
{
{ /* Llib/pgp_packets.scm 119 */
{ /* Llib/pgp_packets.scm 119 */
 bool_t BgL_criticalzf31309zf3_3016;
BgL_criticalzf31309zf3_3016 = 
CBOOL(BgL_criticalzf31309zf3_2357); 
{ /* Llib/pgp_packets.scm 119 */
 BgL_pgpzd2signaturezd2subzd2revocationzd2reasonz00_bglt BgL_new1396z00_3019;
{ /* Llib/pgp_packets.scm 119 */
 BgL_pgpzd2signaturezd2subzd2revocationzd2reasonz00_bglt BgL_new1395z00_3020;
BgL_new1395z00_3020 = 
((BgL_pgpzd2signaturezd2subzd2revocationzd2reasonz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2signaturezd2subzd2revocationzd2reasonz00_bgl) ))); 
{ /* Llib/pgp_packets.scm 119 */
 long BgL_arg2474z00_3021;
BgL_arg2474z00_3021 = 
BGL_CLASS_NUM(BGl_PGPzd2Signaturezd2Subzd2Revocationzd2Reasonz00zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1395z00_3020), BgL_arg2474z00_3021); } 
{ /* Llib/pgp_packets.scm 119 */
 BgL_objectz00_bglt BgL_tmpz00_4119;
BgL_tmpz00_4119 = 
((BgL_objectz00_bglt)BgL_new1395z00_3020); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4119, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1395z00_3020); 
BgL_new1396z00_3019 = BgL_new1395z00_3020; } 
((((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)BgL_new1396z00_3019)))->BgL_criticalzf3zf3)=((bool_t)BgL_criticalzf31309zf3_3016),BUNSPEC); 
((((BgL_pgpzd2signaturezd2subzd2revocationzd2reasonz00_bglt)COBJECT(BgL_new1396z00_3019))->BgL_codez00)=((obj_t)
((obj_t)BgL_code1310z00_2358)),BUNSPEC); 
((((BgL_pgpzd2signaturezd2subzd2revocationzd2reasonz00_bglt)COBJECT(BgL_new1396z00_3019))->BgL_reasonz00)=((obj_t)
((obj_t)BgL_reason1311z00_2359)),BUNSPEC); 
return BgL_new1396z00_3019;} } } 

}



/* &lambda2487 */
obj_t BGl_z62lambda2487z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2360, obj_t BgL_oz00_2361, obj_t BgL_vz00_2362)
{
{ /* Llib/pgp_packets.scm 119 */
return 
((((BgL_pgpzd2signaturezd2subzd2revocationzd2reasonz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2revocationzd2reasonz00_bglt)BgL_oz00_2361)))->BgL_reasonz00)=((obj_t)
((obj_t)BgL_vz00_2362)),BUNSPEC);} 

}



/* &lambda2486 */
obj_t BGl_z62lambda2486z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2363, obj_t BgL_oz00_2364)
{
{ /* Llib/pgp_packets.scm 119 */
return 
(((BgL_pgpzd2signaturezd2subzd2revocationzd2reasonz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2revocationzd2reasonz00_bglt)BgL_oz00_2364)))->BgL_reasonz00);} 

}



/* &lambda2482 */
obj_t BGl_z62lambda2482z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2365, obj_t BgL_oz00_2366, obj_t BgL_vz00_2367)
{
{ /* Llib/pgp_packets.scm 119 */
return 
((((BgL_pgpzd2signaturezd2subzd2revocationzd2reasonz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2revocationzd2reasonz00_bglt)BgL_oz00_2366)))->BgL_codez00)=((obj_t)
((obj_t)BgL_vz00_2367)),BUNSPEC);} 

}



/* &lambda2481 */
obj_t BGl_z62lambda2481z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2368, obj_t BgL_oz00_2369)
{
{ /* Llib/pgp_packets.scm 119 */
return 
(((BgL_pgpzd2signaturezd2subzd2revocationzd2reasonz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2revocationzd2reasonz00_bglt)BgL_oz00_2369)))->BgL_codez00);} 

}



/* &<@anonymous:2462> */
obj_t BGl_z62zc3z04anonymousza32462ze3ze5zz__openpgpzd2packetszd2(obj_t BgL_envz00_2370, obj_t BgL_new1307z00_2371)
{
{ /* Llib/pgp_packets.scm 117 */
{ 
 BgL_pgpzd2signaturezd2subzd2signerzd2idz00_bglt BgL_auxz00_4139;
((((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)
((BgL_pgpzd2signaturezd2subzd2signerzd2idz00_bglt)BgL_new1307z00_2371))))->BgL_criticalzf3zf3)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_pgpzd2signaturezd2subzd2signerzd2idz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2signerzd2idz00_bglt)BgL_new1307z00_2371)))->BgL_idz00)=((obj_t)BGl_string2750z00zz__openpgpzd2packetszd2),BUNSPEC); 
BgL_auxz00_4139 = 
((BgL_pgpzd2signaturezd2subzd2signerzd2idz00_bglt)BgL_new1307z00_2371); 
return 
((obj_t)BgL_auxz00_4139);} } 

}



/* &lambda2460 */
BgL_pgpzd2signaturezd2subzd2signerzd2idz00_bglt BGl_z62lambda2460z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2372)
{
{ /* Llib/pgp_packets.scm 117 */
{ /* Llib/pgp_packets.scm 117 */
 BgL_pgpzd2signaturezd2subzd2signerzd2idz00_bglt BgL_new1306z00_3029;
BgL_new1306z00_3029 = 
((BgL_pgpzd2signaturezd2subzd2signerzd2idz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2signaturezd2subzd2signerzd2idz00_bgl) ))); 
{ /* Llib/pgp_packets.scm 117 */
 long BgL_arg2461z00_3030;
BgL_arg2461z00_3030 = 
BGL_CLASS_NUM(BGl_PGPzd2Signaturezd2Subzd2Signerzd2IDz00zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1306z00_3029), BgL_arg2461z00_3030); } 
{ /* Llib/pgp_packets.scm 117 */
 BgL_objectz00_bglt BgL_tmpz00_4151;
BgL_tmpz00_4151 = 
((BgL_objectz00_bglt)BgL_new1306z00_3029); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4151, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1306z00_3029); 
return BgL_new1306z00_3029;} } 

}



/* &lambda2458 */
BgL_pgpzd2signaturezd2subzd2signerzd2idz00_bglt BGl_z62lambda2458z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2373, obj_t BgL_criticalzf31304zf3_2374, obj_t BgL_id1305z00_2375)
{
{ /* Llib/pgp_packets.scm 117 */
{ /* Llib/pgp_packets.scm 117 */
 bool_t BgL_criticalzf31304zf3_3031;
BgL_criticalzf31304zf3_3031 = 
CBOOL(BgL_criticalzf31304zf3_2374); 
{ /* Llib/pgp_packets.scm 117 */
 BgL_pgpzd2signaturezd2subzd2signerzd2idz00_bglt BgL_new1394z00_3033;
{ /* Llib/pgp_packets.scm 117 */
 BgL_pgpzd2signaturezd2subzd2signerzd2idz00_bglt BgL_new1393z00_3034;
BgL_new1393z00_3034 = 
((BgL_pgpzd2signaturezd2subzd2signerzd2idz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2signaturezd2subzd2signerzd2idz00_bgl) ))); 
{ /* Llib/pgp_packets.scm 117 */
 long BgL_arg2459z00_3035;
BgL_arg2459z00_3035 = 
BGL_CLASS_NUM(BGl_PGPzd2Signaturezd2Subzd2Signerzd2IDz00zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1393z00_3034), BgL_arg2459z00_3035); } 
{ /* Llib/pgp_packets.scm 117 */
 BgL_objectz00_bglt BgL_tmpz00_4160;
BgL_tmpz00_4160 = 
((BgL_objectz00_bglt)BgL_new1393z00_3034); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4160, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1393z00_3034); 
BgL_new1394z00_3033 = BgL_new1393z00_3034; } 
((((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)BgL_new1394z00_3033)))->BgL_criticalzf3zf3)=((bool_t)BgL_criticalzf31304zf3_3031),BUNSPEC); 
((((BgL_pgpzd2signaturezd2subzd2signerzd2idz00_bglt)COBJECT(BgL_new1394z00_3033))->BgL_idz00)=((obj_t)
((obj_t)BgL_id1305z00_2375)),BUNSPEC); 
return BgL_new1394z00_3033;} } } 

}



/* &lambda2467 */
obj_t BGl_z62lambda2467z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2376, obj_t BgL_oz00_2377, obj_t BgL_vz00_2378)
{
{ /* Llib/pgp_packets.scm 117 */
return 
((((BgL_pgpzd2signaturezd2subzd2signerzd2idz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2signerzd2idz00_bglt)BgL_oz00_2377)))->BgL_idz00)=((obj_t)
((obj_t)BgL_vz00_2378)),BUNSPEC);} 

}



/* &lambda2466 */
obj_t BGl_z62lambda2466z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2379, obj_t BgL_oz00_2380)
{
{ /* Llib/pgp_packets.scm 117 */
return 
(((BgL_pgpzd2signaturezd2subzd2signerzd2idz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2signerzd2idz00_bglt)BgL_oz00_2380)))->BgL_idz00);} 

}



/* &<@anonymous:2447> */
obj_t BGl_z62zc3z04anonymousza32447ze3ze5zz__openpgpzd2packetszd2(obj_t BgL_envz00_2381, obj_t BgL_new1302z00_2382)
{
{ /* Llib/pgp_packets.scm 115 */
{ 
 BgL_pgpzd2signaturezd2subzd2policyzd2_bglt BgL_auxz00_4173;
((((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)
((BgL_pgpzd2signaturezd2subzd2policyzd2_bglt)BgL_new1302z00_2382))))->BgL_criticalzf3zf3)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_pgpzd2signaturezd2subzd2policyzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2policyzd2_bglt)BgL_new1302z00_2382)))->BgL_urlz00)=((obj_t)BGl_string2750z00zz__openpgpzd2packetszd2),BUNSPEC); 
BgL_auxz00_4173 = 
((BgL_pgpzd2signaturezd2subzd2policyzd2_bglt)BgL_new1302z00_2382); 
return 
((obj_t)BgL_auxz00_4173);} } 

}



/* &lambda2445 */
BgL_pgpzd2signaturezd2subzd2policyzd2_bglt BGl_z62lambda2445z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2383)
{
{ /* Llib/pgp_packets.scm 115 */
{ /* Llib/pgp_packets.scm 115 */
 BgL_pgpzd2signaturezd2subzd2policyzd2_bglt BgL_new1301z00_3040;
BgL_new1301z00_3040 = 
((BgL_pgpzd2signaturezd2subzd2policyzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2signaturezd2subzd2policyzd2_bgl) ))); 
{ /* Llib/pgp_packets.scm 115 */
 long BgL_arg2446z00_3041;
BgL_arg2446z00_3041 = 
BGL_CLASS_NUM(BGl_PGPzd2Signaturezd2Subzd2Policyzd2zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1301z00_3040), BgL_arg2446z00_3041); } 
{ /* Llib/pgp_packets.scm 115 */
 BgL_objectz00_bglt BgL_tmpz00_4185;
BgL_tmpz00_4185 = 
((BgL_objectz00_bglt)BgL_new1301z00_3040); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4185, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1301z00_3040); 
return BgL_new1301z00_3040;} } 

}



/* &lambda2443 */
BgL_pgpzd2signaturezd2subzd2policyzd2_bglt BGl_z62lambda2443z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2384, obj_t BgL_criticalzf31299zf3_2385, obj_t BgL_url1300z00_2386)
{
{ /* Llib/pgp_packets.scm 115 */
{ /* Llib/pgp_packets.scm 115 */
 bool_t BgL_criticalzf31299zf3_3042;
BgL_criticalzf31299zf3_3042 = 
CBOOL(BgL_criticalzf31299zf3_2385); 
{ /* Llib/pgp_packets.scm 115 */
 BgL_pgpzd2signaturezd2subzd2policyzd2_bglt BgL_new1392z00_3044;
{ /* Llib/pgp_packets.scm 115 */
 BgL_pgpzd2signaturezd2subzd2policyzd2_bglt BgL_new1391z00_3045;
BgL_new1391z00_3045 = 
((BgL_pgpzd2signaturezd2subzd2policyzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2signaturezd2subzd2policyzd2_bgl) ))); 
{ /* Llib/pgp_packets.scm 115 */
 long BgL_arg2444z00_3046;
BgL_arg2444z00_3046 = 
BGL_CLASS_NUM(BGl_PGPzd2Signaturezd2Subzd2Policyzd2zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1391z00_3045), BgL_arg2444z00_3046); } 
{ /* Llib/pgp_packets.scm 115 */
 BgL_objectz00_bglt BgL_tmpz00_4194;
BgL_tmpz00_4194 = 
((BgL_objectz00_bglt)BgL_new1391z00_3045); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4194, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1391z00_3045); 
BgL_new1392z00_3044 = BgL_new1391z00_3045; } 
((((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)BgL_new1392z00_3044)))->BgL_criticalzf3zf3)=((bool_t)BgL_criticalzf31299zf3_3042),BUNSPEC); 
((((BgL_pgpzd2signaturezd2subzd2policyzd2_bglt)COBJECT(BgL_new1392z00_3044))->BgL_urlz00)=((obj_t)
((obj_t)BgL_url1300z00_2386)),BUNSPEC); 
return BgL_new1392z00_3044;} } } 

}



/* &lambda2452 */
obj_t BGl_z62lambda2452z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2387, obj_t BgL_oz00_2388, obj_t BgL_vz00_2389)
{
{ /* Llib/pgp_packets.scm 115 */
return 
((((BgL_pgpzd2signaturezd2subzd2policyzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2policyzd2_bglt)BgL_oz00_2388)))->BgL_urlz00)=((obj_t)
((obj_t)BgL_vz00_2389)),BUNSPEC);} 

}



/* &lambda2451 */
obj_t BGl_z62lambda2451z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2390, obj_t BgL_oz00_2391)
{
{ /* Llib/pgp_packets.scm 115 */
return 
(((BgL_pgpzd2signaturezd2subzd2policyzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2policyzd2_bglt)BgL_oz00_2391)))->BgL_urlz00);} 

}



/* &<@anonymous:2432> */
obj_t BGl_z62zc3z04anonymousza32432ze3ze5zz__openpgpzd2packetszd2(obj_t BgL_envz00_2392, obj_t BgL_new1297z00_2393)
{
{ /* Llib/pgp_packets.scm 113 */
{ 
 BgL_pgpzd2signaturezd2subzd2primaryzd2idz00_bglt BgL_auxz00_4207;
((((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)
((BgL_pgpzd2signaturezd2subzd2primaryzd2idz00_bglt)BgL_new1297z00_2393))))->BgL_criticalzf3zf3)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_pgpzd2signaturezd2subzd2primaryzd2idz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2primaryzd2idz00_bglt)BgL_new1297z00_2393)))->BgL_primaryzf3zf3)=((bool_t)((bool_t)0)),BUNSPEC); 
BgL_auxz00_4207 = 
((BgL_pgpzd2signaturezd2subzd2primaryzd2idz00_bglt)BgL_new1297z00_2393); 
return 
((obj_t)BgL_auxz00_4207);} } 

}



/* &lambda2430 */
BgL_pgpzd2signaturezd2subzd2primaryzd2idz00_bglt BGl_z62lambda2430z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2394)
{
{ /* Llib/pgp_packets.scm 113 */
{ /* Llib/pgp_packets.scm 113 */
 BgL_pgpzd2signaturezd2subzd2primaryzd2idz00_bglt BgL_new1296z00_3051;
BgL_new1296z00_3051 = 
((BgL_pgpzd2signaturezd2subzd2primaryzd2idz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2signaturezd2subzd2primaryzd2idz00_bgl) ))); 
{ /* Llib/pgp_packets.scm 113 */
 long BgL_arg2431z00_3052;
BgL_arg2431z00_3052 = 
BGL_CLASS_NUM(BGl_PGPzd2Signaturezd2Subzd2Primaryzd2IDz00zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1296z00_3051), BgL_arg2431z00_3052); } 
{ /* Llib/pgp_packets.scm 113 */
 BgL_objectz00_bglt BgL_tmpz00_4219;
BgL_tmpz00_4219 = 
((BgL_objectz00_bglt)BgL_new1296z00_3051); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4219, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1296z00_3051); 
return BgL_new1296z00_3051;} } 

}



/* &lambda2428 */
BgL_pgpzd2signaturezd2subzd2primaryzd2idz00_bglt BGl_z62lambda2428z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2395, obj_t BgL_criticalzf31294zf3_2396, obj_t BgL_primaryzf31295zf3_2397)
{
{ /* Llib/pgp_packets.scm 113 */
{ /* Llib/pgp_packets.scm 113 */
 bool_t BgL_criticalzf31294zf3_3053; bool_t BgL_primaryzf31295zf3_3054;
BgL_criticalzf31294zf3_3053 = 
CBOOL(BgL_criticalzf31294zf3_2396); 
BgL_primaryzf31295zf3_3054 = 
CBOOL(BgL_primaryzf31295zf3_2397); 
{ /* Llib/pgp_packets.scm 113 */
 BgL_pgpzd2signaturezd2subzd2primaryzd2idz00_bglt BgL_new1390z00_3055;
{ /* Llib/pgp_packets.scm 113 */
 BgL_pgpzd2signaturezd2subzd2primaryzd2idz00_bglt BgL_new1389z00_3056;
BgL_new1389z00_3056 = 
((BgL_pgpzd2signaturezd2subzd2primaryzd2idz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2signaturezd2subzd2primaryzd2idz00_bgl) ))); 
{ /* Llib/pgp_packets.scm 113 */
 long BgL_arg2429z00_3057;
BgL_arg2429z00_3057 = 
BGL_CLASS_NUM(BGl_PGPzd2Signaturezd2Subzd2Primaryzd2IDz00zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1389z00_3056), BgL_arg2429z00_3057); } 
{ /* Llib/pgp_packets.scm 113 */
 BgL_objectz00_bglt BgL_tmpz00_4229;
BgL_tmpz00_4229 = 
((BgL_objectz00_bglt)BgL_new1389z00_3056); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4229, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1389z00_3056); 
BgL_new1390z00_3055 = BgL_new1389z00_3056; } 
((((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)BgL_new1390z00_3055)))->BgL_criticalzf3zf3)=((bool_t)BgL_criticalzf31294zf3_3053),BUNSPEC); 
((((BgL_pgpzd2signaturezd2subzd2primaryzd2idz00_bglt)COBJECT(BgL_new1390z00_3055))->BgL_primaryzf3zf3)=((bool_t)BgL_primaryzf31295zf3_3054),BUNSPEC); 
return BgL_new1390z00_3055;} } } 

}



/* &lambda2437 */
obj_t BGl_z62lambda2437z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2398, obj_t BgL_oz00_2399, obj_t BgL_vz00_2400)
{
{ /* Llib/pgp_packets.scm 113 */
{ /* Llib/pgp_packets.scm 113 */
 bool_t BgL_vz00_3059;
BgL_vz00_3059 = 
CBOOL(BgL_vz00_2400); 
return 
((((BgL_pgpzd2signaturezd2subzd2primaryzd2idz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2primaryzd2idz00_bglt)BgL_oz00_2399)))->BgL_primaryzf3zf3)=((bool_t)BgL_vz00_3059),BUNSPEC);} } 

}



/* &lambda2436 */
obj_t BGl_z62lambda2436z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2401, obj_t BgL_oz00_2402)
{
{ /* Llib/pgp_packets.scm 113 */
return 
BBOOL(
(((BgL_pgpzd2signaturezd2subzd2primaryzd2idz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2primaryzd2idz00_bglt)BgL_oz00_2402)))->BgL_primaryzf3zf3));} 

}



/* &<@anonymous:2417> */
obj_t BGl_z62zc3z04anonymousza32417ze3ze5zz__openpgpzd2packetszd2(obj_t BgL_envz00_2403, obj_t BgL_new1292z00_2404)
{
{ /* Llib/pgp_packets.scm 111 */
{ 
 BgL_pgpzd2signaturezd2subzd2preferredzd2keyzd2serverzd2_bglt BgL_auxz00_4242;
((((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)
((BgL_pgpzd2signaturezd2subzd2preferredzd2keyzd2serverzd2_bglt)BgL_new1292z00_2404))))->BgL_criticalzf3zf3)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_pgpzd2signaturezd2subzd2preferredzd2keyzd2serverzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2preferredzd2keyzd2serverzd2_bglt)BgL_new1292z00_2404)))->BgL_serverz00)=((obj_t)BGl_string2750z00zz__openpgpzd2packetszd2),BUNSPEC); 
BgL_auxz00_4242 = 
((BgL_pgpzd2signaturezd2subzd2preferredzd2keyzd2serverzd2_bglt)BgL_new1292z00_2404); 
return 
((obj_t)BgL_auxz00_4242);} } 

}



/* &lambda2415 */
BgL_pgpzd2signaturezd2subzd2preferredzd2keyzd2serverzd2_bglt BGl_z62lambda2415z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2405)
{
{ /* Llib/pgp_packets.scm 111 */
{ /* Llib/pgp_packets.scm 111 */
 BgL_pgpzd2signaturezd2subzd2preferredzd2keyzd2serverzd2_bglt BgL_new1291z00_3062;
BgL_new1291z00_3062 = 
((BgL_pgpzd2signaturezd2subzd2preferredzd2keyzd2serverzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2signaturezd2subzd2preferredzd2keyzd2serverzd2_bgl) ))); 
{ /* Llib/pgp_packets.scm 111 */
 long BgL_arg2416z00_3063;
BgL_arg2416z00_3063 = 
BGL_CLASS_NUM(BGl_PGPzd2Signaturezd2Subzd2Preferredzd2Keyzd2Serverzd2zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1291z00_3062), BgL_arg2416z00_3063); } 
{ /* Llib/pgp_packets.scm 111 */
 BgL_objectz00_bglt BgL_tmpz00_4254;
BgL_tmpz00_4254 = 
((BgL_objectz00_bglt)BgL_new1291z00_3062); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4254, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1291z00_3062); 
return BgL_new1291z00_3062;} } 

}



/* &lambda2413 */
BgL_pgpzd2signaturezd2subzd2preferredzd2keyzd2serverzd2_bglt BGl_z62lambda2413z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2406, obj_t BgL_criticalzf31289zf3_2407, obj_t BgL_server1290z00_2408)
{
{ /* Llib/pgp_packets.scm 111 */
{ /* Llib/pgp_packets.scm 111 */
 bool_t BgL_criticalzf31289zf3_3064;
BgL_criticalzf31289zf3_3064 = 
CBOOL(BgL_criticalzf31289zf3_2407); 
{ /* Llib/pgp_packets.scm 111 */
 BgL_pgpzd2signaturezd2subzd2preferredzd2keyzd2serverzd2_bglt BgL_new1388z00_3066;
{ /* Llib/pgp_packets.scm 111 */
 BgL_pgpzd2signaturezd2subzd2preferredzd2keyzd2serverzd2_bglt BgL_new1387z00_3067;
BgL_new1387z00_3067 = 
((BgL_pgpzd2signaturezd2subzd2preferredzd2keyzd2serverzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2signaturezd2subzd2preferredzd2keyzd2serverzd2_bgl) ))); 
{ /* Llib/pgp_packets.scm 111 */
 long BgL_arg2414z00_3068;
BgL_arg2414z00_3068 = 
BGL_CLASS_NUM(BGl_PGPzd2Signaturezd2Subzd2Preferredzd2Keyzd2Serverzd2zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1387z00_3067), BgL_arg2414z00_3068); } 
{ /* Llib/pgp_packets.scm 111 */
 BgL_objectz00_bglt BgL_tmpz00_4263;
BgL_tmpz00_4263 = 
((BgL_objectz00_bglt)BgL_new1387z00_3067); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4263, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1387z00_3067); 
BgL_new1388z00_3066 = BgL_new1387z00_3067; } 
((((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)BgL_new1388z00_3066)))->BgL_criticalzf3zf3)=((bool_t)BgL_criticalzf31289zf3_3064),BUNSPEC); 
((((BgL_pgpzd2signaturezd2subzd2preferredzd2keyzd2serverzd2_bglt)COBJECT(BgL_new1388z00_3066))->BgL_serverz00)=((obj_t)
((obj_t)BgL_server1290z00_2408)),BUNSPEC); 
return BgL_new1388z00_3066;} } } 

}



/* &lambda2422 */
obj_t BGl_z62lambda2422z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2409, obj_t BgL_oz00_2410, obj_t BgL_vz00_2411)
{
{ /* Llib/pgp_packets.scm 111 */
return 
((((BgL_pgpzd2signaturezd2subzd2preferredzd2keyzd2serverzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2preferredzd2keyzd2serverzd2_bglt)BgL_oz00_2410)))->BgL_serverz00)=((obj_t)
((obj_t)BgL_vz00_2411)),BUNSPEC);} 

}



/* &lambda2421 */
obj_t BGl_z62lambda2421z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2412, obj_t BgL_oz00_2413)
{
{ /* Llib/pgp_packets.scm 111 */
return 
(((BgL_pgpzd2signaturezd2subzd2preferredzd2keyzd2serverzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2preferredzd2keyzd2serverzd2_bglt)BgL_oz00_2413)))->BgL_serverz00);} 

}



/* &<@anonymous:2402> */
obj_t BGl_z62zc3z04anonymousza32402ze3ze5zz__openpgpzd2packetszd2(obj_t BgL_envz00_2414, obj_t BgL_new1287z00_2415)
{
{ /* Llib/pgp_packets.scm 109 */
{ 
 BgL_pgpzd2signaturezd2subzd2preferredzd2compressionz00_bglt BgL_auxz00_4276;
((((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)
((BgL_pgpzd2signaturezd2subzd2preferredzd2compressionz00_bglt)BgL_new1287z00_2415))))->BgL_criticalzf3zf3)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_pgpzd2signaturezd2subzd2preferredzd2compressionz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2preferredzd2compressionz00_bglt)BgL_new1287z00_2415)))->BgL_algosz00)=((obj_t)BNIL),BUNSPEC); 
BgL_auxz00_4276 = 
((BgL_pgpzd2signaturezd2subzd2preferredzd2compressionz00_bglt)BgL_new1287z00_2415); 
return 
((obj_t)BgL_auxz00_4276);} } 

}



/* &lambda2400 */
BgL_pgpzd2signaturezd2subzd2preferredzd2compressionz00_bglt BGl_z62lambda2400z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2416)
{
{ /* Llib/pgp_packets.scm 109 */
{ /* Llib/pgp_packets.scm 109 */
 BgL_pgpzd2signaturezd2subzd2preferredzd2compressionz00_bglt BgL_new1286z00_3073;
BgL_new1286z00_3073 = 
((BgL_pgpzd2signaturezd2subzd2preferredzd2compressionz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2signaturezd2subzd2preferredzd2compressionz00_bgl) ))); 
{ /* Llib/pgp_packets.scm 109 */
 long BgL_arg2401z00_3074;
BgL_arg2401z00_3074 = 
BGL_CLASS_NUM(BGl_PGPzd2Signaturezd2Subzd2Preferredzd2Compressionz00zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1286z00_3073), BgL_arg2401z00_3074); } 
{ /* Llib/pgp_packets.scm 109 */
 BgL_objectz00_bglt BgL_tmpz00_4288;
BgL_tmpz00_4288 = 
((BgL_objectz00_bglt)BgL_new1286z00_3073); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4288, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1286z00_3073); 
return BgL_new1286z00_3073;} } 

}



/* &lambda2398 */
BgL_pgpzd2signaturezd2subzd2preferredzd2compressionz00_bglt BGl_z62lambda2398z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2417, obj_t BgL_criticalzf31284zf3_2418, obj_t BgL_algos1285z00_2419)
{
{ /* Llib/pgp_packets.scm 109 */
{ /* Llib/pgp_packets.scm 109 */
 bool_t BgL_criticalzf31284zf3_3075;
BgL_criticalzf31284zf3_3075 = 
CBOOL(BgL_criticalzf31284zf3_2418); 
{ /* Llib/pgp_packets.scm 109 */
 BgL_pgpzd2signaturezd2subzd2preferredzd2compressionz00_bglt BgL_new1386z00_3077;
{ /* Llib/pgp_packets.scm 109 */
 BgL_pgpzd2signaturezd2subzd2preferredzd2compressionz00_bglt BgL_new1385z00_3078;
BgL_new1385z00_3078 = 
((BgL_pgpzd2signaturezd2subzd2preferredzd2compressionz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2signaturezd2subzd2preferredzd2compressionz00_bgl) ))); 
{ /* Llib/pgp_packets.scm 109 */
 long BgL_arg2399z00_3079;
BgL_arg2399z00_3079 = 
BGL_CLASS_NUM(BGl_PGPzd2Signaturezd2Subzd2Preferredzd2Compressionz00zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1385z00_3078), BgL_arg2399z00_3079); } 
{ /* Llib/pgp_packets.scm 109 */
 BgL_objectz00_bglt BgL_tmpz00_4297;
BgL_tmpz00_4297 = 
((BgL_objectz00_bglt)BgL_new1385z00_3078); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4297, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1385z00_3078); 
BgL_new1386z00_3077 = BgL_new1385z00_3078; } 
((((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)BgL_new1386z00_3077)))->BgL_criticalzf3zf3)=((bool_t)BgL_criticalzf31284zf3_3075),BUNSPEC); 
((((BgL_pgpzd2signaturezd2subzd2preferredzd2compressionz00_bglt)COBJECT(BgL_new1386z00_3077))->BgL_algosz00)=((obj_t)
((obj_t)BgL_algos1285z00_2419)),BUNSPEC); 
return BgL_new1386z00_3077;} } } 

}



/* &lambda2407 */
obj_t BGl_z62lambda2407z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2420, obj_t BgL_oz00_2421, obj_t BgL_vz00_2422)
{
{ /* Llib/pgp_packets.scm 109 */
return 
((((BgL_pgpzd2signaturezd2subzd2preferredzd2compressionz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2preferredzd2compressionz00_bglt)BgL_oz00_2421)))->BgL_algosz00)=((obj_t)
((obj_t)BgL_vz00_2422)),BUNSPEC);} 

}



/* &lambda2406 */
obj_t BGl_z62lambda2406z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2423, obj_t BgL_oz00_2424)
{
{ /* Llib/pgp_packets.scm 109 */
return 
(((BgL_pgpzd2signaturezd2subzd2preferredzd2compressionz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2preferredzd2compressionz00_bglt)BgL_oz00_2424)))->BgL_algosz00);} 

}



/* &<@anonymous:2387> */
obj_t BGl_z62zc3z04anonymousza32387ze3ze5zz__openpgpzd2packetszd2(obj_t BgL_envz00_2425, obj_t BgL_new1282z00_2426)
{
{ /* Llib/pgp_packets.scm 107 */
{ 
 BgL_pgpzd2signaturezd2subzd2preferredzd2hashz00_bglt BgL_auxz00_4310;
((((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)
((BgL_pgpzd2signaturezd2subzd2preferredzd2hashz00_bglt)BgL_new1282z00_2426))))->BgL_criticalzf3zf3)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_pgpzd2signaturezd2subzd2preferredzd2hashz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2preferredzd2hashz00_bglt)BgL_new1282z00_2426)))->BgL_algosz00)=((obj_t)BNIL),BUNSPEC); 
BgL_auxz00_4310 = 
((BgL_pgpzd2signaturezd2subzd2preferredzd2hashz00_bglt)BgL_new1282z00_2426); 
return 
((obj_t)BgL_auxz00_4310);} } 

}



/* &lambda2385 */
BgL_pgpzd2signaturezd2subzd2preferredzd2hashz00_bglt BGl_z62lambda2385z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2427)
{
{ /* Llib/pgp_packets.scm 107 */
{ /* Llib/pgp_packets.scm 107 */
 BgL_pgpzd2signaturezd2subzd2preferredzd2hashz00_bglt BgL_new1281z00_3084;
BgL_new1281z00_3084 = 
((BgL_pgpzd2signaturezd2subzd2preferredzd2hashz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2signaturezd2subzd2preferredzd2hashz00_bgl) ))); 
{ /* Llib/pgp_packets.scm 107 */
 long BgL_arg2386z00_3085;
BgL_arg2386z00_3085 = 
BGL_CLASS_NUM(BGl_PGPzd2Signaturezd2Subzd2Preferredzd2Hashz00zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1281z00_3084), BgL_arg2386z00_3085); } 
{ /* Llib/pgp_packets.scm 107 */
 BgL_objectz00_bglt BgL_tmpz00_4322;
BgL_tmpz00_4322 = 
((BgL_objectz00_bglt)BgL_new1281z00_3084); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4322, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1281z00_3084); 
return BgL_new1281z00_3084;} } 

}



/* &lambda2383 */
BgL_pgpzd2signaturezd2subzd2preferredzd2hashz00_bglt BGl_z62lambda2383z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2428, obj_t BgL_criticalzf31279zf3_2429, obj_t BgL_algos1280z00_2430)
{
{ /* Llib/pgp_packets.scm 107 */
{ /* Llib/pgp_packets.scm 107 */
 bool_t BgL_criticalzf31279zf3_3086;
BgL_criticalzf31279zf3_3086 = 
CBOOL(BgL_criticalzf31279zf3_2429); 
{ /* Llib/pgp_packets.scm 107 */
 BgL_pgpzd2signaturezd2subzd2preferredzd2hashz00_bglt BgL_new1384z00_3088;
{ /* Llib/pgp_packets.scm 107 */
 BgL_pgpzd2signaturezd2subzd2preferredzd2hashz00_bglt BgL_new1383z00_3089;
BgL_new1383z00_3089 = 
((BgL_pgpzd2signaturezd2subzd2preferredzd2hashz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2signaturezd2subzd2preferredzd2hashz00_bgl) ))); 
{ /* Llib/pgp_packets.scm 107 */
 long BgL_arg2384z00_3090;
BgL_arg2384z00_3090 = 
BGL_CLASS_NUM(BGl_PGPzd2Signaturezd2Subzd2Preferredzd2Hashz00zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1383z00_3089), BgL_arg2384z00_3090); } 
{ /* Llib/pgp_packets.scm 107 */
 BgL_objectz00_bglt BgL_tmpz00_4331;
BgL_tmpz00_4331 = 
((BgL_objectz00_bglt)BgL_new1383z00_3089); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4331, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1383z00_3089); 
BgL_new1384z00_3088 = BgL_new1383z00_3089; } 
((((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)BgL_new1384z00_3088)))->BgL_criticalzf3zf3)=((bool_t)BgL_criticalzf31279zf3_3086),BUNSPEC); 
((((BgL_pgpzd2signaturezd2subzd2preferredzd2hashz00_bglt)COBJECT(BgL_new1384z00_3088))->BgL_algosz00)=((obj_t)
((obj_t)BgL_algos1280z00_2430)),BUNSPEC); 
return BgL_new1384z00_3088;} } } 

}



/* &lambda2392 */
obj_t BGl_z62lambda2392z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2431, obj_t BgL_oz00_2432, obj_t BgL_vz00_2433)
{
{ /* Llib/pgp_packets.scm 107 */
return 
((((BgL_pgpzd2signaturezd2subzd2preferredzd2hashz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2preferredzd2hashz00_bglt)BgL_oz00_2432)))->BgL_algosz00)=((obj_t)
((obj_t)BgL_vz00_2433)),BUNSPEC);} 

}



/* &lambda2391 */
obj_t BGl_z62lambda2391z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2434, obj_t BgL_oz00_2435)
{
{ /* Llib/pgp_packets.scm 107 */
return 
(((BgL_pgpzd2signaturezd2subzd2preferredzd2hashz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2preferredzd2hashz00_bglt)BgL_oz00_2435)))->BgL_algosz00);} 

}



/* &<@anonymous:2362> */
obj_t BGl_z62zc3z04anonymousza32362ze3ze5zz__openpgpzd2packetszd2(obj_t BgL_envz00_2436, obj_t BgL_new1277z00_2437)
{
{ /* Llib/pgp_packets.scm 104 */
{ 
 BgL_pgpzd2signaturezd2subzd2notationzd2_bglt BgL_auxz00_4344;
((((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)
((BgL_pgpzd2signaturezd2subzd2notationzd2_bglt)BgL_new1277z00_2437))))->BgL_criticalzf3zf3)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_pgpzd2signaturezd2subzd2notationzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2notationzd2_bglt)BgL_new1277z00_2437)))->BgL_flagsz00)=((obj_t)BGl_string2750z00zz__openpgpzd2packetszd2),BUNSPEC); 
((((BgL_pgpzd2signaturezd2subzd2notationzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2notationzd2_bglt)BgL_new1277z00_2437)))->BgL_namez00)=((obj_t)BGl_string2750z00zz__openpgpzd2packetszd2),BUNSPEC); 
((((BgL_pgpzd2signaturezd2subzd2notationzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2notationzd2_bglt)BgL_new1277z00_2437)))->BgL_valuez00)=((obj_t)BGl_string2750z00zz__openpgpzd2packetszd2),BUNSPEC); 
BgL_auxz00_4344 = 
((BgL_pgpzd2signaturezd2subzd2notationzd2_bglt)BgL_new1277z00_2437); 
return 
((obj_t)BgL_auxz00_4344);} } 

}



/* &lambda2360 */
BgL_pgpzd2signaturezd2subzd2notationzd2_bglt BGl_z62lambda2360z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2438)
{
{ /* Llib/pgp_packets.scm 104 */
{ /* Llib/pgp_packets.scm 104 */
 BgL_pgpzd2signaturezd2subzd2notationzd2_bglt BgL_new1276z00_3095;
BgL_new1276z00_3095 = 
((BgL_pgpzd2signaturezd2subzd2notationzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2signaturezd2subzd2notationzd2_bgl) ))); 
{ /* Llib/pgp_packets.scm 104 */
 long BgL_arg2361z00_3096;
BgL_arg2361z00_3096 = 
BGL_CLASS_NUM(BGl_PGPzd2Signaturezd2Subzd2Notationzd2zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1276z00_3095), BgL_arg2361z00_3096); } 
{ /* Llib/pgp_packets.scm 104 */
 BgL_objectz00_bglt BgL_tmpz00_4360;
BgL_tmpz00_4360 = 
((BgL_objectz00_bglt)BgL_new1276z00_3095); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4360, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1276z00_3095); 
return BgL_new1276z00_3095;} } 

}



/* &lambda2358 */
BgL_pgpzd2signaturezd2subzd2notationzd2_bglt BGl_z62lambda2358z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2439, obj_t BgL_criticalzf31272zf3_2440, obj_t BgL_flags1273z00_2441, obj_t BgL_name1274z00_2442, obj_t BgL_value1275z00_2443)
{
{ /* Llib/pgp_packets.scm 104 */
{ /* Llib/pgp_packets.scm 104 */
 bool_t BgL_criticalzf31272zf3_3097;
BgL_criticalzf31272zf3_3097 = 
CBOOL(BgL_criticalzf31272zf3_2440); 
{ /* Llib/pgp_packets.scm 104 */
 BgL_pgpzd2signaturezd2subzd2notationzd2_bglt BgL_new1382z00_3101;
{ /* Llib/pgp_packets.scm 104 */
 BgL_pgpzd2signaturezd2subzd2notationzd2_bglt BgL_new1381z00_3102;
BgL_new1381z00_3102 = 
((BgL_pgpzd2signaturezd2subzd2notationzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2signaturezd2subzd2notationzd2_bgl) ))); 
{ /* Llib/pgp_packets.scm 104 */
 long BgL_arg2359z00_3103;
BgL_arg2359z00_3103 = 
BGL_CLASS_NUM(BGl_PGPzd2Signaturezd2Subzd2Notationzd2zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1381z00_3102), BgL_arg2359z00_3103); } 
{ /* Llib/pgp_packets.scm 104 */
 BgL_objectz00_bglt BgL_tmpz00_4369;
BgL_tmpz00_4369 = 
((BgL_objectz00_bglt)BgL_new1381z00_3102); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4369, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1381z00_3102); 
BgL_new1382z00_3101 = BgL_new1381z00_3102; } 
((((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)BgL_new1382z00_3101)))->BgL_criticalzf3zf3)=((bool_t)BgL_criticalzf31272zf3_3097),BUNSPEC); 
((((BgL_pgpzd2signaturezd2subzd2notationzd2_bglt)COBJECT(BgL_new1382z00_3101))->BgL_flagsz00)=((obj_t)
((obj_t)BgL_flags1273z00_2441)),BUNSPEC); 
((((BgL_pgpzd2signaturezd2subzd2notationzd2_bglt)COBJECT(BgL_new1382z00_3101))->BgL_namez00)=((obj_t)
((obj_t)BgL_name1274z00_2442)),BUNSPEC); 
((((BgL_pgpzd2signaturezd2subzd2notationzd2_bglt)COBJECT(BgL_new1382z00_3101))->BgL_valuez00)=((obj_t)
((obj_t)BgL_value1275z00_2443)),BUNSPEC); 
return BgL_new1382z00_3101;} } } 

}



/* &lambda2377 */
obj_t BGl_z62lambda2377z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2444, obj_t BgL_oz00_2445, obj_t BgL_vz00_2446)
{
{ /* Llib/pgp_packets.scm 104 */
return 
((((BgL_pgpzd2signaturezd2subzd2notationzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2notationzd2_bglt)BgL_oz00_2445)))->BgL_valuez00)=((obj_t)
((obj_t)BgL_vz00_2446)),BUNSPEC);} 

}



/* &lambda2376 */
obj_t BGl_z62lambda2376z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2447, obj_t BgL_oz00_2448)
{
{ /* Llib/pgp_packets.scm 104 */
return 
(((BgL_pgpzd2signaturezd2subzd2notationzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2notationzd2_bglt)BgL_oz00_2448)))->BgL_valuez00);} 

}



/* &lambda2372 */
obj_t BGl_z62lambda2372z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2449, obj_t BgL_oz00_2450, obj_t BgL_vz00_2451)
{
{ /* Llib/pgp_packets.scm 104 */
return 
((((BgL_pgpzd2signaturezd2subzd2notationzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2notationzd2_bglt)BgL_oz00_2450)))->BgL_namez00)=((obj_t)
((obj_t)BgL_vz00_2451)),BUNSPEC);} 

}



/* &lambda2371 */
obj_t BGl_z62lambda2371z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2452, obj_t BgL_oz00_2453)
{
{ /* Llib/pgp_packets.scm 104 */
return 
(((BgL_pgpzd2signaturezd2subzd2notationzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2notationzd2_bglt)BgL_oz00_2453)))->BgL_namez00);} 

}



/* &lambda2367 */
obj_t BGl_z62lambda2367z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2454, obj_t BgL_oz00_2455, obj_t BgL_vz00_2456)
{
{ /* Llib/pgp_packets.scm 104 */
return 
((((BgL_pgpzd2signaturezd2subzd2notationzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2notationzd2_bglt)BgL_oz00_2455)))->BgL_flagsz00)=((obj_t)
((obj_t)BgL_vz00_2456)),BUNSPEC);} 

}



/* &lambda2366 */
obj_t BGl_z62lambda2366z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2457, obj_t BgL_oz00_2458)
{
{ /* Llib/pgp_packets.scm 104 */
return 
(((BgL_pgpzd2signaturezd2subzd2notationzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2notationzd2_bglt)BgL_oz00_2458)))->BgL_flagsz00);} 

}



/* &<@anonymous:2347> */
obj_t BGl_z62zc3z04anonymousza32347ze3ze5zz__openpgpzd2packetszd2(obj_t BgL_envz00_2459, obj_t BgL_new1270z00_2460)
{
{ /* Llib/pgp_packets.scm 102 */
{ 
 BgL_pgpzd2signaturezd2subzd2idzd2_bglt BgL_auxz00_4396;
((((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)
((BgL_pgpzd2signaturezd2subzd2idzd2_bglt)BgL_new1270z00_2460))))->BgL_criticalzf3zf3)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_pgpzd2signaturezd2subzd2idzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2idzd2_bglt)BgL_new1270z00_2460)))->BgL_keyzd2idzd2)=((obj_t)BGl_string2750z00zz__openpgpzd2packetszd2),BUNSPEC); 
BgL_auxz00_4396 = 
((BgL_pgpzd2signaturezd2subzd2idzd2_bglt)BgL_new1270z00_2460); 
return 
((obj_t)BgL_auxz00_4396);} } 

}



/* &lambda2345 */
BgL_pgpzd2signaturezd2subzd2idzd2_bglt BGl_z62lambda2345z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2461)
{
{ /* Llib/pgp_packets.scm 102 */
{ /* Llib/pgp_packets.scm 102 */
 BgL_pgpzd2signaturezd2subzd2idzd2_bglt BgL_new1269z00_3114;
BgL_new1269z00_3114 = 
((BgL_pgpzd2signaturezd2subzd2idzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2signaturezd2subzd2idzd2_bgl) ))); 
{ /* Llib/pgp_packets.scm 102 */
 long BgL_arg2346z00_3115;
BgL_arg2346z00_3115 = 
BGL_CLASS_NUM(BGl_PGPzd2Signaturezd2Subzd2IDzd2zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1269z00_3114), BgL_arg2346z00_3115); } 
{ /* Llib/pgp_packets.scm 102 */
 BgL_objectz00_bglt BgL_tmpz00_4408;
BgL_tmpz00_4408 = 
((BgL_objectz00_bglt)BgL_new1269z00_3114); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4408, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1269z00_3114); 
return BgL_new1269z00_3114;} } 

}



/* &lambda2343 */
BgL_pgpzd2signaturezd2subzd2idzd2_bglt BGl_z62lambda2343z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2462, obj_t BgL_criticalzf31267zf3_2463, obj_t BgL_keyzd2id1268zd2_2464)
{
{ /* Llib/pgp_packets.scm 102 */
{ /* Llib/pgp_packets.scm 102 */
 bool_t BgL_criticalzf31267zf3_3116;
BgL_criticalzf31267zf3_3116 = 
CBOOL(BgL_criticalzf31267zf3_2463); 
{ /* Llib/pgp_packets.scm 102 */
 BgL_pgpzd2signaturezd2subzd2idzd2_bglt BgL_new1380z00_3118;
{ /* Llib/pgp_packets.scm 102 */
 BgL_pgpzd2signaturezd2subzd2idzd2_bglt BgL_new1379z00_3119;
BgL_new1379z00_3119 = 
((BgL_pgpzd2signaturezd2subzd2idzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2signaturezd2subzd2idzd2_bgl) ))); 
{ /* Llib/pgp_packets.scm 102 */
 long BgL_arg2344z00_3120;
BgL_arg2344z00_3120 = 
BGL_CLASS_NUM(BGl_PGPzd2Signaturezd2Subzd2IDzd2zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1379z00_3119), BgL_arg2344z00_3120); } 
{ /* Llib/pgp_packets.scm 102 */
 BgL_objectz00_bglt BgL_tmpz00_4417;
BgL_tmpz00_4417 = 
((BgL_objectz00_bglt)BgL_new1379z00_3119); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4417, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1379z00_3119); 
BgL_new1380z00_3118 = BgL_new1379z00_3119; } 
((((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)BgL_new1380z00_3118)))->BgL_criticalzf3zf3)=((bool_t)BgL_criticalzf31267zf3_3116),BUNSPEC); 
((((BgL_pgpzd2signaturezd2subzd2idzd2_bglt)COBJECT(BgL_new1380z00_3118))->BgL_keyzd2idzd2)=((obj_t)
((obj_t)BgL_keyzd2id1268zd2_2464)),BUNSPEC); 
return BgL_new1380z00_3118;} } } 

}



/* &lambda2352 */
obj_t BGl_z62lambda2352z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2465, obj_t BgL_oz00_2466, obj_t BgL_vz00_2467)
{
{ /* Llib/pgp_packets.scm 102 */
return 
((((BgL_pgpzd2signaturezd2subzd2idzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2idzd2_bglt)BgL_oz00_2466)))->BgL_keyzd2idzd2)=((obj_t)
((obj_t)BgL_vz00_2467)),BUNSPEC);} 

}



/* &lambda2351 */
obj_t BGl_z62lambda2351z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2468, obj_t BgL_oz00_2469)
{
{ /* Llib/pgp_packets.scm 102 */
return 
(((BgL_pgpzd2signaturezd2subzd2idzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2idzd2_bglt)BgL_oz00_2469)))->BgL_keyzd2idzd2);} 

}



/* &<@anonymous:2317> */
obj_t BGl_z62zc3z04anonymousza32317ze3ze5zz__openpgpzd2packetszd2(obj_t BgL_envz00_2470, obj_t BgL_new1265z00_2471)
{
{ /* Llib/pgp_packets.scm 97 */
{ 
 BgL_pgpzd2signaturezd2subzd2revocationzd2_bglt BgL_auxz00_4430;
((((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)
((BgL_pgpzd2signaturezd2subzd2revocationzd2_bglt)BgL_new1265z00_2471))))->BgL_criticalzf3zf3)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_pgpzd2signaturezd2subzd2revocationzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2revocationzd2_bglt)BgL_new1265z00_2471)))->BgL_claza7za7z00)=((char)
(signed char)(((long)0))),BUNSPEC); 
((((BgL_pgpzd2signaturezd2subzd2revocationzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2revocationzd2_bglt)BgL_new1265z00_2471)))->BgL_sensitivezf3zf3)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_pgpzd2signaturezd2subzd2revocationzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2revocationzd2_bglt)BgL_new1265z00_2471)))->BgL_algidz00)=((char)
(signed char)(((long)0))),BUNSPEC); 
((((BgL_pgpzd2signaturezd2subzd2revocationzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2revocationzd2_bglt)BgL_new1265z00_2471)))->BgL_fingerprintz00)=((obj_t)BGl_string2750z00zz__openpgpzd2packetszd2),BUNSPEC); 
BgL_auxz00_4430 = 
((BgL_pgpzd2signaturezd2subzd2revocationzd2_bglt)BgL_new1265z00_2471); 
return 
((obj_t)BgL_auxz00_4430);} } 

}



/* &lambda2315 */
BgL_pgpzd2signaturezd2subzd2revocationzd2_bglt BGl_z62lambda2315z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2472)
{
{ /* Llib/pgp_packets.scm 97 */
{ /* Llib/pgp_packets.scm 97 */
 BgL_pgpzd2signaturezd2subzd2revocationzd2_bglt BgL_new1264z00_3125;
BgL_new1264z00_3125 = 
((BgL_pgpzd2signaturezd2subzd2revocationzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2signaturezd2subzd2revocationzd2_bgl) ))); 
{ /* Llib/pgp_packets.scm 97 */
 long BgL_arg2316z00_3126;
BgL_arg2316z00_3126 = 
BGL_CLASS_NUM(BGl_PGPzd2Signaturezd2Subzd2Revocationzd2zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1264z00_3125), BgL_arg2316z00_3126); } 
{ /* Llib/pgp_packets.scm 97 */
 BgL_objectz00_bglt BgL_tmpz00_4450;
BgL_tmpz00_4450 = 
((BgL_objectz00_bglt)BgL_new1264z00_3125); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4450, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1264z00_3125); 
return BgL_new1264z00_3125;} } 

}



/* &lambda2313 */
BgL_pgpzd2signaturezd2subzd2revocationzd2_bglt BGl_z62lambda2313z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2473, obj_t BgL_criticalzf31259zf3_2474, obj_t BgL_claza7za71260z00_2475, obj_t BgL_sensitivezf31261zf3_2476, obj_t BgL_algid1262z00_2477, obj_t BgL_fingerprint1263z00_2478)
{
{ /* Llib/pgp_packets.scm 97 */
{ /* Llib/pgp_packets.scm 97 */
 bool_t BgL_criticalzf31259zf3_3127; char BgL_claza7za71260z00_3128; bool_t BgL_sensitivezf31261zf3_3129; char BgL_algid1262z00_3130;
BgL_criticalzf31259zf3_3127 = 
CBOOL(BgL_criticalzf31259zf3_2474); 
BgL_claza7za71260z00_3128 = 
(signed char)CINT(BgL_claza7za71260z00_2475); 
BgL_sensitivezf31261zf3_3129 = 
CBOOL(BgL_sensitivezf31261zf3_2476); 
BgL_algid1262z00_3130 = 
(signed char)CINT(BgL_algid1262z00_2477); 
{ /* Llib/pgp_packets.scm 97 */
 BgL_pgpzd2signaturezd2subzd2revocationzd2_bglt BgL_new1378z00_3132;
{ /* Llib/pgp_packets.scm 97 */
 BgL_pgpzd2signaturezd2subzd2revocationzd2_bglt BgL_new1377z00_3133;
BgL_new1377z00_3133 = 
((BgL_pgpzd2signaturezd2subzd2revocationzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2signaturezd2subzd2revocationzd2_bgl) ))); 
{ /* Llib/pgp_packets.scm 97 */
 long BgL_arg2314z00_3134;
BgL_arg2314z00_3134 = 
BGL_CLASS_NUM(BGl_PGPzd2Signaturezd2Subzd2Revocationzd2zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1377z00_3133), BgL_arg2314z00_3134); } 
{ /* Llib/pgp_packets.scm 97 */
 BgL_objectz00_bglt BgL_tmpz00_4462;
BgL_tmpz00_4462 = 
((BgL_objectz00_bglt)BgL_new1377z00_3133); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4462, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1377z00_3133); 
BgL_new1378z00_3132 = BgL_new1377z00_3133; } 
((((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)BgL_new1378z00_3132)))->BgL_criticalzf3zf3)=((bool_t)BgL_criticalzf31259zf3_3127),BUNSPEC); 
((((BgL_pgpzd2signaturezd2subzd2revocationzd2_bglt)COBJECT(BgL_new1378z00_3132))->BgL_claza7za7z00)=((char)BgL_claza7za71260z00_3128),BUNSPEC); 
((((BgL_pgpzd2signaturezd2subzd2revocationzd2_bglt)COBJECT(BgL_new1378z00_3132))->BgL_sensitivezf3zf3)=((bool_t)BgL_sensitivezf31261zf3_3129),BUNSPEC); 
((((BgL_pgpzd2signaturezd2subzd2revocationzd2_bglt)COBJECT(BgL_new1378z00_3132))->BgL_algidz00)=((char)BgL_algid1262z00_3130),BUNSPEC); 
((((BgL_pgpzd2signaturezd2subzd2revocationzd2_bglt)COBJECT(BgL_new1378z00_3132))->BgL_fingerprintz00)=((obj_t)
((obj_t)BgL_fingerprint1263z00_2478)),BUNSPEC); 
return BgL_new1378z00_3132;} } } 

}



/* &lambda2337 */
obj_t BGl_z62lambda2337z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2479, obj_t BgL_oz00_2480, obj_t BgL_vz00_2481)
{
{ /* Llib/pgp_packets.scm 97 */
return 
((((BgL_pgpzd2signaturezd2subzd2revocationzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2revocationzd2_bglt)BgL_oz00_2480)))->BgL_fingerprintz00)=((obj_t)
((obj_t)BgL_vz00_2481)),BUNSPEC);} 

}



/* &lambda2336 */
obj_t BGl_z62lambda2336z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2482, obj_t BgL_oz00_2483)
{
{ /* Llib/pgp_packets.scm 97 */
return 
(((BgL_pgpzd2signaturezd2subzd2revocationzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2revocationzd2_bglt)BgL_oz00_2483)))->BgL_fingerprintz00);} 

}



/* &lambda2332 */
obj_t BGl_z62lambda2332z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2484, obj_t BgL_oz00_2485, obj_t BgL_vz00_2486)
{
{ /* Llib/pgp_packets.scm 97 */
{ /* Llib/pgp_packets.scm 97 */
 char BgL_vz00_3139;
BgL_vz00_3139 = 
(signed char)CINT(BgL_vz00_2486); 
return 
((((BgL_pgpzd2signaturezd2subzd2revocationzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2revocationzd2_bglt)BgL_oz00_2485)))->BgL_algidz00)=((char)BgL_vz00_3139),BUNSPEC);} } 

}



/* &lambda2331 */
obj_t BGl_z62lambda2331z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2487, obj_t BgL_oz00_2488)
{
{ /* Llib/pgp_packets.scm 97 */
return 
BINT(
(((BgL_pgpzd2signaturezd2subzd2revocationzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2revocationzd2_bglt)BgL_oz00_2488)))->BgL_algidz00));} 

}



/* &lambda2327 */
obj_t BGl_z62lambda2327z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2489, obj_t BgL_oz00_2490, obj_t BgL_vz00_2491)
{
{ /* Llib/pgp_packets.scm 97 */
{ /* Llib/pgp_packets.scm 97 */
 bool_t BgL_vz00_3142;
BgL_vz00_3142 = 
CBOOL(BgL_vz00_2491); 
return 
((((BgL_pgpzd2signaturezd2subzd2revocationzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2revocationzd2_bglt)BgL_oz00_2490)))->BgL_sensitivezf3zf3)=((bool_t)BgL_vz00_3142),BUNSPEC);} } 

}



/* &lambda2326 */
obj_t BGl_z62lambda2326z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2492, obj_t BgL_oz00_2493)
{
{ /* Llib/pgp_packets.scm 97 */
return 
BBOOL(
(((BgL_pgpzd2signaturezd2subzd2revocationzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2revocationzd2_bglt)BgL_oz00_2493)))->BgL_sensitivezf3zf3));} 

}



/* &lambda2322 */
obj_t BGl_z62lambda2322z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2494, obj_t BgL_oz00_2495, obj_t BgL_vz00_2496)
{
{ /* Llib/pgp_packets.scm 97 */
{ /* Llib/pgp_packets.scm 97 */
 char BgL_vz00_3145;
BgL_vz00_3145 = 
(signed char)CINT(BgL_vz00_2496); 
return 
((((BgL_pgpzd2signaturezd2subzd2revocationzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2revocationzd2_bglt)BgL_oz00_2495)))->BgL_claza7za7z00)=((char)BgL_vz00_3145),BUNSPEC);} } 

}



/* &lambda2321 */
obj_t BGl_z62lambda2321z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2497, obj_t BgL_oz00_2498)
{
{ /* Llib/pgp_packets.scm 97 */
return 
BINT(
(((BgL_pgpzd2signaturezd2subzd2revocationzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2revocationzd2_bglt)BgL_oz00_2498)))->BgL_claza7za7z00));} 

}



/* &<@anonymous:2302> */
obj_t BGl_z62zc3z04anonymousza32302ze3ze5zz__openpgpzd2packetszd2(obj_t BgL_envz00_2499, obj_t BgL_new1257z00_2500)
{
{ /* Llib/pgp_packets.scm 95 */
{ 
 BgL_pgpzd2signaturezd2subzd2preferredzd2symmetricz00_bglt BgL_auxz00_4496;
((((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)
((BgL_pgpzd2signaturezd2subzd2preferredzd2symmetricz00_bglt)BgL_new1257z00_2500))))->BgL_criticalzf3zf3)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_pgpzd2signaturezd2subzd2preferredzd2symmetricz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2preferredzd2symmetricz00_bglt)BgL_new1257z00_2500)))->BgL_algosz00)=((obj_t)BNIL),BUNSPEC); 
BgL_auxz00_4496 = 
((BgL_pgpzd2signaturezd2subzd2preferredzd2symmetricz00_bglt)BgL_new1257z00_2500); 
return 
((obj_t)BgL_auxz00_4496);} } 

}



/* &lambda2300 */
BgL_pgpzd2signaturezd2subzd2preferredzd2symmetricz00_bglt BGl_z62lambda2300z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2501)
{
{ /* Llib/pgp_packets.scm 95 */
{ /* Llib/pgp_packets.scm 95 */
 BgL_pgpzd2signaturezd2subzd2preferredzd2symmetricz00_bglt BgL_new1256z00_3148;
BgL_new1256z00_3148 = 
((BgL_pgpzd2signaturezd2subzd2preferredzd2symmetricz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2signaturezd2subzd2preferredzd2symmetricz00_bgl) ))); 
{ /* Llib/pgp_packets.scm 95 */
 long BgL_arg2301z00_3149;
BgL_arg2301z00_3149 = 
BGL_CLASS_NUM(BGl_PGPzd2Signaturezd2Subzd2Preferredzd2Symmetricz00zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1256z00_3148), BgL_arg2301z00_3149); } 
{ /* Llib/pgp_packets.scm 95 */
 BgL_objectz00_bglt BgL_tmpz00_4508;
BgL_tmpz00_4508 = 
((BgL_objectz00_bglt)BgL_new1256z00_3148); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4508, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1256z00_3148); 
return BgL_new1256z00_3148;} } 

}



/* &lambda2298 */
BgL_pgpzd2signaturezd2subzd2preferredzd2symmetricz00_bglt BGl_z62lambda2298z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2502, obj_t BgL_criticalzf31254zf3_2503, obj_t BgL_algos1255z00_2504)
{
{ /* Llib/pgp_packets.scm 95 */
{ /* Llib/pgp_packets.scm 95 */
 bool_t BgL_criticalzf31254zf3_3150;
BgL_criticalzf31254zf3_3150 = 
CBOOL(BgL_criticalzf31254zf3_2503); 
{ /* Llib/pgp_packets.scm 95 */
 BgL_pgpzd2signaturezd2subzd2preferredzd2symmetricz00_bglt BgL_new1376z00_3152;
{ /* Llib/pgp_packets.scm 95 */
 BgL_pgpzd2signaturezd2subzd2preferredzd2symmetricz00_bglt BgL_new1375z00_3153;
BgL_new1375z00_3153 = 
((BgL_pgpzd2signaturezd2subzd2preferredzd2symmetricz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2signaturezd2subzd2preferredzd2symmetricz00_bgl) ))); 
{ /* Llib/pgp_packets.scm 95 */
 long BgL_arg2299z00_3154;
BgL_arg2299z00_3154 = 
BGL_CLASS_NUM(BGl_PGPzd2Signaturezd2Subzd2Preferredzd2Symmetricz00zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1375z00_3153), BgL_arg2299z00_3154); } 
{ /* Llib/pgp_packets.scm 95 */
 BgL_objectz00_bglt BgL_tmpz00_4517;
BgL_tmpz00_4517 = 
((BgL_objectz00_bglt)BgL_new1375z00_3153); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4517, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1375z00_3153); 
BgL_new1376z00_3152 = BgL_new1375z00_3153; } 
((((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)BgL_new1376z00_3152)))->BgL_criticalzf3zf3)=((bool_t)BgL_criticalzf31254zf3_3150),BUNSPEC); 
((((BgL_pgpzd2signaturezd2subzd2preferredzd2symmetricz00_bglt)COBJECT(BgL_new1376z00_3152))->BgL_algosz00)=((obj_t)
((obj_t)BgL_algos1255z00_2504)),BUNSPEC); 
return BgL_new1376z00_3152;} } } 

}



/* &lambda2307 */
obj_t BGl_z62lambda2307z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2505, obj_t BgL_oz00_2506, obj_t BgL_vz00_2507)
{
{ /* Llib/pgp_packets.scm 95 */
return 
((((BgL_pgpzd2signaturezd2subzd2preferredzd2symmetricz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2preferredzd2symmetricz00_bglt)BgL_oz00_2506)))->BgL_algosz00)=((obj_t)
((obj_t)BgL_vz00_2507)),BUNSPEC);} 

}



/* &lambda2306 */
obj_t BGl_z62lambda2306z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2508, obj_t BgL_oz00_2509)
{
{ /* Llib/pgp_packets.scm 95 */
return 
(((BgL_pgpzd2signaturezd2subzd2preferredzd2symmetricz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2preferredzd2symmetricz00_bglt)BgL_oz00_2509)))->BgL_algosz00);} 

}



/* &<@anonymous:2287> */
obj_t BGl_z62zc3z04anonymousza32287ze3ze5zz__openpgpzd2packetszd2(obj_t BgL_envz00_2510, obj_t BgL_new1252z00_2511)
{
{ /* Llib/pgp_packets.scm 93 */
{ 
 BgL_pgpzd2signaturezd2subzd2keyzd2expirationzd2timezd2_bglt BgL_auxz00_4530;
((((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)
((BgL_pgpzd2signaturezd2subzd2keyzd2expirationzd2timezd2_bglt)BgL_new1252z00_2511))))->BgL_criticalzf3zf3)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_pgpzd2signaturezd2subzd2keyzd2expirationzd2timezd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2keyzd2expirationzd2timezd2_bglt)BgL_new1252z00_2511)))->BgL_expirationzd2timezd2)=((long)((long)0)),BUNSPEC); 
BgL_auxz00_4530 = 
((BgL_pgpzd2signaturezd2subzd2keyzd2expirationzd2timezd2_bglt)BgL_new1252z00_2511); 
return 
((obj_t)BgL_auxz00_4530);} } 

}



/* &lambda2285 */
BgL_pgpzd2signaturezd2subzd2keyzd2expirationzd2timezd2_bglt BGl_z62lambda2285z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2512)
{
{ /* Llib/pgp_packets.scm 93 */
{ /* Llib/pgp_packets.scm 93 */
 BgL_pgpzd2signaturezd2subzd2keyzd2expirationzd2timezd2_bglt BgL_new1251z00_3159;
BgL_new1251z00_3159 = 
((BgL_pgpzd2signaturezd2subzd2keyzd2expirationzd2timezd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2signaturezd2subzd2keyzd2expirationzd2timezd2_bgl) ))); 
{ /* Llib/pgp_packets.scm 93 */
 long BgL_arg2286z00_3160;
BgL_arg2286z00_3160 = 
BGL_CLASS_NUM(BGl_PGPzd2Signaturezd2Subzd2Keyzd2Expirationzd2Timezd2zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1251z00_3159), BgL_arg2286z00_3160); } 
{ /* Llib/pgp_packets.scm 93 */
 BgL_objectz00_bglt BgL_tmpz00_4542;
BgL_tmpz00_4542 = 
((BgL_objectz00_bglt)BgL_new1251z00_3159); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4542, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1251z00_3159); 
return BgL_new1251z00_3159;} } 

}



/* &lambda2283 */
BgL_pgpzd2signaturezd2subzd2keyzd2expirationzd2timezd2_bglt BGl_z62lambda2283z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2513, obj_t BgL_criticalzf31249zf3_2514, obj_t BgL_expirationzd2time1250zd2_2515)
{
{ /* Llib/pgp_packets.scm 93 */
{ /* Llib/pgp_packets.scm 93 */
 bool_t BgL_criticalzf31249zf3_3161; long BgL_expirationzd2time1250zd2_3162;
BgL_criticalzf31249zf3_3161 = 
CBOOL(BgL_criticalzf31249zf3_2514); 
BgL_expirationzd2time1250zd2_3162 = 
(long)CINT(BgL_expirationzd2time1250zd2_2515); 
{ /* Llib/pgp_packets.scm 93 */
 BgL_pgpzd2signaturezd2subzd2keyzd2expirationzd2timezd2_bglt BgL_new1374z00_3163;
{ /* Llib/pgp_packets.scm 93 */
 BgL_pgpzd2signaturezd2subzd2keyzd2expirationzd2timezd2_bglt BgL_new1373z00_3164;
BgL_new1373z00_3164 = 
((BgL_pgpzd2signaturezd2subzd2keyzd2expirationzd2timezd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2signaturezd2subzd2keyzd2expirationzd2timezd2_bgl) ))); 
{ /* Llib/pgp_packets.scm 93 */
 long BgL_arg2284z00_3165;
BgL_arg2284z00_3165 = 
BGL_CLASS_NUM(BGl_PGPzd2Signaturezd2Subzd2Keyzd2Expirationzd2Timezd2zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1373z00_3164), BgL_arg2284z00_3165); } 
{ /* Llib/pgp_packets.scm 93 */
 BgL_objectz00_bglt BgL_tmpz00_4552;
BgL_tmpz00_4552 = 
((BgL_objectz00_bglt)BgL_new1373z00_3164); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4552, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1373z00_3164); 
BgL_new1374z00_3163 = BgL_new1373z00_3164; } 
((((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)BgL_new1374z00_3163)))->BgL_criticalzf3zf3)=((bool_t)BgL_criticalzf31249zf3_3161),BUNSPEC); 
((((BgL_pgpzd2signaturezd2subzd2keyzd2expirationzd2timezd2_bglt)COBJECT(BgL_new1374z00_3163))->BgL_expirationzd2timezd2)=((long)BgL_expirationzd2time1250zd2_3162),BUNSPEC); 
return BgL_new1374z00_3163;} } } 

}



/* &lambda2292 */
obj_t BGl_z62lambda2292z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2516, obj_t BgL_oz00_2517, obj_t BgL_vz00_2518)
{
{ /* Llib/pgp_packets.scm 93 */
{ /* Llib/pgp_packets.scm 93 */
 long BgL_vz00_3167;
BgL_vz00_3167 = 
(long)CINT(BgL_vz00_2518); 
return 
((((BgL_pgpzd2signaturezd2subzd2keyzd2expirationzd2timezd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2keyzd2expirationzd2timezd2_bglt)BgL_oz00_2517)))->BgL_expirationzd2timezd2)=((long)BgL_vz00_3167),BUNSPEC);} } 

}



/* &lambda2291 */
obj_t BGl_z62lambda2291z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2519, obj_t BgL_oz00_2520)
{
{ /* Llib/pgp_packets.scm 93 */
return 
BINT(
(((BgL_pgpzd2signaturezd2subzd2keyzd2expirationzd2timezd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2keyzd2expirationzd2timezd2_bglt)BgL_oz00_2520)))->BgL_expirationzd2timezd2));} 

}



/* &<@anonymous:2272> */
obj_t BGl_z62zc3z04anonymousza32272ze3ze5zz__openpgpzd2packetszd2(obj_t BgL_envz00_2521, obj_t BgL_new1247z00_2522)
{
{ /* Llib/pgp_packets.scm 91 */
{ 
 BgL_pgpzd2signaturezd2subzd2revocablezd2_bglt BgL_auxz00_4565;
((((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)
((BgL_pgpzd2signaturezd2subzd2revocablezd2_bglt)BgL_new1247z00_2522))))->BgL_criticalzf3zf3)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_pgpzd2signaturezd2subzd2revocablezd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2revocablezd2_bglt)BgL_new1247z00_2522)))->BgL_revocablezf3zf3)=((bool_t)((bool_t)0)),BUNSPEC); 
BgL_auxz00_4565 = 
((BgL_pgpzd2signaturezd2subzd2revocablezd2_bglt)BgL_new1247z00_2522); 
return 
((obj_t)BgL_auxz00_4565);} } 

}



/* &lambda2270 */
BgL_pgpzd2signaturezd2subzd2revocablezd2_bglt BGl_z62lambda2270z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2523)
{
{ /* Llib/pgp_packets.scm 91 */
{ /* Llib/pgp_packets.scm 91 */
 BgL_pgpzd2signaturezd2subzd2revocablezd2_bglt BgL_new1246z00_3170;
BgL_new1246z00_3170 = 
((BgL_pgpzd2signaturezd2subzd2revocablezd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2signaturezd2subzd2revocablezd2_bgl) ))); 
{ /* Llib/pgp_packets.scm 91 */
 long BgL_arg2271z00_3171;
BgL_arg2271z00_3171 = 
BGL_CLASS_NUM(BGl_PGPzd2Signaturezd2Subzd2Revocablezd2zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1246z00_3170), BgL_arg2271z00_3171); } 
{ /* Llib/pgp_packets.scm 91 */
 BgL_objectz00_bglt BgL_tmpz00_4577;
BgL_tmpz00_4577 = 
((BgL_objectz00_bglt)BgL_new1246z00_3170); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4577, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1246z00_3170); 
return BgL_new1246z00_3170;} } 

}



/* &lambda2268 */
BgL_pgpzd2signaturezd2subzd2revocablezd2_bglt BGl_z62lambda2268z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2524, obj_t BgL_criticalzf31244zf3_2525, obj_t BgL_revocablezf31245zf3_2526)
{
{ /* Llib/pgp_packets.scm 91 */
{ /* Llib/pgp_packets.scm 91 */
 bool_t BgL_criticalzf31244zf3_3172; bool_t BgL_revocablezf31245zf3_3173;
BgL_criticalzf31244zf3_3172 = 
CBOOL(BgL_criticalzf31244zf3_2525); 
BgL_revocablezf31245zf3_3173 = 
CBOOL(BgL_revocablezf31245zf3_2526); 
{ /* Llib/pgp_packets.scm 91 */
 BgL_pgpzd2signaturezd2subzd2revocablezd2_bglt BgL_new1372z00_3174;
{ /* Llib/pgp_packets.scm 91 */
 BgL_pgpzd2signaturezd2subzd2revocablezd2_bglt BgL_new1371z00_3175;
BgL_new1371z00_3175 = 
((BgL_pgpzd2signaturezd2subzd2revocablezd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2signaturezd2subzd2revocablezd2_bgl) ))); 
{ /* Llib/pgp_packets.scm 91 */
 long BgL_arg2269z00_3176;
BgL_arg2269z00_3176 = 
BGL_CLASS_NUM(BGl_PGPzd2Signaturezd2Subzd2Revocablezd2zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1371z00_3175), BgL_arg2269z00_3176); } 
{ /* Llib/pgp_packets.scm 91 */
 BgL_objectz00_bglt BgL_tmpz00_4587;
BgL_tmpz00_4587 = 
((BgL_objectz00_bglt)BgL_new1371z00_3175); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4587, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1371z00_3175); 
BgL_new1372z00_3174 = BgL_new1371z00_3175; } 
((((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)BgL_new1372z00_3174)))->BgL_criticalzf3zf3)=((bool_t)BgL_criticalzf31244zf3_3172),BUNSPEC); 
((((BgL_pgpzd2signaturezd2subzd2revocablezd2_bglt)COBJECT(BgL_new1372z00_3174))->BgL_revocablezf3zf3)=((bool_t)BgL_revocablezf31245zf3_3173),BUNSPEC); 
return BgL_new1372z00_3174;} } } 

}



/* &lambda2277 */
obj_t BGl_z62lambda2277z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2527, obj_t BgL_oz00_2528, obj_t BgL_vz00_2529)
{
{ /* Llib/pgp_packets.scm 91 */
{ /* Llib/pgp_packets.scm 91 */
 bool_t BgL_vz00_3178;
BgL_vz00_3178 = 
CBOOL(BgL_vz00_2529); 
return 
((((BgL_pgpzd2signaturezd2subzd2revocablezd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2revocablezd2_bglt)BgL_oz00_2528)))->BgL_revocablezf3zf3)=((bool_t)BgL_vz00_3178),BUNSPEC);} } 

}



/* &lambda2276 */
obj_t BGl_z62lambda2276z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2530, obj_t BgL_oz00_2531)
{
{ /* Llib/pgp_packets.scm 91 */
return 
BBOOL(
(((BgL_pgpzd2signaturezd2subzd2revocablezd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2revocablezd2_bglt)BgL_oz00_2531)))->BgL_revocablezf3zf3));} 

}



/* &<@anonymous:2252> */
obj_t BGl_z62zc3z04anonymousza32252ze3ze5zz__openpgpzd2packetszd2(obj_t BgL_envz00_2532, obj_t BgL_new1242z00_2533)
{
{ /* Llib/pgp_packets.scm 88 */
{ 
 BgL_pgpzd2signaturezd2subzd2trustzd2_bglt BgL_auxz00_4600;
((((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)
((BgL_pgpzd2signaturezd2subzd2trustzd2_bglt)BgL_new1242z00_2533))))->BgL_criticalzf3zf3)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_pgpzd2signaturezd2subzd2trustzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2trustzd2_bglt)BgL_new1242z00_2533)))->BgL_levelz00)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_pgpzd2signaturezd2subzd2trustzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2trustzd2_bglt)BgL_new1242z00_2533)))->BgL_amountz00)=((int)
(int)(((long)0))),BUNSPEC); 
BgL_auxz00_4600 = 
((BgL_pgpzd2signaturezd2subzd2trustzd2_bglt)BgL_new1242z00_2533); 
return 
((obj_t)BgL_auxz00_4600);} } 

}



/* &lambda2250 */
BgL_pgpzd2signaturezd2subzd2trustzd2_bglt BGl_z62lambda2250z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2534)
{
{ /* Llib/pgp_packets.scm 88 */
{ /* Llib/pgp_packets.scm 88 */
 BgL_pgpzd2signaturezd2subzd2trustzd2_bglt BgL_new1241z00_3181;
BgL_new1241z00_3181 = 
((BgL_pgpzd2signaturezd2subzd2trustzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2signaturezd2subzd2trustzd2_bgl) ))); 
{ /* Llib/pgp_packets.scm 88 */
 long BgL_arg2251z00_3182;
BgL_arg2251z00_3182 = 
BGL_CLASS_NUM(BGl_PGPzd2Signaturezd2Subzd2Trustzd2zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1241z00_3181), BgL_arg2251z00_3182); } 
{ /* Llib/pgp_packets.scm 88 */
 BgL_objectz00_bglt BgL_tmpz00_4616;
BgL_tmpz00_4616 = 
((BgL_objectz00_bglt)BgL_new1241z00_3181); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4616, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1241z00_3181); 
return BgL_new1241z00_3181;} } 

}



/* &lambda2248 */
BgL_pgpzd2signaturezd2subzd2trustzd2_bglt BGl_z62lambda2248z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2535, obj_t BgL_criticalzf31238zf3_2536, obj_t BgL_level1239z00_2537, obj_t BgL_amount1240z00_2538)
{
{ /* Llib/pgp_packets.scm 88 */
{ /* Llib/pgp_packets.scm 88 */
 bool_t BgL_criticalzf31238zf3_3183; int BgL_level1239z00_3184; int BgL_amount1240z00_3185;
BgL_criticalzf31238zf3_3183 = 
CBOOL(BgL_criticalzf31238zf3_2536); 
BgL_level1239z00_3184 = 
CINT(BgL_level1239z00_2537); 
BgL_amount1240z00_3185 = 
CINT(BgL_amount1240z00_2538); 
{ /* Llib/pgp_packets.scm 88 */
 BgL_pgpzd2signaturezd2subzd2trustzd2_bglt BgL_new1370z00_3186;
{ /* Llib/pgp_packets.scm 88 */
 BgL_pgpzd2signaturezd2subzd2trustzd2_bglt BgL_new1369z00_3187;
BgL_new1369z00_3187 = 
((BgL_pgpzd2signaturezd2subzd2trustzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2signaturezd2subzd2trustzd2_bgl) ))); 
{ /* Llib/pgp_packets.scm 88 */
 long BgL_arg2249z00_3188;
BgL_arg2249z00_3188 = 
BGL_CLASS_NUM(BGl_PGPzd2Signaturezd2Subzd2Trustzd2zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1369z00_3187), BgL_arg2249z00_3188); } 
{ /* Llib/pgp_packets.scm 88 */
 BgL_objectz00_bglt BgL_tmpz00_4627;
BgL_tmpz00_4627 = 
((BgL_objectz00_bglt)BgL_new1369z00_3187); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4627, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1369z00_3187); 
BgL_new1370z00_3186 = BgL_new1369z00_3187; } 
((((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)BgL_new1370z00_3186)))->BgL_criticalzf3zf3)=((bool_t)BgL_criticalzf31238zf3_3183),BUNSPEC); 
((((BgL_pgpzd2signaturezd2subzd2trustzd2_bglt)COBJECT(BgL_new1370z00_3186))->BgL_levelz00)=((int)BgL_level1239z00_3184),BUNSPEC); 
((((BgL_pgpzd2signaturezd2subzd2trustzd2_bglt)COBJECT(BgL_new1370z00_3186))->BgL_amountz00)=((int)BgL_amount1240z00_3185),BUNSPEC); 
return BgL_new1370z00_3186;} } } 

}



/* &lambda2262 */
obj_t BGl_z62lambda2262z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2539, obj_t BgL_oz00_2540, obj_t BgL_vz00_2541)
{
{ /* Llib/pgp_packets.scm 88 */
{ /* Llib/pgp_packets.scm 88 */
 int BgL_vz00_3190;
BgL_vz00_3190 = 
CINT(BgL_vz00_2541); 
return 
((((BgL_pgpzd2signaturezd2subzd2trustzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2trustzd2_bglt)BgL_oz00_2540)))->BgL_amountz00)=((int)BgL_vz00_3190),BUNSPEC);} } 

}



/* &lambda2261 */
obj_t BGl_z62lambda2261z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2542, obj_t BgL_oz00_2543)
{
{ /* Llib/pgp_packets.scm 88 */
return 
BINT(
(((BgL_pgpzd2signaturezd2subzd2trustzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2trustzd2_bglt)BgL_oz00_2543)))->BgL_amountz00));} 

}



/* &lambda2257 */
obj_t BGl_z62lambda2257z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2544, obj_t BgL_oz00_2545, obj_t BgL_vz00_2546)
{
{ /* Llib/pgp_packets.scm 88 */
{ /* Llib/pgp_packets.scm 88 */
 int BgL_vz00_3193;
BgL_vz00_3193 = 
CINT(BgL_vz00_2546); 
return 
((((BgL_pgpzd2signaturezd2subzd2trustzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2trustzd2_bglt)BgL_oz00_2545)))->BgL_levelz00)=((int)BgL_vz00_3193),BUNSPEC);} } 

}



/* &lambda2256 */
obj_t BGl_z62lambda2256z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2547, obj_t BgL_oz00_2548)
{
{ /* Llib/pgp_packets.scm 88 */
return 
BINT(
(((BgL_pgpzd2signaturezd2subzd2trustzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2trustzd2_bglt)BgL_oz00_2548)))->BgL_levelz00));} 

}



/* &<@anonymous:2237> */
obj_t BGl_z62zc3z04anonymousza32237ze3ze5zz__openpgpzd2packetszd2(obj_t BgL_envz00_2549, obj_t BgL_new1236z00_2550)
{
{ /* Llib/pgp_packets.scm 86 */
{ 
 BgL_pgpzd2signaturezd2subzd2exportablezd2_bglt BgL_auxz00_4647;
((((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)
((BgL_pgpzd2signaturezd2subzd2exportablezd2_bglt)BgL_new1236z00_2550))))->BgL_criticalzf3zf3)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_pgpzd2signaturezd2subzd2exportablezd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2exportablezd2_bglt)BgL_new1236z00_2550)))->BgL_exportablezf3zf3)=((bool_t)((bool_t)0)),BUNSPEC); 
BgL_auxz00_4647 = 
((BgL_pgpzd2signaturezd2subzd2exportablezd2_bglt)BgL_new1236z00_2550); 
return 
((obj_t)BgL_auxz00_4647);} } 

}



/* &lambda2235 */
BgL_pgpzd2signaturezd2subzd2exportablezd2_bglt BGl_z62lambda2235z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2551)
{
{ /* Llib/pgp_packets.scm 86 */
{ /* Llib/pgp_packets.scm 86 */
 BgL_pgpzd2signaturezd2subzd2exportablezd2_bglt BgL_new1235z00_3196;
BgL_new1235z00_3196 = 
((BgL_pgpzd2signaturezd2subzd2exportablezd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2signaturezd2subzd2exportablezd2_bgl) ))); 
{ /* Llib/pgp_packets.scm 86 */
 long BgL_arg2236z00_3197;
BgL_arg2236z00_3197 = 
BGL_CLASS_NUM(BGl_PGPzd2Signaturezd2Subzd2Exportablezd2zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1235z00_3196), BgL_arg2236z00_3197); } 
{ /* Llib/pgp_packets.scm 86 */
 BgL_objectz00_bglt BgL_tmpz00_4659;
BgL_tmpz00_4659 = 
((BgL_objectz00_bglt)BgL_new1235z00_3196); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4659, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1235z00_3196); 
return BgL_new1235z00_3196;} } 

}



/* &lambda2233 */
BgL_pgpzd2signaturezd2subzd2exportablezd2_bglt BGl_z62lambda2233z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2552, obj_t BgL_criticalzf31233zf3_2553, obj_t BgL_exportablezf31234zf3_2554)
{
{ /* Llib/pgp_packets.scm 86 */
{ /* Llib/pgp_packets.scm 86 */
 bool_t BgL_criticalzf31233zf3_3198; bool_t BgL_exportablezf31234zf3_3199;
BgL_criticalzf31233zf3_3198 = 
CBOOL(BgL_criticalzf31233zf3_2553); 
BgL_exportablezf31234zf3_3199 = 
CBOOL(BgL_exportablezf31234zf3_2554); 
{ /* Llib/pgp_packets.scm 86 */
 BgL_pgpzd2signaturezd2subzd2exportablezd2_bglt BgL_new1368z00_3200;
{ /* Llib/pgp_packets.scm 86 */
 BgL_pgpzd2signaturezd2subzd2exportablezd2_bglt BgL_new1367z00_3201;
BgL_new1367z00_3201 = 
((BgL_pgpzd2signaturezd2subzd2exportablezd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2signaturezd2subzd2exportablezd2_bgl) ))); 
{ /* Llib/pgp_packets.scm 86 */
 long BgL_arg2234z00_3202;
BgL_arg2234z00_3202 = 
BGL_CLASS_NUM(BGl_PGPzd2Signaturezd2Subzd2Exportablezd2zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1367z00_3201), BgL_arg2234z00_3202); } 
{ /* Llib/pgp_packets.scm 86 */
 BgL_objectz00_bglt BgL_tmpz00_4669;
BgL_tmpz00_4669 = 
((BgL_objectz00_bglt)BgL_new1367z00_3201); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4669, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1367z00_3201); 
BgL_new1368z00_3200 = BgL_new1367z00_3201; } 
((((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)BgL_new1368z00_3200)))->BgL_criticalzf3zf3)=((bool_t)BgL_criticalzf31233zf3_3198),BUNSPEC); 
((((BgL_pgpzd2signaturezd2subzd2exportablezd2_bglt)COBJECT(BgL_new1368z00_3200))->BgL_exportablezf3zf3)=((bool_t)BgL_exportablezf31234zf3_3199),BUNSPEC); 
return BgL_new1368z00_3200;} } } 

}



/* &lambda2242 */
obj_t BGl_z62lambda2242z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2555, obj_t BgL_oz00_2556, obj_t BgL_vz00_2557)
{
{ /* Llib/pgp_packets.scm 86 */
{ /* Llib/pgp_packets.scm 86 */
 bool_t BgL_vz00_3204;
BgL_vz00_3204 = 
CBOOL(BgL_vz00_2557); 
return 
((((BgL_pgpzd2signaturezd2subzd2exportablezd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2exportablezd2_bglt)BgL_oz00_2556)))->BgL_exportablezf3zf3)=((bool_t)BgL_vz00_3204),BUNSPEC);} } 

}



/* &lambda2241 */
obj_t BGl_z62lambda2241z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2558, obj_t BgL_oz00_2559)
{
{ /* Llib/pgp_packets.scm 86 */
return 
BBOOL(
(((BgL_pgpzd2signaturezd2subzd2exportablezd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2exportablezd2_bglt)BgL_oz00_2559)))->BgL_exportablezf3zf3));} 

}



/* &<@anonymous:2222> */
obj_t BGl_z62zc3z04anonymousza32222ze3ze5zz__openpgpzd2packetszd2(obj_t BgL_envz00_2560, obj_t BgL_new1231z00_2561)
{
{ /* Llib/pgp_packets.scm 84 */
{ 
 BgL_pgpzd2signaturezd2subzd2expirationzd2timez00_bglt BgL_auxz00_4682;
((((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)
((BgL_pgpzd2signaturezd2subzd2expirationzd2timez00_bglt)BgL_new1231z00_2561))))->BgL_criticalzf3zf3)=((bool_t)((bool_t)0)),BUNSPEC); 
{ 
 obj_t BgL_auxz00_4686;
{ /* Llib/pgp_packets.scm 84 */
 BGL_LONGLONG_T BgL_arg1702z00_3207;
BgL_arg1702z00_3207 = 
bgl_current_nanoseconds(); 
BgL_auxz00_4686 = 
bgl_nanoseconds_to_date(BgL_arg1702z00_3207); } 
((((BgL_pgpzd2signaturezd2subzd2expirationzd2timez00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2expirationzd2timez00_bglt)BgL_new1231z00_2561)))->BgL_expirationzd2datezd2)=((obj_t)BgL_auxz00_4686),BUNSPEC); } 
BgL_auxz00_4682 = 
((BgL_pgpzd2signaturezd2subzd2expirationzd2timez00_bglt)BgL_new1231z00_2561); 
return 
((obj_t)BgL_auxz00_4682);} } 

}



/* &lambda2220 */
BgL_pgpzd2signaturezd2subzd2expirationzd2timez00_bglt BGl_z62lambda2220z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2562)
{
{ /* Llib/pgp_packets.scm 84 */
{ /* Llib/pgp_packets.scm 84 */
 BgL_pgpzd2signaturezd2subzd2expirationzd2timez00_bglt BgL_new1230z00_3208;
BgL_new1230z00_3208 = 
((BgL_pgpzd2signaturezd2subzd2expirationzd2timez00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2signaturezd2subzd2expirationzd2timez00_bgl) ))); 
{ /* Llib/pgp_packets.scm 84 */
 long BgL_arg2221z00_3209;
BgL_arg2221z00_3209 = 
BGL_CLASS_NUM(BGl_PGPzd2Signaturezd2Subzd2Expirationzd2Timez00zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1230z00_3208), BgL_arg2221z00_3209); } 
{ /* Llib/pgp_packets.scm 84 */
 BgL_objectz00_bglt BgL_tmpz00_4697;
BgL_tmpz00_4697 = 
((BgL_objectz00_bglt)BgL_new1230z00_3208); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4697, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1230z00_3208); 
return BgL_new1230z00_3208;} } 

}



/* &lambda2218 */
BgL_pgpzd2signaturezd2subzd2expirationzd2timez00_bglt BGl_z62lambda2218z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2563, obj_t BgL_criticalzf31228zf3_2564, obj_t BgL_expirationzd2date1229zd2_2565)
{
{ /* Llib/pgp_packets.scm 84 */
{ /* Llib/pgp_packets.scm 84 */
 bool_t BgL_criticalzf31228zf3_3210;
BgL_criticalzf31228zf3_3210 = 
CBOOL(BgL_criticalzf31228zf3_2564); 
{ /* Llib/pgp_packets.scm 84 */
 BgL_pgpzd2signaturezd2subzd2expirationzd2timez00_bglt BgL_new1366z00_3212;
{ /* Llib/pgp_packets.scm 84 */
 BgL_pgpzd2signaturezd2subzd2expirationzd2timez00_bglt BgL_new1365z00_3213;
BgL_new1365z00_3213 = 
((BgL_pgpzd2signaturezd2subzd2expirationzd2timez00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2signaturezd2subzd2expirationzd2timez00_bgl) ))); 
{ /* Llib/pgp_packets.scm 84 */
 long BgL_arg2219z00_3214;
BgL_arg2219z00_3214 = 
BGL_CLASS_NUM(BGl_PGPzd2Signaturezd2Subzd2Expirationzd2Timez00zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1365z00_3213), BgL_arg2219z00_3214); } 
{ /* Llib/pgp_packets.scm 84 */
 BgL_objectz00_bglt BgL_tmpz00_4706;
BgL_tmpz00_4706 = 
((BgL_objectz00_bglt)BgL_new1365z00_3213); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4706, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1365z00_3213); 
BgL_new1366z00_3212 = BgL_new1365z00_3213; } 
((((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)BgL_new1366z00_3212)))->BgL_criticalzf3zf3)=((bool_t)BgL_criticalzf31228zf3_3210),BUNSPEC); 
((((BgL_pgpzd2signaturezd2subzd2expirationzd2timez00_bglt)COBJECT(BgL_new1366z00_3212))->BgL_expirationzd2datezd2)=((obj_t)
((obj_t)BgL_expirationzd2date1229zd2_2565)),BUNSPEC); 
return BgL_new1366z00_3212;} } } 

}



/* &lambda2227 */
obj_t BGl_z62lambda2227z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2566, obj_t BgL_oz00_2567, obj_t BgL_vz00_2568)
{
{ /* Llib/pgp_packets.scm 84 */
return 
((((BgL_pgpzd2signaturezd2subzd2expirationzd2timez00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2expirationzd2timez00_bglt)BgL_oz00_2567)))->BgL_expirationzd2datezd2)=((obj_t)
((obj_t)BgL_vz00_2568)),BUNSPEC);} 

}



/* &lambda2226 */
obj_t BGl_z62lambda2226z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2569, obj_t BgL_oz00_2570)
{
{ /* Llib/pgp_packets.scm 84 */
return 
(((BgL_pgpzd2signaturezd2subzd2expirationzd2timez00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2expirationzd2timez00_bglt)BgL_oz00_2570)))->BgL_expirationzd2datezd2);} 

}



/* &<@anonymous:2207> */
obj_t BGl_z62zc3z04anonymousza32207ze3ze5zz__openpgpzd2packetszd2(obj_t BgL_envz00_2571, obj_t BgL_new1226z00_2572)
{
{ /* Llib/pgp_packets.scm 82 */
{ 
 BgL_pgpzd2signaturezd2subzd2creationzd2timez00_bglt BgL_auxz00_4719;
((((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)
((BgL_pgpzd2signaturezd2subzd2creationzd2timez00_bglt)BgL_new1226z00_2572))))->BgL_criticalzf3zf3)=((bool_t)((bool_t)0)),BUNSPEC); 
{ 
 obj_t BgL_auxz00_4723;
{ /* Llib/pgp_packets.scm 82 */
 BGL_LONGLONG_T BgL_arg1702z00_3219;
BgL_arg1702z00_3219 = 
bgl_current_nanoseconds(); 
BgL_auxz00_4723 = 
bgl_nanoseconds_to_date(BgL_arg1702z00_3219); } 
((((BgL_pgpzd2signaturezd2subzd2creationzd2timez00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2creationzd2timez00_bglt)BgL_new1226z00_2572)))->BgL_creationzd2datezd2)=((obj_t)BgL_auxz00_4723),BUNSPEC); } 
BgL_auxz00_4719 = 
((BgL_pgpzd2signaturezd2subzd2creationzd2timez00_bglt)BgL_new1226z00_2572); 
return 
((obj_t)BgL_auxz00_4719);} } 

}



/* &lambda2205 */
BgL_pgpzd2signaturezd2subzd2creationzd2timez00_bglt BGl_z62lambda2205z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2573)
{
{ /* Llib/pgp_packets.scm 82 */
{ /* Llib/pgp_packets.scm 82 */
 BgL_pgpzd2signaturezd2subzd2creationzd2timez00_bglt BgL_new1225z00_3220;
BgL_new1225z00_3220 = 
((BgL_pgpzd2signaturezd2subzd2creationzd2timez00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2signaturezd2subzd2creationzd2timez00_bgl) ))); 
{ /* Llib/pgp_packets.scm 82 */
 long BgL_arg2206z00_3221;
BgL_arg2206z00_3221 = 
BGL_CLASS_NUM(BGl_PGPzd2Signaturezd2Subzd2Creationzd2Timez00zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1225z00_3220), BgL_arg2206z00_3221); } 
{ /* Llib/pgp_packets.scm 82 */
 BgL_objectz00_bglt BgL_tmpz00_4734;
BgL_tmpz00_4734 = 
((BgL_objectz00_bglt)BgL_new1225z00_3220); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4734, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1225z00_3220); 
return BgL_new1225z00_3220;} } 

}



/* &lambda2203 */
BgL_pgpzd2signaturezd2subzd2creationzd2timez00_bglt BGl_z62lambda2203z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2574, obj_t BgL_criticalzf31223zf3_2575, obj_t BgL_creationzd2date1224zd2_2576)
{
{ /* Llib/pgp_packets.scm 82 */
{ /* Llib/pgp_packets.scm 82 */
 bool_t BgL_criticalzf31223zf3_3222;
BgL_criticalzf31223zf3_3222 = 
CBOOL(BgL_criticalzf31223zf3_2575); 
{ /* Llib/pgp_packets.scm 82 */
 BgL_pgpzd2signaturezd2subzd2creationzd2timez00_bglt BgL_new1364z00_3224;
{ /* Llib/pgp_packets.scm 82 */
 BgL_pgpzd2signaturezd2subzd2creationzd2timez00_bglt BgL_new1363z00_3225;
BgL_new1363z00_3225 = 
((BgL_pgpzd2signaturezd2subzd2creationzd2timez00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2signaturezd2subzd2creationzd2timez00_bgl) ))); 
{ /* Llib/pgp_packets.scm 82 */
 long BgL_arg2204z00_3226;
BgL_arg2204z00_3226 = 
BGL_CLASS_NUM(BGl_PGPzd2Signaturezd2Subzd2Creationzd2Timez00zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1363z00_3225), BgL_arg2204z00_3226); } 
{ /* Llib/pgp_packets.scm 82 */
 BgL_objectz00_bglt BgL_tmpz00_4743;
BgL_tmpz00_4743 = 
((BgL_objectz00_bglt)BgL_new1363z00_3225); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4743, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1363z00_3225); 
BgL_new1364z00_3224 = BgL_new1363z00_3225; } 
((((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)BgL_new1364z00_3224)))->BgL_criticalzf3zf3)=((bool_t)BgL_criticalzf31223zf3_3222),BUNSPEC); 
((((BgL_pgpzd2signaturezd2subzd2creationzd2timez00_bglt)COBJECT(BgL_new1364z00_3224))->BgL_creationzd2datezd2)=((obj_t)
((obj_t)BgL_creationzd2date1224zd2_2576)),BUNSPEC); 
return BgL_new1364z00_3224;} } } 

}



/* &lambda2212 */
obj_t BGl_z62lambda2212z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2577, obj_t BgL_oz00_2578, obj_t BgL_vz00_2579)
{
{ /* Llib/pgp_packets.scm 82 */
return 
((((BgL_pgpzd2signaturezd2subzd2creationzd2timez00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2creationzd2timez00_bglt)BgL_oz00_2578)))->BgL_creationzd2datezd2)=((obj_t)
((obj_t)BgL_vz00_2579)),BUNSPEC);} 

}



/* &lambda2211 */
obj_t BGl_z62lambda2211z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2580, obj_t BgL_oz00_2581)
{
{ /* Llib/pgp_packets.scm 82 */
return 
(((BgL_pgpzd2signaturezd2subzd2creationzd2timez00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2creationzd2timez00_bglt)BgL_oz00_2581)))->BgL_creationzd2datezd2);} 

}



/* &<@anonymous:2187> */
obj_t BGl_z62zc3z04anonymousza32187ze3ze5zz__openpgpzd2packetszd2(obj_t BgL_envz00_2582, obj_t BgL_new1221z00_2583)
{
{ /* Llib/pgp_packets.scm 79 */
{ 
 BgL_pgpzd2signaturezd2subzd2genericzd2_bglt BgL_auxz00_4756;
((((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)
((BgL_pgpzd2signaturezd2subzd2genericzd2_bglt)BgL_new1221z00_2583))))->BgL_criticalzf3zf3)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_pgpzd2signaturezd2subzd2genericzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2genericzd2_bglt)BgL_new1221z00_2583)))->BgL_typez00)=((obj_t)
CNST_TABLE_REF(((long)101))),BUNSPEC); 
((((BgL_pgpzd2signaturezd2subzd2genericzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2genericzd2_bglt)BgL_new1221z00_2583)))->BgL_dataz00)=((obj_t)BGl_string2750z00zz__openpgpzd2packetszd2),BUNSPEC); 
BgL_auxz00_4756 = 
((BgL_pgpzd2signaturezd2subzd2genericzd2_bglt)BgL_new1221z00_2583); 
return 
((obj_t)BgL_auxz00_4756);} } 

}



/* &lambda2185 */
BgL_pgpzd2signaturezd2subzd2genericzd2_bglt BGl_z62lambda2185z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2584)
{
{ /* Llib/pgp_packets.scm 79 */
{ /* Llib/pgp_packets.scm 79 */
 BgL_pgpzd2signaturezd2subzd2genericzd2_bglt BgL_new1220z00_3231;
BgL_new1220z00_3231 = 
((BgL_pgpzd2signaturezd2subzd2genericzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2signaturezd2subzd2genericzd2_bgl) ))); 
{ /* Llib/pgp_packets.scm 79 */
 long BgL_arg2186z00_3232;
BgL_arg2186z00_3232 = 
BGL_CLASS_NUM(BGl_PGPzd2Signaturezd2Subzd2Genericzd2zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1220z00_3231), BgL_arg2186z00_3232); } 
{ /* Llib/pgp_packets.scm 79 */
 BgL_objectz00_bglt BgL_tmpz00_4771;
BgL_tmpz00_4771 = 
((BgL_objectz00_bglt)BgL_new1220z00_3231); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4771, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1220z00_3231); 
return BgL_new1220z00_3231;} } 

}



/* &lambda2183 */
BgL_pgpzd2signaturezd2subzd2genericzd2_bglt BGl_z62lambda2183z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2585, obj_t BgL_criticalzf31217zf3_2586, obj_t BgL_type1218z00_2587, obj_t BgL_data1219z00_2588)
{
{ /* Llib/pgp_packets.scm 79 */
{ /* Llib/pgp_packets.scm 79 */
 bool_t BgL_criticalzf31217zf3_3233;
BgL_criticalzf31217zf3_3233 = 
CBOOL(BgL_criticalzf31217zf3_2586); 
{ /* Llib/pgp_packets.scm 79 */
 BgL_pgpzd2signaturezd2subzd2genericzd2_bglt BgL_new1362z00_3236;
{ /* Llib/pgp_packets.scm 79 */
 BgL_pgpzd2signaturezd2subzd2genericzd2_bglt BgL_new1361z00_3237;
BgL_new1361z00_3237 = 
((BgL_pgpzd2signaturezd2subzd2genericzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2signaturezd2subzd2genericzd2_bgl) ))); 
{ /* Llib/pgp_packets.scm 79 */
 long BgL_arg2184z00_3238;
BgL_arg2184z00_3238 = 
BGL_CLASS_NUM(BGl_PGPzd2Signaturezd2Subzd2Genericzd2zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1361z00_3237), BgL_arg2184z00_3238); } 
{ /* Llib/pgp_packets.scm 79 */
 BgL_objectz00_bglt BgL_tmpz00_4780;
BgL_tmpz00_4780 = 
((BgL_objectz00_bglt)BgL_new1361z00_3237); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4780, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1361z00_3237); 
BgL_new1362z00_3236 = BgL_new1361z00_3237; } 
((((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)BgL_new1362z00_3236)))->BgL_criticalzf3zf3)=((bool_t)BgL_criticalzf31217zf3_3233),BUNSPEC); 
((((BgL_pgpzd2signaturezd2subzd2genericzd2_bglt)COBJECT(BgL_new1362z00_3236))->BgL_typez00)=((obj_t)
((obj_t)BgL_type1218z00_2587)),BUNSPEC); 
((((BgL_pgpzd2signaturezd2subzd2genericzd2_bglt)COBJECT(BgL_new1362z00_3236))->BgL_dataz00)=((obj_t)
((obj_t)BgL_data1219z00_2588)),BUNSPEC); 
return BgL_new1362z00_3236;} } } 

}



/* &lambda2197 */
obj_t BGl_z62lambda2197z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2589, obj_t BgL_oz00_2590, obj_t BgL_vz00_2591)
{
{ /* Llib/pgp_packets.scm 79 */
return 
((((BgL_pgpzd2signaturezd2subzd2genericzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2genericzd2_bglt)BgL_oz00_2590)))->BgL_dataz00)=((obj_t)
((obj_t)BgL_vz00_2591)),BUNSPEC);} 

}



/* &lambda2196 */
obj_t BGl_z62lambda2196z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2592, obj_t BgL_oz00_2593)
{
{ /* Llib/pgp_packets.scm 79 */
return 
(((BgL_pgpzd2signaturezd2subzd2genericzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2genericzd2_bglt)BgL_oz00_2593)))->BgL_dataz00);} 

}



/* &lambda2192 */
obj_t BGl_z62lambda2192z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2594, obj_t BgL_oz00_2595, obj_t BgL_vz00_2596)
{
{ /* Llib/pgp_packets.scm 79 */
return 
((((BgL_pgpzd2signaturezd2subzd2genericzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2genericzd2_bglt)BgL_oz00_2595)))->BgL_typez00)=((obj_t)
((obj_t)BgL_vz00_2596)),BUNSPEC);} 

}



/* &lambda2191 */
obj_t BGl_z62lambda2191z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2597, obj_t BgL_oz00_2598)
{
{ /* Llib/pgp_packets.scm 79 */
return 
(((BgL_pgpzd2signaturezd2subzd2genericzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2genericzd2_bglt)BgL_oz00_2598)))->BgL_typez00);} 

}



/* &<@anonymous:2170> */
obj_t BGl_z62zc3z04anonymousza32170ze3ze5zz__openpgpzd2packetszd2(obj_t BgL_envz00_2599, obj_t BgL_new1215z00_2600)
{
{ /* Llib/pgp_packets.scm 75 */
{ 
 BgL_pgpzd2signaturezd2subzd2packetzd2_bglt BgL_auxz00_4800;
((((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)BgL_new1215z00_2600)))->BgL_criticalzf3zf3)=((bool_t)((bool_t)0)),BUNSPEC); 
BgL_auxz00_4800 = 
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)BgL_new1215z00_2600); 
return 
((obj_t)BgL_auxz00_4800);} } 

}



/* &lambda2168 */
BgL_pgpzd2signaturezd2subzd2packetzd2_bglt BGl_z62lambda2168z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2601)
{
{ /* Llib/pgp_packets.scm 75 */
{ /* Llib/pgp_packets.scm 75 */
 BgL_pgpzd2signaturezd2subzd2packetzd2_bglt BgL_new1214z00_3246;
BgL_new1214z00_3246 = 
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2signaturezd2subzd2packetzd2_bgl) ))); 
{ /* Llib/pgp_packets.scm 75 */
 long BgL_arg2169z00_3247;
BgL_arg2169z00_3247 = 
BGL_CLASS_NUM(BGl_PGPzd2Signaturezd2Subzd2Packetzd2zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1214z00_3246), BgL_arg2169z00_3247); } 
return BgL_new1214z00_3246;} } 

}



/* &lambda2166 */
BgL_pgpzd2signaturezd2subzd2packetzd2_bglt BGl_z62lambda2166z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2602, obj_t BgL_criticalzf31213zf3_2603)
{
{ /* Llib/pgp_packets.scm 75 */
{ /* Llib/pgp_packets.scm 75 */
 bool_t BgL_criticalzf31213zf3_3248;
BgL_criticalzf31213zf3_3248 = 
CBOOL(BgL_criticalzf31213zf3_2603); 
{ /* Llib/pgp_packets.scm 75 */
 BgL_pgpzd2signaturezd2subzd2packetzd2_bglt BgL_new1360z00_3249;
{ /* Llib/pgp_packets.scm 75 */
 BgL_pgpzd2signaturezd2subzd2packetzd2_bglt BgL_new1359z00_3250;
BgL_new1359z00_3250 = 
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2signaturezd2subzd2packetzd2_bgl) ))); 
{ /* Llib/pgp_packets.scm 75 */
 long BgL_arg2167z00_3251;
BgL_arg2167z00_3251 = 
BGL_CLASS_NUM(BGl_PGPzd2Signaturezd2Subzd2Packetzd2zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1359z00_3250), BgL_arg2167z00_3251); } 
BgL_new1360z00_3249 = BgL_new1359z00_3250; } 
((((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(BgL_new1360z00_3249))->BgL_criticalzf3zf3)=((bool_t)BgL_criticalzf31213zf3_3248),BUNSPEC); 
return BgL_new1360z00_3249;} } } 

}



/* &<@anonymous:2177> */
obj_t BGl_z62zc3z04anonymousza32177ze3ze5zz__openpgpzd2packetszd2(obj_t BgL_envz00_2604)
{
{ /* Llib/pgp_packets.scm 75 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda2176 */
obj_t BGl_z62lambda2176z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2605, obj_t BgL_oz00_2606, obj_t BgL_vz00_2607)
{
{ /* Llib/pgp_packets.scm 75 */
{ /* Llib/pgp_packets.scm 75 */
 bool_t BgL_vz00_3253;
BgL_vz00_3253 = 
CBOOL(BgL_vz00_2607); 
return 
((((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)BgL_oz00_2606)))->BgL_criticalzf3zf3)=((bool_t)BgL_vz00_3253),BUNSPEC);} } 

}



/* &lambda2175 */
obj_t BGl_z62lambda2175z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2608, obj_t BgL_oz00_2609)
{
{ /* Llib/pgp_packets.scm 75 */
return 
BBOOL(
(((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2subzd2packetzd2_bglt)BgL_oz00_2609)))->BgL_criticalzf3zf3));} 

}



/* &<@anonymous:2155> */
obj_t BGl_z62zc3z04anonymousza32155ze3ze5zz__openpgpzd2packetszd2(obj_t BgL_envz00_2610, obj_t BgL_new1211z00_2611)
{
{ /* Llib/pgp_packets.scm 72 */
{ 
 BgL_pgpzd2mdczd2packetz00_bglt BgL_auxz00_4822;
((((BgL_pgpzd2mdczd2packetz00_bglt)COBJECT(
((BgL_pgpzd2mdczd2packetz00_bglt)BgL_new1211z00_2611)))->BgL_hashz00)=((obj_t)BGl_string2750z00zz__openpgpzd2packetszd2),BUNSPEC); 
BgL_auxz00_4822 = 
((BgL_pgpzd2mdczd2packetz00_bglt)BgL_new1211z00_2611); 
return 
((obj_t)BgL_auxz00_4822);} } 

}



/* &lambda2153 */
BgL_pgpzd2mdczd2packetz00_bglt BGl_z62lambda2153z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2612)
{
{ /* Llib/pgp_packets.scm 72 */
{ /* Llib/pgp_packets.scm 72 */
 BgL_pgpzd2mdczd2packetz00_bglt BgL_new1210z00_3256;
BgL_new1210z00_3256 = 
((BgL_pgpzd2mdczd2packetz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2mdczd2packetz00_bgl) ))); 
{ /* Llib/pgp_packets.scm 72 */
 long BgL_arg2154z00_3257;
BgL_arg2154z00_3257 = 
BGL_CLASS_NUM(BGl_PGPzd2MDCzd2Packetz00zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1210z00_3256), BgL_arg2154z00_3257); } 
{ /* Llib/pgp_packets.scm 72 */
 BgL_objectz00_bglt BgL_tmpz00_4831;
BgL_tmpz00_4831 = 
((BgL_objectz00_bglt)BgL_new1210z00_3256); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4831, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1210z00_3256); 
return BgL_new1210z00_3256;} } 

}



/* &lambda2151 */
BgL_pgpzd2mdczd2packetz00_bglt BGl_z62lambda2151z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2613, obj_t BgL_hash1209z00_2614)
{
{ /* Llib/pgp_packets.scm 72 */
{ /* Llib/pgp_packets.scm 72 */
 BgL_pgpzd2mdczd2packetz00_bglt BgL_new1358z00_3259;
{ /* Llib/pgp_packets.scm 72 */
 BgL_pgpzd2mdczd2packetz00_bglt BgL_new1357z00_3260;
BgL_new1357z00_3260 = 
((BgL_pgpzd2mdczd2packetz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2mdczd2packetz00_bgl) ))); 
{ /* Llib/pgp_packets.scm 72 */
 long BgL_arg2152z00_3261;
BgL_arg2152z00_3261 = 
BGL_CLASS_NUM(BGl_PGPzd2MDCzd2Packetz00zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1357z00_3260), BgL_arg2152z00_3261); } 
{ /* Llib/pgp_packets.scm 72 */
 BgL_objectz00_bglt BgL_tmpz00_4839;
BgL_tmpz00_4839 = 
((BgL_objectz00_bglt)BgL_new1357z00_3260); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4839, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1357z00_3260); 
BgL_new1358z00_3259 = BgL_new1357z00_3260; } 
((((BgL_pgpzd2mdczd2packetz00_bglt)COBJECT(BgL_new1358z00_3259))->BgL_hashz00)=((obj_t)
((obj_t)BgL_hash1209z00_2614)),BUNSPEC); 
return BgL_new1358z00_3259;} } 

}



/* &lambda2160 */
obj_t BGl_z62lambda2160z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2615, obj_t BgL_oz00_2616, obj_t BgL_vz00_2617)
{
{ /* Llib/pgp_packets.scm 72 */
return 
((((BgL_pgpzd2mdczd2packetz00_bglt)COBJECT(
((BgL_pgpzd2mdczd2packetz00_bglt)BgL_oz00_2616)))->BgL_hashz00)=((obj_t)
((obj_t)BgL_vz00_2617)),BUNSPEC);} 

}



/* &lambda2159 */
obj_t BGl_z62lambda2159z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2618, obj_t BgL_oz00_2619)
{
{ /* Llib/pgp_packets.scm 72 */
return 
(((BgL_pgpzd2mdczd2packetz00_bglt)COBJECT(
((BgL_pgpzd2mdczd2packetz00_bglt)BgL_oz00_2619)))->BgL_hashz00);} 

}



/* &<@anonymous:2140> */
obj_t BGl_z62zc3z04anonymousza32140ze3ze5zz__openpgpzd2packetszd2(obj_t BgL_envz00_2620, obj_t BgL_new1207z00_2621)
{
{ /* Llib/pgp_packets.scm 70 */
{ 
 BgL_pgpzd2mdczd2symmetricallyzd2encryptedzd2packetz00_bglt BgL_auxz00_4850;
((((BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt)
((BgL_pgpzd2mdczd2symmetricallyzd2encryptedzd2packetz00_bglt)BgL_new1207z00_2621))))->BgL_dataz00)=((obj_t)BGl_string2750z00zz__openpgpzd2packetszd2),BUNSPEC); 
((((BgL_pgpzd2mdczd2symmetricallyzd2encryptedzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2mdczd2symmetricallyzd2encryptedzd2packetz00_bglt)BgL_new1207z00_2621)))->BgL_versionz00)=((long)((long)0)),BUNSPEC); 
BgL_auxz00_4850 = 
((BgL_pgpzd2mdczd2symmetricallyzd2encryptedzd2packetz00_bglt)BgL_new1207z00_2621); 
return 
((obj_t)BgL_auxz00_4850);} } 

}



/* &lambda2138 */
BgL_pgpzd2mdczd2symmetricallyzd2encryptedzd2packetz00_bglt BGl_z62lambda2138z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2622)
{
{ /* Llib/pgp_packets.scm 70 */
{ /* Llib/pgp_packets.scm 70 */
 BgL_pgpzd2mdczd2symmetricallyzd2encryptedzd2packetz00_bglt BgL_new1206z00_3266;
BgL_new1206z00_3266 = 
((BgL_pgpzd2mdczd2symmetricallyzd2encryptedzd2packetz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2mdczd2symmetricallyzd2encryptedzd2packetz00_bgl) ))); 
{ /* Llib/pgp_packets.scm 70 */
 long BgL_arg2139z00_3267;
BgL_arg2139z00_3267 = 
BGL_CLASS_NUM(BGl_PGPzd2MDCzd2Symmetricallyzd2Encryptedzd2Packetz00zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1206z00_3266), BgL_arg2139z00_3267); } 
{ /* Llib/pgp_packets.scm 70 */
 BgL_objectz00_bglt BgL_tmpz00_4862;
BgL_tmpz00_4862 = 
((BgL_objectz00_bglt)BgL_new1206z00_3266); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4862, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1206z00_3266); 
return BgL_new1206z00_3266;} } 

}



/* &lambda2136 */
BgL_pgpzd2mdczd2symmetricallyzd2encryptedzd2packetz00_bglt BGl_z62lambda2136z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2623, obj_t BgL_data1204z00_2624, obj_t BgL_version1205z00_2625)
{
{ /* Llib/pgp_packets.scm 70 */
{ /* Llib/pgp_packets.scm 70 */
 long BgL_version1205z00_3269;
BgL_version1205z00_3269 = 
(long)CINT(BgL_version1205z00_2625); 
{ /* Llib/pgp_packets.scm 70 */
 BgL_pgpzd2mdczd2symmetricallyzd2encryptedzd2packetz00_bglt BgL_new1356z00_3270;
{ /* Llib/pgp_packets.scm 70 */
 BgL_pgpzd2mdczd2symmetricallyzd2encryptedzd2packetz00_bglt BgL_new1355z00_3271;
BgL_new1355z00_3271 = 
((BgL_pgpzd2mdczd2symmetricallyzd2encryptedzd2packetz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2mdczd2symmetricallyzd2encryptedzd2packetz00_bgl) ))); 
{ /* Llib/pgp_packets.scm 70 */
 long BgL_arg2137z00_3272;
BgL_arg2137z00_3272 = 
BGL_CLASS_NUM(BGl_PGPzd2MDCzd2Symmetricallyzd2Encryptedzd2Packetz00zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1355z00_3271), BgL_arg2137z00_3272); } 
{ /* Llib/pgp_packets.scm 70 */
 BgL_objectz00_bglt BgL_tmpz00_4871;
BgL_tmpz00_4871 = 
((BgL_objectz00_bglt)BgL_new1355z00_3271); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4871, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1355z00_3271); 
BgL_new1356z00_3270 = BgL_new1355z00_3271; } 
((((BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt)BgL_new1356z00_3270)))->BgL_dataz00)=((obj_t)
((obj_t)BgL_data1204z00_2624)),BUNSPEC); 
((((BgL_pgpzd2mdczd2symmetricallyzd2encryptedzd2packetz00_bglt)COBJECT(BgL_new1356z00_3270))->BgL_versionz00)=((long)BgL_version1205z00_3269),BUNSPEC); 
return BgL_new1356z00_3270;} } } 

}



/* &lambda2145 */
obj_t BGl_z62lambda2145z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2626, obj_t BgL_oz00_2627, obj_t BgL_vz00_2628)
{
{ /* Llib/pgp_packets.scm 70 */
{ /* Llib/pgp_packets.scm 70 */
 long BgL_vz00_3274;
BgL_vz00_3274 = 
(long)CINT(BgL_vz00_2628); 
return 
((((BgL_pgpzd2mdczd2symmetricallyzd2encryptedzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2mdczd2symmetricallyzd2encryptedzd2packetz00_bglt)BgL_oz00_2627)))->BgL_versionz00)=((long)BgL_vz00_3274),BUNSPEC);} } 

}



/* &lambda2144 */
obj_t BGl_z62lambda2144z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2629, obj_t BgL_oz00_2630)
{
{ /* Llib/pgp_packets.scm 70 */
return 
BINT(
(((BgL_pgpzd2mdczd2symmetricallyzd2encryptedzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2mdczd2symmetricallyzd2encryptedzd2packetz00_bglt)BgL_oz00_2630)))->BgL_versionz00));} 

}



/* &<@anonymous:2125> */
obj_t BGl_z62zc3z04anonymousza32125ze3ze5zz__openpgpzd2packetszd2(obj_t BgL_envz00_2631, obj_t BgL_new1202z00_2632)
{
{ /* Llib/pgp_packets.scm 68 */
{ 
 BgL_pgpzd2attributezd2packetz00_bglt BgL_auxz00_4885;
((((BgL_pgpzd2attributezd2packetz00_bglt)COBJECT(
((BgL_pgpzd2attributezd2packetz00_bglt)BgL_new1202z00_2632)))->BgL_dataz00)=((obj_t)BGl_string2750z00zz__openpgpzd2packetszd2),BUNSPEC); 
BgL_auxz00_4885 = 
((BgL_pgpzd2attributezd2packetz00_bglt)BgL_new1202z00_2632); 
return 
((obj_t)BgL_auxz00_4885);} } 

}



/* &lambda2123 */
BgL_pgpzd2attributezd2packetz00_bglt BGl_z62lambda2123z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2633)
{
{ /* Llib/pgp_packets.scm 68 */
{ /* Llib/pgp_packets.scm 68 */
 BgL_pgpzd2attributezd2packetz00_bglt BgL_new1201z00_3277;
BgL_new1201z00_3277 = 
((BgL_pgpzd2attributezd2packetz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2attributezd2packetz00_bgl) ))); 
{ /* Llib/pgp_packets.scm 68 */
 long BgL_arg2124z00_3278;
BgL_arg2124z00_3278 = 
BGL_CLASS_NUM(BGl_PGPzd2Attributezd2Packetz00zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1201z00_3277), BgL_arg2124z00_3278); } 
{ /* Llib/pgp_packets.scm 68 */
 BgL_objectz00_bglt BgL_tmpz00_4894;
BgL_tmpz00_4894 = 
((BgL_objectz00_bglt)BgL_new1201z00_3277); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4894, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1201z00_3277); 
return BgL_new1201z00_3277;} } 

}



/* &lambda2121 */
BgL_pgpzd2attributezd2packetz00_bglt BGl_z62lambda2121z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2634, obj_t BgL_data1200z00_2635)
{
{ /* Llib/pgp_packets.scm 68 */
{ /* Llib/pgp_packets.scm 68 */
 BgL_pgpzd2attributezd2packetz00_bglt BgL_new1354z00_3280;
{ /* Llib/pgp_packets.scm 68 */
 BgL_pgpzd2attributezd2packetz00_bglt BgL_new1353z00_3281;
BgL_new1353z00_3281 = 
((BgL_pgpzd2attributezd2packetz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2attributezd2packetz00_bgl) ))); 
{ /* Llib/pgp_packets.scm 68 */
 long BgL_arg2122z00_3282;
BgL_arg2122z00_3282 = 
BGL_CLASS_NUM(BGl_PGPzd2Attributezd2Packetz00zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1353z00_3281), BgL_arg2122z00_3282); } 
{ /* Llib/pgp_packets.scm 68 */
 BgL_objectz00_bglt BgL_tmpz00_4902;
BgL_tmpz00_4902 = 
((BgL_objectz00_bglt)BgL_new1353z00_3281); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4902, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1353z00_3281); 
BgL_new1354z00_3280 = BgL_new1353z00_3281; } 
((((BgL_pgpzd2attributezd2packetz00_bglt)COBJECT(BgL_new1354z00_3280))->BgL_dataz00)=((obj_t)
((obj_t)BgL_data1200z00_2635)),BUNSPEC); 
return BgL_new1354z00_3280;} } 

}



/* &lambda2130 */
obj_t BGl_z62lambda2130z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2636, obj_t BgL_oz00_2637, obj_t BgL_vz00_2638)
{
{ /* Llib/pgp_packets.scm 68 */
return 
((((BgL_pgpzd2attributezd2packetz00_bglt)COBJECT(
((BgL_pgpzd2attributezd2packetz00_bglt)BgL_oz00_2637)))->BgL_dataz00)=((obj_t)
((obj_t)BgL_vz00_2638)),BUNSPEC);} 

}



/* &lambda2129 */
obj_t BGl_z62lambda2129z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2639, obj_t BgL_oz00_2640)
{
{ /* Llib/pgp_packets.scm 68 */
return 
(((BgL_pgpzd2attributezd2packetz00_bglt)COBJECT(
((BgL_pgpzd2attributezd2packetz00_bglt)BgL_oz00_2640)))->BgL_dataz00);} 

}



/* &<@anonymous:2110> */
obj_t BGl_z62zc3z04anonymousza32110ze3ze5zz__openpgpzd2packetszd2(obj_t BgL_envz00_2641, obj_t BgL_new1198z00_2642)
{
{ /* Llib/pgp_packets.scm 66 */
{ 
 BgL_pgpzd2idzd2packetz00_bglt BgL_auxz00_4913;
((((BgL_pgpzd2idzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2idzd2packetz00_bglt)BgL_new1198z00_2642)))->BgL_dataz00)=((obj_t)BGl_string2750z00zz__openpgpzd2packetszd2),BUNSPEC); 
BgL_auxz00_4913 = 
((BgL_pgpzd2idzd2packetz00_bglt)BgL_new1198z00_2642); 
return 
((obj_t)BgL_auxz00_4913);} } 

}



/* &lambda2108 */
BgL_pgpzd2idzd2packetz00_bglt BGl_z62lambda2108z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2643)
{
{ /* Llib/pgp_packets.scm 66 */
{ /* Llib/pgp_packets.scm 66 */
 BgL_pgpzd2idzd2packetz00_bglt BgL_new1197z00_3287;
BgL_new1197z00_3287 = 
((BgL_pgpzd2idzd2packetz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2idzd2packetz00_bgl) ))); 
{ /* Llib/pgp_packets.scm 66 */
 long BgL_arg2109z00_3288;
BgL_arg2109z00_3288 = 
BGL_CLASS_NUM(BGl_PGPzd2IDzd2Packetz00zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1197z00_3287), BgL_arg2109z00_3288); } 
{ /* Llib/pgp_packets.scm 66 */
 BgL_objectz00_bglt BgL_tmpz00_4922;
BgL_tmpz00_4922 = 
((BgL_objectz00_bglt)BgL_new1197z00_3287); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4922, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1197z00_3287); 
return BgL_new1197z00_3287;} } 

}



/* &lambda2106 */
BgL_pgpzd2idzd2packetz00_bglt BGl_z62lambda2106z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2644, obj_t BgL_data1196z00_2645)
{
{ /* Llib/pgp_packets.scm 66 */
{ /* Llib/pgp_packets.scm 66 */
 BgL_pgpzd2idzd2packetz00_bglt BgL_new1352z00_3290;
{ /* Llib/pgp_packets.scm 66 */
 BgL_pgpzd2idzd2packetz00_bglt BgL_new1351z00_3291;
BgL_new1351z00_3291 = 
((BgL_pgpzd2idzd2packetz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2idzd2packetz00_bgl) ))); 
{ /* Llib/pgp_packets.scm 66 */
 long BgL_arg2107z00_3292;
BgL_arg2107z00_3292 = 
BGL_CLASS_NUM(BGl_PGPzd2IDzd2Packetz00zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1351z00_3291), BgL_arg2107z00_3292); } 
{ /* Llib/pgp_packets.scm 66 */
 BgL_objectz00_bglt BgL_tmpz00_4930;
BgL_tmpz00_4930 = 
((BgL_objectz00_bglt)BgL_new1351z00_3291); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4930, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1351z00_3291); 
BgL_new1352z00_3290 = BgL_new1351z00_3291; } 
((((BgL_pgpzd2idzd2packetz00_bglt)COBJECT(BgL_new1352z00_3290))->BgL_dataz00)=((obj_t)
((obj_t)BgL_data1196z00_2645)),BUNSPEC); 
return BgL_new1352z00_3290;} } 

}



/* &lambda2115 */
obj_t BGl_z62lambda2115z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2646, obj_t BgL_oz00_2647, obj_t BgL_vz00_2648)
{
{ /* Llib/pgp_packets.scm 66 */
return 
((((BgL_pgpzd2idzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2idzd2packetz00_bglt)BgL_oz00_2647)))->BgL_dataz00)=((obj_t)
((obj_t)BgL_vz00_2648)),BUNSPEC);} 

}



/* &lambda2114 */
obj_t BGl_z62lambda2114z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2649, obj_t BgL_oz00_2650)
{
{ /* Llib/pgp_packets.scm 66 */
return 
(((BgL_pgpzd2idzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2idzd2packetz00_bglt)BgL_oz00_2650)))->BgL_dataz00);} 

}



/* &<@anonymous:2100> */
obj_t BGl_z62zc3z04anonymousza32100ze3ze5zz__openpgpzd2packetszd2(obj_t BgL_envz00_2651, obj_t BgL_new1194z00_2652)
{
{ /* Llib/pgp_packets.scm 65 */
return 
((obj_t)
((BgL_pgpzd2trustzd2packetz00_bglt)BgL_new1194z00_2652));} 

}



/* &lambda2098 */
BgL_pgpzd2trustzd2packetz00_bglt BGl_z62lambda2098z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2653)
{
{ /* Llib/pgp_packets.scm 65 */
{ /* Llib/pgp_packets.scm 65 */
 BgL_pgpzd2trustzd2packetz00_bglt BgL_new1193z00_3297;
BgL_new1193z00_3297 = 
((BgL_pgpzd2trustzd2packetz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2trustzd2packetz00_bgl) ))); 
{ /* Llib/pgp_packets.scm 65 */
 long BgL_arg2099z00_3298;
BgL_arg2099z00_3298 = 
BGL_CLASS_NUM(BGl_PGPzd2Trustzd2Packetz00zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1193z00_3297), BgL_arg2099z00_3298); } 
{ /* Llib/pgp_packets.scm 65 */
 BgL_objectz00_bglt BgL_tmpz00_4947;
BgL_tmpz00_4947 = 
((BgL_objectz00_bglt)BgL_new1193z00_3297); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4947, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1193z00_3297); 
return BgL_new1193z00_3297;} } 

}



/* &lambda2096 */
BgL_pgpzd2trustzd2packetz00_bglt BGl_z62lambda2096z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2654)
{
{ /* Llib/pgp_packets.scm 65 */
{ /* Llib/pgp_packets.scm 65 */
 BgL_pgpzd2trustzd2packetz00_bglt BgL_new1350z00_3299;
{ /* Llib/pgp_packets.scm 65 */
 BgL_pgpzd2trustzd2packetz00_bglt BgL_new1349z00_3300;
BgL_new1349z00_3300 = 
((BgL_pgpzd2trustzd2packetz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2trustzd2packetz00_bgl) ))); 
{ /* Llib/pgp_packets.scm 65 */
 long BgL_arg2097z00_3301;
BgL_arg2097z00_3301 = 
BGL_CLASS_NUM(BGl_PGPzd2Trustzd2Packetz00zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1349z00_3300), BgL_arg2097z00_3301); } 
{ /* Llib/pgp_packets.scm 65 */
 BgL_objectz00_bglt BgL_tmpz00_4955;
BgL_tmpz00_4955 = 
((BgL_objectz00_bglt)BgL_new1349z00_3300); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4955, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1349z00_3300); 
BgL_new1350z00_3299 = BgL_new1349z00_3300; } 
return BgL_new1350z00_3299;} } 

}



/* &<@anonymous:2065> */
obj_t BGl_z62zc3z04anonymousza32065ze3ze5zz__openpgpzd2packetszd2(obj_t BgL_envz00_2655, obj_t BgL_new1191z00_2656)
{
{ /* Llib/pgp_packets.scm 59 */
{ 
 BgL_pgpzd2literalzd2packetz00_bglt BgL_auxz00_4959;
((((BgL_pgpzd2literalzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2literalzd2packetz00_bglt)BgL_new1191z00_2656)))->BgL_formatz00)=((obj_t)
CNST_TABLE_REF(((long)101))),BUNSPEC); 
((((BgL_pgpzd2literalzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2literalzd2packetz00_bglt)BgL_new1191z00_2656)))->BgL_forzd2yourzd2eyeszd2onlyzf3z21)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_pgpzd2literalzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2literalzd2packetz00_bglt)BgL_new1191z00_2656)))->BgL_filezd2namezd2)=((obj_t)BUNSPEC),BUNSPEC); 
{ 
 obj_t BgL_auxz00_4967;
{ /* Llib/pgp_packets.scm 59 */
 BGL_LONGLONG_T BgL_arg1702z00_3303;
BgL_arg1702z00_3303 = 
bgl_current_nanoseconds(); 
BgL_auxz00_4967 = 
bgl_nanoseconds_to_date(BgL_arg1702z00_3303); } 
((((BgL_pgpzd2literalzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2literalzd2packetz00_bglt)BgL_new1191z00_2656)))->BgL_creationzd2datezd2)=((obj_t)BgL_auxz00_4967),BUNSPEC); } 
((((BgL_pgpzd2literalzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2literalzd2packetz00_bglt)BgL_new1191z00_2656)))->BgL_dataz00)=((obj_t)BGl_string2750z00zz__openpgpzd2packetszd2),BUNSPEC); 
BgL_auxz00_4959 = 
((BgL_pgpzd2literalzd2packetz00_bglt)BgL_new1191z00_2656); 
return 
((obj_t)BgL_auxz00_4959);} } 

}



/* &lambda2063 */
BgL_pgpzd2literalzd2packetz00_bglt BGl_z62lambda2063z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2657)
{
{ /* Llib/pgp_packets.scm 59 */
{ /* Llib/pgp_packets.scm 59 */
 BgL_pgpzd2literalzd2packetz00_bglt BgL_new1190z00_3304;
BgL_new1190z00_3304 = 
((BgL_pgpzd2literalzd2packetz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2literalzd2packetz00_bgl) ))); 
{ /* Llib/pgp_packets.scm 59 */
 long BgL_arg2064z00_3305;
BgL_arg2064z00_3305 = 
BGL_CLASS_NUM(BGl_PGPzd2Literalzd2Packetz00zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1190z00_3304), BgL_arg2064z00_3305); } 
{ /* Llib/pgp_packets.scm 59 */
 BgL_objectz00_bglt BgL_tmpz00_4980;
BgL_tmpz00_4980 = 
((BgL_objectz00_bglt)BgL_new1190z00_3304); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4980, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1190z00_3304); 
return BgL_new1190z00_3304;} } 

}



/* &lambda2061 */
BgL_pgpzd2literalzd2packetz00_bglt BGl_z62lambda2061z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2658, obj_t BgL_format1185z00_2659, obj_t BgL_forzd2yourzd2eyeszd2onlyzf31186z21_2660, obj_t BgL_filezd2name1187zd2_2661, obj_t BgL_creationzd2date1188zd2_2662, obj_t BgL_data1189z00_2663)
{
{ /* Llib/pgp_packets.scm 59 */
{ /* Llib/pgp_packets.scm 59 */
 bool_t BgL_forzd2yourzd2eyeszd2onlyzf31186z21_3307;
BgL_forzd2yourzd2eyeszd2onlyzf31186z21_3307 = 
CBOOL(BgL_forzd2yourzd2eyeszd2onlyzf31186z21_2660); 
{ /* Llib/pgp_packets.scm 59 */
 BgL_pgpzd2literalzd2packetz00_bglt BgL_new1348z00_3310;
{ /* Llib/pgp_packets.scm 59 */
 BgL_pgpzd2literalzd2packetz00_bglt BgL_new1347z00_3311;
BgL_new1347z00_3311 = 
((BgL_pgpzd2literalzd2packetz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2literalzd2packetz00_bgl) ))); 
{ /* Llib/pgp_packets.scm 59 */
 long BgL_arg2062z00_3312;
BgL_arg2062z00_3312 = 
BGL_CLASS_NUM(BGl_PGPzd2Literalzd2Packetz00zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1347z00_3311), BgL_arg2062z00_3312); } 
{ /* Llib/pgp_packets.scm 59 */
 BgL_objectz00_bglt BgL_tmpz00_4989;
BgL_tmpz00_4989 = 
((BgL_objectz00_bglt)BgL_new1347z00_3311); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4989, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1347z00_3311); 
BgL_new1348z00_3310 = BgL_new1347z00_3311; } 
((((BgL_pgpzd2literalzd2packetz00_bglt)COBJECT(BgL_new1348z00_3310))->BgL_formatz00)=((obj_t)
((obj_t)BgL_format1185z00_2659)),BUNSPEC); 
((((BgL_pgpzd2literalzd2packetz00_bglt)COBJECT(BgL_new1348z00_3310))->BgL_forzd2yourzd2eyeszd2onlyzf3z21)=((bool_t)BgL_forzd2yourzd2eyeszd2onlyzf31186z21_3307),BUNSPEC); 
((((BgL_pgpzd2literalzd2packetz00_bglt)COBJECT(BgL_new1348z00_3310))->BgL_filezd2namezd2)=((obj_t)BgL_filezd2name1187zd2_2661),BUNSPEC); 
((((BgL_pgpzd2literalzd2packetz00_bglt)COBJECT(BgL_new1348z00_3310))->BgL_creationzd2datezd2)=((obj_t)
((obj_t)BgL_creationzd2date1188zd2_2662)),BUNSPEC); 
((((BgL_pgpzd2literalzd2packetz00_bglt)COBJECT(BgL_new1348z00_3310))->BgL_dataz00)=((obj_t)
((obj_t)BgL_data1189z00_2663)),BUNSPEC); 
return BgL_new1348z00_3310;} } } 

}



/* &lambda2090 */
obj_t BGl_z62lambda2090z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2664, obj_t BgL_oz00_2665, obj_t BgL_vz00_2666)
{
{ /* Llib/pgp_packets.scm 59 */
return 
((((BgL_pgpzd2literalzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2literalzd2packetz00_bglt)BgL_oz00_2665)))->BgL_dataz00)=((obj_t)
((obj_t)BgL_vz00_2666)),BUNSPEC);} 

}



/* &lambda2089 */
obj_t BGl_z62lambda2089z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2667, obj_t BgL_oz00_2668)
{
{ /* Llib/pgp_packets.scm 59 */
return 
(((BgL_pgpzd2literalzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2literalzd2packetz00_bglt)BgL_oz00_2668)))->BgL_dataz00);} 

}



/* &lambda2085 */
obj_t BGl_z62lambda2085z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2669, obj_t BgL_oz00_2670, obj_t BgL_vz00_2671)
{
{ /* Llib/pgp_packets.scm 59 */
return 
((((BgL_pgpzd2literalzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2literalzd2packetz00_bglt)BgL_oz00_2670)))->BgL_creationzd2datezd2)=((obj_t)
((obj_t)BgL_vz00_2671)),BUNSPEC);} 

}



/* &lambda2084 */
obj_t BGl_z62lambda2084z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2672, obj_t BgL_oz00_2673)
{
{ /* Llib/pgp_packets.scm 59 */
return 
(((BgL_pgpzd2literalzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2literalzd2packetz00_bglt)BgL_oz00_2673)))->BgL_creationzd2datezd2);} 

}



/* &lambda2080 */
obj_t BGl_z62lambda2080z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2674, obj_t BgL_oz00_2675, obj_t BgL_vz00_2676)
{
{ /* Llib/pgp_packets.scm 59 */
return 
((((BgL_pgpzd2literalzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2literalzd2packetz00_bglt)BgL_oz00_2675)))->BgL_filezd2namezd2)=((obj_t)BgL_vz00_2676),BUNSPEC);} 

}



/* &lambda2079 */
obj_t BGl_z62lambda2079z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2677, obj_t BgL_oz00_2678)
{
{ /* Llib/pgp_packets.scm 59 */
return 
(((BgL_pgpzd2literalzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2literalzd2packetz00_bglt)BgL_oz00_2678)))->BgL_filezd2namezd2);} 

}



/* &lambda2075 */
obj_t BGl_z62lambda2075z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2679, obj_t BgL_oz00_2680, obj_t BgL_vz00_2681)
{
{ /* Llib/pgp_packets.scm 59 */
{ /* Llib/pgp_packets.scm 59 */
 bool_t BgL_vz00_3322;
BgL_vz00_3322 = 
CBOOL(BgL_vz00_2681); 
return 
((((BgL_pgpzd2literalzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2literalzd2packetz00_bglt)BgL_oz00_2680)))->BgL_forzd2yourzd2eyeszd2onlyzf3z21)=((bool_t)BgL_vz00_3322),BUNSPEC);} } 

}



/* &lambda2074 */
obj_t BGl_z62lambda2074z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2682, obj_t BgL_oz00_2683)
{
{ /* Llib/pgp_packets.scm 59 */
return 
BBOOL(
(((BgL_pgpzd2literalzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2literalzd2packetz00_bglt)BgL_oz00_2683)))->BgL_forzd2yourzd2eyeszd2onlyzf3z21));} 

}



/* &lambda2070 */
obj_t BGl_z62lambda2070z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2684, obj_t BgL_oz00_2685, obj_t BgL_vz00_2686)
{
{ /* Llib/pgp_packets.scm 59 */
return 
((((BgL_pgpzd2literalzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2literalzd2packetz00_bglt)BgL_oz00_2685)))->BgL_formatz00)=((obj_t)
((obj_t)BgL_vz00_2686)),BUNSPEC);} 

}



/* &lambda2069 */
obj_t BGl_z62lambda2069z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2687, obj_t BgL_oz00_2688)
{
{ /* Llib/pgp_packets.scm 59 */
return 
(((BgL_pgpzd2literalzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2literalzd2packetz00_bglt)BgL_oz00_2688)))->BgL_formatz00);} 

}



/* &<@anonymous:2055> */
obj_t BGl_z62zc3z04anonymousza32055ze3ze5zz__openpgpzd2packetszd2(obj_t BgL_envz00_2689, obj_t BgL_new1183z00_2690)
{
{ /* Llib/pgp_packets.scm 58 */
return 
((obj_t)
((BgL_pgpzd2markerzd2packetz00_bglt)BgL_new1183z00_2690));} 

}



/* &lambda2053 */
BgL_pgpzd2markerzd2packetz00_bglt BGl_z62lambda2053z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2691)
{
{ /* Llib/pgp_packets.scm 58 */
{ /* Llib/pgp_packets.scm 58 */
 BgL_pgpzd2markerzd2packetz00_bglt BgL_new1182z00_3328;
BgL_new1182z00_3328 = 
((BgL_pgpzd2markerzd2packetz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2markerzd2packetz00_bgl) ))); 
{ /* Llib/pgp_packets.scm 58 */
 long BgL_arg2054z00_3329;
BgL_arg2054z00_3329 = 
BGL_CLASS_NUM(BGl_PGPzd2Markerzd2Packetz00zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1182z00_3328), BgL_arg2054z00_3329); } 
{ /* Llib/pgp_packets.scm 58 */
 BgL_objectz00_bglt BgL_tmpz00_5032;
BgL_tmpz00_5032 = 
((BgL_objectz00_bglt)BgL_new1182z00_3328); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5032, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1182z00_3328); 
return BgL_new1182z00_3328;} } 

}



/* &lambda2051 */
BgL_pgpzd2markerzd2packetz00_bglt BGl_z62lambda2051z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2692)
{
{ /* Llib/pgp_packets.scm 58 */
{ /* Llib/pgp_packets.scm 58 */
 BgL_pgpzd2markerzd2packetz00_bglt BgL_new1346z00_3330;
{ /* Llib/pgp_packets.scm 58 */
 BgL_pgpzd2markerzd2packetz00_bglt BgL_new1345z00_3331;
BgL_new1345z00_3331 = 
((BgL_pgpzd2markerzd2packetz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2markerzd2packetz00_bgl) ))); 
{ /* Llib/pgp_packets.scm 58 */
 long BgL_arg2052z00_3332;
BgL_arg2052z00_3332 = 
BGL_CLASS_NUM(BGl_PGPzd2Markerzd2Packetz00zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1345z00_3331), BgL_arg2052z00_3332); } 
{ /* Llib/pgp_packets.scm 58 */
 BgL_objectz00_bglt BgL_tmpz00_5040;
BgL_tmpz00_5040 = 
((BgL_objectz00_bglt)BgL_new1345z00_3331); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5040, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1345z00_3331); 
BgL_new1346z00_3330 = BgL_new1345z00_3331; } 
return BgL_new1346z00_3330;} } 

}



/* &<@anonymous:2040> */
obj_t BGl_z62zc3z04anonymousza32040ze3ze5zz__openpgpzd2packetszd2(obj_t BgL_envz00_2693, obj_t BgL_new1180z00_2694)
{
{ /* Llib/pgp_packets.scm 56 */
{ 
 BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt BgL_auxz00_5044;
((((BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt)BgL_new1180z00_2694)))->BgL_dataz00)=((obj_t)BGl_string2750z00zz__openpgpzd2packetszd2),BUNSPEC); 
BgL_auxz00_5044 = 
((BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt)BgL_new1180z00_2694); 
return 
((obj_t)BgL_auxz00_5044);} } 

}



/* &lambda2038 */
BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt BGl_z62lambda2038z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2695)
{
{ /* Llib/pgp_packets.scm 56 */
{ /* Llib/pgp_packets.scm 56 */
 BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt BgL_new1179z00_3334;
BgL_new1179z00_3334 = 
((BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bgl) ))); 
{ /* Llib/pgp_packets.scm 56 */
 long BgL_arg2039z00_3335;
BgL_arg2039z00_3335 = 
BGL_CLASS_NUM(BGl_PGPzd2Symmetricallyzd2Encryptedzd2Packetzd2zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1179z00_3334), BgL_arg2039z00_3335); } 
return BgL_new1179z00_3334;} } 

}



/* &lambda2036 */
BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt BGl_z62lambda2036z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2696, obj_t BgL_data1178z00_2697)
{
{ /* Llib/pgp_packets.scm 56 */
{ /* Llib/pgp_packets.scm 56 */
 BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt BgL_new1344z00_3337;
{ /* Llib/pgp_packets.scm 56 */
 BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt BgL_new1343z00_3338;
BgL_new1343z00_3338 = 
((BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bgl) ))); 
{ /* Llib/pgp_packets.scm 56 */
 long BgL_arg2037z00_3339;
BgL_arg2037z00_3339 = 
BGL_CLASS_NUM(BGl_PGPzd2Symmetricallyzd2Encryptedzd2Packetzd2zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1343z00_3338), BgL_arg2037z00_3339); } 
BgL_new1344z00_3337 = BgL_new1343z00_3338; } 
((((BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt)COBJECT(BgL_new1344z00_3337))->BgL_dataz00)=((obj_t)
((obj_t)BgL_data1178z00_2697)),BUNSPEC); 
return BgL_new1344z00_3337;} } 

}



/* &lambda2045 */
obj_t BGl_z62lambda2045z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2698, obj_t BgL_oz00_2699, obj_t BgL_vz00_2700)
{
{ /* Llib/pgp_packets.scm 56 */
return 
((((BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt)BgL_oz00_2699)))->BgL_dataz00)=((obj_t)
((obj_t)BgL_vz00_2700)),BUNSPEC);} 

}



/* &lambda2044 */
obj_t BGl_z62lambda2044z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2701, obj_t BgL_oz00_2702)
{
{ /* Llib/pgp_packets.scm 56 */
return 
(((BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt)BgL_oz00_2702)))->BgL_dataz00);} 

}



/* &<@anonymous:2025> */
obj_t BGl_z62zc3z04anonymousza32025ze3ze5zz__openpgpzd2packetszd2(obj_t BgL_envz00_2703, obj_t BgL_new1176z00_2704)
{
{ /* Llib/pgp_packets.scm 54 */
{ 
 BgL_pgpzd2compressedzd2packetz00_bglt BgL_auxz00_5064;
((((BgL_pgpzd2compressedzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2compressedzd2packetz00_bglt)BgL_new1176z00_2704)))->BgL_packetsz00)=((obj_t)BNIL),BUNSPEC); 
BgL_auxz00_5064 = 
((BgL_pgpzd2compressedzd2packetz00_bglt)BgL_new1176z00_2704); 
return 
((obj_t)BgL_auxz00_5064);} } 

}



/* &lambda2023 */
BgL_pgpzd2compressedzd2packetz00_bglt BGl_z62lambda2023z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2705)
{
{ /* Llib/pgp_packets.scm 54 */
{ /* Llib/pgp_packets.scm 54 */
 BgL_pgpzd2compressedzd2packetz00_bglt BgL_new1175z00_3344;
BgL_new1175z00_3344 = 
((BgL_pgpzd2compressedzd2packetz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2compressedzd2packetz00_bgl) ))); 
{ /* Llib/pgp_packets.scm 54 */
 long BgL_arg2024z00_3345;
BgL_arg2024z00_3345 = 
BGL_CLASS_NUM(BGl_PGPzd2Compressedzd2Packetz00zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1175z00_3344), BgL_arg2024z00_3345); } 
{ /* Llib/pgp_packets.scm 54 */
 BgL_objectz00_bglt BgL_tmpz00_5073;
BgL_tmpz00_5073 = 
((BgL_objectz00_bglt)BgL_new1175z00_3344); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5073, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1175z00_3344); 
return BgL_new1175z00_3344;} } 

}



/* &lambda2021 */
BgL_pgpzd2compressedzd2packetz00_bglt BGl_z62lambda2021z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2706, obj_t BgL_packets1174z00_2707)
{
{ /* Llib/pgp_packets.scm 54 */
{ /* Llib/pgp_packets.scm 54 */
 BgL_pgpzd2compressedzd2packetz00_bglt BgL_new1342z00_3347;
{ /* Llib/pgp_packets.scm 54 */
 BgL_pgpzd2compressedzd2packetz00_bglt BgL_new1341z00_3348;
BgL_new1341z00_3348 = 
((BgL_pgpzd2compressedzd2packetz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2compressedzd2packetz00_bgl) ))); 
{ /* Llib/pgp_packets.scm 54 */
 long BgL_arg2022z00_3349;
BgL_arg2022z00_3349 = 
BGL_CLASS_NUM(BGl_PGPzd2Compressedzd2Packetz00zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1341z00_3348), BgL_arg2022z00_3349); } 
{ /* Llib/pgp_packets.scm 54 */
 BgL_objectz00_bglt BgL_tmpz00_5081;
BgL_tmpz00_5081 = 
((BgL_objectz00_bglt)BgL_new1341z00_3348); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5081, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1341z00_3348); 
BgL_new1342z00_3347 = BgL_new1341z00_3348; } 
((((BgL_pgpzd2compressedzd2packetz00_bglt)COBJECT(BgL_new1342z00_3347))->BgL_packetsz00)=((obj_t)
((obj_t)BgL_packets1174z00_2707)),BUNSPEC); 
return BgL_new1342z00_3347;} } 

}



/* &lambda2030 */
obj_t BGl_z62lambda2030z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2708, obj_t BgL_oz00_2709, obj_t BgL_vz00_2710)
{
{ /* Llib/pgp_packets.scm 54 */
return 
((((BgL_pgpzd2compressedzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2compressedzd2packetz00_bglt)BgL_oz00_2709)))->BgL_packetsz00)=((obj_t)
((obj_t)BgL_vz00_2710)),BUNSPEC);} 

}



/* &lambda2029 */
obj_t BGl_z62lambda2029z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2711, obj_t BgL_oz00_2712)
{
{ /* Llib/pgp_packets.scm 54 */
return 
(((BgL_pgpzd2compressedzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2compressedzd2packetz00_bglt)BgL_oz00_2712)))->BgL_packetsz00);} 

}



/* &lambda2007 */
BgL_pgpzd2secretzd2keyzd2packetzd2_bglt BGl_z62lambda2007z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2713, obj_t BgL_o1172z00_2714)
{
{ /* Llib/pgp_packets.scm 52 */
{ /* Llib/pgp_packets.scm 52 */
 long BgL_arg2008z00_3354;
{ /* Llib/pgp_packets.scm 52 */
 obj_t BgL_arg2009z00_3355;
{ /* Llib/pgp_packets.scm 52 */
 obj_t BgL_arg2010z00_3356;
{ /* Llib/pgp_packets.scm 52 */
 long BgL_arg1806z00_3357;
{ /* Llib/pgp_packets.scm 52 */
 long BgL_arg1808z00_3358;
BgL_arg1808z00_3358 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)
((BgL_pgpzd2secretzd2keyzd2packetzd2_bglt)BgL_o1172z00_2714))); 
BgL_arg1806z00_3357 = 
(BgL_arg1808z00_3358-OBJECT_TYPE); } 
BgL_arg2010z00_3356 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1806z00_3357); } 
BgL_arg2009z00_3355 = 
BGl_classzd2superzd2zz__objectz00(BgL_arg2010z00_3356); } 
{ /* Llib/pgp_packets.scm 52 */
 obj_t BgL_tmpz00_5098;
BgL_tmpz00_5098 = 
((obj_t)BgL_arg2009z00_3355); 
BgL_arg2008z00_3354 = 
BGL_CLASS_NUM(BgL_tmpz00_5098); } } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)
((BgL_pgpzd2secretzd2keyzd2packetzd2_bglt)BgL_o1172z00_2714)), BgL_arg2008z00_3354); } 
{ /* Llib/pgp_packets.scm 52 */
 BgL_objectz00_bglt BgL_tmpz00_5104;
BgL_tmpz00_5104 = 
((BgL_objectz00_bglt)
((BgL_pgpzd2secretzd2keyzd2packetzd2_bglt)BgL_o1172z00_2714)); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5104, BFALSE); } 
((BgL_objectz00_bglt)
((BgL_pgpzd2secretzd2keyzd2packetzd2_bglt)BgL_o1172z00_2714)); 
return 
((BgL_pgpzd2secretzd2keyzd2packetzd2_bglt)
((BgL_pgpzd2secretzd2keyzd2packetzd2_bglt)BgL_o1172z00_2714));} 

}



/* &<@anonymous:2006> */
obj_t BGl_z62zc3z04anonymousza32006ze3ze5zz__openpgpzd2packetszd2(obj_t BgL_envz00_2715, obj_t BgL_new1171z00_2716)
{
{ /* Llib/pgp_packets.scm 52 */
{ 
 BgL_pgpzd2secretzd2keyzd2packetzd2_bglt BgL_auxz00_5112;
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)
((BgL_pgpzd2secretzd2keyzd2packetzd2_bglt)BgL_new1171z00_2716))))->BgL_idz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)
((BgL_pgpzd2secretzd2keyzd2packetzd2_bglt)BgL_new1171z00_2716))))->BgL_versionz00)=((long)((long)0)),BUNSPEC); 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)
((BgL_pgpzd2secretzd2keyzd2packetzd2_bglt)BgL_new1171z00_2716))))->BgL_subkeyzf3zf3)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)
((BgL_pgpzd2secretzd2keyzd2packetzd2_bglt)BgL_new1171z00_2716))))->BgL_algoz00)=((obj_t)
CNST_TABLE_REF(((long)101))),BUNSPEC); 
{ 
 obj_t BgL_auxz00_5126;
{ /* Llib/pgp_packets.scm 52 */
 BGL_LONGLONG_T BgL_arg1702z00_3360;
BgL_arg1702z00_3360 = 
bgl_current_nanoseconds(); 
BgL_auxz00_5126 = 
bgl_nanoseconds_to_date(BgL_arg1702z00_3360); } 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)
((BgL_pgpzd2secretzd2keyzd2packetzd2_bglt)BgL_new1171z00_2716))))->BgL_creationzd2datezd2)=((obj_t)BgL_auxz00_5126),BUNSPEC); } 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)
((BgL_pgpzd2secretzd2keyzd2packetzd2_bglt)BgL_new1171z00_2716))))->BgL_validzd2dayszd2)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)
((BgL_pgpzd2secretzd2keyzd2packetzd2_bglt)BgL_new1171z00_2716))))->BgL_keyz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_pgpzd2secretzd2keyzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2secretzd2keyzd2packetzd2_bglt)
((BgL_pgpzd2secretzd2keyzd2packetzd2_bglt)BgL_new1171z00_2716))))->BgL_passwordzd2protectedzd2secretzd2keyzd2dataz00)=((obj_t)BGl_string2750z00zz__openpgpzd2packetszd2),BUNSPEC); 
{ 
 BgL_pgpzd2secretzd2keyzd2decodedzd2packetz00_bglt BgL_auxz00_5141;
{ 
 obj_t BgL_auxz00_5142;
{ /* Llib/pgp_packets.scm 52 */
 BgL_objectz00_bglt BgL_tmpz00_5143;
BgL_tmpz00_5143 = 
((BgL_objectz00_bglt)
((BgL_pgpzd2secretzd2keyzd2packetzd2_bglt)BgL_new1171z00_2716)); 
BgL_auxz00_5142 = 
BGL_OBJECT_WIDENING(BgL_tmpz00_5143); } 
BgL_auxz00_5141 = 
((BgL_pgpzd2secretzd2keyzd2decodedzd2packetz00_bglt)BgL_auxz00_5142); } 
((((BgL_pgpzd2secretzd2keyzd2decodedzd2packetz00_bglt)COBJECT(BgL_auxz00_5141))->BgL_secretzd2keyzd2)=((obj_t)BUNSPEC),BUNSPEC); } 
BgL_auxz00_5112 = 
((BgL_pgpzd2secretzd2keyzd2packetzd2_bglt)BgL_new1171z00_2716); 
return 
((obj_t)BgL_auxz00_5112);} } 

}



/* &lambda2004 */
BgL_pgpzd2secretzd2keyzd2packetzd2_bglt BGl_z62lambda2004z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2717, obj_t BgL_o1168z00_2718)
{
{ /* Llib/pgp_packets.scm 52 */
{ /* Llib/pgp_packets.scm 52 */
 BgL_pgpzd2secretzd2keyzd2decodedzd2packetz00_bglt BgL_wide1170z00_3362;
BgL_wide1170z00_3362 = 
((BgL_pgpzd2secretzd2keyzd2decodedzd2packetz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2secretzd2keyzd2decodedzd2packetz00_bgl) ))); 
{ /* Llib/pgp_packets.scm 52 */
 obj_t BgL_auxz00_5156; BgL_objectz00_bglt BgL_tmpz00_5152;
BgL_auxz00_5156 = 
((obj_t)BgL_wide1170z00_3362); 
BgL_tmpz00_5152 = 
((BgL_objectz00_bglt)
((BgL_pgpzd2secretzd2keyzd2packetzd2_bglt)
((BgL_pgpzd2secretzd2keyzd2packetzd2_bglt)BgL_o1168z00_2718))); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5152, BgL_auxz00_5156); } 
((BgL_objectz00_bglt)
((BgL_pgpzd2secretzd2keyzd2packetzd2_bglt)
((BgL_pgpzd2secretzd2keyzd2packetzd2_bglt)BgL_o1168z00_2718))); 
{ /* Llib/pgp_packets.scm 52 */
 long BgL_arg2005z00_3363;
BgL_arg2005z00_3363 = 
BGL_CLASS_NUM(BGl_PGPzd2Secretzd2Keyzd2Decodedzd2Packetz00zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)
((BgL_pgpzd2secretzd2keyzd2packetzd2_bglt)
((BgL_pgpzd2secretzd2keyzd2packetzd2_bglt)BgL_o1168z00_2718))), BgL_arg2005z00_3363); } 
return 
((BgL_pgpzd2secretzd2keyzd2packetzd2_bglt)
((BgL_pgpzd2secretzd2keyzd2packetzd2_bglt)
((BgL_pgpzd2secretzd2keyzd2packetzd2_bglt)BgL_o1168z00_2718)));} } 

}



/* &lambda2001 */
BgL_pgpzd2secretzd2keyzd2packetzd2_bglt BGl_z62lambda2001z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2719, obj_t BgL_id1159z00_2720, obj_t BgL_version1160z00_2721, obj_t BgL_subkeyzf31161zf3_2722, obj_t BgL_algo1162z00_2723, obj_t BgL_creationzd2date1163zd2_2724, obj_t BgL_validzd2days1164zd2_2725, obj_t BgL_key1165z00_2726, obj_t BgL_passwordzd2protectedzd2s1166z00_2727, obj_t BgL_secretzd2key1167zd2_2728)
{
{ /* Llib/pgp_packets.scm 52 */
{ /* Llib/pgp_packets.scm 52 */
 long BgL_version1160z00_3364; bool_t BgL_subkeyzf31161zf3_3365;
BgL_version1160z00_3364 = 
(long)CINT(BgL_version1160z00_2721); 
BgL_subkeyzf31161zf3_3365 = 
CBOOL(BgL_subkeyzf31161zf3_2722); 
{ /* Llib/pgp_packets.scm 52 */
 BgL_pgpzd2secretzd2keyzd2packetzd2_bglt BgL_new1339z00_3369;
{ /* Llib/pgp_packets.scm 52 */
 BgL_pgpzd2secretzd2keyzd2packetzd2_bglt BgL_tmp1337z00_3370; BgL_pgpzd2secretzd2keyzd2decodedzd2packetz00_bglt BgL_wide1338z00_3371;
{ 
 BgL_pgpzd2secretzd2keyzd2packetzd2_bglt BgL_auxz00_5172;
{ /* Llib/pgp_packets.scm 52 */
 BgL_pgpzd2secretzd2keyzd2packetzd2_bglt BgL_new1336z00_3372;
BgL_new1336z00_3372 = 
((BgL_pgpzd2secretzd2keyzd2packetzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2secretzd2keyzd2packetzd2_bgl) ))); 
{ /* Llib/pgp_packets.scm 52 */
 long BgL_arg2003z00_3373;
BgL_arg2003z00_3373 = 
BGL_CLASS_NUM(BGl_PGPzd2Secretzd2Keyzd2Packetzd2zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1336z00_3372), BgL_arg2003z00_3373); } 
{ /* Llib/pgp_packets.scm 52 */
 BgL_objectz00_bglt BgL_tmpz00_5177;
BgL_tmpz00_5177 = 
((BgL_objectz00_bglt)BgL_new1336z00_3372); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5177, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1336z00_3372); 
BgL_auxz00_5172 = BgL_new1336z00_3372; } 
BgL_tmp1337z00_3370 = 
((BgL_pgpzd2secretzd2keyzd2packetzd2_bglt)BgL_auxz00_5172); } 
BgL_wide1338z00_3371 = 
((BgL_pgpzd2secretzd2keyzd2decodedzd2packetz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2secretzd2keyzd2decodedzd2packetz00_bgl) ))); 
{ /* Llib/pgp_packets.scm 52 */
 obj_t BgL_auxz00_5185; BgL_objectz00_bglt BgL_tmpz00_5183;
BgL_auxz00_5185 = 
((obj_t)BgL_wide1338z00_3371); 
BgL_tmpz00_5183 = 
((BgL_objectz00_bglt)BgL_tmp1337z00_3370); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5183, BgL_auxz00_5185); } 
((BgL_objectz00_bglt)BgL_tmp1337z00_3370); 
{ /* Llib/pgp_packets.scm 52 */
 long BgL_arg2002z00_3374;
BgL_arg2002z00_3374 = 
BGL_CLASS_NUM(BGl_PGPzd2Secretzd2Keyzd2Decodedzd2Packetz00zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_tmp1337z00_3370), BgL_arg2002z00_3374); } 
BgL_new1339z00_3369 = 
((BgL_pgpzd2secretzd2keyzd2packetzd2_bglt)BgL_tmp1337z00_3370); } 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)BgL_new1339z00_3369)))->BgL_idz00)=((obj_t)BgL_id1159z00_2720),BUNSPEC); 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)BgL_new1339z00_3369)))->BgL_versionz00)=((long)BgL_version1160z00_3364),BUNSPEC); 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)BgL_new1339z00_3369)))->BgL_subkeyzf3zf3)=((bool_t)BgL_subkeyzf31161zf3_3365),BUNSPEC); 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)BgL_new1339z00_3369)))->BgL_algoz00)=((obj_t)
((obj_t)BgL_algo1162z00_2723)),BUNSPEC); 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)BgL_new1339z00_3369)))->BgL_creationzd2datezd2)=((obj_t)
((obj_t)BgL_creationzd2date1163zd2_2724)),BUNSPEC); 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)BgL_new1339z00_3369)))->BgL_validzd2dayszd2)=((obj_t)BgL_validzd2days1164zd2_2725),BUNSPEC); 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)BgL_new1339z00_3369)))->BgL_keyz00)=((obj_t)BgL_key1165z00_2726),BUNSPEC); 
((((BgL_pgpzd2secretzd2keyzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2secretzd2keyzd2packetzd2_bglt)BgL_new1339z00_3369)))->BgL_passwordzd2protectedzd2secretzd2keyzd2dataz00)=((obj_t)
((obj_t)BgL_passwordzd2protectedzd2s1166z00_2727)),BUNSPEC); 
{ 
 BgL_pgpzd2secretzd2keyzd2decodedzd2packetz00_bglt BgL_auxz00_5212;
{ 
 obj_t BgL_auxz00_5213;
{ /* Llib/pgp_packets.scm 52 */
 BgL_objectz00_bglt BgL_tmpz00_5214;
BgL_tmpz00_5214 = 
((BgL_objectz00_bglt)BgL_new1339z00_3369); 
BgL_auxz00_5213 = 
BGL_OBJECT_WIDENING(BgL_tmpz00_5214); } 
BgL_auxz00_5212 = 
((BgL_pgpzd2secretzd2keyzd2decodedzd2packetz00_bglt)BgL_auxz00_5213); } 
((((BgL_pgpzd2secretzd2keyzd2decodedzd2packetz00_bglt)COBJECT(BgL_auxz00_5212))->BgL_secretzd2keyzd2)=((obj_t)BgL_secretzd2key1167zd2_2728),BUNSPEC); } 
return BgL_new1339z00_3369;} } } 

}



/* &lambda2015 */
obj_t BGl_z62lambda2015z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2729, obj_t BgL_oz00_2730, obj_t BgL_vz00_2731)
{
{ /* Llib/pgp_packets.scm 52 */
{ 
 BgL_pgpzd2secretzd2keyzd2decodedzd2packetz00_bglt BgL_auxz00_5219;
{ 
 obj_t BgL_auxz00_5220;
{ /* Llib/pgp_packets.scm 52 */
 BgL_objectz00_bglt BgL_tmpz00_5221;
BgL_tmpz00_5221 = 
((BgL_objectz00_bglt)
((BgL_pgpzd2secretzd2keyzd2packetzd2_bglt)BgL_oz00_2730)); 
BgL_auxz00_5220 = 
BGL_OBJECT_WIDENING(BgL_tmpz00_5221); } 
BgL_auxz00_5219 = 
((BgL_pgpzd2secretzd2keyzd2decodedzd2packetz00_bglt)BgL_auxz00_5220); } 
return 
((((BgL_pgpzd2secretzd2keyzd2decodedzd2packetz00_bglt)COBJECT(BgL_auxz00_5219))->BgL_secretzd2keyzd2)=((obj_t)BgL_vz00_2731),BUNSPEC);} } 

}



/* &lambda2014 */
obj_t BGl_z62lambda2014z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2732, obj_t BgL_oz00_2733)
{
{ /* Llib/pgp_packets.scm 52 */
{ 
 BgL_pgpzd2secretzd2keyzd2decodedzd2packetz00_bglt BgL_auxz00_5227;
{ 
 obj_t BgL_auxz00_5228;
{ /* Llib/pgp_packets.scm 52 */
 BgL_objectz00_bglt BgL_tmpz00_5229;
BgL_tmpz00_5229 = 
((BgL_objectz00_bglt)
((BgL_pgpzd2secretzd2keyzd2packetzd2_bglt)BgL_oz00_2733)); 
BgL_auxz00_5228 = 
BGL_OBJECT_WIDENING(BgL_tmpz00_5229); } 
BgL_auxz00_5227 = 
((BgL_pgpzd2secretzd2keyzd2decodedzd2packetz00_bglt)BgL_auxz00_5228); } 
return 
(((BgL_pgpzd2secretzd2keyzd2decodedzd2packetz00_bglt)COBJECT(BgL_auxz00_5227))->BgL_secretzd2keyzd2);} } 

}



/* &<@anonymous:1989> */
obj_t BGl_z62zc3z04anonymousza31989ze3ze5zz__openpgpzd2packetszd2(obj_t BgL_envz00_2734, obj_t BgL_new1157z00_2735)
{
{ /* Llib/pgp_packets.scm 50 */
{ 
 BgL_pgpzd2secretzd2keyzd2packetzd2_bglt BgL_auxz00_5235;
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)
((BgL_pgpzd2secretzd2keyzd2packetzd2_bglt)BgL_new1157z00_2735))))->BgL_idz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)
((BgL_pgpzd2secretzd2keyzd2packetzd2_bglt)BgL_new1157z00_2735))))->BgL_versionz00)=((long)((long)0)),BUNSPEC); 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)
((BgL_pgpzd2secretzd2keyzd2packetzd2_bglt)BgL_new1157z00_2735))))->BgL_subkeyzf3zf3)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)
((BgL_pgpzd2secretzd2keyzd2packetzd2_bglt)BgL_new1157z00_2735))))->BgL_algoz00)=((obj_t)
CNST_TABLE_REF(((long)101))),BUNSPEC); 
{ 
 obj_t BgL_auxz00_5249;
{ /* Llib/pgp_packets.scm 50 */
 BGL_LONGLONG_T BgL_arg1702z00_3378;
BgL_arg1702z00_3378 = 
bgl_current_nanoseconds(); 
BgL_auxz00_5249 = 
bgl_nanoseconds_to_date(BgL_arg1702z00_3378); } 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)
((BgL_pgpzd2secretzd2keyzd2packetzd2_bglt)BgL_new1157z00_2735))))->BgL_creationzd2datezd2)=((obj_t)BgL_auxz00_5249),BUNSPEC); } 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)
((BgL_pgpzd2secretzd2keyzd2packetzd2_bglt)BgL_new1157z00_2735))))->BgL_validzd2dayszd2)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)
((BgL_pgpzd2secretzd2keyzd2packetzd2_bglt)BgL_new1157z00_2735))))->BgL_keyz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_pgpzd2secretzd2keyzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2secretzd2keyzd2packetzd2_bglt)BgL_new1157z00_2735)))->BgL_passwordzd2protectedzd2secretzd2keyzd2dataz00)=((obj_t)BGl_string2750z00zz__openpgpzd2packetszd2),BUNSPEC); 
BgL_auxz00_5235 = 
((BgL_pgpzd2secretzd2keyzd2packetzd2_bglt)BgL_new1157z00_2735); 
return 
((obj_t)BgL_auxz00_5235);} } 

}



/* &lambda1987 */
BgL_pgpzd2secretzd2keyzd2packetzd2_bglt BGl_z62lambda1987z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2736)
{
{ /* Llib/pgp_packets.scm 50 */
{ /* Llib/pgp_packets.scm 50 */
 BgL_pgpzd2secretzd2keyzd2packetzd2_bglt BgL_new1156z00_3379;
BgL_new1156z00_3379 = 
((BgL_pgpzd2secretzd2keyzd2packetzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2secretzd2keyzd2packetzd2_bgl) ))); 
{ /* Llib/pgp_packets.scm 50 */
 long BgL_arg1988z00_3380;
BgL_arg1988z00_3380 = 
BGL_CLASS_NUM(BGl_PGPzd2Secretzd2Keyzd2Packetzd2zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1156z00_3379), BgL_arg1988z00_3380); } 
{ /* Llib/pgp_packets.scm 50 */
 BgL_objectz00_bglt BgL_tmpz00_5269;
BgL_tmpz00_5269 = 
((BgL_objectz00_bglt)BgL_new1156z00_3379); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5269, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1156z00_3379); 
return BgL_new1156z00_3379;} } 

}



/* &lambda1985 */
BgL_pgpzd2secretzd2keyzd2packetzd2_bglt BGl_z62lambda1985z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2737, obj_t BgL_id1148z00_2738, obj_t BgL_version1149z00_2739, obj_t BgL_subkeyzf31150zf3_2740, obj_t BgL_algo1151z00_2741, obj_t BgL_creationzd2date1152zd2_2742, obj_t BgL_validzd2days1153zd2_2743, obj_t BgL_key1154z00_2744, obj_t BgL_passwordzd2protectedzd2s1155z00_2745)
{
{ /* Llib/pgp_packets.scm 50 */
{ /* Llib/pgp_packets.scm 50 */
 long BgL_version1149z00_3381; bool_t BgL_subkeyzf31150zf3_3382;
BgL_version1149z00_3381 = 
(long)CINT(BgL_version1149z00_2739); 
BgL_subkeyzf31150zf3_3382 = 
CBOOL(BgL_subkeyzf31150zf3_2740); 
{ /* Llib/pgp_packets.scm 50 */
 BgL_pgpzd2secretzd2keyzd2packetzd2_bglt BgL_new1335z00_3386;
{ /* Llib/pgp_packets.scm 50 */
 BgL_pgpzd2secretzd2keyzd2packetzd2_bglt BgL_new1334z00_3387;
BgL_new1334z00_3387 = 
((BgL_pgpzd2secretzd2keyzd2packetzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2secretzd2keyzd2packetzd2_bgl) ))); 
{ /* Llib/pgp_packets.scm 50 */
 long BgL_arg1986z00_3388;
BgL_arg1986z00_3388 = 
BGL_CLASS_NUM(BGl_PGPzd2Secretzd2Keyzd2Packetzd2zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1334z00_3387), BgL_arg1986z00_3388); } 
{ /* Llib/pgp_packets.scm 50 */
 BgL_objectz00_bglt BgL_tmpz00_5279;
BgL_tmpz00_5279 = 
((BgL_objectz00_bglt)BgL_new1334z00_3387); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5279, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1334z00_3387); 
BgL_new1335z00_3386 = BgL_new1334z00_3387; } 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)BgL_new1335z00_3386)))->BgL_idz00)=((obj_t)BgL_id1148z00_2738),BUNSPEC); 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)BgL_new1335z00_3386)))->BgL_versionz00)=((long)BgL_version1149z00_3381),BUNSPEC); 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)BgL_new1335z00_3386)))->BgL_subkeyzf3zf3)=((bool_t)BgL_subkeyzf31150zf3_3382),BUNSPEC); 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)BgL_new1335z00_3386)))->BgL_algoz00)=((obj_t)
((obj_t)BgL_algo1151z00_2741)),BUNSPEC); 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)BgL_new1335z00_3386)))->BgL_creationzd2datezd2)=((obj_t)
((obj_t)BgL_creationzd2date1152zd2_2742)),BUNSPEC); 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)BgL_new1335z00_3386)))->BgL_validzd2dayszd2)=((obj_t)BgL_validzd2days1153zd2_2743),BUNSPEC); 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)BgL_new1335z00_3386)))->BgL_keyz00)=((obj_t)BgL_key1154z00_2744),BUNSPEC); 
((((BgL_pgpzd2secretzd2keyzd2packetzd2_bglt)COBJECT(BgL_new1335z00_3386))->BgL_passwordzd2protectedzd2secretzd2keyzd2dataz00)=((obj_t)
((obj_t)BgL_passwordzd2protectedzd2s1155z00_2745)),BUNSPEC); 
return BgL_new1335z00_3386;} } } 

}



/* &lambda1994 */
obj_t BGl_z62lambda1994z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2746, obj_t BgL_oz00_2747, obj_t BgL_vz00_2748)
{
{ /* Llib/pgp_packets.scm 50 */
return 
((((BgL_pgpzd2secretzd2keyzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2secretzd2keyzd2packetzd2_bglt)BgL_oz00_2747)))->BgL_passwordzd2protectedzd2secretzd2keyzd2dataz00)=((obj_t)
((obj_t)BgL_vz00_2748)),BUNSPEC);} 

}



/* &lambda1993 */
obj_t BGl_z62lambda1993z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2749, obj_t BgL_oz00_2750)
{
{ /* Llib/pgp_packets.scm 50 */
return 
(((BgL_pgpzd2secretzd2keyzd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2secretzd2keyzd2packetzd2_bglt)BgL_oz00_2750)))->BgL_passwordzd2protectedzd2secretzd2keyzd2dataz00);} 

}



/* &<@anonymous:1979> */
obj_t BGl_z62zc3z04anonymousza31979ze3ze5zz__openpgpzd2packetszd2(obj_t BgL_envz00_2751, obj_t BgL_new1146z00_2752)
{
{ /* Llib/pgp_packets.scm 49 */
{ 
 BgL_pgpzd2publiczd2keyzd2packetzd2_bglt BgL_auxz00_5306;
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)
((BgL_pgpzd2publiczd2keyzd2packetzd2_bglt)BgL_new1146z00_2752))))->BgL_idz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)
((BgL_pgpzd2publiczd2keyzd2packetzd2_bglt)BgL_new1146z00_2752))))->BgL_versionz00)=((long)((long)0)),BUNSPEC); 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)
((BgL_pgpzd2publiczd2keyzd2packetzd2_bglt)BgL_new1146z00_2752))))->BgL_subkeyzf3zf3)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)
((BgL_pgpzd2publiczd2keyzd2packetzd2_bglt)BgL_new1146z00_2752))))->BgL_algoz00)=((obj_t)
CNST_TABLE_REF(((long)101))),BUNSPEC); 
{ 
 obj_t BgL_auxz00_5320;
{ /* Llib/pgp_packets.scm 49 */
 BGL_LONGLONG_T BgL_arg1702z00_3393;
BgL_arg1702z00_3393 = 
bgl_current_nanoseconds(); 
BgL_auxz00_5320 = 
bgl_nanoseconds_to_date(BgL_arg1702z00_3393); } 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)
((BgL_pgpzd2publiczd2keyzd2packetzd2_bglt)BgL_new1146z00_2752))))->BgL_creationzd2datezd2)=((obj_t)BgL_auxz00_5320),BUNSPEC); } 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)
((BgL_pgpzd2publiczd2keyzd2packetzd2_bglt)BgL_new1146z00_2752))))->BgL_validzd2dayszd2)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)
((BgL_pgpzd2publiczd2keyzd2packetzd2_bglt)BgL_new1146z00_2752))))->BgL_keyz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_5306 = 
((BgL_pgpzd2publiczd2keyzd2packetzd2_bglt)BgL_new1146z00_2752); 
return 
((obj_t)BgL_auxz00_5306);} } 

}



/* &lambda1977 */
BgL_pgpzd2publiczd2keyzd2packetzd2_bglt BGl_z62lambda1977z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2753)
{
{ /* Llib/pgp_packets.scm 49 */
{ /* Llib/pgp_packets.scm 49 */
 BgL_pgpzd2publiczd2keyzd2packetzd2_bglt BgL_new1145z00_3394;
BgL_new1145z00_3394 = 
((BgL_pgpzd2publiczd2keyzd2packetzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2publiczd2keyzd2packetzd2_bgl) ))); 
{ /* Llib/pgp_packets.scm 49 */
 long BgL_arg1978z00_3395;
BgL_arg1978z00_3395 = 
BGL_CLASS_NUM(BGl_PGPzd2Publiczd2Keyzd2Packetzd2zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1145z00_3394), BgL_arg1978z00_3395); } 
{ /* Llib/pgp_packets.scm 49 */
 BgL_objectz00_bglt BgL_tmpz00_5338;
BgL_tmpz00_5338 = 
((BgL_objectz00_bglt)BgL_new1145z00_3394); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5338, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1145z00_3394); 
return BgL_new1145z00_3394;} } 

}



/* &lambda1975 */
BgL_pgpzd2publiczd2keyzd2packetzd2_bglt BGl_z62lambda1975z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2754, obj_t BgL_id1138z00_2755, obj_t BgL_version1139z00_2756, obj_t BgL_subkeyzf31140zf3_2757, obj_t BgL_algo1141z00_2758, obj_t BgL_creationzd2date1142zd2_2759, obj_t BgL_validzd2days1143zd2_2760, obj_t BgL_key1144z00_2761)
{
{ /* Llib/pgp_packets.scm 49 */
{ /* Llib/pgp_packets.scm 49 */
 long BgL_version1139z00_3396; bool_t BgL_subkeyzf31140zf3_3397;
BgL_version1139z00_3396 = 
(long)CINT(BgL_version1139z00_2756); 
BgL_subkeyzf31140zf3_3397 = 
CBOOL(BgL_subkeyzf31140zf3_2757); 
{ /* Llib/pgp_packets.scm 49 */
 BgL_pgpzd2publiczd2keyzd2packetzd2_bglt BgL_new1333z00_3400;
{ /* Llib/pgp_packets.scm 49 */
 BgL_pgpzd2publiczd2keyzd2packetzd2_bglt BgL_new1332z00_3401;
BgL_new1332z00_3401 = 
((BgL_pgpzd2publiczd2keyzd2packetzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2publiczd2keyzd2packetzd2_bgl) ))); 
{ /* Llib/pgp_packets.scm 49 */
 long BgL_arg1976z00_3402;
BgL_arg1976z00_3402 = 
BGL_CLASS_NUM(BGl_PGPzd2Publiczd2Keyzd2Packetzd2zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1332z00_3401), BgL_arg1976z00_3402); } 
{ /* Llib/pgp_packets.scm 49 */
 BgL_objectz00_bglt BgL_tmpz00_5348;
BgL_tmpz00_5348 = 
((BgL_objectz00_bglt)BgL_new1332z00_3401); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5348, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1332z00_3401); 
BgL_new1333z00_3400 = BgL_new1332z00_3401; } 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)BgL_new1333z00_3400)))->BgL_idz00)=((obj_t)BgL_id1138z00_2755),BUNSPEC); 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)BgL_new1333z00_3400)))->BgL_versionz00)=((long)BgL_version1139z00_3396),BUNSPEC); 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)BgL_new1333z00_3400)))->BgL_subkeyzf3zf3)=((bool_t)BgL_subkeyzf31140zf3_3397),BUNSPEC); 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)BgL_new1333z00_3400)))->BgL_algoz00)=((obj_t)
((obj_t)BgL_algo1141z00_2758)),BUNSPEC); 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)BgL_new1333z00_3400)))->BgL_creationzd2datezd2)=((obj_t)
((obj_t)BgL_creationzd2date1142zd2_2759)),BUNSPEC); 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)BgL_new1333z00_3400)))->BgL_validzd2dayszd2)=((obj_t)BgL_validzd2days1143zd2_2760),BUNSPEC); 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)BgL_new1333z00_3400)))->BgL_keyz00)=((obj_t)BgL_key1144z00_2761),BUNSPEC); 
return BgL_new1333z00_3400;} } } 

}



/* &<@anonymous:1930> */
obj_t BGl_z62zc3z04anonymousza31930ze3ze5zz__openpgpzd2packetszd2(obj_t BgL_envz00_2762, obj_t BgL_new1136z00_2763)
{
{ /* Llib/pgp_packets.scm 41 */
{ 
 BgL_pgpzd2keyzd2packetz00_bglt BgL_auxz00_5368;
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)BgL_new1136z00_2763)))->BgL_idz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)BgL_new1136z00_2763)))->BgL_versionz00)=((long)((long)0)),BUNSPEC); 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)BgL_new1136z00_2763)))->BgL_subkeyzf3zf3)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)BgL_new1136z00_2763)))->BgL_algoz00)=((obj_t)
CNST_TABLE_REF(((long)101))),BUNSPEC); 
{ 
 obj_t BgL_auxz00_5378;
{ /* Llib/pgp_packets.scm 41 */
 BGL_LONGLONG_T BgL_arg1702z00_3404;
BgL_arg1702z00_3404 = 
bgl_current_nanoseconds(); 
BgL_auxz00_5378 = 
bgl_nanoseconds_to_date(BgL_arg1702z00_3404); } 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)BgL_new1136z00_2763)))->BgL_creationzd2datezd2)=((obj_t)BgL_auxz00_5378),BUNSPEC); } 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)BgL_new1136z00_2763)))->BgL_validzd2dayszd2)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)BgL_new1136z00_2763)))->BgL_keyz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_5368 = 
((BgL_pgpzd2keyzd2packetz00_bglt)BgL_new1136z00_2763); 
return 
((obj_t)BgL_auxz00_5368);} } 

}



/* &lambda1928 */
BgL_pgpzd2keyzd2packetz00_bglt BGl_z62lambda1928z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2764)
{
{ /* Llib/pgp_packets.scm 41 */
{ /* Llib/pgp_packets.scm 41 */
 BgL_pgpzd2keyzd2packetz00_bglt BgL_new1135z00_3405;
BgL_new1135z00_3405 = 
((BgL_pgpzd2keyzd2packetz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2keyzd2packetz00_bgl) ))); 
{ /* Llib/pgp_packets.scm 41 */
 long BgL_arg1929z00_3406;
BgL_arg1929z00_3406 = 
BGL_CLASS_NUM(BGl_PGPzd2Keyzd2Packetz00zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1135z00_3405), BgL_arg1929z00_3406); } 
return BgL_new1135z00_3405;} } 

}



/* &lambda1926 */
BgL_pgpzd2keyzd2packetz00_bglt BGl_z62lambda1926z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2765, obj_t BgL_id1128z00_2766, obj_t BgL_version1129z00_2767, obj_t BgL_subkeyzf31130zf3_2768, obj_t BgL_algo1131z00_2769, obj_t BgL_creationzd2date1132zd2_2770, obj_t BgL_validzd2days1133zd2_2771, obj_t BgL_key1134z00_2772)
{
{ /* Llib/pgp_packets.scm 41 */
{ /* Llib/pgp_packets.scm 41 */
 long BgL_version1129z00_3407; bool_t BgL_subkeyzf31130zf3_3408;
BgL_version1129z00_3407 = 
(long)CINT(BgL_version1129z00_2767); 
BgL_subkeyzf31130zf3_3408 = 
CBOOL(BgL_subkeyzf31130zf3_2768); 
{ /* Llib/pgp_packets.scm 41 */
 BgL_pgpzd2keyzd2packetz00_bglt BgL_new1331z00_3411;
{ /* Llib/pgp_packets.scm 41 */
 BgL_pgpzd2keyzd2packetz00_bglt BgL_new1330z00_3412;
BgL_new1330z00_3412 = 
((BgL_pgpzd2keyzd2packetz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2keyzd2packetz00_bgl) ))); 
{ /* Llib/pgp_packets.scm 41 */
 long BgL_arg1927z00_3413;
BgL_arg1927z00_3413 = 
BGL_CLASS_NUM(BGl_PGPzd2Keyzd2Packetz00zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1330z00_3412), BgL_arg1927z00_3413); } 
BgL_new1331z00_3411 = BgL_new1330z00_3412; } 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(BgL_new1331z00_3411))->BgL_idz00)=((obj_t)BgL_id1128z00_2766),BUNSPEC); 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(BgL_new1331z00_3411))->BgL_versionz00)=((long)BgL_version1129z00_3407),BUNSPEC); 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(BgL_new1331z00_3411))->BgL_subkeyzf3zf3)=((bool_t)BgL_subkeyzf31130zf3_3408),BUNSPEC); 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(BgL_new1331z00_3411))->BgL_algoz00)=((obj_t)
((obj_t)BgL_algo1131z00_2769)),BUNSPEC); 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(BgL_new1331z00_3411))->BgL_creationzd2datezd2)=((obj_t)
((obj_t)BgL_creationzd2date1132zd2_2770)),BUNSPEC); 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(BgL_new1331z00_3411))->BgL_validzd2dayszd2)=((obj_t)BgL_validzd2days1133zd2_2771),BUNSPEC); 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(BgL_new1331z00_3411))->BgL_keyz00)=((obj_t)BgL_key1134z00_2772),BUNSPEC); 
return BgL_new1331z00_3411;} } } 

}



/* &lambda1969 */
obj_t BGl_z62lambda1969z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2773, obj_t BgL_oz00_2774, obj_t BgL_vz00_2775)
{
{ /* Llib/pgp_packets.scm 41 */
return 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)BgL_oz00_2774)))->BgL_keyz00)=((obj_t)BgL_vz00_2775),BUNSPEC);} 

}



/* &lambda1968 */
obj_t BGl_z62lambda1968z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2776, obj_t BgL_oz00_2777)
{
{ /* Llib/pgp_packets.scm 41 */
return 
(((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)BgL_oz00_2777)))->BgL_keyz00);} 

}



/* &lambda1964 */
obj_t BGl_z62lambda1964z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2778, obj_t BgL_oz00_2779, obj_t BgL_vz00_2780)
{
{ /* Llib/pgp_packets.scm 41 */
return 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)BgL_oz00_2779)))->BgL_validzd2dayszd2)=((obj_t)BgL_vz00_2780),BUNSPEC);} 

}



/* &lambda1963 */
obj_t BGl_z62lambda1963z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2781, obj_t BgL_oz00_2782)
{
{ /* Llib/pgp_packets.scm 41 */
return 
(((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)BgL_oz00_2782)))->BgL_validzd2dayszd2);} 

}



/* &lambda1959 */
obj_t BGl_z62lambda1959z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2783, obj_t BgL_oz00_2784, obj_t BgL_vz00_2785)
{
{ /* Llib/pgp_packets.scm 41 */
return 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)BgL_oz00_2784)))->BgL_creationzd2datezd2)=((obj_t)
((obj_t)BgL_vz00_2785)),BUNSPEC);} 

}



/* &lambda1958 */
obj_t BGl_z62lambda1958z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2786, obj_t BgL_oz00_2787)
{
{ /* Llib/pgp_packets.scm 41 */
return 
(((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)BgL_oz00_2787)))->BgL_creationzd2datezd2);} 

}



/* &lambda1954 */
obj_t BGl_z62lambda1954z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2788, obj_t BgL_oz00_2789, obj_t BgL_vz00_2790)
{
{ /* Llib/pgp_packets.scm 41 */
return 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)BgL_oz00_2789)))->BgL_algoz00)=((obj_t)
((obj_t)BgL_vz00_2790)),BUNSPEC);} 

}



/* &lambda1953 */
obj_t BGl_z62lambda1953z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2791, obj_t BgL_oz00_2792)
{
{ /* Llib/pgp_packets.scm 41 */
return 
(((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)BgL_oz00_2792)))->BgL_algoz00);} 

}



/* &<@anonymous:1949> */
obj_t BGl_z62zc3z04anonymousza31949ze3ze5zz__openpgpzd2packetszd2(obj_t BgL_envz00_2793)
{
{ /* Llib/pgp_packets.scm 41 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda1948 */
obj_t BGl_z62lambda1948z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2794, obj_t BgL_oz00_2795, obj_t BgL_vz00_2796)
{
{ /* Llib/pgp_packets.scm 41 */
{ /* Llib/pgp_packets.scm 41 */
 bool_t BgL_vz00_3425;
BgL_vz00_3425 = 
CBOOL(BgL_vz00_2796); 
return 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)BgL_oz00_2795)))->BgL_subkeyzf3zf3)=((bool_t)BgL_vz00_3425),BUNSPEC);} } 

}



/* &lambda1947 */
obj_t BGl_z62lambda1947z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2797, obj_t BgL_oz00_2798)
{
{ /* Llib/pgp_packets.scm 41 */
return 
BBOOL(
(((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)BgL_oz00_2798)))->BgL_subkeyzf3zf3));} 

}



/* &lambda1942 */
obj_t BGl_z62lambda1942z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2799, obj_t BgL_oz00_2800, obj_t BgL_vz00_2801)
{
{ /* Llib/pgp_packets.scm 41 */
{ /* Llib/pgp_packets.scm 41 */
 long BgL_vz00_3428;
BgL_vz00_3428 = 
(long)CINT(BgL_vz00_2801); 
return 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)BgL_oz00_2800)))->BgL_versionz00)=((long)BgL_vz00_3428),BUNSPEC);} } 

}



/* &lambda1941 */
obj_t BGl_z62lambda1941z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2802, obj_t BgL_oz00_2803)
{
{ /* Llib/pgp_packets.scm 41 */
return 
BINT(
(((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)BgL_oz00_2803)))->BgL_versionz00));} 

}



/* &<@anonymous:1937> */
obj_t BGl_z62zc3z04anonymousza31937ze3ze5zz__openpgpzd2packetszd2(obj_t BgL_envz00_2804)
{
{ /* Llib/pgp_packets.scm 41 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda1936 */
obj_t BGl_z62lambda1936z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2805, obj_t BgL_oz00_2806, obj_t BgL_vz00_2807)
{
{ /* Llib/pgp_packets.scm 41 */
return 
((((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)BgL_oz00_2806)))->BgL_idz00)=((obj_t)BgL_vz00_2807),BUNSPEC);} 

}



/* &lambda1935 */
obj_t BGl_z62lambda1935z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2808, obj_t BgL_oz00_2809)
{
{ /* Llib/pgp_packets.scm 41 */
return 
(((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)BgL_oz00_2809)))->BgL_idz00);} 

}



/* &<@anonymous:1915> */
obj_t BGl_z62zc3z04anonymousza31915ze3ze5zz__openpgpzd2packetszd2(obj_t BgL_envz00_2810, obj_t BgL_new1126z00_2811)
{
{ /* Llib/pgp_packets.scm 39 */
{ 
 BgL_pgpzd2onezd2passzd2signaturezd2packetz00_bglt BgL_auxz00_5444;
((((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)
((BgL_pgpzd2onezd2passzd2signaturezd2packetz00_bglt)BgL_new1126z00_2811))))->BgL_versionz00)=((long)((long)0)),BUNSPEC); 
((((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)
((BgL_pgpzd2onezd2passzd2signaturezd2packetz00_bglt)BgL_new1126z00_2811))))->BgL_signaturezd2typezd2)=((obj_t)
CNST_TABLE_REF(((long)101))),BUNSPEC); 
((((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)
((BgL_pgpzd2onezd2passzd2signaturezd2packetz00_bglt)BgL_new1126z00_2811))))->BgL_issuerz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)
((BgL_pgpzd2onezd2passzd2signaturezd2packetz00_bglt)BgL_new1126z00_2811))))->BgL_publiczd2keyzd2algoz00)=((obj_t)
CNST_TABLE_REF(((long)101))),BUNSPEC); 
((((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)
((BgL_pgpzd2onezd2passzd2signaturezd2packetz00_bglt)BgL_new1126z00_2811))))->BgL_hashzd2algozd2)=((obj_t)
CNST_TABLE_REF(((long)101))),BUNSPEC); 
((((BgL_pgpzd2onezd2passzd2signaturezd2packetz00_bglt)COBJECT(
((BgL_pgpzd2onezd2passzd2signaturezd2packetz00_bglt)BgL_new1126z00_2811)))->BgL_containszd2nestedzd2sigzf3zf3)=((bool_t)((bool_t)0)),BUNSPEC); 
BgL_auxz00_5444 = 
((BgL_pgpzd2onezd2passzd2signaturezd2packetz00_bglt)BgL_new1126z00_2811); 
return 
((obj_t)BgL_auxz00_5444);} } 

}



/* &lambda1913 */
BgL_pgpzd2onezd2passzd2signaturezd2packetz00_bglt BGl_z62lambda1913z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2812)
{
{ /* Llib/pgp_packets.scm 39 */
{ /* Llib/pgp_packets.scm 39 */
 BgL_pgpzd2onezd2passzd2signaturezd2packetz00_bglt BgL_new1125z00_3433;
BgL_new1125z00_3433 = 
((BgL_pgpzd2onezd2passzd2signaturezd2packetz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2onezd2passzd2signaturezd2packetz00_bgl) ))); 
{ /* Llib/pgp_packets.scm 39 */
 long BgL_arg1914z00_3434;
BgL_arg1914z00_3434 = 
BGL_CLASS_NUM(BGl_PGPzd2Onezd2Passzd2Signaturezd2Packetz00zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1125z00_3433), BgL_arg1914z00_3434); } 
{ /* Llib/pgp_packets.scm 39 */
 BgL_objectz00_bglt BgL_tmpz00_5471;
BgL_tmpz00_5471 = 
((BgL_objectz00_bglt)BgL_new1125z00_3433); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5471, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1125z00_3433); 
return BgL_new1125z00_3433;} } 

}



/* &lambda1911 */
BgL_pgpzd2onezd2passzd2signaturezd2packetz00_bglt BGl_z62lambda1911z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2813, obj_t BgL_version1119z00_2814, obj_t BgL_signaturezd2type1120zd2_2815, obj_t BgL_issuer1121z00_2816, obj_t BgL_publiczd2keyzd2algo1122z00_2817, obj_t BgL_hashzd2algo1123zd2_2818, obj_t BgL_containszd2nestedzd2sigzf31124zf3_2819)
{
{ /* Llib/pgp_packets.scm 39 */
{ /* Llib/pgp_packets.scm 39 */
 long BgL_version1119z00_3435; bool_t BgL_containszd2nestedzd2sigzf31124zf3_3439;
BgL_version1119z00_3435 = 
(long)CINT(BgL_version1119z00_2814); 
BgL_containszd2nestedzd2sigzf31124zf3_3439 = 
CBOOL(BgL_containszd2nestedzd2sigzf31124zf3_2819); 
{ /* Llib/pgp_packets.scm 39 */
 BgL_pgpzd2onezd2passzd2signaturezd2packetz00_bglt BgL_new1329z00_3440;
{ /* Llib/pgp_packets.scm 39 */
 BgL_pgpzd2onezd2passzd2signaturezd2packetz00_bglt BgL_new1328z00_3441;
BgL_new1328z00_3441 = 
((BgL_pgpzd2onezd2passzd2signaturezd2packetz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2onezd2passzd2signaturezd2packetz00_bgl) ))); 
{ /* Llib/pgp_packets.scm 39 */
 long BgL_arg1912z00_3442;
BgL_arg1912z00_3442 = 
BGL_CLASS_NUM(BGl_PGPzd2Onezd2Passzd2Signaturezd2Packetz00zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1328z00_3441), BgL_arg1912z00_3442); } 
{ /* Llib/pgp_packets.scm 39 */
 BgL_objectz00_bglt BgL_tmpz00_5481;
BgL_tmpz00_5481 = 
((BgL_objectz00_bglt)BgL_new1328z00_3441); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5481, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1328z00_3441); 
BgL_new1329z00_3440 = BgL_new1328z00_3441; } 
((((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)BgL_new1329z00_3440)))->BgL_versionz00)=((long)BgL_version1119z00_3435),BUNSPEC); 
((((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)BgL_new1329z00_3440)))->BgL_signaturezd2typezd2)=((obj_t)
((obj_t)BgL_signaturezd2type1120zd2_2815)),BUNSPEC); 
((((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)BgL_new1329z00_3440)))->BgL_issuerz00)=((obj_t)BgL_issuer1121z00_2816),BUNSPEC); 
((((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)BgL_new1329z00_3440)))->BgL_publiczd2keyzd2algoz00)=((obj_t)
((obj_t)BgL_publiczd2keyzd2algo1122z00_2817)),BUNSPEC); 
((((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)BgL_new1329z00_3440)))->BgL_hashzd2algozd2)=((obj_t)
((obj_t)BgL_hashzd2algo1123zd2_2818)),BUNSPEC); 
((((BgL_pgpzd2onezd2passzd2signaturezd2packetz00_bglt)COBJECT(BgL_new1329z00_3440))->BgL_containszd2nestedzd2sigzf3zf3)=((bool_t)BgL_containszd2nestedzd2sigzf31124zf3_3439),BUNSPEC); 
return BgL_new1329z00_3440;} } } 

}



/* &lambda1920 */
obj_t BGl_z62lambda1920z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2820, obj_t BgL_oz00_2821, obj_t BgL_vz00_2822)
{
{ /* Llib/pgp_packets.scm 39 */
{ /* Llib/pgp_packets.scm 39 */
 bool_t BgL_vz00_3444;
BgL_vz00_3444 = 
CBOOL(BgL_vz00_2822); 
return 
((((BgL_pgpzd2onezd2passzd2signaturezd2packetz00_bglt)COBJECT(
((BgL_pgpzd2onezd2passzd2signaturezd2packetz00_bglt)BgL_oz00_2821)))->BgL_containszd2nestedzd2sigzf3zf3)=((bool_t)BgL_vz00_3444),BUNSPEC);} } 

}



/* &lambda1919 */
obj_t BGl_z62lambda1919z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2823, obj_t BgL_oz00_2824)
{
{ /* Llib/pgp_packets.scm 39 */
return 
BBOOL(
(((BgL_pgpzd2onezd2passzd2signaturezd2packetz00_bglt)COBJECT(
((BgL_pgpzd2onezd2passzd2signaturezd2packetz00_bglt)BgL_oz00_2824)))->BgL_containszd2nestedzd2sigzf3zf3));} 

}



/* &<@anonymous:1883> */
obj_t BGl_z62zc3z04anonymousza31883ze3ze5zz__openpgpzd2packetszd2(obj_t BgL_envz00_2825, obj_t BgL_new1117z00_2826)
{
{ /* Llib/pgp_packets.scm 31 */
{ 
 BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt BgL_auxz00_5505;
((((BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)BgL_new1117z00_2826)))->BgL_versionz00)=((long)((long)0)),BUNSPEC); 
((((BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)BgL_new1117z00_2826)))->BgL_algoz00)=((obj_t)
CNST_TABLE_REF(((long)101))),BUNSPEC); 
((((BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)BgL_new1117z00_2826)))->BgL_s2kz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)BgL_new1117z00_2826)))->BgL_encryptedzd2sessionzd2keyz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_5505 = 
((BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)BgL_new1117z00_2826); 
return 
((obj_t)BgL_auxz00_5505);} } 

}



/* &lambda1881 */
BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt BGl_z62lambda1881z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2827)
{
{ /* Llib/pgp_packets.scm 31 */
{ /* Llib/pgp_packets.scm 31 */
 BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt BgL_new1116z00_3447;
BgL_new1116z00_3447 = 
((BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bgl) ))); 
{ /* Llib/pgp_packets.scm 31 */
 long BgL_arg1882z00_3448;
BgL_arg1882z00_3448 = 
BGL_CLASS_NUM(BGl_PGPzd2Symmetriczd2Keyzd2Encryptedzd2Sessionzd2Keyzd2Packetz00zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1116z00_3447), BgL_arg1882z00_3448); } 
{ /* Llib/pgp_packets.scm 31 */
 BgL_objectz00_bglt BgL_tmpz00_5521;
BgL_tmpz00_5521 = 
((BgL_objectz00_bglt)BgL_new1116z00_3447); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5521, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1116z00_3447); 
return BgL_new1116z00_3447;} } 

}



/* &lambda1879 */
BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt BGl_z62lambda1879z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2828, obj_t BgL_version1112z00_2829, obj_t BgL_algo1113z00_2830, obj_t BgL_s2k1114z00_2831, obj_t BgL_encryptedzd2sessionzd2ke1115z00_2832)
{
{ /* Llib/pgp_packets.scm 31 */
{ /* Llib/pgp_packets.scm 31 */
 long BgL_version1112z00_3449;
BgL_version1112z00_3449 = 
(long)CINT(BgL_version1112z00_2829); 
{ /* Llib/pgp_packets.scm 31 */
 BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt BgL_new1327z00_3451;
{ /* Llib/pgp_packets.scm 31 */
 BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt BgL_new1326z00_3452;
BgL_new1326z00_3452 = 
((BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bgl) ))); 
{ /* Llib/pgp_packets.scm 31 */
 long BgL_arg1880z00_3453;
BgL_arg1880z00_3453 = 
BGL_CLASS_NUM(BGl_PGPzd2Symmetriczd2Keyzd2Encryptedzd2Sessionzd2Keyzd2Packetz00zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1326z00_3452), BgL_arg1880z00_3453); } 
{ /* Llib/pgp_packets.scm 31 */
 BgL_objectz00_bglt BgL_tmpz00_5530;
BgL_tmpz00_5530 = 
((BgL_objectz00_bglt)BgL_new1326z00_3452); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5530, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1326z00_3452); 
BgL_new1327z00_3451 = BgL_new1326z00_3452; } 
((((BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(BgL_new1327z00_3451))->BgL_versionz00)=((long)BgL_version1112z00_3449),BUNSPEC); 
((((BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(BgL_new1327z00_3451))->BgL_algoz00)=((obj_t)
((obj_t)BgL_algo1113z00_2830)),BUNSPEC); 
((((BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(BgL_new1327z00_3451))->BgL_s2kz00)=((obj_t)BgL_s2k1114z00_2831),BUNSPEC); 
((((BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(BgL_new1327z00_3451))->BgL_encryptedzd2sessionzd2keyz00)=((obj_t)BgL_encryptedzd2sessionzd2ke1115z00_2832),BUNSPEC); 
return BgL_new1327z00_3451;} } } 

}



/* &lambda1905 */
obj_t BGl_z62lambda1905z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2833, obj_t BgL_oz00_2834, obj_t BgL_vz00_2835)
{
{ /* Llib/pgp_packets.scm 31 */
return 
((((BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)BgL_oz00_2834)))->BgL_encryptedzd2sessionzd2keyz00)=((obj_t)BgL_vz00_2835),BUNSPEC);} 

}



/* &lambda1904 */
obj_t BGl_z62lambda1904z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2836, obj_t BgL_oz00_2837)
{
{ /* Llib/pgp_packets.scm 31 */
return 
(((BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)BgL_oz00_2837)))->BgL_encryptedzd2sessionzd2keyz00);} 

}



/* &lambda1900 */
obj_t BGl_z62lambda1900z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2838, obj_t BgL_oz00_2839, obj_t BgL_vz00_2840)
{
{ /* Llib/pgp_packets.scm 31 */
return 
((((BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)BgL_oz00_2839)))->BgL_s2kz00)=((obj_t)BgL_vz00_2840),BUNSPEC);} 

}



/* &lambda1899 */
obj_t BGl_z62lambda1899z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2841, obj_t BgL_oz00_2842)
{
{ /* Llib/pgp_packets.scm 31 */
return 
(((BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)BgL_oz00_2842)))->BgL_s2kz00);} 

}



/* &lambda1893 */
obj_t BGl_z62lambda1893z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2843, obj_t BgL_oz00_2844, obj_t BgL_vz00_2845)
{
{ /* Llib/pgp_packets.scm 31 */
return 
((((BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)BgL_oz00_2844)))->BgL_algoz00)=((obj_t)
((obj_t)BgL_vz00_2845)),BUNSPEC);} 

}



/* &lambda1892 */
obj_t BGl_z62lambda1892z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2846, obj_t BgL_oz00_2847)
{
{ /* Llib/pgp_packets.scm 31 */
return 
(((BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)BgL_oz00_2847)))->BgL_algoz00);} 

}



/* &lambda1888 */
obj_t BGl_z62lambda1888z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2848, obj_t BgL_oz00_2849, obj_t BgL_vz00_2850)
{
{ /* Llib/pgp_packets.scm 31 */
{ /* Llib/pgp_packets.scm 31 */
 long BgL_vz00_3462;
BgL_vz00_3462 = 
(long)CINT(BgL_vz00_2850); 
return 
((((BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)BgL_oz00_2849)))->BgL_versionz00)=((long)BgL_vz00_3462),BUNSPEC);} } 

}



/* &lambda1887 */
obj_t BGl_z62lambda1887z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2851, obj_t BgL_oz00_2852)
{
{ /* Llib/pgp_packets.scm 31 */
return 
BINT(
(((BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2symmetriczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)BgL_oz00_2852)))->BgL_versionz00));} 

}



/* &<@anonymous:1863> */
obj_t BGl_z62zc3z04anonymousza31863ze3ze5zz__openpgpzd2packetszd2(obj_t BgL_envz00_2853, obj_t BgL_new1110z00_2854)
{
{ /* Llib/pgp_packets.scm 28 */
{ 
 BgL_pgpzd2signaturezd2v4zd2packetzd2_bglt BgL_auxz00_5558;
((((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)
((BgL_pgpzd2signaturezd2v4zd2packetzd2_bglt)BgL_new1110z00_2854))))->BgL_versionz00)=((long)((long)0)),BUNSPEC); 
((((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)
((BgL_pgpzd2signaturezd2v4zd2packetzd2_bglt)BgL_new1110z00_2854))))->BgL_signaturezd2typezd2)=((obj_t)
CNST_TABLE_REF(((long)101))),BUNSPEC); 
((((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)
((BgL_pgpzd2signaturezd2v4zd2packetzd2_bglt)BgL_new1110z00_2854))))->BgL_issuerz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)
((BgL_pgpzd2signaturezd2v4zd2packetzd2_bglt)BgL_new1110z00_2854))))->BgL_publiczd2keyzd2algoz00)=((obj_t)
CNST_TABLE_REF(((long)101))),BUNSPEC); 
((((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)
((BgL_pgpzd2signaturezd2v4zd2packetzd2_bglt)BgL_new1110z00_2854))))->BgL_hashzd2algozd2)=((obj_t)
CNST_TABLE_REF(((long)101))),BUNSPEC); 
{ 
 obj_t BgL_auxz00_5577;
{ /* Llib/pgp_packets.scm 28 */
 BGL_LONGLONG_T BgL_arg1702z00_3465;
BgL_arg1702z00_3465 = 
bgl_current_nanoseconds(); 
BgL_auxz00_5577 = 
bgl_nanoseconds_to_date(BgL_arg1702z00_3465); } 
((((BgL_pgpzd2signaturezd2packetz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2packetz00_bglt)
((BgL_pgpzd2signaturezd2v4zd2packetzd2_bglt)BgL_new1110z00_2854))))->BgL_creationzd2datezd2)=((obj_t)BgL_auxz00_5577),BUNSPEC); } 
((((BgL_pgpzd2signaturezd2packetz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2packetz00_bglt)
((BgL_pgpzd2signaturezd2v4zd2packetzd2_bglt)BgL_new1110z00_2854))))->BgL_signaturez00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_pgpzd2signaturezd2packetz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2packetz00_bglt)
((BgL_pgpzd2signaturezd2v4zd2packetzd2_bglt)BgL_new1110z00_2854))))->BgL_signedzd2packetzd2prefixz00)=((obj_t)BGl_string2750z00zz__openpgpzd2packetszd2),BUNSPEC); 
((((BgL_pgpzd2signaturezd2packetz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2packetz00_bglt)
((BgL_pgpzd2signaturezd2v4zd2packetzd2_bglt)BgL_new1110z00_2854))))->BgL_hashzd2trailerzd2)=((obj_t)BGl_string2750z00zz__openpgpzd2packetszd2),BUNSPEC); 
((((BgL_pgpzd2signaturezd2packetz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2packetz00_bglt)
((BgL_pgpzd2signaturezd2v4zd2packetzd2_bglt)BgL_new1110z00_2854))))->BgL_leftzd2hashzd2)=((obj_t)BGl_string2750z00zz__openpgpzd2packetszd2),BUNSPEC); 
((((BgL_pgpzd2signaturezd2v4zd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2v4zd2packetzd2_bglt)BgL_new1110z00_2854)))->BgL_securezd2subzd2packetsz00)=((obj_t)BNIL),BUNSPEC); 
((((BgL_pgpzd2signaturezd2v4zd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2v4zd2packetzd2_bglt)BgL_new1110z00_2854)))->BgL_insecurezd2subzd2packetsz00)=((obj_t)BNIL),BUNSPEC); 
BgL_auxz00_5558 = 
((BgL_pgpzd2signaturezd2v4zd2packetzd2_bglt)BgL_new1110z00_2854); 
return 
((obj_t)BgL_auxz00_5558);} } 

}



/* &lambda1861 */
BgL_pgpzd2signaturezd2v4zd2packetzd2_bglt BGl_z62lambda1861z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2855)
{
{ /* Llib/pgp_packets.scm 28 */
{ /* Llib/pgp_packets.scm 28 */
 BgL_pgpzd2signaturezd2v4zd2packetzd2_bglt BgL_new1109z00_3466;
BgL_new1109z00_3466 = 
((BgL_pgpzd2signaturezd2v4zd2packetzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2signaturezd2v4zd2packetzd2_bgl) ))); 
{ /* Llib/pgp_packets.scm 28 */
 long BgL_arg1862z00_3467;
BgL_arg1862z00_3467 = 
BGL_CLASS_NUM(BGl_PGPzd2Signaturezd2v4zd2Packetzd2zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1109z00_3466), BgL_arg1862z00_3467); } 
{ /* Llib/pgp_packets.scm 28 */
 BgL_objectz00_bglt BgL_tmpz00_5605;
BgL_tmpz00_5605 = 
((BgL_objectz00_bglt)BgL_new1109z00_3466); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5605, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1109z00_3466); 
return BgL_new1109z00_3466;} } 

}



/* &lambda1859 */
BgL_pgpzd2signaturezd2v4zd2packetzd2_bglt BGl_z62lambda1859z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2856, obj_t BgL_version1096z00_2857, obj_t BgL_signaturezd2type1097zd2_2858, obj_t BgL_issuer1098z00_2859, obj_t BgL_publiczd2keyzd2algo1099z00_2860, obj_t BgL_hashzd2algo1100zd2_2861, obj_t BgL_creationzd2date1101zd2_2862, obj_t BgL_signature1102z00_2863, obj_t BgL_signedzd2packetzd2prefix1103z00_2864, obj_t BgL_hashzd2trailer1104zd2_2865, obj_t BgL_leftzd2hash1105zd2_2866, obj_t BgL_securezd2subzd2packets1106z00_2867, obj_t BgL_insecurezd2subzd2packets1107z00_2868)
{
{ /* Llib/pgp_packets.scm 28 */
{ /* Llib/pgp_packets.scm 28 */
 long BgL_version1096z00_3468;
BgL_version1096z00_3468 = 
(long)CINT(BgL_version1096z00_2857); 
{ /* Llib/pgp_packets.scm 28 */
 BgL_pgpzd2signaturezd2v4zd2packetzd2_bglt BgL_new1325z00_3478;
{ /* Llib/pgp_packets.scm 28 */
 BgL_pgpzd2signaturezd2v4zd2packetzd2_bglt BgL_new1324z00_3479;
BgL_new1324z00_3479 = 
((BgL_pgpzd2signaturezd2v4zd2packetzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2signaturezd2v4zd2packetzd2_bgl) ))); 
{ /* Llib/pgp_packets.scm 28 */
 long BgL_arg1860z00_3480;
BgL_arg1860z00_3480 = 
BGL_CLASS_NUM(BGl_PGPzd2Signaturezd2v4zd2Packetzd2zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1324z00_3479), BgL_arg1860z00_3480); } 
{ /* Llib/pgp_packets.scm 28 */
 BgL_objectz00_bglt BgL_tmpz00_5614;
BgL_tmpz00_5614 = 
((BgL_objectz00_bglt)BgL_new1324z00_3479); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5614, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1324z00_3479); 
BgL_new1325z00_3478 = BgL_new1324z00_3479; } 
((((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)BgL_new1325z00_3478)))->BgL_versionz00)=((long)BgL_version1096z00_3468),BUNSPEC); 
((((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)BgL_new1325z00_3478)))->BgL_signaturezd2typezd2)=((obj_t)
((obj_t)BgL_signaturezd2type1097zd2_2858)),BUNSPEC); 
((((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)BgL_new1325z00_3478)))->BgL_issuerz00)=((obj_t)BgL_issuer1098z00_2859),BUNSPEC); 
((((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)BgL_new1325z00_3478)))->BgL_publiczd2keyzd2algoz00)=((obj_t)
((obj_t)BgL_publiczd2keyzd2algo1099z00_2860)),BUNSPEC); 
((((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)BgL_new1325z00_3478)))->BgL_hashzd2algozd2)=((obj_t)
((obj_t)BgL_hashzd2algo1100zd2_2861)),BUNSPEC); 
((((BgL_pgpzd2signaturezd2packetz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2packetz00_bglt)BgL_new1325z00_3478)))->BgL_creationzd2datezd2)=((obj_t)
((obj_t)BgL_creationzd2date1101zd2_2862)),BUNSPEC); 
((((BgL_pgpzd2signaturezd2packetz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2packetz00_bglt)BgL_new1325z00_3478)))->BgL_signaturez00)=((obj_t)BgL_signature1102z00_2863),BUNSPEC); 
((((BgL_pgpzd2signaturezd2packetz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2packetz00_bglt)BgL_new1325z00_3478)))->BgL_signedzd2packetzd2prefixz00)=((obj_t)
((obj_t)BgL_signedzd2packetzd2prefix1103z00_2864)),BUNSPEC); 
((((BgL_pgpzd2signaturezd2packetz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2packetz00_bglt)BgL_new1325z00_3478)))->BgL_hashzd2trailerzd2)=((obj_t)
((obj_t)BgL_hashzd2trailer1104zd2_2865)),BUNSPEC); 
((((BgL_pgpzd2signaturezd2packetz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2packetz00_bglt)BgL_new1325z00_3478)))->BgL_leftzd2hashzd2)=((obj_t)
((obj_t)BgL_leftzd2hash1105zd2_2866)),BUNSPEC); 
((((BgL_pgpzd2signaturezd2v4zd2packetzd2_bglt)COBJECT(BgL_new1325z00_3478))->BgL_securezd2subzd2packetsz00)=((obj_t)
((obj_t)BgL_securezd2subzd2packets1106z00_2867)),BUNSPEC); 
((((BgL_pgpzd2signaturezd2v4zd2packetzd2_bglt)COBJECT(BgL_new1325z00_3478))->BgL_insecurezd2subzd2packetsz00)=((obj_t)
((obj_t)BgL_insecurezd2subzd2packets1107z00_2868)),BUNSPEC); 
return BgL_new1325z00_3478;} } } 

}



/* &lambda1873 */
obj_t BGl_z62lambda1873z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2869, obj_t BgL_oz00_2870, obj_t BgL_vz00_2871)
{
{ /* Llib/pgp_packets.scm 28 */
return 
((((BgL_pgpzd2signaturezd2v4zd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2v4zd2packetzd2_bglt)BgL_oz00_2870)))->BgL_insecurezd2subzd2packetsz00)=((obj_t)
((obj_t)BgL_vz00_2871)),BUNSPEC);} 

}



/* &lambda1872 */
obj_t BGl_z62lambda1872z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2872, obj_t BgL_oz00_2873)
{
{ /* Llib/pgp_packets.scm 28 */
return 
(((BgL_pgpzd2signaturezd2v4zd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2v4zd2packetzd2_bglt)BgL_oz00_2873)))->BgL_insecurezd2subzd2packetsz00);} 

}



/* &lambda1868 */
obj_t BGl_z62lambda1868z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2874, obj_t BgL_oz00_2875, obj_t BgL_vz00_2876)
{
{ /* Llib/pgp_packets.scm 28 */
return 
((((BgL_pgpzd2signaturezd2v4zd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2v4zd2packetzd2_bglt)BgL_oz00_2875)))->BgL_securezd2subzd2packetsz00)=((obj_t)
((obj_t)BgL_vz00_2876)),BUNSPEC);} 

}



/* &lambda1867 */
obj_t BGl_z62lambda1867z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2877, obj_t BgL_oz00_2878)
{
{ /* Llib/pgp_packets.scm 28 */
return 
(((BgL_pgpzd2signaturezd2v4zd2packetzd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2v4zd2packetzd2_bglt)BgL_oz00_2878)))->BgL_securezd2subzd2packetsz00);} 

}



/* &<@anonymous:1852> */
obj_t BGl_z62zc3z04anonymousza31852ze3ze5zz__openpgpzd2packetszd2(obj_t BgL_envz00_2879, obj_t BgL_new1094z00_2880)
{
{ /* Llib/pgp_packets.scm 27 */
{ 
 BgL_pgpzd2signaturezd2v3zd2packetzd2_bglt BgL_auxz00_5659;
((((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)
((BgL_pgpzd2signaturezd2v3zd2packetzd2_bglt)BgL_new1094z00_2880))))->BgL_versionz00)=((long)((long)0)),BUNSPEC); 
((((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)
((BgL_pgpzd2signaturezd2v3zd2packetzd2_bglt)BgL_new1094z00_2880))))->BgL_signaturezd2typezd2)=((obj_t)
CNST_TABLE_REF(((long)101))),BUNSPEC); 
((((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)
((BgL_pgpzd2signaturezd2v3zd2packetzd2_bglt)BgL_new1094z00_2880))))->BgL_issuerz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)
((BgL_pgpzd2signaturezd2v3zd2packetzd2_bglt)BgL_new1094z00_2880))))->BgL_publiczd2keyzd2algoz00)=((obj_t)
CNST_TABLE_REF(((long)101))),BUNSPEC); 
((((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)
((BgL_pgpzd2signaturezd2v3zd2packetzd2_bglt)BgL_new1094z00_2880))))->BgL_hashzd2algozd2)=((obj_t)
CNST_TABLE_REF(((long)101))),BUNSPEC); 
{ 
 obj_t BgL_auxz00_5678;
{ /* Llib/pgp_packets.scm 27 */
 BGL_LONGLONG_T BgL_arg1702z00_3488;
BgL_arg1702z00_3488 = 
bgl_current_nanoseconds(); 
BgL_auxz00_5678 = 
bgl_nanoseconds_to_date(BgL_arg1702z00_3488); } 
((((BgL_pgpzd2signaturezd2packetz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2packetz00_bglt)
((BgL_pgpzd2signaturezd2v3zd2packetzd2_bglt)BgL_new1094z00_2880))))->BgL_creationzd2datezd2)=((obj_t)BgL_auxz00_5678),BUNSPEC); } 
((((BgL_pgpzd2signaturezd2packetz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2packetz00_bglt)
((BgL_pgpzd2signaturezd2v3zd2packetzd2_bglt)BgL_new1094z00_2880))))->BgL_signaturez00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_pgpzd2signaturezd2packetz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2packetz00_bglt)
((BgL_pgpzd2signaturezd2v3zd2packetzd2_bglt)BgL_new1094z00_2880))))->BgL_signedzd2packetzd2prefixz00)=((obj_t)BGl_string2750z00zz__openpgpzd2packetszd2),BUNSPEC); 
((((BgL_pgpzd2signaturezd2packetz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2packetz00_bglt)
((BgL_pgpzd2signaturezd2v3zd2packetzd2_bglt)BgL_new1094z00_2880))))->BgL_hashzd2trailerzd2)=((obj_t)BGl_string2750z00zz__openpgpzd2packetszd2),BUNSPEC); 
((((BgL_pgpzd2signaturezd2packetz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2packetz00_bglt)
((BgL_pgpzd2signaturezd2v3zd2packetzd2_bglt)BgL_new1094z00_2880))))->BgL_leftzd2hashzd2)=((obj_t)BGl_string2750z00zz__openpgpzd2packetszd2),BUNSPEC); 
BgL_auxz00_5659 = 
((BgL_pgpzd2signaturezd2v3zd2packetzd2_bglt)BgL_new1094z00_2880); 
return 
((obj_t)BgL_auxz00_5659);} } 

}



/* &lambda1849 */
BgL_pgpzd2signaturezd2v3zd2packetzd2_bglt BGl_z62lambda1849z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2881)
{
{ /* Llib/pgp_packets.scm 27 */
{ /* Llib/pgp_packets.scm 27 */
 BgL_pgpzd2signaturezd2v3zd2packetzd2_bglt BgL_new1093z00_3489;
BgL_new1093z00_3489 = 
((BgL_pgpzd2signaturezd2v3zd2packetzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2signaturezd2v3zd2packetzd2_bgl) ))); 
{ /* Llib/pgp_packets.scm 27 */
 long BgL_arg1851z00_3490;
BgL_arg1851z00_3490 = 
BGL_CLASS_NUM(BGl_PGPzd2Signaturezd2v3zd2Packetzd2zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1093z00_3489), BgL_arg1851z00_3490); } 
{ /* Llib/pgp_packets.scm 27 */
 BgL_objectz00_bglt BgL_tmpz00_5702;
BgL_tmpz00_5702 = 
((BgL_objectz00_bglt)BgL_new1093z00_3489); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5702, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1093z00_3489); 
return BgL_new1093z00_3489;} } 

}



/* &lambda1847 */
BgL_pgpzd2signaturezd2v3zd2packetzd2_bglt BGl_z62lambda1847z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2882, obj_t BgL_version1083z00_2883, obj_t BgL_signaturezd2type1084zd2_2884, obj_t BgL_issuer1085z00_2885, obj_t BgL_publiczd2keyzd2algo1086z00_2886, obj_t BgL_hashzd2algo1087zd2_2887, obj_t BgL_creationzd2date1088zd2_2888, obj_t BgL_signature1089z00_2889, obj_t BgL_signedzd2packetzd2prefix1090z00_2890, obj_t BgL_hashzd2trailer1091zd2_2891, obj_t BgL_leftzd2hash1092zd2_2892)
{
{ /* Llib/pgp_packets.scm 27 */
{ /* Llib/pgp_packets.scm 27 */
 long BgL_version1083z00_3491;
BgL_version1083z00_3491 = 
(long)CINT(BgL_version1083z00_2883); 
{ /* Llib/pgp_packets.scm 27 */
 BgL_pgpzd2signaturezd2v3zd2packetzd2_bglt BgL_new1323z00_3499;
{ /* Llib/pgp_packets.scm 27 */
 BgL_pgpzd2signaturezd2v3zd2packetzd2_bglt BgL_new1322z00_3500;
BgL_new1322z00_3500 = 
((BgL_pgpzd2signaturezd2v3zd2packetzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2signaturezd2v3zd2packetzd2_bgl) ))); 
{ /* Llib/pgp_packets.scm 27 */
 long BgL_arg1848z00_3501;
BgL_arg1848z00_3501 = 
BGL_CLASS_NUM(BGl_PGPzd2Signaturezd2v3zd2Packetzd2zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1322z00_3500), BgL_arg1848z00_3501); } 
{ /* Llib/pgp_packets.scm 27 */
 BgL_objectz00_bglt BgL_tmpz00_5711;
BgL_tmpz00_5711 = 
((BgL_objectz00_bglt)BgL_new1322z00_3500); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5711, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1322z00_3500); 
BgL_new1323z00_3499 = BgL_new1322z00_3500; } 
((((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)BgL_new1323z00_3499)))->BgL_versionz00)=((long)BgL_version1083z00_3491),BUNSPEC); 
((((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)BgL_new1323z00_3499)))->BgL_signaturezd2typezd2)=((obj_t)
((obj_t)BgL_signaturezd2type1084zd2_2884)),BUNSPEC); 
((((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)BgL_new1323z00_3499)))->BgL_issuerz00)=((obj_t)BgL_issuer1085z00_2885),BUNSPEC); 
((((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)BgL_new1323z00_3499)))->BgL_publiczd2keyzd2algoz00)=((obj_t)
((obj_t)BgL_publiczd2keyzd2algo1086z00_2886)),BUNSPEC); 
((((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)BgL_new1323z00_3499)))->BgL_hashzd2algozd2)=((obj_t)
((obj_t)BgL_hashzd2algo1087zd2_2887)),BUNSPEC); 
((((BgL_pgpzd2signaturezd2packetz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2packetz00_bglt)BgL_new1323z00_3499)))->BgL_creationzd2datezd2)=((obj_t)
((obj_t)BgL_creationzd2date1088zd2_2888)),BUNSPEC); 
((((BgL_pgpzd2signaturezd2packetz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2packetz00_bglt)BgL_new1323z00_3499)))->BgL_signaturez00)=((obj_t)BgL_signature1089z00_2889),BUNSPEC); 
((((BgL_pgpzd2signaturezd2packetz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2packetz00_bglt)BgL_new1323z00_3499)))->BgL_signedzd2packetzd2prefixz00)=((obj_t)
((obj_t)BgL_signedzd2packetzd2prefix1090z00_2890)),BUNSPEC); 
((((BgL_pgpzd2signaturezd2packetz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2packetz00_bglt)BgL_new1323z00_3499)))->BgL_hashzd2trailerzd2)=((obj_t)
((obj_t)BgL_hashzd2trailer1091zd2_2891)),BUNSPEC); 
((((BgL_pgpzd2signaturezd2packetz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2packetz00_bglt)BgL_new1323z00_3499)))->BgL_leftzd2hashzd2)=((obj_t)
((obj_t)BgL_leftzd2hash1092zd2_2892)),BUNSPEC); 
return BgL_new1323z00_3499;} } } 

}



/* &<@anonymous:1812> */
obj_t BGl_z62zc3z04anonymousza31812ze3ze5zz__openpgpzd2packetszd2(obj_t BgL_envz00_2893, obj_t BgL_new1081z00_2894)
{
{ /* Llib/pgp_packets.scm 21 */
{ 
 BgL_pgpzd2signaturezd2packetz00_bglt BgL_auxz00_5742;
((((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)
((BgL_pgpzd2signaturezd2packetz00_bglt)BgL_new1081z00_2894))))->BgL_versionz00)=((long)((long)0)),BUNSPEC); 
((((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)
((BgL_pgpzd2signaturezd2packetz00_bglt)BgL_new1081z00_2894))))->BgL_signaturezd2typezd2)=((obj_t)
CNST_TABLE_REF(((long)101))),BUNSPEC); 
((((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)
((BgL_pgpzd2signaturezd2packetz00_bglt)BgL_new1081z00_2894))))->BgL_issuerz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)
((BgL_pgpzd2signaturezd2packetz00_bglt)BgL_new1081z00_2894))))->BgL_publiczd2keyzd2algoz00)=((obj_t)
CNST_TABLE_REF(((long)101))),BUNSPEC); 
((((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)
((BgL_pgpzd2signaturezd2packetz00_bglt)BgL_new1081z00_2894))))->BgL_hashzd2algozd2)=((obj_t)
CNST_TABLE_REF(((long)101))),BUNSPEC); 
{ 
 obj_t BgL_auxz00_5761;
{ /* Llib/pgp_packets.scm 21 */
 BGL_LONGLONG_T BgL_arg1702z00_3503;
BgL_arg1702z00_3503 = 
bgl_current_nanoseconds(); 
BgL_auxz00_5761 = 
bgl_nanoseconds_to_date(BgL_arg1702z00_3503); } 
((((BgL_pgpzd2signaturezd2packetz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2packetz00_bglt)BgL_new1081z00_2894)))->BgL_creationzd2datezd2)=((obj_t)BgL_auxz00_5761),BUNSPEC); } 
((((BgL_pgpzd2signaturezd2packetz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2packetz00_bglt)BgL_new1081z00_2894)))->BgL_signaturez00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_pgpzd2signaturezd2packetz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2packetz00_bglt)BgL_new1081z00_2894)))->BgL_signedzd2packetzd2prefixz00)=((obj_t)BGl_string2750z00zz__openpgpzd2packetszd2),BUNSPEC); 
((((BgL_pgpzd2signaturezd2packetz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2packetz00_bglt)BgL_new1081z00_2894)))->BgL_hashzd2trailerzd2)=((obj_t)BGl_string2750z00zz__openpgpzd2packetszd2),BUNSPEC); 
((((BgL_pgpzd2signaturezd2packetz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2packetz00_bglt)BgL_new1081z00_2894)))->BgL_leftzd2hashzd2)=((obj_t)BGl_string2750z00zz__openpgpzd2packetszd2),BUNSPEC); 
BgL_auxz00_5742 = 
((BgL_pgpzd2signaturezd2packetz00_bglt)BgL_new1081z00_2894); 
return 
((obj_t)BgL_auxz00_5742);} } 

}



/* &lambda1800 */
BgL_pgpzd2signaturezd2packetz00_bglt BGl_z62lambda1800z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2895)
{
{ /* Llib/pgp_packets.scm 21 */
{ /* Llib/pgp_packets.scm 21 */
 BgL_pgpzd2signaturezd2packetz00_bglt BgL_new1080z00_3504;
BgL_new1080z00_3504 = 
((BgL_pgpzd2signaturezd2packetz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2signaturezd2packetz00_bgl) ))); 
{ /* Llib/pgp_packets.scm 21 */
 long BgL_arg1811z00_3505;
BgL_arg1811z00_3505 = 
BGL_CLASS_NUM(BGl_PGPzd2Signaturezd2Packetz00zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1080z00_3504), BgL_arg1811z00_3505); } 
return BgL_new1080z00_3504;} } 

}



/* &lambda1798 */
BgL_pgpzd2signaturezd2packetz00_bglt BGl_z62lambda1798z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2896, obj_t BgL_version1070z00_2897, obj_t BgL_signaturezd2type1071zd2_2898, obj_t BgL_issuer1072z00_2899, obj_t BgL_publiczd2keyzd2algo1073z00_2900, obj_t BgL_hashzd2algo1074zd2_2901, obj_t BgL_creationzd2date1075zd2_2902, obj_t BgL_signature1076z00_2903, obj_t BgL_signedzd2packetzd2prefix1077z00_2904, obj_t BgL_hashzd2trailer1078zd2_2905, obj_t BgL_leftzd2hash1079zd2_2906)
{
{ /* Llib/pgp_packets.scm 21 */
{ /* Llib/pgp_packets.scm 21 */
 long BgL_version1070z00_3506;
BgL_version1070z00_3506 = 
(long)CINT(BgL_version1070z00_2897); 
{ /* Llib/pgp_packets.scm 21 */
 BgL_pgpzd2signaturezd2packetz00_bglt BgL_new1321z00_3514;
{ /* Llib/pgp_packets.scm 21 */
 BgL_pgpzd2signaturezd2packetz00_bglt BgL_new1320z00_3515;
BgL_new1320z00_3515 = 
((BgL_pgpzd2signaturezd2packetz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2signaturezd2packetz00_bgl) ))); 
{ /* Llib/pgp_packets.scm 21 */
 long BgL_arg1799z00_3516;
BgL_arg1799z00_3516 = 
BGL_CLASS_NUM(BGl_PGPzd2Signaturezd2Packetz00zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1320z00_3515), BgL_arg1799z00_3516); } 
BgL_new1321z00_3514 = BgL_new1320z00_3515; } 
((((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)BgL_new1321z00_3514)))->BgL_versionz00)=((long)BgL_version1070z00_3506),BUNSPEC); 
((((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)BgL_new1321z00_3514)))->BgL_signaturezd2typezd2)=((obj_t)
((obj_t)BgL_signaturezd2type1071zd2_2898)),BUNSPEC); 
((((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)BgL_new1321z00_3514)))->BgL_issuerz00)=((obj_t)BgL_issuer1072z00_2899),BUNSPEC); 
((((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)BgL_new1321z00_3514)))->BgL_publiczd2keyzd2algoz00)=((obj_t)
((obj_t)BgL_publiczd2keyzd2algo1073z00_2900)),BUNSPEC); 
((((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)BgL_new1321z00_3514)))->BgL_hashzd2algozd2)=((obj_t)
((obj_t)BgL_hashzd2algo1074zd2_2901)),BUNSPEC); 
((((BgL_pgpzd2signaturezd2packetz00_bglt)COBJECT(BgL_new1321z00_3514))->BgL_creationzd2datezd2)=((obj_t)
((obj_t)BgL_creationzd2date1075zd2_2902)),BUNSPEC); 
((((BgL_pgpzd2signaturezd2packetz00_bglt)COBJECT(BgL_new1321z00_3514))->BgL_signaturez00)=((obj_t)BgL_signature1076z00_2903),BUNSPEC); 
((((BgL_pgpzd2signaturezd2packetz00_bglt)COBJECT(BgL_new1321z00_3514))->BgL_signedzd2packetzd2prefixz00)=((obj_t)
((obj_t)BgL_signedzd2packetzd2prefix1077z00_2904)),BUNSPEC); 
((((BgL_pgpzd2signaturezd2packetz00_bglt)COBJECT(BgL_new1321z00_3514))->BgL_hashzd2trailerzd2)=((obj_t)
((obj_t)BgL_hashzd2trailer1078zd2_2905)),BUNSPEC); 
((((BgL_pgpzd2signaturezd2packetz00_bglt)COBJECT(BgL_new1321z00_3514))->BgL_leftzd2hashzd2)=((obj_t)
((obj_t)BgL_leftzd2hash1079zd2_2906)),BUNSPEC); 
return BgL_new1321z00_3514;} } } 

}



/* &lambda1841 */
obj_t BGl_z62lambda1841z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2907, obj_t BgL_oz00_2908, obj_t BgL_vz00_2909)
{
{ /* Llib/pgp_packets.scm 21 */
return 
((((BgL_pgpzd2signaturezd2packetz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2packetz00_bglt)BgL_oz00_2908)))->BgL_leftzd2hashzd2)=((obj_t)
((obj_t)BgL_vz00_2909)),BUNSPEC);} 

}



/* &lambda1840 */
obj_t BGl_z62lambda1840z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2910, obj_t BgL_oz00_2911)
{
{ /* Llib/pgp_packets.scm 21 */
return 
(((BgL_pgpzd2signaturezd2packetz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2packetz00_bglt)BgL_oz00_2911)))->BgL_leftzd2hashzd2);} 

}



/* &lambda1836 */
obj_t BGl_z62lambda1836z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2912, obj_t BgL_oz00_2913, obj_t BgL_vz00_2914)
{
{ /* Llib/pgp_packets.scm 21 */
return 
((((BgL_pgpzd2signaturezd2packetz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2packetz00_bglt)BgL_oz00_2913)))->BgL_hashzd2trailerzd2)=((obj_t)
((obj_t)BgL_vz00_2914)),BUNSPEC);} 

}



/* &lambda1835 */
obj_t BGl_z62lambda1835z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2915, obj_t BgL_oz00_2916)
{
{ /* Llib/pgp_packets.scm 21 */
return 
(((BgL_pgpzd2signaturezd2packetz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2packetz00_bglt)BgL_oz00_2916)))->BgL_hashzd2trailerzd2);} 

}



/* &lambda1831 */
obj_t BGl_z62lambda1831z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2917, obj_t BgL_oz00_2918, obj_t BgL_vz00_2919)
{
{ /* Llib/pgp_packets.scm 21 */
return 
((((BgL_pgpzd2signaturezd2packetz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2packetz00_bglt)BgL_oz00_2918)))->BgL_signedzd2packetzd2prefixz00)=((obj_t)
((obj_t)BgL_vz00_2919)),BUNSPEC);} 

}



/* &lambda1830 */
obj_t BGl_z62lambda1830z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2920, obj_t BgL_oz00_2921)
{
{ /* Llib/pgp_packets.scm 21 */
return 
(((BgL_pgpzd2signaturezd2packetz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2packetz00_bglt)BgL_oz00_2921)))->BgL_signedzd2packetzd2prefixz00);} 

}



/* &lambda1826 */
obj_t BGl_z62lambda1826z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2922, obj_t BgL_oz00_2923, obj_t BgL_vz00_2924)
{
{ /* Llib/pgp_packets.scm 21 */
return 
((((BgL_pgpzd2signaturezd2packetz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2packetz00_bglt)BgL_oz00_2923)))->BgL_signaturez00)=((obj_t)BgL_vz00_2924),BUNSPEC);} 

}



/* &lambda1825 */
obj_t BGl_z62lambda1825z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2925, obj_t BgL_oz00_2926)
{
{ /* Llib/pgp_packets.scm 21 */
return 
(((BgL_pgpzd2signaturezd2packetz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2packetz00_bglt)BgL_oz00_2926)))->BgL_signaturez00);} 

}



/* &lambda1818 */
obj_t BGl_z62lambda1818z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2927, obj_t BgL_oz00_2928, obj_t BgL_vz00_2929)
{
{ /* Llib/pgp_packets.scm 21 */
return 
((((BgL_pgpzd2signaturezd2packetz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2packetz00_bglt)BgL_oz00_2928)))->BgL_creationzd2datezd2)=((obj_t)
((obj_t)BgL_vz00_2929)),BUNSPEC);} 

}



/* &lambda1817 */
obj_t BGl_z62lambda1817z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2930, obj_t BgL_oz00_2931)
{
{ /* Llib/pgp_packets.scm 21 */
return 
(((BgL_pgpzd2signaturezd2packetz00_bglt)COBJECT(
((BgL_pgpzd2signaturezd2packetz00_bglt)BgL_oz00_2931)))->BgL_creationzd2datezd2);} 

}



/* &<@anonymous:1730> */
obj_t BGl_z62zc3z04anonymousza31730ze3ze5zz__openpgpzd2packetszd2(obj_t BgL_envz00_2932, obj_t BgL_new1068z00_2933)
{
{ /* Llib/pgp_packets.scm 15 */
{ 
 BgL_pgpzd2sigzd2packetz00_bglt BgL_auxz00_5831;
((((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)BgL_new1068z00_2933)))->BgL_versionz00)=((long)((long)0)),BUNSPEC); 
((((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)BgL_new1068z00_2933)))->BgL_signaturezd2typezd2)=((obj_t)
CNST_TABLE_REF(((long)101))),BUNSPEC); 
((((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)BgL_new1068z00_2933)))->BgL_issuerz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)BgL_new1068z00_2933)))->BgL_publiczd2keyzd2algoz00)=((obj_t)
CNST_TABLE_REF(((long)101))),BUNSPEC); 
((((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)BgL_new1068z00_2933)))->BgL_hashzd2algozd2)=((obj_t)
CNST_TABLE_REF(((long)101))),BUNSPEC); 
BgL_auxz00_5831 = 
((BgL_pgpzd2sigzd2packetz00_bglt)BgL_new1068z00_2933); 
return 
((obj_t)BgL_auxz00_5831);} } 

}



/* &lambda1728 */
BgL_pgpzd2sigzd2packetz00_bglt BGl_z62lambda1728z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2934)
{
{ /* Llib/pgp_packets.scm 15 */
{ /* Llib/pgp_packets.scm 15 */
 BgL_pgpzd2sigzd2packetz00_bglt BgL_new1067z00_3532;
BgL_new1067z00_3532 = 
((BgL_pgpzd2sigzd2packetz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2sigzd2packetz00_bgl) ))); 
{ /* Llib/pgp_packets.scm 15 */
 long BgL_arg1729z00_3533;
BgL_arg1729z00_3533 = 
BGL_CLASS_NUM(BGl_PGPzd2Sigzd2Packetz00zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1067z00_3532), BgL_arg1729z00_3533); } 
return BgL_new1067z00_3532;} } 

}



/* &lambda1726 */
BgL_pgpzd2sigzd2packetz00_bglt BGl_z62lambda1726z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2935, obj_t BgL_version1062z00_2936, obj_t BgL_signaturezd2type1063zd2_2937, obj_t BgL_issuer1064z00_2938, obj_t BgL_publiczd2keyzd2algo1065z00_2939, obj_t BgL_hashzd2algo1066zd2_2940)
{
{ /* Llib/pgp_packets.scm 15 */
{ /* Llib/pgp_packets.scm 15 */
 long BgL_version1062z00_3534;
BgL_version1062z00_3534 = 
(long)CINT(BgL_version1062z00_2936); 
{ /* Llib/pgp_packets.scm 15 */
 BgL_pgpzd2sigzd2packetz00_bglt BgL_new1319z00_3538;
{ /* Llib/pgp_packets.scm 15 */
 BgL_pgpzd2sigzd2packetz00_bglt BgL_new1318z00_3539;
BgL_new1318z00_3539 = 
((BgL_pgpzd2sigzd2packetz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2sigzd2packetz00_bgl) ))); 
{ /* Llib/pgp_packets.scm 15 */
 long BgL_arg1727z00_3540;
BgL_arg1727z00_3540 = 
BGL_CLASS_NUM(BGl_PGPzd2Sigzd2Packetz00zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1318z00_3539), BgL_arg1727z00_3540); } 
BgL_new1319z00_3538 = BgL_new1318z00_3539; } 
((((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(BgL_new1319z00_3538))->BgL_versionz00)=((long)BgL_version1062z00_3534),BUNSPEC); 
((((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(BgL_new1319z00_3538))->BgL_signaturezd2typezd2)=((obj_t)
((obj_t)BgL_signaturezd2type1063zd2_2937)),BUNSPEC); 
((((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(BgL_new1319z00_3538))->BgL_issuerz00)=((obj_t)BgL_issuer1064z00_2938),BUNSPEC); 
((((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(BgL_new1319z00_3538))->BgL_publiczd2keyzd2algoz00)=((obj_t)
((obj_t)BgL_publiczd2keyzd2algo1065z00_2939)),BUNSPEC); 
((((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(BgL_new1319z00_3538))->BgL_hashzd2algozd2)=((obj_t)
((obj_t)BgL_hashzd2algo1066zd2_2940)),BUNSPEC); 
return BgL_new1319z00_3538;} } } 

}



/* &lambda1771 */
obj_t BGl_z62lambda1771z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2941, obj_t BgL_oz00_2942, obj_t BgL_vz00_2943)
{
{ /* Llib/pgp_packets.scm 15 */
return 
((((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)BgL_oz00_2942)))->BgL_hashzd2algozd2)=((obj_t)
((obj_t)BgL_vz00_2943)),BUNSPEC);} 

}



/* &lambda1770 */
obj_t BGl_z62lambda1770z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2944, obj_t BgL_oz00_2945)
{
{ /* Llib/pgp_packets.scm 15 */
return 
(((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)BgL_oz00_2945)))->BgL_hashzd2algozd2);} 

}



/* &lambda1762 */
obj_t BGl_z62lambda1762z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2946, obj_t BgL_oz00_2947, obj_t BgL_vz00_2948)
{
{ /* Llib/pgp_packets.scm 15 */
return 
((((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)BgL_oz00_2947)))->BgL_publiczd2keyzd2algoz00)=((obj_t)
((obj_t)BgL_vz00_2948)),BUNSPEC);} 

}



/* &lambda1761 */
obj_t BGl_z62lambda1761z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2949, obj_t BgL_oz00_2950)
{
{ /* Llib/pgp_packets.scm 15 */
return 
(((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)BgL_oz00_2950)))->BgL_publiczd2keyzd2algoz00);} 

}



/* &lambda1748 */
obj_t BGl_z62lambda1748z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2951, obj_t BgL_oz00_2952, obj_t BgL_vz00_2953)
{
{ /* Llib/pgp_packets.scm 15 */
return 
((((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)BgL_oz00_2952)))->BgL_issuerz00)=((obj_t)BgL_vz00_2953),BUNSPEC);} 

}



/* &lambda1747 */
obj_t BGl_z62lambda1747z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2954, obj_t BgL_oz00_2955)
{
{ /* Llib/pgp_packets.scm 15 */
return 
(((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)BgL_oz00_2955)))->BgL_issuerz00);} 

}



/* &lambda1743 */
obj_t BGl_z62lambda1743z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2956, obj_t BgL_oz00_2957, obj_t BgL_vz00_2958)
{
{ /* Llib/pgp_packets.scm 15 */
return 
((((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)BgL_oz00_2957)))->BgL_signaturezd2typezd2)=((obj_t)
((obj_t)BgL_vz00_2958)),BUNSPEC);} 

}



/* &lambda1742 */
obj_t BGl_z62lambda1742z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2959, obj_t BgL_oz00_2960)
{
{ /* Llib/pgp_packets.scm 15 */
return 
(((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)BgL_oz00_2960)))->BgL_signaturezd2typezd2);} 

}



/* &lambda1735 */
obj_t BGl_z62lambda1735z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2961, obj_t BgL_oz00_2962, obj_t BgL_vz00_2963)
{
{ /* Llib/pgp_packets.scm 15 */
{ /* Llib/pgp_packets.scm 15 */
 long BgL_vz00_3553;
BgL_vz00_3553 = 
(long)CINT(BgL_vz00_2963); 
return 
((((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)BgL_oz00_2962)))->BgL_versionz00)=((long)BgL_vz00_3553),BUNSPEC);} } 

}



/* &lambda1734 */
obj_t BGl_z62lambda1734z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2964, obj_t BgL_oz00_2965)
{
{ /* Llib/pgp_packets.scm 15 */
return 
BINT(
(((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)BgL_oz00_2965)))->BgL_versionz00));} 

}



/* &<@anonymous:1649> */
obj_t BGl_z62zc3z04anonymousza31649ze3ze5zz__openpgpzd2packetszd2(obj_t BgL_envz00_2966, obj_t BgL_new1060z00_2967)
{
{ /* Llib/pgp_packets.scm 5 */
{ 
 BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt BgL_auxz00_5889;
((((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)BgL_new1060z00_2967)))->BgL_versionz00)=((long)((long)0)),BUNSPEC); 
((((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)BgL_new1060z00_2967)))->BgL_idz00)=((obj_t)BGl_string2750z00zz__openpgpzd2packetszd2),BUNSPEC); 
((((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)BgL_new1060z00_2967)))->BgL_algoz00)=((obj_t)
CNST_TABLE_REF(((long)101))),BUNSPEC); 
((((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)BgL_new1060z00_2967)))->BgL_encryptedzd2sessionzd2keyz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_5889 = 
((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)BgL_new1060z00_2967); 
return 
((obj_t)BgL_auxz00_5889);} } 

}



/* &lambda1645 */
BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt BGl_z62lambda1645z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2968)
{
{ /* Llib/pgp_packets.scm 5 */
{ /* Llib/pgp_packets.scm 5 */
 BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt BgL_new1059z00_3556;
BgL_new1059z00_3556 = 
((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bgl) ))); 
{ /* Llib/pgp_packets.scm 5 */
 long BgL_arg1648z00_3557;
BgL_arg1648z00_3557 = 
BGL_CLASS_NUM(BGl_PGPzd2Publiczd2Keyzd2Encryptedzd2Sessionzd2Keyzd2Packetz00zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1059z00_3556), BgL_arg1648z00_3557); } 
{ /* Llib/pgp_packets.scm 5 */
 BgL_objectz00_bglt BgL_tmpz00_5905;
BgL_tmpz00_5905 = 
((BgL_objectz00_bglt)BgL_new1059z00_3556); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5905, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1059z00_3556); 
return BgL_new1059z00_3556;} } 

}



/* &lambda1625 */
BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt BGl_z62lambda1625z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2969, obj_t BgL_version1054z00_2970, obj_t BgL_id1055z00_2971, obj_t BgL_algo1056z00_2972, obj_t BgL_encryptedzd2sessionzd2ke1057z00_2973)
{
{ /* Llib/pgp_packets.scm 5 */
{ /* Llib/pgp_packets.scm 5 */
 long BgL_version1054z00_3558;
BgL_version1054z00_3558 = 
(long)CINT(BgL_version1054z00_2970); 
{ /* Llib/pgp_packets.scm 5 */
 BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt BgL_new1317z00_3561;
{ /* Llib/pgp_packets.scm 5 */
 BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt BgL_new1316z00_3562;
BgL_new1316z00_3562 = 
((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bgl) ))); 
{ /* Llib/pgp_packets.scm 5 */
 long BgL_arg1644z00_3563;
BgL_arg1644z00_3563 = 
BGL_CLASS_NUM(BGl_PGPzd2Publiczd2Keyzd2Encryptedzd2Sessionzd2Keyzd2Packetz00zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1316z00_3562), BgL_arg1644z00_3563); } 
{ /* Llib/pgp_packets.scm 5 */
 BgL_objectz00_bglt BgL_tmpz00_5914;
BgL_tmpz00_5914 = 
((BgL_objectz00_bglt)BgL_new1316z00_3562); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5914, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1316z00_3562); 
BgL_new1317z00_3561 = BgL_new1316z00_3562; } 
((((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(BgL_new1317z00_3561))->BgL_versionz00)=((long)BgL_version1054z00_3558),BUNSPEC); 
((((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(BgL_new1317z00_3561))->BgL_idz00)=((obj_t)
((obj_t)BgL_id1055z00_2971)),BUNSPEC); 
((((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(BgL_new1317z00_3561))->BgL_algoz00)=((obj_t)
((obj_t)BgL_algo1056z00_2972)),BUNSPEC); 
((((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(BgL_new1317z00_3561))->BgL_encryptedzd2sessionzd2keyz00)=((obj_t)BgL_encryptedzd2sessionzd2ke1057z00_2973),BUNSPEC); 
return BgL_new1317z00_3561;} } } 

}



/* &lambda1708 */
obj_t BGl_z62lambda1708z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2974, obj_t BgL_oz00_2975, obj_t BgL_vz00_2976)
{
{ /* Llib/pgp_packets.scm 5 */
return 
((((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)BgL_oz00_2975)))->BgL_encryptedzd2sessionzd2keyz00)=((obj_t)BgL_vz00_2976),BUNSPEC);} 

}



/* &lambda1707 */
obj_t BGl_z62lambda1707z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2977, obj_t BgL_oz00_2978)
{
{ /* Llib/pgp_packets.scm 5 */
return 
(((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)BgL_oz00_2978)))->BgL_encryptedzd2sessionzd2keyz00);} 

}



/* &lambda1698 */
obj_t BGl_z62lambda1698z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2979, obj_t BgL_oz00_2980, obj_t BgL_vz00_2981)
{
{ /* Llib/pgp_packets.scm 5 */
return 
((((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)BgL_oz00_2980)))->BgL_algoz00)=((obj_t)
((obj_t)BgL_vz00_2981)),BUNSPEC);} 

}



/* &lambda1697 */
obj_t BGl_z62lambda1697z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2982, obj_t BgL_oz00_2983)
{
{ /* Llib/pgp_packets.scm 5 */
return 
(((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)BgL_oz00_2983)))->BgL_algoz00);} 

}



/* &lambda1682 */
obj_t BGl_z62lambda1682z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2984, obj_t BgL_oz00_2985, obj_t BgL_vz00_2986)
{
{ /* Llib/pgp_packets.scm 5 */
return 
((((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)BgL_oz00_2985)))->BgL_idz00)=((obj_t)
((obj_t)BgL_vz00_2986)),BUNSPEC);} 

}



/* &lambda1681 */
obj_t BGl_z62lambda1681z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2987, obj_t BgL_oz00_2988)
{
{ /* Llib/pgp_packets.scm 5 */
return 
(((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)BgL_oz00_2988)))->BgL_idz00);} 

}



/* &lambda1661 */
obj_t BGl_z62lambda1661z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2989, obj_t BgL_oz00_2990, obj_t BgL_vz00_2991)
{
{ /* Llib/pgp_packets.scm 5 */
{ /* Llib/pgp_packets.scm 5 */
 long BgL_vz00_3573;
BgL_vz00_3573 = 
(long)CINT(BgL_vz00_2991); 
return 
((((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)BgL_oz00_2990)))->BgL_versionz00)=((long)BgL_vz00_3573),BUNSPEC);} } 

}



/* &lambda1660 */
obj_t BGl_z62lambda1660z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2992, obj_t BgL_oz00_2993)
{
{ /* Llib/pgp_packets.scm 5 */
return 
BINT(
(((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2publiczd2keyzd2encryptedzd2sessionzd2keyzd2packetz00_bglt)BgL_oz00_2993)))->BgL_versionz00));} 

}



/* &<@anonymous:1611> */
obj_t BGl_z62zc3z04anonymousza31611ze3ze5zz__openpgpzd2packetszd2(obj_t BgL_envz00_2994, obj_t BgL_new1052z00_2995)
{
{ /* Llib/pgp_packets.scm 4 */
return 
((obj_t)
((BgL_pgpzd2sessionzd2keyzd2packetzd2_bglt)BgL_new1052z00_2995));} 

}



/* &lambda1594 */
BgL_pgpzd2sessionzd2keyzd2packetzd2_bglt BGl_z62lambda1594z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2996)
{
{ /* Llib/pgp_packets.scm 4 */
{ /* Llib/pgp_packets.scm 4 */
 BgL_pgpzd2sessionzd2keyzd2packetzd2_bglt BgL_new1051z00_3576;
BgL_new1051z00_3576 = 
((BgL_pgpzd2sessionzd2keyzd2packetzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2sessionzd2keyzd2packetzd2_bgl) ))); 
{ /* Llib/pgp_packets.scm 4 */
 long BgL_arg1610z00_3577;
BgL_arg1610z00_3577 = 
BGL_CLASS_NUM(BGl_PGPzd2Sessionzd2Keyzd2Packetzd2zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1051z00_3576), BgL_arg1610z00_3577); } 
return BgL_new1051z00_3576;} } 

}



/* &<@anonymous:1576> */
obj_t BGl_z62zc3z04anonymousza31576ze3ze5zz__openpgpzd2packetszd2(obj_t BgL_envz00_2997, obj_t BgL_new1049z00_2998)
{
{ /* Llib/pgp_packets.scm 3 */
return 
((obj_t)
((BgL_pgpzd2packetzd2_bglt)BgL_new1049z00_2998));} 

}



/* &lambda1574 */
BgL_pgpzd2packetzd2_bglt BGl_z62lambda1574z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_2999)
{
{ /* Llib/pgp_packets.scm 3 */
{ /* Llib/pgp_packets.scm 3 */
 BgL_pgpzd2packetzd2_bglt BgL_new1048z00_3579;
BgL_new1048z00_3579 = 
((BgL_pgpzd2packetzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2packetzd2_bgl) ))); 
{ /* Llib/pgp_packets.scm 3 */
 long BgL_arg1575z00_3580;
BgL_arg1575z00_3580 = 
BGL_CLASS_NUM(BGl_PGPzd2Packetzd2zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1048z00_3579), BgL_arg1575z00_3580); } 
return BgL_new1048z00_3579;} } 

}



/* &lambda1572 */
BgL_pgpzd2packetzd2_bglt BGl_z62lambda1572z62zz__openpgpzd2packetszd2(obj_t BgL_envz00_3000)
{
{ /* Llib/pgp_packets.scm 3 */
{ /* Llib/pgp_packets.scm 3 */
 BgL_pgpzd2packetzd2_bglt BgL_new1315z00_3581;
{ /* Llib/pgp_packets.scm 3 */
 BgL_pgpzd2packetzd2_bglt BgL_new1314z00_3582;
BgL_new1314z00_3582 = 
((BgL_pgpzd2packetzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2packetzd2_bgl) ))); 
{ /* Llib/pgp_packets.scm 3 */
 long BgL_arg1573z00_3583;
BgL_arg1573z00_3583 = 
BGL_CLASS_NUM(BGl_PGPzd2Packetzd2zz__openpgpzd2packetszd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1314z00_3582), BgL_arg1573z00_3583); } 
BgL_new1315z00_3581 = BgL_new1314z00_3582; } 
return BgL_new1315z00_3581;} } 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__openpgpzd2packetszd2()
{
{ /* Llib/pgp_packets.scm 1 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__openpgpzd2packetszd2()
{
{ /* Llib/pgp_packets.scm 1 */
return BUNSPEC;} 

}

#ifdef __cplusplus
}
#endif
