/*===========================================================================*/
/*   (Eval/evaluate_types.scm)                                               */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 3 07:37:42 AM CET 2021      */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.4c-2/bin/bigloo -srfi enable-resolv -srfi enable-unistring -srfi enable-pcre2 -srfi enable-gmp -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.4c-2/lib/bigloo/4.4c -rm -copt -w -lib-dir /builddir/build/BUILD/bigloo-4.4c-2/lib/bigloo/4.4c -O4 -mklib -unsafe -safee -cc gcc -fsharing -q -no-hello -p -srfi bigloo-profile -c Eval/evaluate_types.scm -o objs/obj_p/Eval/evaluate_types.o) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_ev_exprz00_bgl {
   header_t header;
   obj_t widening;
} *BgL_ev_exprz00_bglt;

typedef struct BgL_ev_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   obj_t BgL_effz00;
   obj_t BgL_typez00;
} *BgL_ev_varz00_bglt;

typedef struct BgL_ev_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   obj_t BgL_namez00;
   obj_t BgL_modz00;
} *BgL_ev_globalz00_bglt;

typedef struct BgL_ev_littz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_valuez00;
} *BgL_ev_littz00_bglt;

typedef struct BgL_ev_ifz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_pz00;
   struct BgL_ev_exprz00_bgl * BgL_tz00;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
} *BgL_ev_ifz00_bglt;

typedef struct BgL_ev_listz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_argsz00;
} *BgL_ev_listz00_bglt;

typedef struct BgL_ev_orz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_argsz00;
} *BgL_ev_orz00_bglt;

typedef struct BgL_ev_andz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_argsz00;
} *BgL_ev_andz00_bglt;

typedef struct BgL_ev_prog2z00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_e1z00;
   struct BgL_ev_exprz00_bgl * BgL_e2z00;
} *BgL_ev_prog2z00_bglt;

typedef struct BgL_ev_hookz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
} *BgL_ev_hookz00_bglt;

typedef struct BgL_ev_trapz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
} *BgL_ev_trapz00_bglt;

typedef struct BgL_ev_setlocalz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
   struct BgL_ev_varz00_bgl * BgL_vz00;
} *BgL_ev_setlocalz00_bglt;

typedef struct BgL_ev_setglobalz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
   obj_t BgL_locz00;
   obj_t BgL_namez00;
   obj_t BgL_modz00;
} *BgL_ev_setglobalz00_bglt;

typedef struct BgL_ev_defglobalz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
   obj_t BgL_locz00;
   obj_t BgL_namez00;
   obj_t BgL_modz00;
} *BgL_ev_defglobalz00_bglt;

typedef struct BgL_ev_bindzd2exitzd2_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_varz00_bgl * BgL_varz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_bindzd2exitzd2_bglt;

typedef struct BgL_ev_unwindzd2protectzd2_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_unwindzd2protectzd2_bglt;

typedef struct BgL_ev_withzd2handlerzd2_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_handlerz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_withzd2handlerzd2_bglt;

typedef struct BgL_ev_synchroniza7eza7_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_ev_exprz00_bgl * BgL_mutexz00;
   struct BgL_ev_exprz00_bgl * BgL_prelockz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_synchroniza7eza7_bglt;

typedef struct BgL_ev_binderz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_binderz00_bglt;

typedef struct BgL_ev_letz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
   obj_t BgL_boxesz00;
} *BgL_ev_letz00_bglt;

typedef struct BgL_ev_letza2za2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
   obj_t BgL_boxesz00;
} *BgL_ev_letza2za2_bglt;

typedef struct BgL_ev_letrecz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_letrecz00_bglt;

typedef struct BgL_ev_labelsz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   obj_t BgL_envz00;
   obj_t BgL_stkz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
   obj_t BgL_boxesz00;
} *BgL_ev_labelsz00_bglt;

typedef struct BgL_ev_gotoz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_ev_varz00_bgl * BgL_labelz00;
   struct BgL_ev_labelsz00_bgl * BgL_labelsz00;
   obj_t BgL_argsz00;
} *BgL_ev_gotoz00_bglt;

typedef struct BgL_ev_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_ev_exprz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_tailzf3zf3;
} *BgL_ev_appz00_bglt;

typedef struct BgL_ev_absz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   obj_t BgL_wherez00;
   obj_t BgL_arityz00;
   obj_t BgL_varsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
   int BgL_siza7eza7;
   obj_t BgL_bindz00;
   obj_t BgL_freez00;
   obj_t BgL_innerz00;
   obj_t BgL_boxesz00;
} *BgL_ev_absz00_bglt;


static obj_t BGl_z62lambda1767z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_letrecz00_bglt BGl_z62lambda1848z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1768z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_symbol2640z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2481z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza32010ze3ze5zz__evaluate_typesz00(obj_t);
static obj_t BGl_symbol2645z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2565z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1930z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_letrecz00_bglt BGl_z62lambda1850z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62lambda1931z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1772z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31579ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_bindzd2exitzd2_bglt BGl_z62lambda1692z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1773z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_defglobalz00zz__evaluate_typesz00 = BUNSPEC;
static BgL_ev_bindzd2exitzd2_bglt BGl_z62lambda1694z62zz__evaluate_typesz00(obj_t);
static BgL_ev_appz00_bglt BGl_z62lambda1937z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1777z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_appz00_bglt BGl_z62lambda1939z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62lambda1778z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_labelsz00_bglt BGl_z62lambda1859z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_symbol2650z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2570z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2490z00zz__evaluate_typesz00 = BUNSPEC;
extern obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza32003ze3ze5zz__evaluate_typesz00(obj_t);
static obj_t BGl_symbol2494z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2658z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_requirezd2initializa7ationz75zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31863ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_labelsz00_bglt BGl_z62lambda1861z62zz__evaluate_typesz00(obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1782z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1783z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1945z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1946z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1867z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1868z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_binderz00_bglt BGl_z62lambda1789z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_symbol2660z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2580z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2586z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31880ze3ze5zz__evaluate_typesz00(obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1950z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1951z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_binderz00_bglt BGl_z62lambda1791z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62lambda1872z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1873z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1955z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1956z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1797z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1878z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1798z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1879z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_symbol2590z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2597z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1960z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1961z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_letrecz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1885z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_absz00_bglt BGl_z62lambda1967z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1886z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_absz00_bglt BGl_z62lambda1969z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_toplevelzd2initzd2zz__evaluate_typesz00();
static obj_t BGl_z62zc3z04anonymousza31971ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31793ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1891z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1892z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1975z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1976z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_letz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1899z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32031ze3ze5zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62lambda1980z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31697ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1981z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_genericzd2initzd2zz__evaluate_typesz00();
static obj_t BGl_z62lambda1985z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1986z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_prog2z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza32024ze3ze5zz__evaluate_typesz00(obj_t);
extern obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t);
static obj_t BGl_objectzd2initzd2zz__evaluate_typesz00();
static obj_t BGl_z62lambda1990z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1991z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_bindzd2exitzd2zz__evaluate_typesz00 = BUNSPEC;
static BgL_ev_exprz00_bglt BGl_z62lambda1995z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1996z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32017ze3ze5zz__evaluate_typesz00(obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00 = BUNSPEC;
extern obj_t bstring_to_symbol(obj_t);
static obj_t BGl_z62zc3z04anonymousza31887ze3ze5zz__evaluate_typesz00(obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_letza2za2zz__evaluate_typesz00 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_ev_labelsz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_methodzd2initzd2zz__evaluate_typesz00();
BGL_EXPORTED_DEF obj_t BGl_ev_absz00zz__evaluate_typesz00 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_ev_trapz00zz__evaluate_typesz00 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_ev_setglobalz00zz__evaluate_typesz00 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_ev_ifz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda2001z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda2002z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2008z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda2009z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_hookz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda2015z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda2016z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2022z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda2023z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31426ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda2029z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda2030z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31508ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_gotoz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31622ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__typez00(long, char *);
BGL_EXPORTED_DEF obj_t BGl_ev_globalz00zz__evaluate_typesz00 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_ev_binderz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31607ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31437ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_listz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31632ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_littz00zz__evaluate_typesz00 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_ev_orz00zz__evaluate_typesz00 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_ev_varz00zz__evaluate_typesz00 = BUNSPEC;
static BgL_ev_exprz00_bglt BGl_z62lambda1422z62zz__evaluate_typesz00(obj_t);
static BgL_ev_ifz00_bglt BGl_z62lambda1504z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1424z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31536ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_ifz00_bglt BGl_z62lambda1506z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_cnstzd2initzd2zz__evaluate_typesz00();
extern obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_typesz00();
static obj_t BGl_z62zc3z04anonymousza31901ze3ze5zz__evaluate_typesz00(obj_t);
static obj_t BGl_gczd2rootszd2initz00zz__evaluate_typesz00();
static BgL_ev_exprz00_bglt BGl_z62lambda1512z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1513z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_varz00_bglt BGl_z62lambda1433z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t);
static BgL_ev_varz00_bglt BGl_z62lambda1435z62zz__evaluate_typesz00(obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1517z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1518z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_withzd2handlerzd2zz__evaluate_typesz00 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_ev_andz00zz__evaluate_typesz00 = BUNSPEC;
static BgL_ev_hookz00_bglt BGl_z62lambda1601z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31740ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1441z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1442z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31465ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_hookz00_bglt BGl_z62lambda1605z62zz__evaluate_typesz00(obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1525z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31449ze3ze5zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62lambda1526z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1447z62zz__evaluate_typesz00(obj_t, obj_t);
extern obj_t BGl_objectz00zz__objectz00;
static obj_t BGl_z62lambda1448z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_symbol2403z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2408z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31911ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1611z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1612z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_listz00_bglt BGl_z62lambda1532z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1453z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_listz00_bglt BGl_z62lambda1534z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62lambda1454z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_trapz00_bglt BGl_z62lambda1618z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_symbol2413z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2334z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2336z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2418z00zz__evaluate_typesz00 = BUNSPEC;
static BgL_ev_trapz00_bglt BGl_z62lambda1620z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31491ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_varz00_bglt BGl_z62lambda1703z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_globalz00_bglt BGl_z62lambda1461z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1542z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1704z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1543z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31556ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_globalz00_bglt BGl_z62lambda1463z62zz__evaluate_typesz00(obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1708z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_setlocalz00_bglt BGl_z62lambda1628z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1709z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_exprz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1469z62zz__evaluate_typesz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_appz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2501z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2340z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2422z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2342z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2507z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2426z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2347z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2349z00zz__evaluate_typesz00 = BUNSPEC;
static BgL_ev_setlocalz00_bglt BGl_z62lambda1630z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62lambda1470z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_orz00_bglt BGl_z62lambda1552z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_unwindzd2protectzd2_bglt BGl_z62lambda1715z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31719ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_orz00_bglt BGl_z62lambda1554z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62lambda1474z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_varz00_bglt BGl_z62lambda1636z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_unwindzd2protectzd2_bglt BGl_z62lambda1717z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62lambda1475z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1637z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1479z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_symbol2511z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2431z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2353z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2518z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2438z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2358z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1802z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1803z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31825ze3ze5zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62lambda1480z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1724z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_setglobalz00_bglt BGl_z62lambda1644z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1725z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_synchroniza7eza7zz__evaluate_typesz00 = BUNSPEC;
static BgL_ev_exprz00_bglt BGl_z62lambda1807z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_andz00_bglt BGl_z62lambda1565z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_setglobalz00_bglt BGl_z62lambda1646z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62lambda1808z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_profzd2initzd2zz__evaluate_typesz00();
static BgL_ev_andz00_bglt BGl_z62lambda1567z62zz__evaluate_typesz00(obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1729z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_littz00_bglt BGl_z62lambda1487z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_littz00_bglt BGl_z62lambda1489z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_symbol2603z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2522z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2443z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2362z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2526z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2609z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2447z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2368z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1730z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31842ze3ze5zz__evaluate_typesz00(obj_t);
static BgL_ev_letz00_bglt BGl_z62lambda1814z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31818ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1653z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31648ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1654z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_letz00_bglt BGl_z62lambda1816z62zz__evaluate_typesz00(obj_t);
static BgL_ev_withzd2handlerzd2_bglt BGl_z62lambda1736z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_prog2z00_bglt BGl_z62lambda1575z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1495z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_withzd2handlerzd2_bglt BGl_z62lambda1738z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62lambda1496z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_prog2z00_bglt BGl_z62lambda1577z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_symbol2614z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2533z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2452z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2373z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2538z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2377z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1900z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1660z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31835ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1661z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1823z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1824z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1744z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1745z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_gotoz00_bglt BGl_z62lambda1907z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1665z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1666z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_gotoz00_bglt BGl_z62lambda1909z62zz__evaluate_typesz00(obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1586z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1587z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1749z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_symbol2620z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2624z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2543z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2463z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2382z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2386z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2468z00zz__evaluate_typesz00 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_ev_setlocalz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31941ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31852ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31682ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1750z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31763ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_letza2za2_bglt BGl_z62lambda1831z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_ev_letza2za2_bglt BGl_z62lambda1833z62zz__evaluate_typesz00(obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1591z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1915z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31569ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1592z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1916z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_defglobalz00_bglt BGl_z62lambda1674z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_ev_synchroniza7eza7_bglt BGl_z62lambda1758z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_symbol2551z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2633z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2390z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2472z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2635z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2556z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2394z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2476z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2399z00zz__evaluate_typesz00 = BUNSPEC;
static BgL_ev_varz00_bglt BGl_z62lambda1920z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1840z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1921z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_synchroniza7eza7_bglt BGl_z62lambda1760z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62lambda1841z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_defglobalz00_bglt BGl_z62lambda1680z62zz__evaluate_typesz00(obj_t);
static BgL_ev_labelsz00_bglt BGl_z62lambda1925z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1926z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t *__cnst;


DEFINE_STRING( BGl_string2400z00zz__evaluate_typesz00, BgL_bgl_string2400za700za7za7_2662za7, "ev_if", 5 );
DEFINE_STRING( BGl_string2404z00zz__evaluate_typesz00, BgL_bgl_string2404za700za7za7_2663za7, "args", 4 );
DEFINE_STRING( BGl_string2409z00zz__evaluate_typesz00, BgL_bgl_string2409za700za7za7_2664za7, "ev_list", 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2401z00zz__evaluate_typesz00, BgL_bgl_za762lambda1543za7622665z00, BGl_z62lambda1543z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2402z00zz__evaluate_typesz00, BgL_bgl_za762lambda1542za7622666z00, BGl_z62lambda1542z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2405z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2667za7, BGl_z62zc3z04anonymousza31536ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2406z00zz__evaluate_typesz00, BgL_bgl_za762lambda1534za7622668z00, BGl_z62lambda1534z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2407z00zz__evaluate_typesz00, BgL_bgl_za762lambda1532za7622669z00, BGl_z62lambda1532z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2414z00zz__evaluate_typesz00, BgL_bgl_string2414za700za7za7_2670za7, "ev_or", 5 );
DEFINE_STRING( BGl_string2335z00zz__evaluate_typesz00, BgL_bgl_string2335za700za7za7_2671za7, "ev_expr", 7 );
DEFINE_STRING( BGl_string2337z00zz__evaluate_typesz00, BgL_bgl_string2337za700za7za7_2672za7, "__evaluate_types", 16 );
DEFINE_STRING( BGl_string2419z00zz__evaluate_typesz00, BgL_bgl_string2419za700za7za7_2673za7, "ev_and", 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2410z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2674za7, BGl_z62zc3z04anonymousza31556ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2411z00zz__evaluate_typesz00, BgL_bgl_za762lambda1554za7622675z00, BGl_z62lambda1554z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2412z00zz__evaluate_typesz00, BgL_bgl_za762lambda1552za7622676z00, BGl_z62lambda1552z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2331z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2677za7, BGl_z62zc3z04anonymousza31426ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2332z00zz__evaluate_typesz00, BgL_bgl_za762lambda1424za7622678z00, BGl_z62lambda1424z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2333z00zz__evaluate_typesz00, BgL_bgl_za762lambda1422za7622679z00, BGl_z62lambda1422z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2502z00zz__evaluate_typesz00, BgL_bgl_string2502za700za7za7_2680za7, "ev_with-handler", 15 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2415z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2681za7, BGl_z62zc3z04anonymousza31569ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2416z00zz__evaluate_typesz00, BgL_bgl_za762lambda1567za7622682z00, BGl_z62lambda1567z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2341z00zz__evaluate_typesz00, BgL_bgl_string2341za700za7za7_2683za7, "name", 4 );
DEFINE_STRING( BGl_string2423z00zz__evaluate_typesz00, BgL_bgl_string2423za700za7za7_2684za7, "e1", 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2417z00zz__evaluate_typesz00, BgL_bgl_za762lambda1565za7622685z00, BGl_z62lambda1565z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2343z00zz__evaluate_typesz00, BgL_bgl_string2343za700za7za7_2686za7, "symbol", 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2338z00zz__evaluate_typesz00, BgL_bgl_za762lambda1442za7622687z00, BGl_z62lambda1442z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2339z00zz__evaluate_typesz00, BgL_bgl_za762lambda1441za7622688z00, BGl_z62lambda1441z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2508z00zz__evaluate_typesz00, BgL_bgl_string2508za700za7za7_2689za7, "mutex", 5 );
DEFINE_STRING( BGl_string2427z00zz__evaluate_typesz00, BgL_bgl_string2427za700za7za7_2690za7, "e2", 2 );
DEFINE_STRING( BGl_string2348z00zz__evaluate_typesz00, BgL_bgl_string2348za700za7za7_2691za7, "eff", 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2500z00zz__evaluate_typesz00, BgL_bgl_za762lambda1736za7622692z00, BGl_z62lambda1736z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2420z00zz__evaluate_typesz00, BgL_bgl_za762lambda1587za7622693z00, BGl_z62lambda1587z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2421z00zz__evaluate_typesz00, BgL_bgl_za762lambda1586za7622694z00, BGl_z62lambda1586z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2503z00zz__evaluate_typesz00, BgL_bgl_za762lambda1768za7622695z00, BGl_z62lambda1768z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2504z00zz__evaluate_typesz00, BgL_bgl_za762lambda1767za7622696z00, BGl_z62lambda1767z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2505z00zz__evaluate_typesz00, BgL_bgl_za762lambda1773za7622697z00, BGl_z62lambda1773z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2424z00zz__evaluate_typesz00, BgL_bgl_za762lambda1592za7622698z00, BGl_z62lambda1592z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2512z00zz__evaluate_typesz00, BgL_bgl_string2512za700za7za7_2699za7, "prelock", 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2506z00zz__evaluate_typesz00, BgL_bgl_za762lambda1772za7622700z00, BGl_z62lambda1772z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2425z00zz__evaluate_typesz00, BgL_bgl_za762lambda1591za7622701z00, BGl_z62lambda1591z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2350z00zz__evaluate_typesz00, BgL_bgl_string2350za700za7za7_2702za7, "obj", 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2344z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2703za7, BGl_z62zc3z04anonymousza31449ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2432z00zz__evaluate_typesz00, BgL_bgl_string2432za700za7za7_2704za7, "ev_prog2", 8 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2345z00zz__evaluate_typesz00, BgL_bgl_za762lambda1448za7622705z00, BGl_z62lambda1448z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2346z00zz__evaluate_typesz00, BgL_bgl_za762lambda1447za7622706z00, BGl_z62lambda1447z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2509z00zz__evaluate_typesz00, BgL_bgl_za762lambda1778za7622707z00, BGl_z62lambda1778z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2428z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2708za7, BGl_z62zc3z04anonymousza31579ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2429z00zz__evaluate_typesz00, BgL_bgl_za762lambda1577za7622709z00, BGl_z62lambda1577z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2354z00zz__evaluate_typesz00, BgL_bgl_string2354za700za7za7_2710za7, "type", 4 );
DEFINE_STRING( BGl_string2519z00zz__evaluate_typesz00, BgL_bgl_string2519za700za7za7_2711za7, "ev_synchronize", 14 );
DEFINE_STRING( BGl_string2439z00zz__evaluate_typesz00, BgL_bgl_string2439za700za7za7_2712za7, "ev_hook", 7 );
DEFINE_STRING( BGl_string2359z00zz__evaluate_typesz00, BgL_bgl_string2359za700za7za7_2713za7, "ev_var", 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2510z00zz__evaluate_typesz00, BgL_bgl_za762lambda1777za7622714z00, BGl_z62lambda1777z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2430z00zz__evaluate_typesz00, BgL_bgl_za762lambda1575za7622715z00, BGl_z62lambda1575z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2513z00zz__evaluate_typesz00, BgL_bgl_za762lambda1783za7622716z00, BGl_z62lambda1783z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2351z00zz__evaluate_typesz00, BgL_bgl_za762lambda1454za7622717z00, BGl_z62lambda1454z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2514z00zz__evaluate_typesz00, BgL_bgl_za762lambda1782za7622718z00, BGl_z62lambda1782z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2433z00zz__evaluate_typesz00, BgL_bgl_za762lambda1612za7622719z00, BGl_z62lambda1612z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2352z00zz__evaluate_typesz00, BgL_bgl_za762lambda1453za7622720z00, BGl_z62lambda1453z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2515z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2721za7, BGl_z62zc3z04anonymousza31763ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2434z00zz__evaluate_typesz00, BgL_bgl_za762lambda1611za7622722z00, BGl_z62lambda1611z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2516z00zz__evaluate_typesz00, BgL_bgl_za762lambda1760za7622723z00, BGl_z62lambda1760z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2435z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2724za7, BGl_z62zc3z04anonymousza31607ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2604z00zz__evaluate_typesz00, BgL_bgl_string2604za700za7za7_2725za7, "fun", 3 );
DEFINE_STRING( BGl_string2523z00zz__evaluate_typesz00, BgL_bgl_string2523za700za7za7_2726za7, "vars", 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2517z00zz__evaluate_typesz00, BgL_bgl_za762lambda1758za7622727z00, BGl_z62lambda1758z62zz__evaluate_typesz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2436z00zz__evaluate_typesz00, BgL_bgl_za762lambda1605za7622728z00, BGl_z62lambda1605z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2355z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2729za7, BGl_z62zc3z04anonymousza31437ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2437z00zz__evaluate_typesz00, BgL_bgl_za762lambda1601za7622730z00, BGl_z62lambda1601z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2356z00zz__evaluate_typesz00, BgL_bgl_za762lambda1435za7622731z00, BGl_z62lambda1435z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2444z00zz__evaluate_typesz00, BgL_bgl_string2444za700za7za7_2732za7, "ev_trap", 7 );
DEFINE_STRING( BGl_string2363z00zz__evaluate_typesz00, BgL_bgl_string2363za700za7za7_2733za7, "loc", 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2357z00zz__evaluate_typesz00, BgL_bgl_za762lambda1433za7622734z00, BGl_z62lambda1433z62zz__evaluate_typesz00, 0L, BUNSPEC, 3 );
DEFINE_STRING( BGl_string2527z00zz__evaluate_typesz00, BgL_bgl_string2527za700za7za7_2735za7, "vals", 4 );
DEFINE_STRING( BGl_string2448z00zz__evaluate_typesz00, BgL_bgl_string2448za700za7za7_2736za7, "v", 1 );
DEFINE_STRING( BGl_string2369z00zz__evaluate_typesz00, BgL_bgl_string2369za700za7za7_2737za7, "mod", 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2600z00zz__evaluate_typesz00, BgL_bgl_za762lambda1945za7622738z00, BGl_z62lambda1945z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2601z00zz__evaluate_typesz00, BgL_bgl_za762lambda1951za7622739z00, BGl_z62lambda1951z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2520z00zz__evaluate_typesz00, BgL_bgl_za762lambda1798za7622740z00, BGl_z62lambda1798z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2602z00zz__evaluate_typesz00, BgL_bgl_za762lambda1950za7622741z00, BGl_z62lambda1950z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2521z00zz__evaluate_typesz00, BgL_bgl_za762lambda1797za7622742z00, BGl_z62lambda1797z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2440z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2743za7, BGl_z62zc3z04anonymousza31622ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2441z00zz__evaluate_typesz00, BgL_bgl_za762lambda1620za7622744z00, BGl_z62lambda1620z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2360z00zz__evaluate_typesz00, BgL_bgl_za762lambda1470za7622745z00, BGl_z62lambda1470z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2610z00zz__evaluate_typesz00, BgL_bgl_string2610za700za7za7_2746za7, "tail?", 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2442z00zz__evaluate_typesz00, BgL_bgl_za762lambda1618za7622747z00, BGl_z62lambda1618z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2361z00zz__evaluate_typesz00, BgL_bgl_za762lambda1469za7622748z00, BGl_z62lambda1469z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2605z00zz__evaluate_typesz00, BgL_bgl_za762lambda1956za7622749z00, BGl_z62lambda1956z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2524z00zz__evaluate_typesz00, BgL_bgl_za762lambda1803za7622750z00, BGl_z62lambda1803z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2606z00zz__evaluate_typesz00, BgL_bgl_za762lambda1955za7622751z00, BGl_z62lambda1955z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2525z00zz__evaluate_typesz00, BgL_bgl_za762lambda1802za7622752z00, BGl_z62lambda1802z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2607z00zz__evaluate_typesz00, BgL_bgl_za762lambda1961za7622753z00, BGl_z62lambda1961z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2445z00zz__evaluate_typesz00, BgL_bgl_za762lambda1637za7622754z00, BGl_z62lambda1637z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2364z00zz__evaluate_typesz00, BgL_bgl_za762lambda1475za7622755z00, BGl_z62lambda1475z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2608z00zz__evaluate_typesz00, BgL_bgl_za762lambda1960za7622756z00, BGl_z62lambda1960z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2446z00zz__evaluate_typesz00, BgL_bgl_za762lambda1636za7622757z00, BGl_z62lambda1636z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2365z00zz__evaluate_typesz00, BgL_bgl_za762lambda1474za7622758z00, BGl_z62lambda1474z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2615z00zz__evaluate_typesz00, BgL_bgl_string2615za700za7za7_2759za7, "ev_app", 6 );
DEFINE_STRING( BGl_string2534z00zz__evaluate_typesz00, BgL_bgl_string2534za700za7za7_2760za7, "ev_binder", 9 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2528z00zz__evaluate_typesz00, BgL_bgl_za762lambda1808za7622761z00, BGl_z62lambda1808z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2453z00zz__evaluate_typesz00, BgL_bgl_string2453za700za7za7_2762za7, "ev_setlocal", 11 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2366z00zz__evaluate_typesz00, BgL_bgl_za762lambda1480za7622763z00, BGl_z62lambda1480z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2529z00zz__evaluate_typesz00, BgL_bgl_za762lambda1807za7622764z00, BGl_z62lambda1807z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2367z00zz__evaluate_typesz00, BgL_bgl_za762lambda1479za7622765z00, BGl_z62lambda1479z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2449z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2766za7, BGl_z62zc3z04anonymousza31632ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2374z00zz__evaluate_typesz00, BgL_bgl_string2374za700za7za7_2767za7, "ev_global", 9 );
DEFINE_STRING( BGl_string2539z00zz__evaluate_typesz00, BgL_bgl_string2539za700za7za7_2768za7, "boxes", 5 );
DEFINE_STRING( BGl_string2378z00zz__evaluate_typesz00, BgL_bgl_string2378za700za7za7_2769za7, "value", 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2611z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2770za7, BGl_z62zc3z04anonymousza31941ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2530z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2771za7, BGl_z62zc3z04anonymousza31793ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2612z00zz__evaluate_typesz00, BgL_bgl_za762lambda1939za7622772z00, BGl_z62lambda1939z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2531z00zz__evaluate_typesz00, BgL_bgl_za762lambda1791za7622773z00, BGl_z62lambda1791z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2450z00zz__evaluate_typesz00, BgL_bgl_za762lambda1630za7622774z00, BGl_z62lambda1630z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2613z00zz__evaluate_typesz00, BgL_bgl_za762lambda1937za7622775z00, BGl_z62lambda1937z62zz__evaluate_typesz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2532z00zz__evaluate_typesz00, BgL_bgl_za762lambda1789za7622776z00, BGl_z62lambda1789z62zz__evaluate_typesz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2451z00zz__evaluate_typesz00, BgL_bgl_za762lambda1628za7622777z00, BGl_z62lambda1628z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2370z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2778za7, BGl_z62zc3z04anonymousza31465ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2371z00zz__evaluate_typesz00, BgL_bgl_za762lambda1463za7622779z00, BGl_z62lambda1463z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2621z00zz__evaluate_typesz00, BgL_bgl_string2621za700za7za7_2780za7, "where", 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2372z00zz__evaluate_typesz00, BgL_bgl_za762lambda1461za7622781z00, BGl_z62lambda1461z62zz__evaluate_typesz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2616z00zz__evaluate_typesz00, BgL_bgl_za762lambda1976za7622782z00, BGl_z62lambda1976z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2535z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2783za7, BGl_z62zc3z04anonymousza31825ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2454z00zz__evaluate_typesz00, BgL_bgl_za762lambda1654za7622784z00, BGl_z62lambda1654z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2617z00zz__evaluate_typesz00, BgL_bgl_za762lambda1975za7622785z00, BGl_z62lambda1975z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2536z00zz__evaluate_typesz00, BgL_bgl_za762lambda1824za7622786z00, BGl_z62lambda1824z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2455z00zz__evaluate_typesz00, BgL_bgl_za762lambda1653za7622787z00, BGl_z62lambda1653z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2618z00zz__evaluate_typesz00, BgL_bgl_za762lambda1981za7622788z00, BGl_z62lambda1981z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2537z00zz__evaluate_typesz00, BgL_bgl_za762lambda1823za7622789z00, BGl_z62lambda1823z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2456z00zz__evaluate_typesz00, BgL_bgl_za762lambda1661za7622790z00, BGl_z62lambda1661z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2375z00zz__evaluate_typesz00, BgL_bgl_za762lambda1496za7622791z00, BGl_z62lambda1496z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2625z00zz__evaluate_typesz00, BgL_bgl_string2625za700za7za7_2792za7, "arity", 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2619z00zz__evaluate_typesz00, BgL_bgl_za762lambda1980za7622793z00, BGl_z62lambda1980z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2544z00zz__evaluate_typesz00, BgL_bgl_string2544za700za7za7_2794za7, "ev_let", 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2457z00zz__evaluate_typesz00, BgL_bgl_za762lambda1660za7622795z00, BGl_z62lambda1660z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2376z00zz__evaluate_typesz00, BgL_bgl_za762lambda1495za7622796z00, BGl_z62lambda1495z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2464z00zz__evaluate_typesz00, BgL_bgl_string2464za700za7za7_2797za7, "ev_setglobal", 12 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2458z00zz__evaluate_typesz00, BgL_bgl_za762lambda1666za7622798z00, BGl_z62lambda1666z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2383z00zz__evaluate_typesz00, BgL_bgl_string2383za700za7za7_2799za7, "ev_litt", 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2459z00zz__evaluate_typesz00, BgL_bgl_za762lambda1665za7622800z00, BGl_z62lambda1665z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2379z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2801za7, BGl_z62zc3z04anonymousza31491ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2387z00zz__evaluate_typesz00, BgL_bgl_string2387za700za7za7_2802za7, "p", 1 );
DEFINE_STRING( BGl_string2469z00zz__evaluate_typesz00, BgL_bgl_string2469za700za7za7_2803za7, "ev_defglobal", 12 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2540z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2804za7, BGl_z62zc3z04anonymousza31818ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2622z00zz__evaluate_typesz00, BgL_bgl_za762lambda1986za7622805z00, BGl_z62lambda1986z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2541z00zz__evaluate_typesz00, BgL_bgl_za762lambda1816za7622806z00, BGl_z62lambda1816z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2460z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2807za7, BGl_z62zc3z04anonymousza31648ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2623z00zz__evaluate_typesz00, BgL_bgl_za762lambda1985za7622808z00, BGl_z62lambda1985z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2542z00zz__evaluate_typesz00, BgL_bgl_za762lambda1814za7622809z00, BGl_z62lambda1814z62zz__evaluate_typesz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2461z00zz__evaluate_typesz00, BgL_bgl_za762lambda1646za7622810z00, BGl_z62lambda1646z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2380z00zz__evaluate_typesz00, BgL_bgl_za762lambda1489za7622811z00, BGl_z62lambda1489z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2462z00zz__evaluate_typesz00, BgL_bgl_za762lambda1644za7622812z00, BGl_z62lambda1644z62zz__evaluate_typesz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2381z00zz__evaluate_typesz00, BgL_bgl_za762lambda1487za7622813z00, BGl_z62lambda1487z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2626z00zz__evaluate_typesz00, BgL_bgl_za762lambda1991za7622814z00, BGl_z62lambda1991z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2545z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2815za7, BGl_z62zc3z04anonymousza31842ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2627z00zz__evaluate_typesz00, BgL_bgl_za762lambda1990za7622816z00, BGl_z62lambda1990z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2552z00zz__evaluate_typesz00, BgL_bgl_string2552za700za7za7_2817za7, "ev_let*", 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2546z00zz__evaluate_typesz00, BgL_bgl_za762lambda1841za7622818z00, BGl_z62lambda1841z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2465z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2819za7, BGl_z62zc3z04anonymousza31682ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2384z00zz__evaluate_typesz00, BgL_bgl_za762lambda1513za7622820z00, BGl_z62lambda1513z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2634z00zz__evaluate_typesz00, BgL_bgl_string2634za700za7za7_2821za7, "size", 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2628z00zz__evaluate_typesz00, BgL_bgl_za762lambda1996za7622822z00, BGl_z62lambda1996z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2547z00zz__evaluate_typesz00, BgL_bgl_za762lambda1840za7622823z00, BGl_z62lambda1840z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2466z00zz__evaluate_typesz00, BgL_bgl_za762lambda1680za7622824z00, BGl_z62lambda1680z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2391z00zz__evaluate_typesz00, BgL_bgl_string2391za700za7za7_2825za7, "t", 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2385z00zz__evaluate_typesz00, BgL_bgl_za762lambda1512za7622826z00, BGl_z62lambda1512z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2629z00zz__evaluate_typesz00, BgL_bgl_za762lambda1995za7622827z00, BGl_z62lambda1995z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2548z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2828za7, BGl_z62zc3z04anonymousza31835ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2473z00zz__evaluate_typesz00, BgL_bgl_string2473za700za7za7_2829za7, "var", 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2467z00zz__evaluate_typesz00, BgL_bgl_za762lambda1674za7622830z00, BGl_z62lambda1674z62zz__evaluate_typesz00, 0L, BUNSPEC, 4 );
DEFINE_STRING( BGl_string2636z00zz__evaluate_typesz00, BgL_bgl_string2636za700za7za7_2831za7, "int", 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2549z00zz__evaluate_typesz00, BgL_bgl_za762lambda1833za7622832z00, BGl_z62lambda1833z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2388z00zz__evaluate_typesz00, BgL_bgl_za762lambda1518za7622833z00, BGl_z62lambda1518z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2557z00zz__evaluate_typesz00, BgL_bgl_string2557za700za7za7_2834za7, "ev_letrec", 9 );
DEFINE_STRING( BGl_string2395z00zz__evaluate_typesz00, BgL_bgl_string2395za700za7za7_2835za7, "e", 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2389z00zz__evaluate_typesz00, BgL_bgl_za762lambda1517za7622836z00, BGl_z62lambda1517z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2477z00zz__evaluate_typesz00, BgL_bgl_string2477za700za7za7_2837za7, "body", 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2630z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2838za7, BGl_z62zc3z04anonymousza32003ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2631z00zz__evaluate_typesz00, BgL_bgl_za762lambda2002za7622839z00, BGl_z62lambda2002z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2550z00zz__evaluate_typesz00, BgL_bgl_za762lambda1831za7622840z00, BGl_z62lambda1831z62zz__evaluate_typesz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2632z00zz__evaluate_typesz00, BgL_bgl_za762lambda2001za7622841z00, BGl_z62lambda2001z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2470z00zz__evaluate_typesz00, BgL_bgl_za762lambda1704za7622842z00, BGl_z62lambda1704z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2471z00zz__evaluate_typesz00, BgL_bgl_za762lambda1703za7622843z00, BGl_z62lambda1703z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2553z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2844za7, BGl_z62zc3z04anonymousza31852ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2641z00zz__evaluate_typesz00, BgL_bgl_string2641za700za7za7_2845za7, "bind", 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2554z00zz__evaluate_typesz00, BgL_bgl_za762lambda1850za7622846z00, BGl_z62lambda1850z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2392z00zz__evaluate_typesz00, BgL_bgl_za762lambda1526za7622847z00, BGl_z62lambda1526z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2555z00zz__evaluate_typesz00, BgL_bgl_za762lambda1848za7622848z00, BGl_z62lambda1848z62zz__evaluate_typesz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2474z00zz__evaluate_typesz00, BgL_bgl_za762lambda1709za7622849z00, BGl_z62lambda1709z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2393z00zz__evaluate_typesz00, BgL_bgl_za762lambda1525za7622850z00, BGl_z62lambda1525z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2637z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2851za7, BGl_z62zc3z04anonymousza32010ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2475z00zz__evaluate_typesz00, BgL_bgl_za762lambda1708za7622852z00, BGl_z62lambda1708z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2638z00zz__evaluate_typesz00, BgL_bgl_za762lambda2009za7622853z00, BGl_z62lambda2009z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2482z00zz__evaluate_typesz00, BgL_bgl_string2482za700za7za7_2854za7, "ev_bind-exit", 12 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2639z00zz__evaluate_typesz00, BgL_bgl_za762lambda2008za7622855z00, BGl_z62lambda2008z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2558z00zz__evaluate_typesz00, BgL_bgl_za762lambda1868za7622856z00, BGl_z62lambda1868z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2396z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2857za7, BGl_z62zc3z04anonymousza31508ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2646z00zz__evaluate_typesz00, BgL_bgl_string2646za700za7za7_2858za7, "free", 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2559z00zz__evaluate_typesz00, BgL_bgl_za762lambda1867za7622859z00, BGl_z62lambda1867z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2478z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2860za7, BGl_z62zc3z04anonymousza31697ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2397z00zz__evaluate_typesz00, BgL_bgl_za762lambda1506za7622861z00, BGl_z62lambda1506z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2566z00zz__evaluate_typesz00, BgL_bgl_string2566za700za7za7_2862za7, "env", 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2479z00zz__evaluate_typesz00, BgL_bgl_za762lambda1694za7622863z00, BGl_z62lambda1694z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2398z00zz__evaluate_typesz00, BgL_bgl_za762lambda1504za7622864z00, BGl_z62lambda1504z62zz__evaluate_typesz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2560z00zz__evaluate_typesz00, BgL_bgl_za762lambda1873za7622865z00, BGl_z62lambda1873z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2642z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2866za7, BGl_z62zc3z04anonymousza32017ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2561z00zz__evaluate_typesz00, BgL_bgl_za762lambda1872za7622867z00, BGl_z62lambda1872z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2480z00zz__evaluate_typesz00, BgL_bgl_za762lambda1692za7622868z00, BGl_z62lambda1692z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2643z00zz__evaluate_typesz00, BgL_bgl_za762lambda2016za7622869z00, BGl_z62lambda2016z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2562z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2870za7, BGl_z62zc3z04anonymousza31880ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2644z00zz__evaluate_typesz00, BgL_bgl_za762lambda2015za7622871z00, BGl_z62lambda2015z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2563z00zz__evaluate_typesz00, BgL_bgl_za762lambda1879za7622872z00, BGl_z62lambda1879z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2651z00zz__evaluate_typesz00, BgL_bgl_string2651za700za7za7_2873za7, "inner", 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2564z00zz__evaluate_typesz00, BgL_bgl_za762lambda1878za7622874z00, BGl_z62lambda1878z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2483z00zz__evaluate_typesz00, BgL_bgl_za762lambda1725za7622875z00, BGl_z62lambda1725z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2571z00zz__evaluate_typesz00, BgL_bgl_string2571za700za7za7_2876za7, "stk", 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2484z00zz__evaluate_typesz00, BgL_bgl_za762lambda1724za7622877z00, BGl_z62lambda1724z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2647z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2878za7, BGl_z62zc3z04anonymousza32024ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2491z00zz__evaluate_typesz00, BgL_bgl_string2491za700za7za7_2879za7, "ev_unwind-protect", 17 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2485z00zz__evaluate_typesz00, BgL_bgl_za762lambda1730za7622880z00, BGl_z62lambda1730z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2648z00zz__evaluate_typesz00, BgL_bgl_za762lambda2023za7622881z00, BGl_z62lambda2023z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2567z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2882za7, BGl_z62zc3z04anonymousza31887ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2486z00zz__evaluate_typesz00, BgL_bgl_za762lambda1729za7622883z00, BGl_z62lambda1729z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2649z00zz__evaluate_typesz00, BgL_bgl_za762lambda2022za7622884z00, BGl_z62lambda2022z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2568z00zz__evaluate_typesz00, BgL_bgl_za762lambda1886za7622885z00, BGl_z62lambda1886z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2487z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2886za7, BGl_z62zc3z04anonymousza31719ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2569z00zz__evaluate_typesz00, BgL_bgl_za762lambda1885za7622887z00, BGl_z62lambda1885z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2488z00zz__evaluate_typesz00, BgL_bgl_za762lambda1717za7622888z00, BGl_z62lambda1717z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2495z00zz__evaluate_typesz00, BgL_bgl_string2495za700za7za7_2889za7, "handler", 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2489z00zz__evaluate_typesz00, BgL_bgl_za762lambda1715za7622890z00, BGl_z62lambda1715z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2659z00zz__evaluate_typesz00, BgL_bgl_string2659za700za7za7_2891za7, "ev_abs", 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2652z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2892za7, BGl_z62zc3z04anonymousza32031ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2653z00zz__evaluate_typesz00, BgL_bgl_za762lambda2030za7622893z00, BGl_z62lambda2030z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2572z00zz__evaluate_typesz00, BgL_bgl_za762lambda1892za7622894z00, BGl_z62lambda1892z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2654z00zz__evaluate_typesz00, BgL_bgl_za762lambda2029za7622895z00, BGl_z62lambda2029z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2573z00zz__evaluate_typesz00, BgL_bgl_za762lambda1891za7622896z00, BGl_z62lambda1891z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2492z00zz__evaluate_typesz00, BgL_bgl_za762lambda1745za7622897z00, BGl_z62lambda1745z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2661z00zz__evaluate_typesz00, BgL_bgl_string2661za700za7za7_2898za7, "_", 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2655z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2899za7, BGl_z62zc3z04anonymousza31971ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2574z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2900za7, BGl_z62zc3z04anonymousza31901ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2493z00zz__evaluate_typesz00, BgL_bgl_za762lambda1744za7622901z00, BGl_z62lambda1744z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2656z00zz__evaluate_typesz00, BgL_bgl_za762lambda1969za7622902z00, BGl_z62lambda1969z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2581z00zz__evaluate_typesz00, BgL_bgl_string2581za700za7za7_2903za7, "ev_labels", 9 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2575z00zz__evaluate_typesz00, BgL_bgl_za762lambda1900za7622904z00, BGl_z62lambda1900z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2657z00zz__evaluate_typesz00, BgL_bgl_za762lambda1967za7622905z00, BGl_z62lambda1967z62zz__evaluate_typesz00, 0L, BUNSPEC, 10 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2576z00zz__evaluate_typesz00, BgL_bgl_za762lambda1899za7622906z00, BGl_z62lambda1899z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2577z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2907za7, BGl_z62zc3z04anonymousza31863ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2496z00zz__evaluate_typesz00, BgL_bgl_za762lambda1750za7622908z00, BGl_z62lambda1750z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2578z00zz__evaluate_typesz00, BgL_bgl_za762lambda1861za7622909z00, BGl_z62lambda1861z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2497z00zz__evaluate_typesz00, BgL_bgl_za762lambda1749za7622910z00, BGl_z62lambda1749z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2579z00zz__evaluate_typesz00, BgL_bgl_za762lambda1859za7622911z00, BGl_z62lambda1859z62zz__evaluate_typesz00, 0L, BUNSPEC, 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2498z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2912za7, BGl_z62zc3z04anonymousza31740ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2499z00zz__evaluate_typesz00, BgL_bgl_za762lambda1738za7622913z00, BGl_z62lambda1738z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2587z00zz__evaluate_typesz00, BgL_bgl_string2587za700za7za7_2914za7, "label", 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2582z00zz__evaluate_typesz00, BgL_bgl_za762lambda1916za7622915z00, BGl_z62lambda1916z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2583z00zz__evaluate_typesz00, BgL_bgl_za762lambda1915za7622916z00, BGl_z62lambda1915z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2584z00zz__evaluate_typesz00, BgL_bgl_za762lambda1921za7622917z00, BGl_z62lambda1921z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2591z00zz__evaluate_typesz00, BgL_bgl_string2591za700za7za7_2918za7, "labels", 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2585z00zz__evaluate_typesz00, BgL_bgl_za762lambda1920za7622919z00, BGl_z62lambda1920z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2588z00zz__evaluate_typesz00, BgL_bgl_za762lambda1926za7622920z00, BGl_z62lambda1926z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2589z00zz__evaluate_typesz00, BgL_bgl_za762lambda1925za7622921z00, BGl_z62lambda1925z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2598z00zz__evaluate_typesz00, BgL_bgl_string2598za700za7za7_2922za7, "ev_goto", 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2592z00zz__evaluate_typesz00, BgL_bgl_za762lambda1931za7622923z00, BGl_z62lambda1931z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2593z00zz__evaluate_typesz00, BgL_bgl_za762lambda1930za7622924z00, BGl_z62lambda1930z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2594z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2925za7, BGl_z62zc3z04anonymousza31911ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2595z00zz__evaluate_typesz00, BgL_bgl_za762lambda1909za7622926z00, BGl_z62lambda1909z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2596z00zz__evaluate_typesz00, BgL_bgl_za762lambda1907za7622927z00, BGl_z62lambda1907z62zz__evaluate_typesz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2599z00zz__evaluate_typesz00, BgL_bgl_za762lambda1946za7622928z00, BGl_z62lambda1946z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_symbol2640z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2481z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2645z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2565z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_defglobalz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2650z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2570z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2490z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2494z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2658z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2660z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2580z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2586z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2590z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2597z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_letrecz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_letz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_prog2z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_bindzd2exitzd2zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_letza2za2zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_labelsz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_absz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_trapz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_setglobalz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_ifz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_hookz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_gotoz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_globalz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_binderz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_listz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_littz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_orz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_varz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_withzd2handlerzd2zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_andz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2403z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2408z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2413z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2334z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2336z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2418z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_exprz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_appz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2501z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2340z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2422z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2342z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2507z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2426z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2347z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2349z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2511z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2431z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2353z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2518z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2438z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2358z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_synchroniza7eza7zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2603z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2522z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2443z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2362z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2526z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2609z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2447z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2368z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2614z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2533z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2452z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2373z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2538z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2377z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2620z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2624z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2543z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2463z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2382z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2386z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2468z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_setlocalz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2551z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2633z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2390z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2472z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2635z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2556z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2394z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2476z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2399z00zz__evaluate_typesz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* prof association table */
static obj_t write_bprof_table() {
   extern obj_t bprof_port;
   if( bprof_port == BUNSPEC ) bprof_port = (obj_t)fopen( "bmon.out", "w" );
   if( bprof_port ) {
      fputs( "(\"module-initialization\" \"BGl_modulezd2initializa7ationz75zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"toplevel-init\" \"Eval/evaluate_types.scm\" 963) \"BGl_toplevelzd2initzd2zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1971>\" \"Eval/evaluate_types.scm\" 3347) \"BGl_z62zc3z04anonymousza31971ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2031>\" \"Eval/evaluate_types.scm\" 3347) \"BGl_z62zc3z04anonymousza32031ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2024>\" \"Eval/evaluate_types.scm\" 3347) \"BGl_z62zc3z04anonymousza32024ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2017>\" \"Eval/evaluate_types.scm\" 3347) \"BGl_z62zc3z04anonymousza32017ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2010>\" \"Eval/evaluate_types.scm\" 3347) \"BGl_z62zc3z04anonymousza32010ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2003>\" \"Eval/evaluate_types.scm\" 3347) \"BGl_z62zc3z04anonymousza32003ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1941>\" \"Eval/evaluate_types.scm\" 3265) \"BGl_z62zc3z04anonymousza31941ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1911>\" \"Eval/evaluate_types.scm\" 3154) \"BGl_z62zc3z04anonymousza31911ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1863>\" \"Eval/evaluate_types.scm\" 2941) \"BGl_z62zc3z04anonymousza31863ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1901>\" \"Eval/evaluate_types.scm\" 2941) \"BGl_z62zc3z04anonymousza31901ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1887>\" \"Eval/evaluate_types.scm\" 2941) \"BGl_z62zc3z04anonymousza31887ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1880>\" \"Eval/evaluate_types.scm\" 2941) \"BGl_z62zc3z04anonymousza31880ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1852>\" \"Eval/evaluate_types.scm\" 2908) \"BGl_z62zc3z04anonymousza31852ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1835>\" \"Eval/evaluate_types.scm\" 2848) \"BGl_z62zc3z04anonymousza31835ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1842>\" \"Eval/evaluate_types.scm\" 2848) \"BGl_z62zc3z04anonymousza31842ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1818>\" \"Eval/evaluate_types.scm\" 2789) \"BGl_z62zc3z04anonymousza31818ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1825>\" \"Eval/evaluate_types.scm\" 2789) \"BGl_z62zc3z04anonymousza31825ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1793>\" \"Eval/evaluate_types.scm\" 2713) \"BGl_z62zc3z04anonymousza31793ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1763>\" \"Eval/evaluate_types.scm\" 2587) \"BGl_z62zc3z04anonymousza31763ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1740>\" \"Eval/evaluate_types.scm\" 2505) \"BGl_z62zc3z04anonymousza31740ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1719>\" \"Eval/evaluate_types.scm\" 2427) \"BGl_z62zc3z04anonymousza31719ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1697>\" \"Eval/evaluate_types.scm\" 2353) \"BGl_z62zc3z04anonymousza31697ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1682>\" \"Eval/evaluate_types.scm\" 2314) \"BGl_z62zc3z04anonymousza31682ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1648>\" \"Eval/evaluate_types.scm\" 2226) \"BGl_z62zc3z04anonymousza31648ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1632>\" \"Eval/evaluate_types.scm\" 2176) \"BGl_z62zc3z04anonymousza31632ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1622>\" \"Eval/evaluate_types.scm\" 2147) \"BGl_z62zc3z04anonymousza31622ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1607>\" \"Eval/evaluate_types.scm\" 2100) \"BGl_z62zc3z04anonymousza31607ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1579>\" \"Eval/evaluate_types.scm\" 2032) \"BGl_z62zc3z04anonymousza31579ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1569>\" \"Eval/evaluate_types.scm\" 2004) \"BGl_z62zc3z04anonymousza31569ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1556>\" \"Eval/evaluate_types.scm\" 1977) \"BGl_z62zc3z04anonymousza31556ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1536>\" \"Eval/evaluate_types.scm\" 1936) \"BGl_z62zc3z04anonymousza31536ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1508>\" \"Eval/evaluate_types.scm\" 1855) \"BGl_z62zc3z04anonymousza31508ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1491>\" \"Eval/evaluate_types.scm\" 1813) \"BGl_z62zc3z04anonymousza31491ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1465>\" \"Eval/evaluate_types.scm\" 1723) \"BGl_z62zc3z04anonymousza31465ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1437>\" \"Eval/evaluate_types.scm\" 1637) \"BGl_z62zc3z04anonymousza31437ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1449>\" \"Eval/evaluate_types.scm\" 1637) \"BGl_z62zc3z04anonymousza31449ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1426>\" \"Eval/evaluate_types.scm\" 1612) \"BGl_z62zc3z04anonymousza31426ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "(\"CONS\" \"make_pair\")\n", (FILE *)bprof_port );
      fputs( "(\"%STRING->SYMBOL\" \"make_symbol\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-STRING\" \"string_to_bstring_len\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-OUTPUT-PORT\" \"bgl_make_output_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-INPUT-PORT\" \"bgl_make_input_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-ERROR-PORT\" \"make_error_port\")\n", (FILE *)bprof_port );
   }
   return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long BgL_checksumz00_4213, char * BgL_fromz00_4214)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__evaluate_typesz00))
{ 
BGl_requirezd2initializa7ationz75zz__evaluate_typesz00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__evaluate_typesz00(); 
BGl_cnstzd2initzd2zz__evaluate_typesz00(); 
BGl_importedzd2moduleszd2initz00zz__evaluate_typesz00(); 
BGl_objectzd2initzd2zz__evaluate_typesz00(); 
return 
BGl_profzd2initzd2zz__evaluate_typesz00();}  else 
{ 
return BUNSPEC;} } 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__evaluate_typesz00()
{
{ /* Eval/evaluate_types.scm 15 */
BGl_symbol2334z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2335z00zz__evaluate_typesz00); 
BGl_symbol2336z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2337z00zz__evaluate_typesz00); 
BGl_symbol2340z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2341z00zz__evaluate_typesz00); 
BGl_symbol2342z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2343z00zz__evaluate_typesz00); 
BGl_symbol2347z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2348z00zz__evaluate_typesz00); 
BGl_symbol2349z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2350z00zz__evaluate_typesz00); 
BGl_symbol2353z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2354z00zz__evaluate_typesz00); 
BGl_symbol2358z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2359z00zz__evaluate_typesz00); 
BGl_symbol2362z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2363z00zz__evaluate_typesz00); 
BGl_symbol2368z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2369z00zz__evaluate_typesz00); 
BGl_symbol2373z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2374z00zz__evaluate_typesz00); 
BGl_symbol2377z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2378z00zz__evaluate_typesz00); 
BGl_symbol2382z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2383z00zz__evaluate_typesz00); 
BGl_symbol2386z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2387z00zz__evaluate_typesz00); 
BGl_symbol2390z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2391z00zz__evaluate_typesz00); 
BGl_symbol2394z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2395z00zz__evaluate_typesz00); 
BGl_symbol2399z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2400z00zz__evaluate_typesz00); 
BGl_symbol2403z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2404z00zz__evaluate_typesz00); 
BGl_symbol2408z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2409z00zz__evaluate_typesz00); 
BGl_symbol2413z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2414z00zz__evaluate_typesz00); 
BGl_symbol2418z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2419z00zz__evaluate_typesz00); 
BGl_symbol2422z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2423z00zz__evaluate_typesz00); 
BGl_symbol2426z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2427z00zz__evaluate_typesz00); 
BGl_symbol2431z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2432z00zz__evaluate_typesz00); 
BGl_symbol2438z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2439z00zz__evaluate_typesz00); 
BGl_symbol2443z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2444z00zz__evaluate_typesz00); 
BGl_symbol2447z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2448z00zz__evaluate_typesz00); 
BGl_symbol2452z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2453z00zz__evaluate_typesz00); 
BGl_symbol2463z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2464z00zz__evaluate_typesz00); 
BGl_symbol2468z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2469z00zz__evaluate_typesz00); 
BGl_symbol2472z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2473z00zz__evaluate_typesz00); 
BGl_symbol2476z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2477z00zz__evaluate_typesz00); 
BGl_symbol2481z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2482z00zz__evaluate_typesz00); 
BGl_symbol2490z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2491z00zz__evaluate_typesz00); 
BGl_symbol2494z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2495z00zz__evaluate_typesz00); 
BGl_symbol2501z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2502z00zz__evaluate_typesz00); 
BGl_symbol2507z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2508z00zz__evaluate_typesz00); 
BGl_symbol2511z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2512z00zz__evaluate_typesz00); 
BGl_symbol2518z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2519z00zz__evaluate_typesz00); 
BGl_symbol2522z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2523z00zz__evaluate_typesz00); 
BGl_symbol2526z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2527z00zz__evaluate_typesz00); 
BGl_symbol2533z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2534z00zz__evaluate_typesz00); 
BGl_symbol2538z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2539z00zz__evaluate_typesz00); 
BGl_symbol2543z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2544z00zz__evaluate_typesz00); 
BGl_symbol2551z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2552z00zz__evaluate_typesz00); 
BGl_symbol2556z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2557z00zz__evaluate_typesz00); 
BGl_symbol2565z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2566z00zz__evaluate_typesz00); 
BGl_symbol2570z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2571z00zz__evaluate_typesz00); 
BGl_symbol2580z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2581z00zz__evaluate_typesz00); 
BGl_symbol2586z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2587z00zz__evaluate_typesz00); 
BGl_symbol2590z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2591z00zz__evaluate_typesz00); 
BGl_symbol2597z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2598z00zz__evaluate_typesz00); 
BGl_symbol2603z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2604z00zz__evaluate_typesz00); 
BGl_symbol2609z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2610z00zz__evaluate_typesz00); 
BGl_symbol2614z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2615z00zz__evaluate_typesz00); 
BGl_symbol2620z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2621z00zz__evaluate_typesz00); 
BGl_symbol2624z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2625z00zz__evaluate_typesz00); 
BGl_symbol2633z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2634z00zz__evaluate_typesz00); 
BGl_symbol2635z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2636z00zz__evaluate_typesz00); 
BGl_symbol2640z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2641z00zz__evaluate_typesz00); 
BGl_symbol2645z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2646z00zz__evaluate_typesz00); 
BGl_symbol2650z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2651z00zz__evaluate_typesz00); 
BGl_symbol2658z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2659z00zz__evaluate_typesz00); 
return ( 
BGl_symbol2660z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2661z00zz__evaluate_typesz00), BUNSPEC) ;} 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__evaluate_typesz00()
{
{ /* Eval/evaluate_types.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* prof-init */
obj_t BGl_profzd2initzd2zz__evaluate_typesz00()
{
{ /* Eval/evaluate_types.scm 15 */
return 
write_bprof_table();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__evaluate_typesz00()
{
{ /* Eval/evaluate_types.scm 15 */
return BUNSPEC;} 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__evaluate_typesz00()
{
{ /* Eval/evaluate_types.scm 15 */
{ /* Eval/evaluate_types.scm 49 */
 obj_t BgL_arg1420z00_1104; obj_t BgL_arg1421z00_1105;
{ /* Eval/evaluate_types.scm 49 */
 obj_t BgL_v1284z00_1115;
BgL_v1284z00_1115 = 
create_vector(((long)0)); 
BgL_arg1420z00_1104 = BgL_v1284z00_1115; } 
{ /* Eval/evaluate_types.scm 49 */
 obj_t BgL_v1285z00_1116;
BgL_v1285z00_1116 = 
create_vector(((long)0)); 
BgL_arg1421z00_1105 = BgL_v1285z00_1116; } 
BGl_ev_exprz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2334z00zz__evaluate_typesz00, BGl_symbol2336z00zz__evaluate_typesz00, BGl_objectz00zz__objectz00, ((long)36682), BGl_proc2333z00zz__evaluate_typesz00, BGl_proc2332z00zz__evaluate_typesz00, BFALSE, BGl_proc2331z00zz__evaluate_typesz00, BFALSE, BgL_arg1420z00_1104, BgL_arg1421z00_1105); } 
{ /* Eval/evaluate_types.scm 51 */
 obj_t BgL_arg1431z00_1123; obj_t BgL_arg1432z00_1124;
{ /* Eval/evaluate_types.scm 51 */
 obj_t BgL_v1286z00_1137;
BgL_v1286z00_1137 = 
create_vector(((long)3)); 
VECTOR_SET(BgL_v1286z00_1137,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2340z00zz__evaluate_typesz00, BGl_proc2339z00zz__evaluate_typesz00, BGl_proc2338z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2342z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1286z00_1137,((long)1),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2347z00zz__evaluate_typesz00, BGl_proc2346z00zz__evaluate_typesz00, BGl_proc2345z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2344z00zz__evaluate_typesz00, BGl_symbol2349z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1286z00_1137,((long)2),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2353z00zz__evaluate_typesz00, BGl_proc2352z00zz__evaluate_typesz00, BGl_proc2351z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2349z00zz__evaluate_typesz00)); 
BgL_arg1431z00_1123 = BgL_v1286z00_1137; } 
{ /* Eval/evaluate_types.scm 51 */
 obj_t BgL_v1287z00_1171;
BgL_v1287z00_1171 = 
create_vector(((long)0)); 
BgL_arg1432z00_1124 = BgL_v1287z00_1171; } 
BGl_ev_varz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2358z00zz__evaluate_typesz00, BGl_symbol2336z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)7285), BGl_proc2357z00zz__evaluate_typesz00, BGl_proc2356z00zz__evaluate_typesz00, BFALSE, BGl_proc2355z00zz__evaluate_typesz00, BFALSE, BgL_arg1431z00_1123, BgL_arg1432z00_1124); } 
{ /* Eval/evaluate_types.scm 55 */
 obj_t BgL_arg1459z00_1178; obj_t BgL_arg1460z00_1179;
{ /* Eval/evaluate_types.scm 55 */
 obj_t BgL_v1288z00_1192;
BgL_v1288z00_1192 = 
create_vector(((long)3)); 
VECTOR_SET(BgL_v1288z00_1192,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2362z00zz__evaluate_typesz00, BGl_proc2361z00zz__evaluate_typesz00, BGl_proc2360z00zz__evaluate_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2349z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1288z00_1192,((long)1),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2340z00zz__evaluate_typesz00, BGl_proc2365z00zz__evaluate_typesz00, BGl_proc2364z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2342z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1288z00_1192,((long)2),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2368z00zz__evaluate_typesz00, BGl_proc2367z00zz__evaluate_typesz00, BGl_proc2366z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2349z00zz__evaluate_typesz00)); 
BgL_arg1459z00_1178 = BgL_v1288z00_1192; } 
{ /* Eval/evaluate_types.scm 55 */
 obj_t BgL_v1289z00_1223;
BgL_v1289z00_1223 = 
create_vector(((long)0)); 
BgL_arg1460z00_1179 = BgL_v1289z00_1223; } 
BGl_ev_globalz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2373z00zz__evaluate_typesz00, BGl_symbol2336z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)59175), BGl_proc2372z00zz__evaluate_typesz00, BGl_proc2371z00zz__evaluate_typesz00, BFALSE, BGl_proc2370z00zz__evaluate_typesz00, BFALSE, BgL_arg1459z00_1178, BgL_arg1460z00_1179); } 
{ /* Eval/evaluate_types.scm 60 */
 obj_t BgL_arg1484z00_1230; obj_t BgL_arg1486z00_1231;
{ /* Eval/evaluate_types.scm 60 */
 obj_t BgL_v1290z00_1242;
BgL_v1290z00_1242 = 
create_vector(((long)1)); 
VECTOR_SET(BgL_v1290z00_1242,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2377z00zz__evaluate_typesz00, BGl_proc2376z00zz__evaluate_typesz00, BGl_proc2375z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2349z00zz__evaluate_typesz00)); 
BgL_arg1484z00_1230 = BgL_v1290z00_1242; } 
{ /* Eval/evaluate_types.scm 60 */
 obj_t BgL_v1291z00_1253;
BgL_v1291z00_1253 = 
create_vector(((long)0)); 
BgL_arg1486z00_1231 = BgL_v1291z00_1253; } 
BGl_ev_littz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2382z00zz__evaluate_typesz00, BGl_symbol2336z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)42418), BGl_proc2381z00zz__evaluate_typesz00, BGl_proc2380z00zz__evaluate_typesz00, BFALSE, BGl_proc2379z00zz__evaluate_typesz00, BFALSE, BgL_arg1484z00_1230, BgL_arg1486z00_1231); } 
{ /* Eval/evaluate_types.scm 62 */
 obj_t BgL_arg1501z00_1260; obj_t BgL_arg1503z00_1261;
{ /* Eval/evaluate_types.scm 62 */
 obj_t BgL_v1292z00_1274;
BgL_v1292z00_1274 = 
create_vector(((long)3)); 
VECTOR_SET(BgL_v1292z00_1274,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2386z00zz__evaluate_typesz00, BGl_proc2385z00zz__evaluate_typesz00, BGl_proc2384z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1292z00_1274,((long)1),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2390z00zz__evaluate_typesz00, BGl_proc2389z00zz__evaluate_typesz00, BGl_proc2388z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1292z00_1274,((long)2),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2394z00zz__evaluate_typesz00, BGl_proc2393z00zz__evaluate_typesz00, BGl_proc2392z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
BgL_arg1501z00_1260 = BgL_v1292z00_1274; } 
{ /* Eval/evaluate_types.scm 62 */
 obj_t BgL_v1293z00_1305;
BgL_v1293z00_1305 = 
create_vector(((long)0)); 
BgL_arg1503z00_1261 = BgL_v1293z00_1305; } 
BGl_ev_ifz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2399z00zz__evaluate_typesz00, BGl_symbol2336z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)19099), BGl_proc2398z00zz__evaluate_typesz00, BGl_proc2397z00zz__evaluate_typesz00, BFALSE, BGl_proc2396z00zz__evaluate_typesz00, BFALSE, BgL_arg1501z00_1260, BgL_arg1503z00_1261); } 
{ /* Eval/evaluate_types.scm 66 */
 obj_t BgL_arg1530z00_1312; obj_t BgL_arg1531z00_1313;
{ /* Eval/evaluate_types.scm 66 */
 obj_t BgL_v1294z00_1324;
BgL_v1294z00_1324 = 
create_vector(((long)1)); 
VECTOR_SET(BgL_v1294z00_1324,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2403z00zz__evaluate_typesz00, BGl_proc2402z00zz__evaluate_typesz00, BGl_proc2401z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2349z00zz__evaluate_typesz00)); 
BgL_arg1530z00_1312 = BgL_v1294z00_1324; } 
{ /* Eval/evaluate_types.scm 66 */
 obj_t BgL_v1295z00_1335;
BgL_v1295z00_1335 = 
create_vector(((long)0)); 
BgL_arg1531z00_1313 = BgL_v1295z00_1335; } 
BGl_ev_listz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2408z00zz__evaluate_typesz00, BGl_symbol2336z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)39617), BGl_proc2407z00zz__evaluate_typesz00, BGl_proc2406z00zz__evaluate_typesz00, BFALSE, BGl_proc2405z00zz__evaluate_typesz00, BFALSE, BgL_arg1530z00_1312, BgL_arg1531z00_1313); } 
{ /* Eval/evaluate_types.scm 68 */
 obj_t BgL_arg1550z00_1342; obj_t BgL_arg1551z00_1343;
{ /* Eval/evaluate_types.scm 68 */
 obj_t BgL_v1296z00_1354;
BgL_v1296z00_1354 = 
create_vector(((long)0)); 
BgL_arg1550z00_1342 = BgL_v1296z00_1354; } 
{ /* Eval/evaluate_types.scm 68 */
 obj_t BgL_v1297z00_1355;
BgL_v1297z00_1355 = 
create_vector(((long)0)); 
BgL_arg1551z00_1343 = BgL_v1297z00_1355; } 
BGl_ev_orz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2413z00zz__evaluate_typesz00, BGl_symbol2336z00zz__evaluate_typesz00, BGl_ev_listz00zz__evaluate_typesz00, ((long)50334), BGl_proc2412z00zz__evaluate_typesz00, BGl_proc2411z00zz__evaluate_typesz00, BFALSE, BGl_proc2410z00zz__evaluate_typesz00, BFALSE, BgL_arg1550z00_1342, BgL_arg1551z00_1343); } 
{ /* Eval/evaluate_types.scm 69 */
 obj_t BgL_arg1563z00_1362; obj_t BgL_arg1564z00_1363;
{ /* Eval/evaluate_types.scm 69 */
 obj_t BgL_v1298z00_1374;
BgL_v1298z00_1374 = 
create_vector(((long)0)); 
BgL_arg1563z00_1362 = BgL_v1298z00_1374; } 
{ /* Eval/evaluate_types.scm 69 */
 obj_t BgL_v1299z00_1375;
BgL_v1299z00_1375 = 
create_vector(((long)0)); 
BgL_arg1564z00_1363 = BgL_v1299z00_1375; } 
BGl_ev_andz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2418z00zz__evaluate_typesz00, BGl_symbol2336z00zz__evaluate_typesz00, BGl_ev_listz00zz__evaluate_typesz00, ((long)26888), BGl_proc2417z00zz__evaluate_typesz00, BGl_proc2416z00zz__evaluate_typesz00, BFALSE, BGl_proc2415z00zz__evaluate_typesz00, BFALSE, BgL_arg1563z00_1362, BgL_arg1564z00_1363); } 
{ /* Eval/evaluate_types.scm 70 */
 obj_t BgL_arg1573z00_1382; obj_t BgL_arg1574z00_1383;
{ /* Eval/evaluate_types.scm 70 */
 obj_t BgL_v1300z00_1395;
BgL_v1300z00_1395 = 
create_vector(((long)2)); 
VECTOR_SET(BgL_v1300z00_1395,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2422z00zz__evaluate_typesz00, BGl_proc2421z00zz__evaluate_typesz00, BGl_proc2420z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1300z00_1395,((long)1),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2426z00zz__evaluate_typesz00, BGl_proc2425z00zz__evaluate_typesz00, BGl_proc2424z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
BgL_arg1573z00_1382 = BgL_v1300z00_1395; } 
{ /* Eval/evaluate_types.scm 70 */
 obj_t BgL_v1301z00_1416;
BgL_v1301z00_1416 = 
create_vector(((long)0)); 
BgL_arg1574z00_1383 = BgL_v1301z00_1416; } 
BGl_ev_prog2z00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2431z00zz__evaluate_typesz00, BGl_symbol2336z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)14177), BGl_proc2430z00zz__evaluate_typesz00, BGl_proc2429z00zz__evaluate_typesz00, BFALSE, BGl_proc2428z00zz__evaluate_typesz00, BFALSE, BgL_arg1573z00_1382, BgL_arg1574z00_1383); } 
{ /* Eval/evaluate_types.scm 73 */
 obj_t BgL_arg1597z00_1423; obj_t BgL_arg1600z00_1424;
{ /* Eval/evaluate_types.scm 73 */
 obj_t BgL_v1302z00_1435;
BgL_v1302z00_1435 = 
create_vector(((long)1)); 
VECTOR_SET(BgL_v1302z00_1435,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2394z00zz__evaluate_typesz00, BGl_proc2434z00zz__evaluate_typesz00, BGl_proc2433z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
BgL_arg1597z00_1423 = BgL_v1302z00_1435; } 
{ /* Eval/evaluate_types.scm 73 */
 obj_t BgL_v1303z00_1446;
BgL_v1303z00_1446 = 
create_vector(((long)0)); 
BgL_arg1600z00_1424 = BgL_v1303z00_1446; } 
BGl_ev_hookz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2438z00zz__evaluate_typesz00, BGl_symbol2336z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)32125), BGl_proc2437z00zz__evaluate_typesz00, BGl_proc2436z00zz__evaluate_typesz00, BFALSE, BGl_proc2435z00zz__evaluate_typesz00, BFALSE, BgL_arg1597z00_1423, BgL_arg1600z00_1424); } 
{ /* Eval/evaluate_types.scm 75 */
 obj_t BgL_arg1616z00_1453; obj_t BgL_arg1617z00_1454;
{ /* Eval/evaluate_types.scm 75 */
 obj_t BgL_v1304z00_1465;
BgL_v1304z00_1465 = 
create_vector(((long)0)); 
BgL_arg1616z00_1453 = BgL_v1304z00_1465; } 
{ /* Eval/evaluate_types.scm 75 */
 obj_t BgL_v1305z00_1466;
BgL_v1305z00_1466 = 
create_vector(((long)0)); 
BgL_arg1617z00_1454 = BgL_v1305z00_1466; } 
BGl_ev_trapz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2443z00zz__evaluate_typesz00, BGl_symbol2336z00zz__evaluate_typesz00, BGl_ev_hookz00zz__evaluate_typesz00, ((long)24451), BGl_proc2442z00zz__evaluate_typesz00, BGl_proc2441z00zz__evaluate_typesz00, BFALSE, BGl_proc2440z00zz__evaluate_typesz00, BFALSE, BgL_arg1616z00_1453, BgL_arg1617z00_1454); } 
{ /* Eval/evaluate_types.scm 76 */
 obj_t BgL_arg1626z00_1473; obj_t BgL_arg1627z00_1474;
{ /* Eval/evaluate_types.scm 76 */
 obj_t BgL_v1306z00_1486;
BgL_v1306z00_1486 = 
create_vector(((long)1)); 
VECTOR_SET(BgL_v1306z00_1486,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2447z00zz__evaluate_typesz00, BGl_proc2446z00zz__evaluate_typesz00, BGl_proc2445z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_varz00zz__evaluate_typesz00)); 
BgL_arg1626z00_1473 = BgL_v1306z00_1486; } 
{ /* Eval/evaluate_types.scm 76 */
 obj_t BgL_v1307z00_1497;
BgL_v1307z00_1497 = 
create_vector(((long)0)); 
BgL_arg1627z00_1474 = BgL_v1307z00_1497; } 
BGl_ev_setlocalz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2452z00zz__evaluate_typesz00, BGl_symbol2336z00zz__evaluate_typesz00, BGl_ev_hookz00zz__evaluate_typesz00, ((long)37950), BGl_proc2451z00zz__evaluate_typesz00, BGl_proc2450z00zz__evaluate_typesz00, BFALSE, BGl_proc2449z00zz__evaluate_typesz00, BFALSE, BgL_arg1626z00_1473, BgL_arg1627z00_1474); } 
{ /* Eval/evaluate_types.scm 78 */
 obj_t BgL_arg1641z00_1504; obj_t BgL_arg1643z00_1505;
{ /* Eval/evaluate_types.scm 78 */
 obj_t BgL_v1308z00_1519;
BgL_v1308z00_1519 = 
create_vector(((long)3)); 
VECTOR_SET(BgL_v1308z00_1519,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2362z00zz__evaluate_typesz00, BGl_proc2455z00zz__evaluate_typesz00, BGl_proc2454z00zz__evaluate_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2349z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1308z00_1519,((long)1),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2340z00zz__evaluate_typesz00, BGl_proc2457z00zz__evaluate_typesz00, BGl_proc2456z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2342z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1308z00_1519,((long)2),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2368z00zz__evaluate_typesz00, BGl_proc2459z00zz__evaluate_typesz00, BGl_proc2458z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2349z00zz__evaluate_typesz00)); 
BgL_arg1641z00_1504 = BgL_v1308z00_1519; } 
{ /* Eval/evaluate_types.scm 78 */
 obj_t BgL_v1309z00_1550;
BgL_v1309z00_1550 = 
create_vector(((long)0)); 
BgL_arg1643z00_1505 = BgL_v1309z00_1550; } 
BGl_ev_setglobalz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2463z00zz__evaluate_typesz00, BGl_symbol2336z00zz__evaluate_typesz00, BGl_ev_hookz00zz__evaluate_typesz00, ((long)62117), BGl_proc2462z00zz__evaluate_typesz00, BGl_proc2461z00zz__evaluate_typesz00, BFALSE, BGl_proc2460z00zz__evaluate_typesz00, BFALSE, BgL_arg1641z00_1504, BgL_arg1643z00_1505); } 
{ /* Eval/evaluate_types.scm 82 */
 obj_t BgL_arg1672z00_1557; obj_t BgL_arg1673z00_1558;
{ /* Eval/evaluate_types.scm 82 */
 obj_t BgL_v1310z00_1572;
BgL_v1310z00_1572 = 
create_vector(((long)0)); 
BgL_arg1672z00_1557 = BgL_v1310z00_1572; } 
{ /* Eval/evaluate_types.scm 82 */
 obj_t BgL_v1311z00_1573;
BgL_v1311z00_1573 = 
create_vector(((long)0)); 
BgL_arg1673z00_1558 = BgL_v1311z00_1573; } 
BGl_ev_defglobalz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2468z00zz__evaluate_typesz00, BGl_symbol2336z00zz__evaluate_typesz00, BGl_ev_setglobalz00zz__evaluate_typesz00, ((long)36158), BGl_proc2467z00zz__evaluate_typesz00, BGl_proc2466z00zz__evaluate_typesz00, BFALSE, BGl_proc2465z00zz__evaluate_typesz00, BFALSE, BgL_arg1672z00_1557, BgL_arg1673z00_1558); } 
{ /* Eval/evaluate_types.scm 83 */
 obj_t BgL_arg1688z00_1580; obj_t BgL_arg1691z00_1581;
{ /* Eval/evaluate_types.scm 83 */
 obj_t BgL_v1312z00_1593;
BgL_v1312z00_1593 = 
create_vector(((long)2)); 
VECTOR_SET(BgL_v1312z00_1593,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2472z00zz__evaluate_typesz00, BGl_proc2471z00zz__evaluate_typesz00, BGl_proc2470z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_varz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1312z00_1593,((long)1),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2476z00zz__evaluate_typesz00, BGl_proc2475z00zz__evaluate_typesz00, BGl_proc2474z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
BgL_arg1688z00_1580 = BgL_v1312z00_1593; } 
{ /* Eval/evaluate_types.scm 83 */
 obj_t BgL_v1313z00_1614;
BgL_v1313z00_1614 = 
create_vector(((long)0)); 
BgL_arg1691z00_1581 = BgL_v1313z00_1614; } 
BGl_ev_bindzd2exitzd2zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2481z00zz__evaluate_typesz00, BGl_symbol2336z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)10723), BGl_proc2480z00zz__evaluate_typesz00, BGl_proc2479z00zz__evaluate_typesz00, BFALSE, BGl_proc2478z00zz__evaluate_typesz00, BFALSE, BgL_arg1688z00_1580, BgL_arg1691z00_1581); } 
{ /* Eval/evaluate_types.scm 86 */
 obj_t BgL_arg1713z00_1621; obj_t BgL_arg1714z00_1622;
{ /* Eval/evaluate_types.scm 86 */
 obj_t BgL_v1314z00_1634;
BgL_v1314z00_1634 = 
create_vector(((long)2)); 
VECTOR_SET(BgL_v1314z00_1634,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2394z00zz__evaluate_typesz00, BGl_proc2484z00zz__evaluate_typesz00, BGl_proc2483z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1314z00_1634,((long)1),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2476z00zz__evaluate_typesz00, BGl_proc2486z00zz__evaluate_typesz00, BGl_proc2485z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
BgL_arg1713z00_1621 = BgL_v1314z00_1634; } 
{ /* Eval/evaluate_types.scm 86 */
 obj_t BgL_v1315z00_1655;
BgL_v1315z00_1655 = 
create_vector(((long)0)); 
BgL_arg1714z00_1622 = BgL_v1315z00_1655; } 
BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2490z00zz__evaluate_typesz00, BGl_symbol2336z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)59644), BGl_proc2489z00zz__evaluate_typesz00, BGl_proc2488z00zz__evaluate_typesz00, BFALSE, BGl_proc2487z00zz__evaluate_typesz00, BFALSE, BgL_arg1713z00_1621, BgL_arg1714z00_1622); } 
{ /* Eval/evaluate_types.scm 89 */
 obj_t BgL_arg1734z00_1662; obj_t BgL_arg1735z00_1663;
{ /* Eval/evaluate_types.scm 89 */
 obj_t BgL_v1316z00_1675;
BgL_v1316z00_1675 = 
create_vector(((long)2)); 
VECTOR_SET(BgL_v1316z00_1675,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2494z00zz__evaluate_typesz00, BGl_proc2493z00zz__evaluate_typesz00, BGl_proc2492z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1316z00_1675,((long)1),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2476z00zz__evaluate_typesz00, BGl_proc2497z00zz__evaluate_typesz00, BGl_proc2496z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
BgL_arg1734z00_1662 = BgL_v1316z00_1675; } 
{ /* Eval/evaluate_types.scm 89 */
 obj_t BgL_v1317z00_1696;
BgL_v1317z00_1696 = 
create_vector(((long)0)); 
BgL_arg1735z00_1663 = BgL_v1317z00_1696; } 
BGl_ev_withzd2handlerzd2zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2501z00zz__evaluate_typesz00, BGl_symbol2336z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)54033), BGl_proc2500z00zz__evaluate_typesz00, BGl_proc2499z00zz__evaluate_typesz00, BFALSE, BGl_proc2498z00zz__evaluate_typesz00, BFALSE, BgL_arg1734z00_1662, BgL_arg1735z00_1663); } 
{ /* Eval/evaluate_types.scm 92 */
 obj_t BgL_arg1756z00_1703; obj_t BgL_arg1757z00_1704;
{ /* Eval/evaluate_types.scm 92 */
 obj_t BgL_v1318z00_1718;
BgL_v1318z00_1718 = 
create_vector(((long)4)); 
VECTOR_SET(BgL_v1318z00_1718,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2362z00zz__evaluate_typesz00, BGl_proc2504z00zz__evaluate_typesz00, BGl_proc2503z00zz__evaluate_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2349z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1318z00_1718,((long)1),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2507z00zz__evaluate_typesz00, BGl_proc2506z00zz__evaluate_typesz00, BGl_proc2505z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1318z00_1718,((long)2),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2511z00zz__evaluate_typesz00, BGl_proc2510z00zz__evaluate_typesz00, BGl_proc2509z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1318z00_1718,((long)3),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2476z00zz__evaluate_typesz00, BGl_proc2514z00zz__evaluate_typesz00, BGl_proc2513z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
BgL_arg1756z00_1703 = BgL_v1318z00_1718; } 
{ /* Eval/evaluate_types.scm 92 */
 obj_t BgL_v1319z00_1759;
BgL_v1319z00_1759 = 
create_vector(((long)0)); 
BgL_arg1757z00_1704 = BgL_v1319z00_1759; } 
BGl_ev_synchroniza7eza7zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2518z00zz__evaluate_typesz00, BGl_symbol2336z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)40653), BGl_proc2517z00zz__evaluate_typesz00, BGl_proc2516z00zz__evaluate_typesz00, BFALSE, BGl_proc2515z00zz__evaluate_typesz00, BFALSE, BgL_arg1756z00_1703, BgL_arg1757z00_1704); } 
{ /* Eval/evaluate_types.scm 97 */
 obj_t BgL_arg1787z00_1766; obj_t BgL_arg1788z00_1767;
{ /* Eval/evaluate_types.scm 97 */
 obj_t BgL_v1320z00_1780;
BgL_v1320z00_1780 = 
create_vector(((long)3)); 
VECTOR_SET(BgL_v1320z00_1780,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2522z00zz__evaluate_typesz00, BGl_proc2521z00zz__evaluate_typesz00, BGl_proc2520z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2349z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1320z00_1780,((long)1),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2526z00zz__evaluate_typesz00, BGl_proc2525z00zz__evaluate_typesz00, BGl_proc2524z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2349z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1320z00_1780,((long)2),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2476z00zz__evaluate_typesz00, BGl_proc2529z00zz__evaluate_typesz00, BGl_proc2528z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
BgL_arg1787z00_1766 = BgL_v1320z00_1780; } 
{ /* Eval/evaluate_types.scm 97 */
 obj_t BgL_v1321z00_1811;
BgL_v1321z00_1811 = 
create_vector(((long)0)); 
BgL_arg1788z00_1767 = BgL_v1321z00_1811; } 
BGl_ev_binderz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2533z00zz__evaluate_typesz00, BGl_symbol2336z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)50341), BGl_proc2532z00zz__evaluate_typesz00, BGl_proc2531z00zz__evaluate_typesz00, BFALSE, BGl_proc2530z00zz__evaluate_typesz00, BFALSE, BgL_arg1787z00_1766, BgL_arg1788z00_1767); } 
{ /* Eval/evaluate_types.scm 101 */
 obj_t BgL_arg1812z00_1818; obj_t BgL_arg1813z00_1819;
{ /* Eval/evaluate_types.scm 101 */
 obj_t BgL_v1322z00_1833;
BgL_v1322z00_1833 = 
create_vector(((long)1)); 
VECTOR_SET(BgL_v1322z00_1833,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2538z00zz__evaluate_typesz00, BGl_proc2537z00zz__evaluate_typesz00, BGl_proc2536z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2535z00zz__evaluate_typesz00, BGl_symbol2349z00zz__evaluate_typesz00)); 
BgL_arg1812z00_1818 = BgL_v1322z00_1833; } 
{ /* Eval/evaluate_types.scm 101 */
 obj_t BgL_v1323z00_1847;
BgL_v1323z00_1847 = 
create_vector(((long)0)); 
BgL_arg1813z00_1819 = BgL_v1323z00_1847; } 
BGl_ev_letz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2543z00zz__evaluate_typesz00, BGl_symbol2336z00zz__evaluate_typesz00, BGl_ev_binderz00zz__evaluate_typesz00, ((long)20484), BGl_proc2542z00zz__evaluate_typesz00, BGl_proc2541z00zz__evaluate_typesz00, BFALSE, BGl_proc2540z00zz__evaluate_typesz00, BFALSE, BgL_arg1812z00_1818, BgL_arg1813z00_1819); } 
{ /* Eval/evaluate_types.scm 103 */
 obj_t BgL_arg1829z00_1854; obj_t BgL_arg1830z00_1855;
{ /* Eval/evaluate_types.scm 103 */
 obj_t BgL_v1324z00_1869;
BgL_v1324z00_1869 = 
create_vector(((long)1)); 
VECTOR_SET(BgL_v1324z00_1869,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2538z00zz__evaluate_typesz00, BGl_proc2547z00zz__evaluate_typesz00, BGl_proc2546z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2545z00zz__evaluate_typesz00, BGl_symbol2349z00zz__evaluate_typesz00)); 
BgL_arg1829z00_1854 = BgL_v1324z00_1869; } 
{ /* Eval/evaluate_types.scm 103 */
 obj_t BgL_v1325z00_1883;
BgL_v1325z00_1883 = 
create_vector(((long)0)); 
BgL_arg1830z00_1855 = BgL_v1325z00_1883; } 
BGl_ev_letza2za2zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2551z00zz__evaluate_typesz00, BGl_symbol2336z00zz__evaluate_typesz00, BGl_ev_binderz00zz__evaluate_typesz00, ((long)9906), BGl_proc2550z00zz__evaluate_typesz00, BGl_proc2549z00zz__evaluate_typesz00, BFALSE, BGl_proc2548z00zz__evaluate_typesz00, BFALSE, BgL_arg1829z00_1854, BgL_arg1830z00_1855); } 
{ /* Eval/evaluate_types.scm 105 */
 obj_t BgL_arg1846z00_1890; obj_t BgL_arg1847z00_1891;
{ /* Eval/evaluate_types.scm 105 */
 obj_t BgL_v1326z00_1904;
BgL_v1326z00_1904 = 
create_vector(((long)0)); 
BgL_arg1846z00_1890 = BgL_v1326z00_1904; } 
{ /* Eval/evaluate_types.scm 105 */
 obj_t BgL_v1327z00_1905;
BgL_v1327z00_1905 = 
create_vector(((long)0)); 
BgL_arg1847z00_1891 = BgL_v1327z00_1905; } 
BGl_ev_letrecz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2556z00zz__evaluate_typesz00, BGl_symbol2336z00zz__evaluate_typesz00, BGl_ev_binderz00zz__evaluate_typesz00, ((long)43956), BGl_proc2555z00zz__evaluate_typesz00, BGl_proc2554z00zz__evaluate_typesz00, BFALSE, BGl_proc2553z00zz__evaluate_typesz00, BFALSE, BgL_arg1846z00_1890, BgL_arg1847z00_1891); } 
{ /* Eval/evaluate_types.scm 106 */
 obj_t BgL_arg1857z00_1912; obj_t BgL_arg1858z00_1913;
{ /* Eval/evaluate_types.scm 106 */
 obj_t BgL_v1328z00_1929;
BgL_v1328z00_1929 = 
create_vector(((long)6)); 
VECTOR_SET(BgL_v1328z00_1929,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2522z00zz__evaluate_typesz00, BGl_proc2559z00zz__evaluate_typesz00, BGl_proc2558z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2349z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1328z00_1929,((long)1),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2526z00zz__evaluate_typesz00, BGl_proc2561z00zz__evaluate_typesz00, BGl_proc2560z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2349z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1328z00_1929,((long)2),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2565z00zz__evaluate_typesz00, BGl_proc2564z00zz__evaluate_typesz00, BGl_proc2563z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2562z00zz__evaluate_typesz00, BGl_symbol2349z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1328z00_1929,((long)3),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2570z00zz__evaluate_typesz00, BGl_proc2569z00zz__evaluate_typesz00, BGl_proc2568z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2567z00zz__evaluate_typesz00, BGl_symbol2349z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1328z00_1929,((long)4),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2476z00zz__evaluate_typesz00, BGl_proc2573z00zz__evaluate_typesz00, BGl_proc2572z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1328z00_1929,((long)5),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2538z00zz__evaluate_typesz00, BGl_proc2576z00zz__evaluate_typesz00, BGl_proc2575z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2574z00zz__evaluate_typesz00, BGl_symbol2349z00zz__evaluate_typesz00)); 
BgL_arg1857z00_1912 = BgL_v1328z00_1929; } 
{ /* Eval/evaluate_types.scm 106 */
 obj_t BgL_v1329z00_1999;
BgL_v1329z00_1999 = 
create_vector(((long)0)); 
BgL_arg1858z00_1913 = BgL_v1329z00_1999; } 
BGl_ev_labelsz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2580z00zz__evaluate_typesz00, BGl_symbol2336z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)51941), BGl_proc2579z00zz__evaluate_typesz00, BGl_proc2578z00zz__evaluate_typesz00, BFALSE, BGl_proc2577z00zz__evaluate_typesz00, BFALSE, BgL_arg1857z00_1912, BgL_arg1858z00_1913); } 
{ /* Eval/evaluate_types.scm 114 */
 obj_t BgL_arg1905z00_2006; obj_t BgL_arg1906z00_2007;
{ /* Eval/evaluate_types.scm 114 */
 obj_t BgL_v1330z00_2021;
BgL_v1330z00_2021 = 
create_vector(((long)4)); 
VECTOR_SET(BgL_v1330z00_2021,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2362z00zz__evaluate_typesz00, BGl_proc2583z00zz__evaluate_typesz00, BGl_proc2582z00zz__evaluate_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2349z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1330z00_2021,((long)1),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2586z00zz__evaluate_typesz00, BGl_proc2585z00zz__evaluate_typesz00, BGl_proc2584z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_varz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1330z00_2021,((long)2),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2590z00zz__evaluate_typesz00, BGl_proc2589z00zz__evaluate_typesz00, BGl_proc2588z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_labelsz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1330z00_2021,((long)3),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2403z00zz__evaluate_typesz00, BGl_proc2593z00zz__evaluate_typesz00, BGl_proc2592z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2349z00zz__evaluate_typesz00)); 
BgL_arg1905z00_2006 = BgL_v1330z00_2021; } 
{ /* Eval/evaluate_types.scm 114 */
 obj_t BgL_v1331z00_2062;
BgL_v1331z00_2062 = 
create_vector(((long)0)); 
BgL_arg1906z00_2007 = BgL_v1331z00_2062; } 
BGl_ev_gotoz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2597z00zz__evaluate_typesz00, BGl_symbol2336z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)25746), BGl_proc2596z00zz__evaluate_typesz00, BGl_proc2595z00zz__evaluate_typesz00, BFALSE, BGl_proc2594z00zz__evaluate_typesz00, BFALSE, BgL_arg1905z00_2006, BgL_arg1906z00_2007); } 
{ /* Eval/evaluate_types.scm 119 */
 obj_t BgL_arg1935z00_2069; obj_t BgL_arg1936z00_2070;
{ /* Eval/evaluate_types.scm 119 */
 obj_t BgL_v1332z00_2084;
BgL_v1332z00_2084 = 
create_vector(((long)4)); 
VECTOR_SET(BgL_v1332z00_2084,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2362z00zz__evaluate_typesz00, BGl_proc2600z00zz__evaluate_typesz00, BGl_proc2599z00zz__evaluate_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2349z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1332z00_2084,((long)1),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2603z00zz__evaluate_typesz00, BGl_proc2602z00zz__evaluate_typesz00, BGl_proc2601z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1332z00_2084,((long)2),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2403z00zz__evaluate_typesz00, BGl_proc2606z00zz__evaluate_typesz00, BGl_proc2605z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2349z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1332z00_2084,((long)3),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2609z00zz__evaluate_typesz00, BGl_proc2608z00zz__evaluate_typesz00, BGl_proc2607z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2349z00zz__evaluate_typesz00)); 
BgL_arg1935z00_2069 = BgL_v1332z00_2084; } 
{ /* Eval/evaluate_types.scm 119 */
 obj_t BgL_v1333z00_2125;
BgL_v1333z00_2125 = 
create_vector(((long)0)); 
BgL_arg1936z00_2070 = BgL_v1333z00_2125; } 
BGl_ev_appz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2614z00zz__evaluate_typesz00, BGl_symbol2336z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)55822), BGl_proc2613z00zz__evaluate_typesz00, BGl_proc2612z00zz__evaluate_typesz00, BFALSE, BGl_proc2611z00zz__evaluate_typesz00, BFALSE, BgL_arg1935z00_2069, BgL_arg1936z00_2070); } 
{ /* Eval/evaluate_types.scm 122 */
 obj_t BgL_arg1965z00_2132; obj_t BgL_arg1966z00_2133;
{ /* Eval/evaluate_types.scm 122 */
 obj_t BgL_v1334z00_2153;
BgL_v1334z00_2153 = 
create_vector(((long)10)); 
VECTOR_SET(BgL_v1334z00_2153,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2362z00zz__evaluate_typesz00, BGl_proc2617z00zz__evaluate_typesz00, BGl_proc2616z00zz__evaluate_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2349z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1334z00_2153,((long)1),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2620z00zz__evaluate_typesz00, BGl_proc2619z00zz__evaluate_typesz00, BGl_proc2618z00zz__evaluate_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2349z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1334z00_2153,((long)2),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2624z00zz__evaluate_typesz00, BGl_proc2623z00zz__evaluate_typesz00, BGl_proc2622z00zz__evaluate_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2349z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1334z00_2153,((long)3),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2522z00zz__evaluate_typesz00, BGl_proc2627z00zz__evaluate_typesz00, BGl_proc2626z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2349z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1334z00_2153,((long)4),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2476z00zz__evaluate_typesz00, BGl_proc2629z00zz__evaluate_typesz00, BGl_proc2628z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1334z00_2153,((long)5),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2633z00zz__evaluate_typesz00, BGl_proc2632z00zz__evaluate_typesz00, BGl_proc2631z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2630z00zz__evaluate_typesz00, BGl_symbol2635z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1334z00_2153,((long)6),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2640z00zz__evaluate_typesz00, BGl_proc2639z00zz__evaluate_typesz00, BGl_proc2638z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2637z00zz__evaluate_typesz00, BGl_symbol2349z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1334z00_2153,((long)7),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2645z00zz__evaluate_typesz00, BGl_proc2644z00zz__evaluate_typesz00, BGl_proc2643z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2642z00zz__evaluate_typesz00, BGl_symbol2349z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1334z00_2153,((long)8),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2650z00zz__evaluate_typesz00, BGl_proc2649z00zz__evaluate_typesz00, BGl_proc2648z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2647z00zz__evaluate_typesz00, BGl_symbol2349z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1334z00_2153,((long)9),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2538z00zz__evaluate_typesz00, BGl_proc2654z00zz__evaluate_typesz00, BGl_proc2653z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2652z00zz__evaluate_typesz00, BGl_symbol2349z00zz__evaluate_typesz00)); 
BgL_arg1965z00_2132 = BgL_v1334z00_2153; } 
{ /* Eval/evaluate_types.scm 122 */
 obj_t BgL_v1335z00_2269;
BgL_v1335z00_2269 = 
create_vector(((long)0)); 
BgL_arg1966z00_2133 = BgL_v1335z00_2269; } 
return ( 
BGl_ev_absz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2658z00zz__evaluate_typesz00, BGl_symbol2336z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)22827), BGl_proc2657z00zz__evaluate_typesz00, BGl_proc2656z00zz__evaluate_typesz00, BFALSE, BGl_proc2655z00zz__evaluate_typesz00, BFALSE, BgL_arg1965z00_2132, BgL_arg1966z00_2133), BUNSPEC) ;} } 

}



/* &<@anonymous:1971> */
obj_t BGl_z62zc3z04anonymousza31971ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3350, obj_t BgL_new1190z00_3351)
{
{ /* Eval/evaluate_types.scm 122 */
{ 
 BgL_ev_absz00_bglt BgL_auxz00_4481;
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_new1190z00_3351)))->BgL_locz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_new1190z00_3351)))->BgL_wherez00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_new1190z00_3351)))->BgL_arityz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_new1190z00_3351)))->BgL_varsz00)=((obj_t)BUNSPEC),BUNSPEC); 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_4490;
{ /* Eval/evaluate_types.scm 122 */
 obj_t BgL_classz00_3826;
BgL_classz00_3826 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 122 */
 obj_t BgL__ortest_1283z00_3827;
BgL__ortest_1283z00_3827 = 
BGL_CLASS_NIL(BgL_classz00_3826); 
if(
CBOOL(BgL__ortest_1283z00_3827))
{ /* Eval/evaluate_types.scm 122 */
BgL_auxz00_4490 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1283z00_3827)
; }  else 
{ /* Eval/evaluate_types.scm 122 */
BgL_auxz00_4490 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3826))
; } } } 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_new1190z00_3351)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4490),BUNSPEC); } 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_new1190z00_3351)))->BgL_siza7eza7)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_new1190z00_3351)))->BgL_bindz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_new1190z00_3351)))->BgL_freez00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_new1190z00_3351)))->BgL_innerz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_new1190z00_3351)))->BgL_boxesz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_4481 = 
((BgL_ev_absz00_bglt)BgL_new1190z00_3351); 
return 
((obj_t)BgL_auxz00_4481);} } 

}



/* &lambda1969 */
BgL_ev_absz00_bglt BGl_z62lambda1969z62zz__evaluate_typesz00(obj_t BgL_envz00_3352)
{
{ /* Eval/evaluate_types.scm 122 */
{ /* Eval/evaluate_types.scm 122 */
 BgL_ev_absz00_bglt BgL_new1189z00_3828;
BgL_new1189z00_3828 = 
((BgL_ev_absz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_absz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 122 */
 long BgL_arg1970z00_3829;
BgL_arg1970z00_3829 = 
BGL_CLASS_NUM(BGl_ev_absz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1189z00_3828), BgL_arg1970z00_3829); } 
return BgL_new1189z00_3828;} } 

}



/* &lambda1967 */
BgL_ev_absz00_bglt BGl_z62lambda1967z62zz__evaluate_typesz00(obj_t BgL_envz00_3353, obj_t BgL_loc1179z00_3354, obj_t BgL_where1180z00_3355, obj_t BgL_arity1181z00_3356, obj_t BgL_vars1182z00_3357, obj_t BgL_body1183z00_3358, obj_t BgL_siza7e1184za7_3359, obj_t BgL_bind1185z00_3360, obj_t BgL_free1186z00_3361, obj_t BgL_inner1187z00_3362, obj_t BgL_boxes1188z00_3363)
{
{ /* Eval/evaluate_types.scm 122 */
{ /* Eval/evaluate_types.scm 122 */
 int BgL_siza7e1184za7_3831;
BgL_siza7e1184za7_3831 = 
CINT(BgL_siza7e1184za7_3359); 
{ /* Eval/evaluate_types.scm 122 */
 BgL_ev_absz00_bglt BgL_new1242z00_3832;
{ /* Eval/evaluate_types.scm 122 */
 BgL_ev_absz00_bglt BgL_new1241z00_3833;
BgL_new1241z00_3833 = 
((BgL_ev_absz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_absz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 122 */
 long BgL_arg1968z00_3834;
BgL_arg1968z00_3834 = 
BGL_CLASS_NUM(BGl_ev_absz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1241z00_3833), BgL_arg1968z00_3834); } 
BgL_new1242z00_3832 = BgL_new1241z00_3833; } 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1242z00_3832))->BgL_locz00)=((obj_t)BgL_loc1179z00_3354),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1242z00_3832))->BgL_wherez00)=((obj_t)BgL_where1180z00_3355),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1242z00_3832))->BgL_arityz00)=((obj_t)BgL_arity1181z00_3356),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1242z00_3832))->BgL_varsz00)=((obj_t)BgL_vars1182z00_3357),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1242z00_3832))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_body1183z00_3358)),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1242z00_3832))->BgL_siza7eza7)=((int)BgL_siza7e1184za7_3831),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1242z00_3832))->BgL_bindz00)=((obj_t)BgL_bind1185z00_3360),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1242z00_3832))->BgL_freez00)=((obj_t)BgL_free1186z00_3361),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1242z00_3832))->BgL_innerz00)=((obj_t)BgL_inner1187z00_3362),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1242z00_3832))->BgL_boxesz00)=((obj_t)BgL_boxes1188z00_3363),BUNSPEC); 
return BgL_new1242z00_3832;} } } 

}



/* &<@anonymous:2031> */
obj_t BGl_z62zc3z04anonymousza32031ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3364)
{
{ /* Eval/evaluate_types.scm 122 */
return BNIL;} 

}



/* &lambda2030 */
obj_t BGl_z62lambda2030z62zz__evaluate_typesz00(obj_t BgL_envz00_3365, obj_t BgL_oz00_3366, obj_t BgL_vz00_3367)
{
{ /* Eval/evaluate_types.scm 122 */
return 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3366)))->BgL_boxesz00)=((obj_t)BgL_vz00_3367),BUNSPEC);} 

}



/* &lambda2029 */
obj_t BGl_z62lambda2029z62zz__evaluate_typesz00(obj_t BgL_envz00_3368, obj_t BgL_oz00_3369)
{
{ /* Eval/evaluate_types.scm 122 */
return 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3369)))->BgL_boxesz00);} 

}



/* &<@anonymous:2024> */
obj_t BGl_z62zc3z04anonymousza32024ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3370)
{
{ /* Eval/evaluate_types.scm 122 */
return BNIL;} 

}



/* &lambda2023 */
obj_t BGl_z62lambda2023z62zz__evaluate_typesz00(obj_t BgL_envz00_3371, obj_t BgL_oz00_3372, obj_t BgL_vz00_3373)
{
{ /* Eval/evaluate_types.scm 122 */
return 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3372)))->BgL_innerz00)=((obj_t)BgL_vz00_3373),BUNSPEC);} 

}



/* &lambda2022 */
obj_t BGl_z62lambda2022z62zz__evaluate_typesz00(obj_t BgL_envz00_3374, obj_t BgL_oz00_3375)
{
{ /* Eval/evaluate_types.scm 122 */
return 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3375)))->BgL_innerz00);} 

}



/* &<@anonymous:2017> */
obj_t BGl_z62zc3z04anonymousza32017ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3376)
{
{ /* Eval/evaluate_types.scm 122 */
return BNIL;} 

}



/* &lambda2016 */
obj_t BGl_z62lambda2016z62zz__evaluate_typesz00(obj_t BgL_envz00_3377, obj_t BgL_oz00_3378, obj_t BgL_vz00_3379)
{
{ /* Eval/evaluate_types.scm 122 */
return 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3378)))->BgL_freez00)=((obj_t)BgL_vz00_3379),BUNSPEC);} 

}



/* &lambda2015 */
obj_t BGl_z62lambda2015z62zz__evaluate_typesz00(obj_t BgL_envz00_3380, obj_t BgL_oz00_3381)
{
{ /* Eval/evaluate_types.scm 122 */
return 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3381)))->BgL_freez00);} 

}



/* &<@anonymous:2010> */
obj_t BGl_z62zc3z04anonymousza32010ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3382)
{
{ /* Eval/evaluate_types.scm 122 */
return BNIL;} 

}



/* &lambda2009 */
obj_t BGl_z62lambda2009z62zz__evaluate_typesz00(obj_t BgL_envz00_3383, obj_t BgL_oz00_3384, obj_t BgL_vz00_3385)
{
{ /* Eval/evaluate_types.scm 122 */
return 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3384)))->BgL_bindz00)=((obj_t)BgL_vz00_3385),BUNSPEC);} 

}



/* &lambda2008 */
obj_t BGl_z62lambda2008z62zz__evaluate_typesz00(obj_t BgL_envz00_3386, obj_t BgL_oz00_3387)
{
{ /* Eval/evaluate_types.scm 122 */
return 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3387)))->BgL_bindz00);} 

}



/* &<@anonymous:2003> */
obj_t BGl_z62zc3z04anonymousza32003ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3388)
{
{ /* Eval/evaluate_types.scm 122 */
return 
BINT(((long)0));} 

}



/* &lambda2002 */
obj_t BGl_z62lambda2002z62zz__evaluate_typesz00(obj_t BgL_envz00_3389, obj_t BgL_oz00_3390, obj_t BgL_vz00_3391)
{
{ /* Eval/evaluate_types.scm 122 */
{ /* Eval/evaluate_types.scm 122 */
 int BgL_vz00_3844;
BgL_vz00_3844 = 
CINT(BgL_vz00_3391); 
return 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3390)))->BgL_siza7eza7)=((int)BgL_vz00_3844),BUNSPEC);} } 

}



/* &lambda2001 */
obj_t BGl_z62lambda2001z62zz__evaluate_typesz00(obj_t BgL_envz00_3392, obj_t BgL_oz00_3393)
{
{ /* Eval/evaluate_types.scm 122 */
return 
BINT(
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3393)))->BgL_siza7eza7));} 

}



/* &lambda1996 */
obj_t BGl_z62lambda1996z62zz__evaluate_typesz00(obj_t BgL_envz00_3394, obj_t BgL_oz00_3395, obj_t BgL_vz00_3396)
{
{ /* Eval/evaluate_types.scm 122 */
return 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3395)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3396)),BUNSPEC);} 

}



/* &lambda1995 */
BgL_ev_exprz00_bglt BGl_z62lambda1995z62zz__evaluate_typesz00(obj_t BgL_envz00_3397, obj_t BgL_oz00_3398)
{
{ /* Eval/evaluate_types.scm 122 */
return 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3398)))->BgL_bodyz00);} 

}



/* &lambda1991 */
obj_t BGl_z62lambda1991z62zz__evaluate_typesz00(obj_t BgL_envz00_3399, obj_t BgL_oz00_3400, obj_t BgL_vz00_3401)
{
{ /* Eval/evaluate_types.scm 122 */
return 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3400)))->BgL_varsz00)=((obj_t)BgL_vz00_3401),BUNSPEC);} 

}



/* &lambda1990 */
obj_t BGl_z62lambda1990z62zz__evaluate_typesz00(obj_t BgL_envz00_3402, obj_t BgL_oz00_3403)
{
{ /* Eval/evaluate_types.scm 122 */
return 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3403)))->BgL_varsz00);} 

}



/* &lambda1986 */
obj_t BGl_z62lambda1986z62zz__evaluate_typesz00(obj_t BgL_envz00_3404, obj_t BgL_oz00_3405, obj_t BgL_vz00_3406)
{
{ /* Eval/evaluate_types.scm 122 */
return 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3405)))->BgL_arityz00)=((obj_t)BgL_vz00_3406),BUNSPEC);} 

}



/* &lambda1985 */
obj_t BGl_z62lambda1985z62zz__evaluate_typesz00(obj_t BgL_envz00_3407, obj_t BgL_oz00_3408)
{
{ /* Eval/evaluate_types.scm 122 */
return 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3408)))->BgL_arityz00);} 

}



/* &lambda1981 */
obj_t BGl_z62lambda1981z62zz__evaluate_typesz00(obj_t BgL_envz00_3409, obj_t BgL_oz00_3410, obj_t BgL_vz00_3411)
{
{ /* Eval/evaluate_types.scm 122 */
return 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3410)))->BgL_wherez00)=((obj_t)BgL_vz00_3411),BUNSPEC);} 

}



/* &lambda1980 */
obj_t BGl_z62lambda1980z62zz__evaluate_typesz00(obj_t BgL_envz00_3412, obj_t BgL_oz00_3413)
{
{ /* Eval/evaluate_types.scm 122 */
return 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3413)))->BgL_wherez00);} 

}



/* &lambda1976 */
obj_t BGl_z62lambda1976z62zz__evaluate_typesz00(obj_t BgL_envz00_3414, obj_t BgL_oz00_3415, obj_t BgL_vz00_3416)
{
{ /* Eval/evaluate_types.scm 122 */
return 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3415)))->BgL_locz00)=((obj_t)BgL_vz00_3416),BUNSPEC);} 

}



/* &lambda1975 */
obj_t BGl_z62lambda1975z62zz__evaluate_typesz00(obj_t BgL_envz00_3417, obj_t BgL_oz00_3418)
{
{ /* Eval/evaluate_types.scm 122 */
return 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3418)))->BgL_locz00);} 

}



/* &<@anonymous:1941> */
obj_t BGl_z62zc3z04anonymousza31941ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3419, obj_t BgL_new1177z00_3420)
{
{ /* Eval/evaluate_types.scm 119 */
{ 
 BgL_ev_appz00_bglt BgL_auxz00_4576;
((((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_new1177z00_3420)))->BgL_locz00)=((obj_t)BUNSPEC),BUNSPEC); 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_4579;
{ /* Eval/evaluate_types.scm 119 */
 obj_t BgL_classz00_3858;
BgL_classz00_3858 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 119 */
 obj_t BgL__ortest_1283z00_3859;
BgL__ortest_1283z00_3859 = 
BGL_CLASS_NIL(BgL_classz00_3858); 
if(
CBOOL(BgL__ortest_1283z00_3859))
{ /* Eval/evaluate_types.scm 119 */
BgL_auxz00_4579 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1283z00_3859)
; }  else 
{ /* Eval/evaluate_types.scm 119 */
BgL_auxz00_4579 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3858))
; } } } 
((((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_new1177z00_3420)))->BgL_funz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4579),BUNSPEC); } 
((((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_new1177z00_3420)))->BgL_argsz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_new1177z00_3420)))->BgL_tailzf3zf3)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_4576 = 
((BgL_ev_appz00_bglt)BgL_new1177z00_3420); 
return 
((obj_t)BgL_auxz00_4576);} } 

}



/* &lambda1939 */
BgL_ev_appz00_bglt BGl_z62lambda1939z62zz__evaluate_typesz00(obj_t BgL_envz00_3421)
{
{ /* Eval/evaluate_types.scm 119 */
{ /* Eval/evaluate_types.scm 119 */
 BgL_ev_appz00_bglt BgL_new1176z00_3860;
BgL_new1176z00_3860 = 
((BgL_ev_appz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_appz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 119 */
 long BgL_arg1940z00_3861;
BgL_arg1940z00_3861 = 
BGL_CLASS_NUM(BGl_ev_appz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1176z00_3860), BgL_arg1940z00_3861); } 
return BgL_new1176z00_3860;} } 

}



/* &lambda1937 */
BgL_ev_appz00_bglt BGl_z62lambda1937z62zz__evaluate_typesz00(obj_t BgL_envz00_3422, obj_t BgL_loc1172z00_3423, obj_t BgL_fun1173z00_3424, obj_t BgL_args1174z00_3425, obj_t BgL_tailzf31175zf3_3426)
{
{ /* Eval/evaluate_types.scm 119 */
{ /* Eval/evaluate_types.scm 119 */
 BgL_ev_appz00_bglt BgL_new1240z00_3863;
{ /* Eval/evaluate_types.scm 119 */
 BgL_ev_appz00_bglt BgL_new1239z00_3864;
BgL_new1239z00_3864 = 
((BgL_ev_appz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_appz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 119 */
 long BgL_arg1938z00_3865;
BgL_arg1938z00_3865 = 
BGL_CLASS_NUM(BGl_ev_appz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1239z00_3864), BgL_arg1938z00_3865); } 
BgL_new1240z00_3863 = BgL_new1239z00_3864; } 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1240z00_3863))->BgL_locz00)=((obj_t)BgL_loc1172z00_3423),BUNSPEC); 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1240z00_3863))->BgL_funz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_fun1173z00_3424)),BUNSPEC); 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1240z00_3863))->BgL_argsz00)=((obj_t)BgL_args1174z00_3425),BUNSPEC); 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1240z00_3863))->BgL_tailzf3zf3)=((obj_t)BgL_tailzf31175zf3_3426),BUNSPEC); 
return BgL_new1240z00_3863;} } 

}



/* &lambda1961 */
obj_t BGl_z62lambda1961z62zz__evaluate_typesz00(obj_t BgL_envz00_3427, obj_t BgL_oz00_3428, obj_t BgL_vz00_3429)
{
{ /* Eval/evaluate_types.scm 119 */
return 
((((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_oz00_3428)))->BgL_tailzf3zf3)=((obj_t)BgL_vz00_3429),BUNSPEC);} 

}



/* &lambda1960 */
obj_t BGl_z62lambda1960z62zz__evaluate_typesz00(obj_t BgL_envz00_3430, obj_t BgL_oz00_3431)
{
{ /* Eval/evaluate_types.scm 119 */
return 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_oz00_3431)))->BgL_tailzf3zf3);} 

}



/* &lambda1956 */
obj_t BGl_z62lambda1956z62zz__evaluate_typesz00(obj_t BgL_envz00_3432, obj_t BgL_oz00_3433, obj_t BgL_vz00_3434)
{
{ /* Eval/evaluate_types.scm 119 */
return 
((((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_oz00_3433)))->BgL_argsz00)=((obj_t)BgL_vz00_3434),BUNSPEC);} 

}



/* &lambda1955 */
obj_t BGl_z62lambda1955z62zz__evaluate_typesz00(obj_t BgL_envz00_3435, obj_t BgL_oz00_3436)
{
{ /* Eval/evaluate_types.scm 119 */
return 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_oz00_3436)))->BgL_argsz00);} 

}



/* &lambda1951 */
obj_t BGl_z62lambda1951z62zz__evaluate_typesz00(obj_t BgL_envz00_3437, obj_t BgL_oz00_3438, obj_t BgL_vz00_3439)
{
{ /* Eval/evaluate_types.scm 119 */
return 
((((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_oz00_3438)))->BgL_funz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3439)),BUNSPEC);} 

}



/* &lambda1950 */
BgL_ev_exprz00_bglt BGl_z62lambda1950z62zz__evaluate_typesz00(obj_t BgL_envz00_3440, obj_t BgL_oz00_3441)
{
{ /* Eval/evaluate_types.scm 119 */
return 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_oz00_3441)))->BgL_funz00);} 

}



/* &lambda1946 */
obj_t BGl_z62lambda1946z62zz__evaluate_typesz00(obj_t BgL_envz00_3442, obj_t BgL_oz00_3443, obj_t BgL_vz00_3444)
{
{ /* Eval/evaluate_types.scm 119 */
return 
((((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_oz00_3443)))->BgL_locz00)=((obj_t)BgL_vz00_3444),BUNSPEC);} 

}



/* &lambda1945 */
obj_t BGl_z62lambda1945z62zz__evaluate_typesz00(obj_t BgL_envz00_3445, obj_t BgL_oz00_3446)
{
{ /* Eval/evaluate_types.scm 119 */
return 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_oz00_3446)))->BgL_locz00);} 

}



/* &<@anonymous:1911> */
obj_t BGl_z62zc3z04anonymousza31911ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3447, obj_t BgL_new1170z00_3448)
{
{ /* Eval/evaluate_types.scm 114 */
{ 
 BgL_ev_gotoz00_bglt BgL_auxz00_4624;
((((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_new1170z00_3448)))->BgL_locz00)=((obj_t)BUNSPEC),BUNSPEC); 
{ 
 BgL_ev_varz00_bglt BgL_auxz00_4627;
{ /* Eval/evaluate_types.scm 114 */
 obj_t BgL_classz00_3876;
BgL_classz00_3876 = BGl_ev_varz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 114 */
 obj_t BgL__ortest_1283z00_3877;
BgL__ortest_1283z00_3877 = 
BGL_CLASS_NIL(BgL_classz00_3876); 
if(
CBOOL(BgL__ortest_1283z00_3877))
{ /* Eval/evaluate_types.scm 114 */
BgL_auxz00_4627 = 
((BgL_ev_varz00_bglt)BgL__ortest_1283z00_3877)
; }  else 
{ /* Eval/evaluate_types.scm 114 */
BgL_auxz00_4627 = 
((BgL_ev_varz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3876))
; } } } 
((((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_new1170z00_3448)))->BgL_labelz00)=((BgL_ev_varz00_bglt)BgL_auxz00_4627),BUNSPEC); } 
{ 
 BgL_ev_labelsz00_bglt BgL_auxz00_4636;
{ /* Eval/evaluate_types.scm 114 */
 obj_t BgL_classz00_3878;
BgL_classz00_3878 = BGl_ev_labelsz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 114 */
 obj_t BgL__ortest_1283z00_3879;
BgL__ortest_1283z00_3879 = 
BGL_CLASS_NIL(BgL_classz00_3878); 
if(
CBOOL(BgL__ortest_1283z00_3879))
{ /* Eval/evaluate_types.scm 114 */
BgL_auxz00_4636 = 
((BgL_ev_labelsz00_bglt)BgL__ortest_1283z00_3879)
; }  else 
{ /* Eval/evaluate_types.scm 114 */
BgL_auxz00_4636 = 
((BgL_ev_labelsz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3878))
; } } } 
((((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_new1170z00_3448)))->BgL_labelsz00)=((BgL_ev_labelsz00_bglt)BgL_auxz00_4636),BUNSPEC); } 
((((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_new1170z00_3448)))->BgL_argsz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_4624 = 
((BgL_ev_gotoz00_bglt)BgL_new1170z00_3448); 
return 
((obj_t)BgL_auxz00_4624);} } 

}



/* &lambda1909 */
BgL_ev_gotoz00_bglt BGl_z62lambda1909z62zz__evaluate_typesz00(obj_t BgL_envz00_3449)
{
{ /* Eval/evaluate_types.scm 114 */
{ /* Eval/evaluate_types.scm 114 */
 BgL_ev_gotoz00_bglt BgL_new1169z00_3880;
BgL_new1169z00_3880 = 
((BgL_ev_gotoz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_gotoz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 114 */
 long BgL_arg1910z00_3881;
BgL_arg1910z00_3881 = 
BGL_CLASS_NUM(BGl_ev_gotoz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1169z00_3880), BgL_arg1910z00_3881); } 
return BgL_new1169z00_3880;} } 

}



/* &lambda1907 */
BgL_ev_gotoz00_bglt BGl_z62lambda1907z62zz__evaluate_typesz00(obj_t BgL_envz00_3450, obj_t BgL_loc1165z00_3451, obj_t BgL_label1166z00_3452, obj_t BgL_labels1167z00_3453, obj_t BgL_args1168z00_3454)
{
{ /* Eval/evaluate_types.scm 114 */
{ /* Eval/evaluate_types.scm 114 */
 BgL_ev_gotoz00_bglt BgL_new1238z00_3884;
{ /* Eval/evaluate_types.scm 114 */
 BgL_ev_gotoz00_bglt BgL_new1237z00_3885;
BgL_new1237z00_3885 = 
((BgL_ev_gotoz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_gotoz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 114 */
 long BgL_arg1908z00_3886;
BgL_arg1908z00_3886 = 
BGL_CLASS_NUM(BGl_ev_gotoz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1237z00_3885), BgL_arg1908z00_3886); } 
BgL_new1238z00_3884 = BgL_new1237z00_3885; } 
((((BgL_ev_gotoz00_bglt)COBJECT(BgL_new1238z00_3884))->BgL_locz00)=((obj_t)BgL_loc1165z00_3451),BUNSPEC); 
((((BgL_ev_gotoz00_bglt)COBJECT(BgL_new1238z00_3884))->BgL_labelz00)=((BgL_ev_varz00_bglt)
((BgL_ev_varz00_bglt)BgL_label1166z00_3452)),BUNSPEC); 
((((BgL_ev_gotoz00_bglt)COBJECT(BgL_new1238z00_3884))->BgL_labelsz00)=((BgL_ev_labelsz00_bglt)
((BgL_ev_labelsz00_bglt)BgL_labels1167z00_3453)),BUNSPEC); 
((((BgL_ev_gotoz00_bglt)COBJECT(BgL_new1238z00_3884))->BgL_argsz00)=((obj_t)BgL_args1168z00_3454),BUNSPEC); 
return BgL_new1238z00_3884;} } 

}



/* &lambda1931 */
obj_t BGl_z62lambda1931z62zz__evaluate_typesz00(obj_t BgL_envz00_3455, obj_t BgL_oz00_3456, obj_t BgL_vz00_3457)
{
{ /* Eval/evaluate_types.scm 114 */
return 
((((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_oz00_3456)))->BgL_argsz00)=((obj_t)BgL_vz00_3457),BUNSPEC);} 

}



/* &lambda1930 */
obj_t BGl_z62lambda1930z62zz__evaluate_typesz00(obj_t BgL_envz00_3458, obj_t BgL_oz00_3459)
{
{ /* Eval/evaluate_types.scm 114 */
return 
(((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_oz00_3459)))->BgL_argsz00);} 

}



/* &lambda1926 */
obj_t BGl_z62lambda1926z62zz__evaluate_typesz00(obj_t BgL_envz00_3460, obj_t BgL_oz00_3461, obj_t BgL_vz00_3462)
{
{ /* Eval/evaluate_types.scm 114 */
return 
((((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_oz00_3461)))->BgL_labelsz00)=((BgL_ev_labelsz00_bglt)
((BgL_ev_labelsz00_bglt)BgL_vz00_3462)),BUNSPEC);} 

}



/* &lambda1925 */
BgL_ev_labelsz00_bglt BGl_z62lambda1925z62zz__evaluate_typesz00(obj_t BgL_envz00_3463, obj_t BgL_oz00_3464)
{
{ /* Eval/evaluate_types.scm 114 */
return 
(((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_oz00_3464)))->BgL_labelsz00);} 

}



/* &lambda1921 */
obj_t BGl_z62lambda1921z62zz__evaluate_typesz00(obj_t BgL_envz00_3465, obj_t BgL_oz00_3466, obj_t BgL_vz00_3467)
{
{ /* Eval/evaluate_types.scm 114 */
return 
((((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_oz00_3466)))->BgL_labelz00)=((BgL_ev_varz00_bglt)
((BgL_ev_varz00_bglt)BgL_vz00_3467)),BUNSPEC);} 

}



/* &lambda1920 */
BgL_ev_varz00_bglt BGl_z62lambda1920z62zz__evaluate_typesz00(obj_t BgL_envz00_3468, obj_t BgL_oz00_3469)
{
{ /* Eval/evaluate_types.scm 114 */
return 
(((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_oz00_3469)))->BgL_labelz00);} 

}



/* &lambda1916 */
obj_t BGl_z62lambda1916z62zz__evaluate_typesz00(obj_t BgL_envz00_3470, obj_t BgL_oz00_3471, obj_t BgL_vz00_3472)
{
{ /* Eval/evaluate_types.scm 114 */
return 
((((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_oz00_3471)))->BgL_locz00)=((obj_t)BgL_vz00_3472),BUNSPEC);} 

}



/* &lambda1915 */
obj_t BGl_z62lambda1915z62zz__evaluate_typesz00(obj_t BgL_envz00_3473, obj_t BgL_oz00_3474)
{
{ /* Eval/evaluate_types.scm 114 */
return 
(((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_oz00_3474)))->BgL_locz00);} 

}



/* &<@anonymous:1863> */
obj_t BGl_z62zc3z04anonymousza31863ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3475, obj_t BgL_new1163z00_3476)
{
{ /* Eval/evaluate_types.scm 106 */
{ 
 BgL_ev_labelsz00_bglt BgL_auxz00_4681;
((((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_new1163z00_3476)))->BgL_varsz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_new1163z00_3476)))->BgL_valsz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_new1163z00_3476)))->BgL_envz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_new1163z00_3476)))->BgL_stkz00)=((obj_t)BUNSPEC),BUNSPEC); 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_4690;
{ /* Eval/evaluate_types.scm 106 */
 obj_t BgL_classz00_3898;
BgL_classz00_3898 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 106 */
 obj_t BgL__ortest_1283z00_3899;
BgL__ortest_1283z00_3899 = 
BGL_CLASS_NIL(BgL_classz00_3898); 
if(
CBOOL(BgL__ortest_1283z00_3899))
{ /* Eval/evaluate_types.scm 106 */
BgL_auxz00_4690 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1283z00_3899)
; }  else 
{ /* Eval/evaluate_types.scm 106 */
BgL_auxz00_4690 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3898))
; } } } 
((((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_new1163z00_3476)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4690),BUNSPEC); } 
((((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_new1163z00_3476)))->BgL_boxesz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_4681 = 
((BgL_ev_labelsz00_bglt)BgL_new1163z00_3476); 
return 
((obj_t)BgL_auxz00_4681);} } 

}



/* &lambda1861 */
BgL_ev_labelsz00_bglt BGl_z62lambda1861z62zz__evaluate_typesz00(obj_t BgL_envz00_3477)
{
{ /* Eval/evaluate_types.scm 106 */
{ /* Eval/evaluate_types.scm 106 */
 BgL_ev_labelsz00_bglt BgL_new1162z00_3900;
BgL_new1162z00_3900 = 
((BgL_ev_labelsz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_labelsz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 106 */
 long BgL_arg1862z00_3901;
BgL_arg1862z00_3901 = 
BGL_CLASS_NUM(BGl_ev_labelsz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1162z00_3900), BgL_arg1862z00_3901); } 
return BgL_new1162z00_3900;} } 

}



/* &lambda1859 */
BgL_ev_labelsz00_bglt BGl_z62lambda1859z62zz__evaluate_typesz00(obj_t BgL_envz00_3478, obj_t BgL_vars1156z00_3479, obj_t BgL_vals1157z00_3480, obj_t BgL_env1158z00_3481, obj_t BgL_stk1159z00_3482, obj_t BgL_body1160z00_3483, obj_t BgL_boxes1161z00_3484)
{
{ /* Eval/evaluate_types.scm 106 */
{ /* Eval/evaluate_types.scm 106 */
 BgL_ev_labelsz00_bglt BgL_new1236z00_3903;
{ /* Eval/evaluate_types.scm 106 */
 BgL_ev_labelsz00_bglt BgL_new1235z00_3904;
BgL_new1235z00_3904 = 
((BgL_ev_labelsz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_labelsz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 106 */
 long BgL_arg1860z00_3905;
BgL_arg1860z00_3905 = 
BGL_CLASS_NUM(BGl_ev_labelsz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1235z00_3904), BgL_arg1860z00_3905); } 
BgL_new1236z00_3903 = BgL_new1235z00_3904; } 
((((BgL_ev_labelsz00_bglt)COBJECT(BgL_new1236z00_3903))->BgL_varsz00)=((obj_t)BgL_vars1156z00_3479),BUNSPEC); 
((((BgL_ev_labelsz00_bglt)COBJECT(BgL_new1236z00_3903))->BgL_valsz00)=((obj_t)BgL_vals1157z00_3480),BUNSPEC); 
((((BgL_ev_labelsz00_bglt)COBJECT(BgL_new1236z00_3903))->BgL_envz00)=((obj_t)BgL_env1158z00_3481),BUNSPEC); 
((((BgL_ev_labelsz00_bglt)COBJECT(BgL_new1236z00_3903))->BgL_stkz00)=((obj_t)BgL_stk1159z00_3482),BUNSPEC); 
((((BgL_ev_labelsz00_bglt)COBJECT(BgL_new1236z00_3903))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_body1160z00_3483)),BUNSPEC); 
((((BgL_ev_labelsz00_bglt)COBJECT(BgL_new1236z00_3903))->BgL_boxesz00)=((obj_t)BgL_boxes1161z00_3484),BUNSPEC); 
return BgL_new1236z00_3903;} } 

}



/* &<@anonymous:1901> */
obj_t BGl_z62zc3z04anonymousza31901ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3485)
{
{ /* Eval/evaluate_types.scm 106 */
return BNIL;} 

}



/* &lambda1900 */
obj_t BGl_z62lambda1900z62zz__evaluate_typesz00(obj_t BgL_envz00_3486, obj_t BgL_oz00_3487, obj_t BgL_vz00_3488)
{
{ /* Eval/evaluate_types.scm 106 */
return 
((((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_oz00_3487)))->BgL_boxesz00)=((obj_t)BgL_vz00_3488),BUNSPEC);} 

}



/* &lambda1899 */
obj_t BGl_z62lambda1899z62zz__evaluate_typesz00(obj_t BgL_envz00_3489, obj_t BgL_oz00_3490)
{
{ /* Eval/evaluate_types.scm 106 */
return 
(((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_oz00_3490)))->BgL_boxesz00);} 

}



/* &lambda1892 */
obj_t BGl_z62lambda1892z62zz__evaluate_typesz00(obj_t BgL_envz00_3491, obj_t BgL_oz00_3492, obj_t BgL_vz00_3493)
{
{ /* Eval/evaluate_types.scm 106 */
return 
((((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_oz00_3492)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3493)),BUNSPEC);} 

}



/* &lambda1891 */
BgL_ev_exprz00_bglt BGl_z62lambda1891z62zz__evaluate_typesz00(obj_t BgL_envz00_3494, obj_t BgL_oz00_3495)
{
{ /* Eval/evaluate_types.scm 106 */
return 
(((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_oz00_3495)))->BgL_bodyz00);} 

}



/* &<@anonymous:1887> */
obj_t BGl_z62zc3z04anonymousza31887ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3496)
{
{ /* Eval/evaluate_types.scm 106 */
return BNIL;} 

}



/* &lambda1886 */
obj_t BGl_z62lambda1886z62zz__evaluate_typesz00(obj_t BgL_envz00_3497, obj_t BgL_oz00_3498, obj_t BgL_vz00_3499)
{
{ /* Eval/evaluate_types.scm 106 */
return 
((((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_oz00_3498)))->BgL_stkz00)=((obj_t)BgL_vz00_3499),BUNSPEC);} 

}



/* &lambda1885 */
obj_t BGl_z62lambda1885z62zz__evaluate_typesz00(obj_t BgL_envz00_3500, obj_t BgL_oz00_3501)
{
{ /* Eval/evaluate_types.scm 106 */
return 
(((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_oz00_3501)))->BgL_stkz00);} 

}



/* &<@anonymous:1880> */
obj_t BGl_z62zc3z04anonymousza31880ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3502)
{
{ /* Eval/evaluate_types.scm 106 */
return BNIL;} 

}



/* &lambda1879 */
obj_t BGl_z62lambda1879z62zz__evaluate_typesz00(obj_t BgL_envz00_3503, obj_t BgL_oz00_3504, obj_t BgL_vz00_3505)
{
{ /* Eval/evaluate_types.scm 106 */
return 
((((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_oz00_3504)))->BgL_envz00)=((obj_t)BgL_vz00_3505),BUNSPEC);} 

}



/* &lambda1878 */
obj_t BGl_z62lambda1878z62zz__evaluate_typesz00(obj_t BgL_envz00_3506, obj_t BgL_oz00_3507)
{
{ /* Eval/evaluate_types.scm 106 */
return 
(((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_oz00_3507)))->BgL_envz00);} 

}



/* &lambda1873 */
obj_t BGl_z62lambda1873z62zz__evaluate_typesz00(obj_t BgL_envz00_3508, obj_t BgL_oz00_3509, obj_t BgL_vz00_3510)
{
{ /* Eval/evaluate_types.scm 106 */
return 
((((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_oz00_3509)))->BgL_valsz00)=((obj_t)BgL_vz00_3510),BUNSPEC);} 

}



/* &lambda1872 */
obj_t BGl_z62lambda1872z62zz__evaluate_typesz00(obj_t BgL_envz00_3511, obj_t BgL_oz00_3512)
{
{ /* Eval/evaluate_types.scm 106 */
return 
(((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_oz00_3512)))->BgL_valsz00);} 

}



/* &lambda1868 */
obj_t BGl_z62lambda1868z62zz__evaluate_typesz00(obj_t BgL_envz00_3513, obj_t BgL_oz00_3514, obj_t BgL_vz00_3515)
{
{ /* Eval/evaluate_types.scm 106 */
return 
((((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_oz00_3514)))->BgL_varsz00)=((obj_t)BgL_vz00_3515),BUNSPEC);} 

}



/* &lambda1867 */
obj_t BGl_z62lambda1867z62zz__evaluate_typesz00(obj_t BgL_envz00_3516, obj_t BgL_oz00_3517)
{
{ /* Eval/evaluate_types.scm 106 */
return 
(((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_oz00_3517)))->BgL_varsz00);} 

}



/* &<@anonymous:1852> */
obj_t BGl_z62zc3z04anonymousza31852ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3518, obj_t BgL_new1154z00_3519)
{
{ /* Eval/evaluate_types.scm 105 */
{ 
 BgL_ev_letrecz00_bglt BgL_auxz00_4743;
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letrecz00_bglt)BgL_new1154z00_3519))))->BgL_varsz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letrecz00_bglt)BgL_new1154z00_3519))))->BgL_valsz00)=((obj_t)BUNSPEC),BUNSPEC); 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_4750;
{ /* Eval/evaluate_types.scm 105 */
 obj_t BgL_classz00_3920;
BgL_classz00_3920 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 105 */
 obj_t BgL__ortest_1283z00_3921;
BgL__ortest_1283z00_3921 = 
BGL_CLASS_NIL(BgL_classz00_3920); 
if(
CBOOL(BgL__ortest_1283z00_3921))
{ /* Eval/evaluate_types.scm 105 */
BgL_auxz00_4750 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1283z00_3921)
; }  else 
{ /* Eval/evaluate_types.scm 105 */
BgL_auxz00_4750 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3920))
; } } } 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letrecz00_bglt)BgL_new1154z00_3519))))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4750),BUNSPEC); } 
BgL_auxz00_4743 = 
((BgL_ev_letrecz00_bglt)BgL_new1154z00_3519); 
return 
((obj_t)BgL_auxz00_4743);} } 

}



/* &lambda1850 */
BgL_ev_letrecz00_bglt BGl_z62lambda1850z62zz__evaluate_typesz00(obj_t BgL_envz00_3520)
{
{ /* Eval/evaluate_types.scm 105 */
{ /* Eval/evaluate_types.scm 105 */
 BgL_ev_letrecz00_bglt BgL_new1153z00_3922;
BgL_new1153z00_3922 = 
((BgL_ev_letrecz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_letrecz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 105 */
 long BgL_arg1851z00_3923;
BgL_arg1851z00_3923 = 
BGL_CLASS_NUM(BGl_ev_letrecz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1153z00_3922), BgL_arg1851z00_3923); } 
return BgL_new1153z00_3922;} } 

}



/* &lambda1848 */
BgL_ev_letrecz00_bglt BGl_z62lambda1848z62zz__evaluate_typesz00(obj_t BgL_envz00_3521, obj_t BgL_vars1150z00_3522, obj_t BgL_vals1151z00_3523, obj_t BgL_body1152z00_3524)
{
{ /* Eval/evaluate_types.scm 105 */
{ /* Eval/evaluate_types.scm 105 */
 BgL_ev_letrecz00_bglt BgL_new1234z00_3925;
{ /* Eval/evaluate_types.scm 105 */
 BgL_ev_letrecz00_bglt BgL_new1233z00_3926;
BgL_new1233z00_3926 = 
((BgL_ev_letrecz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_letrecz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 105 */
 long BgL_arg1849z00_3927;
BgL_arg1849z00_3927 = 
BGL_CLASS_NUM(BGl_ev_letrecz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1233z00_3926), BgL_arg1849z00_3927); } 
BgL_new1234z00_3925 = BgL_new1233z00_3926; } 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1234z00_3925)))->BgL_varsz00)=((obj_t)BgL_vars1150z00_3522),BUNSPEC); 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1234z00_3925)))->BgL_valsz00)=((obj_t)BgL_vals1151z00_3523),BUNSPEC); 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1234z00_3925)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_body1152z00_3524)),BUNSPEC); 
return BgL_new1234z00_3925;} } 

}



/* &<@anonymous:1835> */
obj_t BGl_z62zc3z04anonymousza31835ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3525, obj_t BgL_new1148z00_3526)
{
{ /* Eval/evaluate_types.scm 103 */
{ 
 BgL_ev_letza2za2_bglt BgL_auxz00_4777;
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letza2za2_bglt)BgL_new1148z00_3526))))->BgL_varsz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letza2za2_bglt)BgL_new1148z00_3526))))->BgL_valsz00)=((obj_t)BUNSPEC),BUNSPEC); 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_4784;
{ /* Eval/evaluate_types.scm 103 */
 obj_t BgL_classz00_3929;
BgL_classz00_3929 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 103 */
 obj_t BgL__ortest_1283z00_3930;
BgL__ortest_1283z00_3930 = 
BGL_CLASS_NIL(BgL_classz00_3929); 
if(
CBOOL(BgL__ortest_1283z00_3930))
{ /* Eval/evaluate_types.scm 103 */
BgL_auxz00_4784 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1283z00_3930)
; }  else 
{ /* Eval/evaluate_types.scm 103 */
BgL_auxz00_4784 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3929))
; } } } 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letza2za2_bglt)BgL_new1148z00_3526))))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4784),BUNSPEC); } 
((((BgL_ev_letza2za2_bglt)COBJECT(
((BgL_ev_letza2za2_bglt)BgL_new1148z00_3526)))->BgL_boxesz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_4777 = 
((BgL_ev_letza2za2_bglt)BgL_new1148z00_3526); 
return 
((obj_t)BgL_auxz00_4777);} } 

}



/* &lambda1833 */
BgL_ev_letza2za2_bglt BGl_z62lambda1833z62zz__evaluate_typesz00(obj_t BgL_envz00_3527)
{
{ /* Eval/evaluate_types.scm 103 */
{ /* Eval/evaluate_types.scm 103 */
 BgL_ev_letza2za2_bglt BgL_new1147z00_3931;
BgL_new1147z00_3931 = 
((BgL_ev_letza2za2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_letza2za2_bgl) ))); 
{ /* Eval/evaluate_types.scm 103 */
 long BgL_arg1834z00_3932;
BgL_arg1834z00_3932 = 
BGL_CLASS_NUM(BGl_ev_letza2za2zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1147z00_3931), BgL_arg1834z00_3932); } 
return BgL_new1147z00_3931;} } 

}



/* &lambda1831 */
BgL_ev_letza2za2_bglt BGl_z62lambda1831z62zz__evaluate_typesz00(obj_t BgL_envz00_3528, obj_t BgL_vars1143z00_3529, obj_t BgL_vals1144z00_3530, obj_t BgL_body1145z00_3531, obj_t BgL_boxes1146z00_3532)
{
{ /* Eval/evaluate_types.scm 103 */
{ /* Eval/evaluate_types.scm 103 */
 BgL_ev_letza2za2_bglt BgL_new1232z00_3934;
{ /* Eval/evaluate_types.scm 103 */
 BgL_ev_letza2za2_bglt BgL_new1231z00_3935;
BgL_new1231z00_3935 = 
((BgL_ev_letza2za2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_letza2za2_bgl) ))); 
{ /* Eval/evaluate_types.scm 103 */
 long BgL_arg1832z00_3936;
BgL_arg1832z00_3936 = 
BGL_CLASS_NUM(BGl_ev_letza2za2zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1231z00_3935), BgL_arg1832z00_3936); } 
BgL_new1232z00_3934 = BgL_new1231z00_3935; } 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1232z00_3934)))->BgL_varsz00)=((obj_t)BgL_vars1143z00_3529),BUNSPEC); 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1232z00_3934)))->BgL_valsz00)=((obj_t)BgL_vals1144z00_3530),BUNSPEC); 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1232z00_3934)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_body1145z00_3531)),BUNSPEC); 
((((BgL_ev_letza2za2_bglt)COBJECT(BgL_new1232z00_3934))->BgL_boxesz00)=((obj_t)BgL_boxes1146z00_3532),BUNSPEC); 
return BgL_new1232z00_3934;} } 

}



/* &<@anonymous:1842> */
obj_t BGl_z62zc3z04anonymousza31842ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3533)
{
{ /* Eval/evaluate_types.scm 103 */
return BNIL;} 

}



/* &lambda1841 */
obj_t BGl_z62lambda1841z62zz__evaluate_typesz00(obj_t BgL_envz00_3534, obj_t BgL_oz00_3535, obj_t BgL_vz00_3536)
{
{ /* Eval/evaluate_types.scm 103 */
return 
((((BgL_ev_letza2za2_bglt)COBJECT(
((BgL_ev_letza2za2_bglt)BgL_oz00_3535)))->BgL_boxesz00)=((obj_t)BgL_vz00_3536),BUNSPEC);} 

}



/* &lambda1840 */
obj_t BGl_z62lambda1840z62zz__evaluate_typesz00(obj_t BgL_envz00_3537, obj_t BgL_oz00_3538)
{
{ /* Eval/evaluate_types.scm 103 */
return 
(((BgL_ev_letza2za2_bglt)COBJECT(
((BgL_ev_letza2za2_bglt)BgL_oz00_3538)))->BgL_boxesz00);} 

}



/* &<@anonymous:1818> */
obj_t BGl_z62zc3z04anonymousza31818ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3539, obj_t BgL_new1141z00_3540)
{
{ /* Eval/evaluate_types.scm 101 */
{ 
 BgL_ev_letz00_bglt BgL_auxz00_4818;
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letz00_bglt)BgL_new1141z00_3540))))->BgL_varsz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letz00_bglt)BgL_new1141z00_3540))))->BgL_valsz00)=((obj_t)BUNSPEC),BUNSPEC); 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_4825;
{ /* Eval/evaluate_types.scm 101 */
 obj_t BgL_classz00_3940;
BgL_classz00_3940 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 101 */
 obj_t BgL__ortest_1283z00_3941;
BgL__ortest_1283z00_3941 = 
BGL_CLASS_NIL(BgL_classz00_3940); 
if(
CBOOL(BgL__ortest_1283z00_3941))
{ /* Eval/evaluate_types.scm 101 */
BgL_auxz00_4825 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1283z00_3941)
; }  else 
{ /* Eval/evaluate_types.scm 101 */
BgL_auxz00_4825 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3940))
; } } } 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letz00_bglt)BgL_new1141z00_3540))))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4825),BUNSPEC); } 
((((BgL_ev_letz00_bglt)COBJECT(
((BgL_ev_letz00_bglt)BgL_new1141z00_3540)))->BgL_boxesz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_4818 = 
((BgL_ev_letz00_bglt)BgL_new1141z00_3540); 
return 
((obj_t)BgL_auxz00_4818);} } 

}



/* &lambda1816 */
BgL_ev_letz00_bglt BGl_z62lambda1816z62zz__evaluate_typesz00(obj_t BgL_envz00_3541)
{
{ /* Eval/evaluate_types.scm 101 */
{ /* Eval/evaluate_types.scm 101 */
 BgL_ev_letz00_bglt BgL_new1140z00_3942;
BgL_new1140z00_3942 = 
((BgL_ev_letz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_letz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 101 */
 long BgL_arg1817z00_3943;
BgL_arg1817z00_3943 = 
BGL_CLASS_NUM(BGl_ev_letz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1140z00_3942), BgL_arg1817z00_3943); } 
return BgL_new1140z00_3942;} } 

}



/* &lambda1814 */
BgL_ev_letz00_bglt BGl_z62lambda1814z62zz__evaluate_typesz00(obj_t BgL_envz00_3542, obj_t BgL_vars1136z00_3543, obj_t BgL_vals1137z00_3544, obj_t BgL_body1138z00_3545, obj_t BgL_boxes1139z00_3546)
{
{ /* Eval/evaluate_types.scm 101 */
{ /* Eval/evaluate_types.scm 101 */
 BgL_ev_letz00_bglt BgL_new1230z00_3945;
{ /* Eval/evaluate_types.scm 101 */
 BgL_ev_letz00_bglt BgL_new1229z00_3946;
BgL_new1229z00_3946 = 
((BgL_ev_letz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_letz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 101 */
 long BgL_arg1815z00_3947;
BgL_arg1815z00_3947 = 
BGL_CLASS_NUM(BGl_ev_letz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1229z00_3946), BgL_arg1815z00_3947); } 
BgL_new1230z00_3945 = BgL_new1229z00_3946; } 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1230z00_3945)))->BgL_varsz00)=((obj_t)BgL_vars1136z00_3543),BUNSPEC); 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1230z00_3945)))->BgL_valsz00)=((obj_t)BgL_vals1137z00_3544),BUNSPEC); 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1230z00_3945)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_body1138z00_3545)),BUNSPEC); 
((((BgL_ev_letz00_bglt)COBJECT(BgL_new1230z00_3945))->BgL_boxesz00)=((obj_t)BgL_boxes1139z00_3546),BUNSPEC); 
return BgL_new1230z00_3945;} } 

}



/* &<@anonymous:1825> */
obj_t BGl_z62zc3z04anonymousza31825ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3547)
{
{ /* Eval/evaluate_types.scm 101 */
return BNIL;} 

}



/* &lambda1824 */
obj_t BGl_z62lambda1824z62zz__evaluate_typesz00(obj_t BgL_envz00_3548, obj_t BgL_oz00_3549, obj_t BgL_vz00_3550)
{
{ /* Eval/evaluate_types.scm 101 */
return 
((((BgL_ev_letz00_bglt)COBJECT(
((BgL_ev_letz00_bglt)BgL_oz00_3549)))->BgL_boxesz00)=((obj_t)BgL_vz00_3550),BUNSPEC);} 

}



/* &lambda1823 */
obj_t BGl_z62lambda1823z62zz__evaluate_typesz00(obj_t BgL_envz00_3551, obj_t BgL_oz00_3552)
{
{ /* Eval/evaluate_types.scm 101 */
return 
(((BgL_ev_letz00_bglt)COBJECT(
((BgL_ev_letz00_bglt)BgL_oz00_3552)))->BgL_boxesz00);} 

}



/* &<@anonymous:1793> */
obj_t BGl_z62zc3z04anonymousza31793ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3553, obj_t BgL_new1134z00_3554)
{
{ /* Eval/evaluate_types.scm 97 */
{ 
 BgL_ev_binderz00_bglt BgL_auxz00_4859;
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1134z00_3554)))->BgL_varsz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1134z00_3554)))->BgL_valsz00)=((obj_t)BUNSPEC),BUNSPEC); 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_4864;
{ /* Eval/evaluate_types.scm 97 */
 obj_t BgL_classz00_3951;
BgL_classz00_3951 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 97 */
 obj_t BgL__ortest_1283z00_3952;
BgL__ortest_1283z00_3952 = 
BGL_CLASS_NIL(BgL_classz00_3951); 
if(
CBOOL(BgL__ortest_1283z00_3952))
{ /* Eval/evaluate_types.scm 97 */
BgL_auxz00_4864 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1283z00_3952)
; }  else 
{ /* Eval/evaluate_types.scm 97 */
BgL_auxz00_4864 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3951))
; } } } 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1134z00_3554)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4864),BUNSPEC); } 
BgL_auxz00_4859 = 
((BgL_ev_binderz00_bglt)BgL_new1134z00_3554); 
return 
((obj_t)BgL_auxz00_4859);} } 

}



/* &lambda1791 */
BgL_ev_binderz00_bglt BGl_z62lambda1791z62zz__evaluate_typesz00(obj_t BgL_envz00_3555)
{
{ /* Eval/evaluate_types.scm 97 */
{ /* Eval/evaluate_types.scm 97 */
 BgL_ev_binderz00_bglt BgL_new1133z00_3953;
BgL_new1133z00_3953 = 
((BgL_ev_binderz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_binderz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 97 */
 long BgL_arg1792z00_3954;
BgL_arg1792z00_3954 = 
BGL_CLASS_NUM(BGl_ev_binderz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1133z00_3953), BgL_arg1792z00_3954); } 
return BgL_new1133z00_3953;} } 

}



/* &lambda1789 */
BgL_ev_binderz00_bglt BGl_z62lambda1789z62zz__evaluate_typesz00(obj_t BgL_envz00_3556, obj_t BgL_vars1130z00_3557, obj_t BgL_vals1131z00_3558, obj_t BgL_body1132z00_3559)
{
{ /* Eval/evaluate_types.scm 97 */
{ /* Eval/evaluate_types.scm 97 */
 BgL_ev_binderz00_bglt BgL_new1228z00_3956;
{ /* Eval/evaluate_types.scm 97 */
 BgL_ev_binderz00_bglt BgL_new1227z00_3957;
BgL_new1227z00_3957 = 
((BgL_ev_binderz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_binderz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 97 */
 long BgL_arg1790z00_3958;
BgL_arg1790z00_3958 = 
BGL_CLASS_NUM(BGl_ev_binderz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1227z00_3957), BgL_arg1790z00_3958); } 
BgL_new1228z00_3956 = BgL_new1227z00_3957; } 
((((BgL_ev_binderz00_bglt)COBJECT(BgL_new1228z00_3956))->BgL_varsz00)=((obj_t)BgL_vars1130z00_3557),BUNSPEC); 
((((BgL_ev_binderz00_bglt)COBJECT(BgL_new1228z00_3956))->BgL_valsz00)=((obj_t)BgL_vals1131z00_3558),BUNSPEC); 
((((BgL_ev_binderz00_bglt)COBJECT(BgL_new1228z00_3956))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_body1132z00_3559)),BUNSPEC); 
return BgL_new1228z00_3956;} } 

}



/* &lambda1808 */
obj_t BGl_z62lambda1808z62zz__evaluate_typesz00(obj_t BgL_envz00_3560, obj_t BgL_oz00_3561, obj_t BgL_vz00_3562)
{
{ /* Eval/evaluate_types.scm 97 */
return 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_oz00_3561)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3562)),BUNSPEC);} 

}



/* &lambda1807 */
BgL_ev_exprz00_bglt BGl_z62lambda1807z62zz__evaluate_typesz00(obj_t BgL_envz00_3563, obj_t BgL_oz00_3564)
{
{ /* Eval/evaluate_types.scm 97 */
return 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_oz00_3564)))->BgL_bodyz00);} 

}



/* &lambda1803 */
obj_t BGl_z62lambda1803z62zz__evaluate_typesz00(obj_t BgL_envz00_3565, obj_t BgL_oz00_3566, obj_t BgL_vz00_3567)
{
{ /* Eval/evaluate_types.scm 97 */
return 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_oz00_3566)))->BgL_valsz00)=((obj_t)BgL_vz00_3567),BUNSPEC);} 

}



/* &lambda1802 */
obj_t BGl_z62lambda1802z62zz__evaluate_typesz00(obj_t BgL_envz00_3568, obj_t BgL_oz00_3569)
{
{ /* Eval/evaluate_types.scm 97 */
return 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_oz00_3569)))->BgL_valsz00);} 

}



/* &lambda1798 */
obj_t BGl_z62lambda1798z62zz__evaluate_typesz00(obj_t BgL_envz00_3570, obj_t BgL_oz00_3571, obj_t BgL_vz00_3572)
{
{ /* Eval/evaluate_types.scm 97 */
return 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_oz00_3571)))->BgL_varsz00)=((obj_t)BgL_vz00_3572),BUNSPEC);} 

}



/* &lambda1797 */
obj_t BGl_z62lambda1797z62zz__evaluate_typesz00(obj_t BgL_envz00_3573, obj_t BgL_oz00_3574)
{
{ /* Eval/evaluate_types.scm 97 */
return 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_oz00_3574)))->BgL_varsz00);} 

}



/* &<@anonymous:1763> */
obj_t BGl_z62zc3z04anonymousza31763ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3575, obj_t BgL_new1128z00_3576)
{
{ /* Eval/evaluate_types.scm 92 */
{ 
 BgL_ev_synchroniza7eza7_bglt BgL_auxz00_4900;
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_new1128z00_3576)))->BgL_locz00)=((obj_t)BUNSPEC),BUNSPEC); 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_4903;
{ /* Eval/evaluate_types.scm 92 */
 obj_t BgL_classz00_3967;
BgL_classz00_3967 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 92 */
 obj_t BgL__ortest_1283z00_3968;
BgL__ortest_1283z00_3968 = 
BGL_CLASS_NIL(BgL_classz00_3967); 
if(
CBOOL(BgL__ortest_1283z00_3968))
{ /* Eval/evaluate_types.scm 92 */
BgL_auxz00_4903 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1283z00_3968)
; }  else 
{ /* Eval/evaluate_types.scm 92 */
BgL_auxz00_4903 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3967))
; } } } 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_new1128z00_3576)))->BgL_mutexz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4903),BUNSPEC); } 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_4912;
{ /* Eval/evaluate_types.scm 92 */
 obj_t BgL_classz00_3969;
BgL_classz00_3969 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 92 */
 obj_t BgL__ortest_1283z00_3970;
BgL__ortest_1283z00_3970 = 
BGL_CLASS_NIL(BgL_classz00_3969); 
if(
CBOOL(BgL__ortest_1283z00_3970))
{ /* Eval/evaluate_types.scm 92 */
BgL_auxz00_4912 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1283z00_3970)
; }  else 
{ /* Eval/evaluate_types.scm 92 */
BgL_auxz00_4912 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3969))
; } } } 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_new1128z00_3576)))->BgL_prelockz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4912),BUNSPEC); } 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_4921;
{ /* Eval/evaluate_types.scm 92 */
 obj_t BgL_classz00_3971;
BgL_classz00_3971 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 92 */
 obj_t BgL__ortest_1283z00_3972;
BgL__ortest_1283z00_3972 = 
BGL_CLASS_NIL(BgL_classz00_3971); 
if(
CBOOL(BgL__ortest_1283z00_3972))
{ /* Eval/evaluate_types.scm 92 */
BgL_auxz00_4921 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1283z00_3972)
; }  else 
{ /* Eval/evaluate_types.scm 92 */
BgL_auxz00_4921 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3971))
; } } } 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_new1128z00_3576)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4921),BUNSPEC); } 
BgL_auxz00_4900 = 
((BgL_ev_synchroniza7eza7_bglt)BgL_new1128z00_3576); 
return 
((obj_t)BgL_auxz00_4900);} } 

}



/* &lambda1760 */
BgL_ev_synchroniza7eza7_bglt BGl_z62lambda1760z62zz__evaluate_typesz00(obj_t BgL_envz00_3577)
{
{ /* Eval/evaluate_types.scm 92 */
{ /* Eval/evaluate_types.scm 92 */
 BgL_ev_synchroniza7eza7_bglt BgL_new1127z00_3973;
BgL_new1127z00_3973 = 
((BgL_ev_synchroniza7eza7_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_synchroniza7eza7_bgl) ))); 
{ /* Eval/evaluate_types.scm 92 */
 long BgL_arg1762z00_3974;
BgL_arg1762z00_3974 = 
BGL_CLASS_NUM(BGl_ev_synchroniza7eza7zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1127z00_3973), BgL_arg1762z00_3974); } 
return BgL_new1127z00_3973;} } 

}



/* &lambda1758 */
BgL_ev_synchroniza7eza7_bglt BGl_z62lambda1758z62zz__evaluate_typesz00(obj_t BgL_envz00_3578, obj_t BgL_loc1123z00_3579, obj_t BgL_mutex1124z00_3580, obj_t BgL_prelock1125z00_3581, obj_t BgL_body1126z00_3582)
{
{ /* Eval/evaluate_types.scm 92 */
{ /* Eval/evaluate_types.scm 92 */
 BgL_ev_synchroniza7eza7_bglt BgL_new1226z00_3978;
{ /* Eval/evaluate_types.scm 92 */
 BgL_ev_synchroniza7eza7_bglt BgL_new1225z00_3979;
BgL_new1225z00_3979 = 
((BgL_ev_synchroniza7eza7_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_synchroniza7eza7_bgl) ))); 
{ /* Eval/evaluate_types.scm 92 */
 long BgL_arg1759z00_3980;
BgL_arg1759z00_3980 = 
BGL_CLASS_NUM(BGl_ev_synchroniza7eza7zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1225z00_3979), BgL_arg1759z00_3980); } 
BgL_new1226z00_3978 = BgL_new1225z00_3979; } 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(BgL_new1226z00_3978))->BgL_locz00)=((obj_t)BgL_loc1123z00_3579),BUNSPEC); 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(BgL_new1226z00_3978))->BgL_mutexz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_mutex1124z00_3580)),BUNSPEC); 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(BgL_new1226z00_3978))->BgL_prelockz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_prelock1125z00_3581)),BUNSPEC); 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(BgL_new1226z00_3978))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_body1126z00_3582)),BUNSPEC); 
return BgL_new1226z00_3978;} } 

}



/* &lambda1783 */
obj_t BGl_z62lambda1783z62zz__evaluate_typesz00(obj_t BgL_envz00_3583, obj_t BgL_oz00_3584, obj_t BgL_vz00_3585)
{
{ /* Eval/evaluate_types.scm 92 */
return 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_oz00_3584)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3585)),BUNSPEC);} 

}



/* &lambda1782 */
BgL_ev_exprz00_bglt BGl_z62lambda1782z62zz__evaluate_typesz00(obj_t BgL_envz00_3586, obj_t BgL_oz00_3587)
{
{ /* Eval/evaluate_types.scm 92 */
return 
(((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_oz00_3587)))->BgL_bodyz00);} 

}



/* &lambda1778 */
obj_t BGl_z62lambda1778z62zz__evaluate_typesz00(obj_t BgL_envz00_3588, obj_t BgL_oz00_3589, obj_t BgL_vz00_3590)
{
{ /* Eval/evaluate_types.scm 92 */
return 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_oz00_3589)))->BgL_prelockz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3590)),BUNSPEC);} 

}



/* &lambda1777 */
BgL_ev_exprz00_bglt BGl_z62lambda1777z62zz__evaluate_typesz00(obj_t BgL_envz00_3591, obj_t BgL_oz00_3592)
{
{ /* Eval/evaluate_types.scm 92 */
return 
(((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_oz00_3592)))->BgL_prelockz00);} 

}



/* &lambda1773 */
obj_t BGl_z62lambda1773z62zz__evaluate_typesz00(obj_t BgL_envz00_3593, obj_t BgL_oz00_3594, obj_t BgL_vz00_3595)
{
{ /* Eval/evaluate_types.scm 92 */
return 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_oz00_3594)))->BgL_mutexz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3595)),BUNSPEC);} 

}



/* &lambda1772 */
BgL_ev_exprz00_bglt BGl_z62lambda1772z62zz__evaluate_typesz00(obj_t BgL_envz00_3596, obj_t BgL_oz00_3597)
{
{ /* Eval/evaluate_types.scm 92 */
return 
(((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_oz00_3597)))->BgL_mutexz00);} 

}



/* &lambda1768 */
obj_t BGl_z62lambda1768z62zz__evaluate_typesz00(obj_t BgL_envz00_3598, obj_t BgL_oz00_3599, obj_t BgL_vz00_3600)
{
{ /* Eval/evaluate_types.scm 92 */
return 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_oz00_3599)))->BgL_locz00)=((obj_t)BgL_vz00_3600),BUNSPEC);} 

}



/* &lambda1767 */
obj_t BGl_z62lambda1767z62zz__evaluate_typesz00(obj_t BgL_envz00_3601, obj_t BgL_oz00_3602)
{
{ /* Eval/evaluate_types.scm 92 */
return 
(((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_oz00_3602)))->BgL_locz00);} 

}



/* &<@anonymous:1740> */
obj_t BGl_z62zc3z04anonymousza31740ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3603, obj_t BgL_new1121z00_3604)
{
{ /* Eval/evaluate_types.scm 89 */
{ 
 BgL_ev_withzd2handlerzd2_bglt BgL_auxz00_4966;
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_4967;
{ /* Eval/evaluate_types.scm 89 */
 obj_t BgL_classz00_3993;
BgL_classz00_3993 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 89 */
 obj_t BgL__ortest_1283z00_3994;
BgL__ortest_1283z00_3994 = 
BGL_CLASS_NIL(BgL_classz00_3993); 
if(
CBOOL(BgL__ortest_1283z00_3994))
{ /* Eval/evaluate_types.scm 89 */
BgL_auxz00_4967 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1283z00_3994)
; }  else 
{ /* Eval/evaluate_types.scm 89 */
BgL_auxz00_4967 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3993))
; } } } 
((((BgL_ev_withzd2handlerzd2_bglt)COBJECT(
((BgL_ev_withzd2handlerzd2_bglt)BgL_new1121z00_3604)))->BgL_handlerz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4967),BUNSPEC); } 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_4976;
{ /* Eval/evaluate_types.scm 89 */
 obj_t BgL_classz00_3995;
BgL_classz00_3995 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 89 */
 obj_t BgL__ortest_1283z00_3996;
BgL__ortest_1283z00_3996 = 
BGL_CLASS_NIL(BgL_classz00_3995); 
if(
CBOOL(BgL__ortest_1283z00_3996))
{ /* Eval/evaluate_types.scm 89 */
BgL_auxz00_4976 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1283z00_3996)
; }  else 
{ /* Eval/evaluate_types.scm 89 */
BgL_auxz00_4976 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3995))
; } } } 
((((BgL_ev_withzd2handlerzd2_bglt)COBJECT(
((BgL_ev_withzd2handlerzd2_bglt)BgL_new1121z00_3604)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4976),BUNSPEC); } 
BgL_auxz00_4966 = 
((BgL_ev_withzd2handlerzd2_bglt)BgL_new1121z00_3604); 
return 
((obj_t)BgL_auxz00_4966);} } 

}



/* &lambda1738 */
BgL_ev_withzd2handlerzd2_bglt BGl_z62lambda1738z62zz__evaluate_typesz00(obj_t BgL_envz00_3605)
{
{ /* Eval/evaluate_types.scm 89 */
{ /* Eval/evaluate_types.scm 89 */
 BgL_ev_withzd2handlerzd2_bglt BgL_new1120z00_3997;
BgL_new1120z00_3997 = 
((BgL_ev_withzd2handlerzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_withzd2handlerzd2_bgl) ))); 
{ /* Eval/evaluate_types.scm 89 */
 long BgL_arg1739z00_3998;
BgL_arg1739z00_3998 = 
BGL_CLASS_NUM(BGl_ev_withzd2handlerzd2zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1120z00_3997), BgL_arg1739z00_3998); } 
return BgL_new1120z00_3997;} } 

}



/* &lambda1736 */
BgL_ev_withzd2handlerzd2_bglt BGl_z62lambda1736z62zz__evaluate_typesz00(obj_t BgL_envz00_3606, obj_t BgL_handler1118z00_3607, obj_t BgL_body1119z00_3608)
{
{ /* Eval/evaluate_types.scm 89 */
{ /* Eval/evaluate_types.scm 89 */
 BgL_ev_withzd2handlerzd2_bglt BgL_new1224z00_4001;
{ /* Eval/evaluate_types.scm 89 */
 BgL_ev_withzd2handlerzd2_bglt BgL_new1223z00_4002;
BgL_new1223z00_4002 = 
((BgL_ev_withzd2handlerzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_withzd2handlerzd2_bgl) ))); 
{ /* Eval/evaluate_types.scm 89 */
 long BgL_arg1737z00_4003;
BgL_arg1737z00_4003 = 
BGL_CLASS_NUM(BGl_ev_withzd2handlerzd2zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1223z00_4002), BgL_arg1737z00_4003); } 
BgL_new1224z00_4001 = BgL_new1223z00_4002; } 
((((BgL_ev_withzd2handlerzd2_bglt)COBJECT(BgL_new1224z00_4001))->BgL_handlerz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_handler1118z00_3607)),BUNSPEC); 
((((BgL_ev_withzd2handlerzd2_bglt)COBJECT(BgL_new1224z00_4001))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_body1119z00_3608)),BUNSPEC); 
return BgL_new1224z00_4001;} } 

}



/* &lambda1750 */
obj_t BGl_z62lambda1750z62zz__evaluate_typesz00(obj_t BgL_envz00_3609, obj_t BgL_oz00_3610, obj_t BgL_vz00_3611)
{
{ /* Eval/evaluate_types.scm 89 */
return 
((((BgL_ev_withzd2handlerzd2_bglt)COBJECT(
((BgL_ev_withzd2handlerzd2_bglt)BgL_oz00_3610)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3611)),BUNSPEC);} 

}



/* &lambda1749 */
BgL_ev_exprz00_bglt BGl_z62lambda1749z62zz__evaluate_typesz00(obj_t BgL_envz00_3612, obj_t BgL_oz00_3613)
{
{ /* Eval/evaluate_types.scm 89 */
return 
(((BgL_ev_withzd2handlerzd2_bglt)COBJECT(
((BgL_ev_withzd2handlerzd2_bglt)BgL_oz00_3613)))->BgL_bodyz00);} 

}



/* &lambda1745 */
obj_t BGl_z62lambda1745z62zz__evaluate_typesz00(obj_t BgL_envz00_3614, obj_t BgL_oz00_3615, obj_t BgL_vz00_3616)
{
{ /* Eval/evaluate_types.scm 89 */
return 
((((BgL_ev_withzd2handlerzd2_bglt)COBJECT(
((BgL_ev_withzd2handlerzd2_bglt)BgL_oz00_3615)))->BgL_handlerz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3616)),BUNSPEC);} 

}



/* &lambda1744 */
BgL_ev_exprz00_bglt BGl_z62lambda1744z62zz__evaluate_typesz00(obj_t BgL_envz00_3617, obj_t BgL_oz00_3618)
{
{ /* Eval/evaluate_types.scm 89 */
return 
(((BgL_ev_withzd2handlerzd2_bglt)COBJECT(
((BgL_ev_withzd2handlerzd2_bglt)BgL_oz00_3618)))->BgL_handlerz00);} 

}



/* &<@anonymous:1719> */
obj_t BGl_z62zc3z04anonymousza31719ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3619, obj_t BgL_new1116z00_3620)
{
{ /* Eval/evaluate_types.scm 86 */
{ 
 BgL_ev_unwindzd2protectzd2_bglt BgL_auxz00_5009;
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5010;
{ /* Eval/evaluate_types.scm 86 */
 obj_t BgL_classz00_4011;
BgL_classz00_4011 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 86 */
 obj_t BgL__ortest_1283z00_4012;
BgL__ortest_1283z00_4012 = 
BGL_CLASS_NIL(BgL_classz00_4011); 
if(
CBOOL(BgL__ortest_1283z00_4012))
{ /* Eval/evaluate_types.scm 86 */
BgL_auxz00_5010 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1283z00_4012)
; }  else 
{ /* Eval/evaluate_types.scm 86 */
BgL_auxz00_5010 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4011))
; } } } 
((((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(
((BgL_ev_unwindzd2protectzd2_bglt)BgL_new1116z00_3620)))->BgL_ez00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5010),BUNSPEC); } 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5019;
{ /* Eval/evaluate_types.scm 86 */
 obj_t BgL_classz00_4013;
BgL_classz00_4013 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 86 */
 obj_t BgL__ortest_1283z00_4014;
BgL__ortest_1283z00_4014 = 
BGL_CLASS_NIL(BgL_classz00_4013); 
if(
CBOOL(BgL__ortest_1283z00_4014))
{ /* Eval/evaluate_types.scm 86 */
BgL_auxz00_5019 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1283z00_4014)
; }  else 
{ /* Eval/evaluate_types.scm 86 */
BgL_auxz00_5019 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4013))
; } } } 
((((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(
((BgL_ev_unwindzd2protectzd2_bglt)BgL_new1116z00_3620)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5019),BUNSPEC); } 
BgL_auxz00_5009 = 
((BgL_ev_unwindzd2protectzd2_bglt)BgL_new1116z00_3620); 
return 
((obj_t)BgL_auxz00_5009);} } 

}



/* &lambda1717 */
BgL_ev_unwindzd2protectzd2_bglt BGl_z62lambda1717z62zz__evaluate_typesz00(obj_t BgL_envz00_3621)
{
{ /* Eval/evaluate_types.scm 86 */
{ /* Eval/evaluate_types.scm 86 */
 BgL_ev_unwindzd2protectzd2_bglt BgL_new1115z00_4015;
BgL_new1115z00_4015 = 
((BgL_ev_unwindzd2protectzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_unwindzd2protectzd2_bgl) ))); 
{ /* Eval/evaluate_types.scm 86 */
 long BgL_arg1718z00_4016;
BgL_arg1718z00_4016 = 
BGL_CLASS_NUM(BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1115z00_4015), BgL_arg1718z00_4016); } 
return BgL_new1115z00_4015;} } 

}



/* &lambda1715 */
BgL_ev_unwindzd2protectzd2_bglt BGl_z62lambda1715z62zz__evaluate_typesz00(obj_t BgL_envz00_3622, obj_t BgL_e1113z00_3623, obj_t BgL_body1114z00_3624)
{
{ /* Eval/evaluate_types.scm 86 */
{ /* Eval/evaluate_types.scm 86 */
 BgL_ev_unwindzd2protectzd2_bglt BgL_new1222z00_4019;
{ /* Eval/evaluate_types.scm 86 */
 BgL_ev_unwindzd2protectzd2_bglt BgL_new1221z00_4020;
BgL_new1221z00_4020 = 
((BgL_ev_unwindzd2protectzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_unwindzd2protectzd2_bgl) ))); 
{ /* Eval/evaluate_types.scm 86 */
 long BgL_arg1716z00_4021;
BgL_arg1716z00_4021 = 
BGL_CLASS_NUM(BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1221z00_4020), BgL_arg1716z00_4021); } 
BgL_new1222z00_4019 = BgL_new1221z00_4020; } 
((((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(BgL_new1222z00_4019))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_e1113z00_3623)),BUNSPEC); 
((((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(BgL_new1222z00_4019))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_body1114z00_3624)),BUNSPEC); 
return BgL_new1222z00_4019;} } 

}



/* &lambda1730 */
obj_t BGl_z62lambda1730z62zz__evaluate_typesz00(obj_t BgL_envz00_3625, obj_t BgL_oz00_3626, obj_t BgL_vz00_3627)
{
{ /* Eval/evaluate_types.scm 86 */
return 
((((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(
((BgL_ev_unwindzd2protectzd2_bglt)BgL_oz00_3626)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3627)),BUNSPEC);} 

}



/* &lambda1729 */
BgL_ev_exprz00_bglt BGl_z62lambda1729z62zz__evaluate_typesz00(obj_t BgL_envz00_3628, obj_t BgL_oz00_3629)
{
{ /* Eval/evaluate_types.scm 86 */
return 
(((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(
((BgL_ev_unwindzd2protectzd2_bglt)BgL_oz00_3629)))->BgL_bodyz00);} 

}



/* &lambda1725 */
obj_t BGl_z62lambda1725z62zz__evaluate_typesz00(obj_t BgL_envz00_3630, obj_t BgL_oz00_3631, obj_t BgL_vz00_3632)
{
{ /* Eval/evaluate_types.scm 86 */
return 
((((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(
((BgL_ev_unwindzd2protectzd2_bglt)BgL_oz00_3631)))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3632)),BUNSPEC);} 

}



/* &lambda1724 */
BgL_ev_exprz00_bglt BGl_z62lambda1724z62zz__evaluate_typesz00(obj_t BgL_envz00_3633, obj_t BgL_oz00_3634)
{
{ /* Eval/evaluate_types.scm 86 */
return 
(((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(
((BgL_ev_unwindzd2protectzd2_bglt)BgL_oz00_3634)))->BgL_ez00);} 

}



/* &<@anonymous:1697> */
obj_t BGl_z62zc3z04anonymousza31697ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3635, obj_t BgL_new1111z00_3636)
{
{ /* Eval/evaluate_types.scm 83 */
{ 
 BgL_ev_bindzd2exitzd2_bglt BgL_auxz00_5052;
{ 
 BgL_ev_varz00_bglt BgL_auxz00_5053;
{ /* Eval/evaluate_types.scm 83 */
 obj_t BgL_classz00_4029;
BgL_classz00_4029 = BGl_ev_varz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 83 */
 obj_t BgL__ortest_1283z00_4030;
BgL__ortest_1283z00_4030 = 
BGL_CLASS_NIL(BgL_classz00_4029); 
if(
CBOOL(BgL__ortest_1283z00_4030))
{ /* Eval/evaluate_types.scm 83 */
BgL_auxz00_5053 = 
((BgL_ev_varz00_bglt)BgL__ortest_1283z00_4030)
; }  else 
{ /* Eval/evaluate_types.scm 83 */
BgL_auxz00_5053 = 
((BgL_ev_varz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4029))
; } } } 
((((BgL_ev_bindzd2exitzd2_bglt)COBJECT(
((BgL_ev_bindzd2exitzd2_bglt)BgL_new1111z00_3636)))->BgL_varz00)=((BgL_ev_varz00_bglt)BgL_auxz00_5053),BUNSPEC); } 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5062;
{ /* Eval/evaluate_types.scm 83 */
 obj_t BgL_classz00_4031;
BgL_classz00_4031 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 83 */
 obj_t BgL__ortest_1283z00_4032;
BgL__ortest_1283z00_4032 = 
BGL_CLASS_NIL(BgL_classz00_4031); 
if(
CBOOL(BgL__ortest_1283z00_4032))
{ /* Eval/evaluate_types.scm 83 */
BgL_auxz00_5062 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1283z00_4032)
; }  else 
{ /* Eval/evaluate_types.scm 83 */
BgL_auxz00_5062 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4031))
; } } } 
((((BgL_ev_bindzd2exitzd2_bglt)COBJECT(
((BgL_ev_bindzd2exitzd2_bglt)BgL_new1111z00_3636)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5062),BUNSPEC); } 
BgL_auxz00_5052 = 
((BgL_ev_bindzd2exitzd2_bglt)BgL_new1111z00_3636); 
return 
((obj_t)BgL_auxz00_5052);} } 

}



/* &lambda1694 */
BgL_ev_bindzd2exitzd2_bglt BGl_z62lambda1694z62zz__evaluate_typesz00(obj_t BgL_envz00_3637)
{
{ /* Eval/evaluate_types.scm 83 */
{ /* Eval/evaluate_types.scm 83 */
 BgL_ev_bindzd2exitzd2_bglt BgL_new1110z00_4033;
BgL_new1110z00_4033 = 
((BgL_ev_bindzd2exitzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_bindzd2exitzd2_bgl) ))); 
{ /* Eval/evaluate_types.scm 83 */
 long BgL_arg1696z00_4034;
BgL_arg1696z00_4034 = 
BGL_CLASS_NUM(BGl_ev_bindzd2exitzd2zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1110z00_4033), BgL_arg1696z00_4034); } 
return BgL_new1110z00_4033;} } 

}



/* &lambda1692 */
BgL_ev_bindzd2exitzd2_bglt BGl_z62lambda1692z62zz__evaluate_typesz00(obj_t BgL_envz00_3638, obj_t BgL_var1108z00_3639, obj_t BgL_body1109z00_3640)
{
{ /* Eval/evaluate_types.scm 83 */
{ /* Eval/evaluate_types.scm 83 */
 BgL_ev_bindzd2exitzd2_bglt BgL_new1220z00_4037;
{ /* Eval/evaluate_types.scm 83 */
 BgL_ev_bindzd2exitzd2_bglt BgL_new1219z00_4038;
BgL_new1219z00_4038 = 
((BgL_ev_bindzd2exitzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_bindzd2exitzd2_bgl) ))); 
{ /* Eval/evaluate_types.scm 83 */
 long BgL_arg1693z00_4039;
BgL_arg1693z00_4039 = 
BGL_CLASS_NUM(BGl_ev_bindzd2exitzd2zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1219z00_4038), BgL_arg1693z00_4039); } 
BgL_new1220z00_4037 = BgL_new1219z00_4038; } 
((((BgL_ev_bindzd2exitzd2_bglt)COBJECT(BgL_new1220z00_4037))->BgL_varz00)=((BgL_ev_varz00_bglt)
((BgL_ev_varz00_bglt)BgL_var1108z00_3639)),BUNSPEC); 
((((BgL_ev_bindzd2exitzd2_bglt)COBJECT(BgL_new1220z00_4037))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_body1109z00_3640)),BUNSPEC); 
return BgL_new1220z00_4037;} } 

}



/* &lambda1709 */
obj_t BGl_z62lambda1709z62zz__evaluate_typesz00(obj_t BgL_envz00_3641, obj_t BgL_oz00_3642, obj_t BgL_vz00_3643)
{
{ /* Eval/evaluate_types.scm 83 */
return 
((((BgL_ev_bindzd2exitzd2_bglt)COBJECT(
((BgL_ev_bindzd2exitzd2_bglt)BgL_oz00_3642)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3643)),BUNSPEC);} 

}



/* &lambda1708 */
BgL_ev_exprz00_bglt BGl_z62lambda1708z62zz__evaluate_typesz00(obj_t BgL_envz00_3644, obj_t BgL_oz00_3645)
{
{ /* Eval/evaluate_types.scm 83 */
return 
(((BgL_ev_bindzd2exitzd2_bglt)COBJECT(
((BgL_ev_bindzd2exitzd2_bglt)BgL_oz00_3645)))->BgL_bodyz00);} 

}



/* &lambda1704 */
obj_t BGl_z62lambda1704z62zz__evaluate_typesz00(obj_t BgL_envz00_3646, obj_t BgL_oz00_3647, obj_t BgL_vz00_3648)
{
{ /* Eval/evaluate_types.scm 83 */
return 
((((BgL_ev_bindzd2exitzd2_bglt)COBJECT(
((BgL_ev_bindzd2exitzd2_bglt)BgL_oz00_3647)))->BgL_varz00)=((BgL_ev_varz00_bglt)
((BgL_ev_varz00_bglt)BgL_vz00_3648)),BUNSPEC);} 

}



/* &lambda1703 */
BgL_ev_varz00_bglt BGl_z62lambda1703z62zz__evaluate_typesz00(obj_t BgL_envz00_3649, obj_t BgL_oz00_3650)
{
{ /* Eval/evaluate_types.scm 83 */
return 
(((BgL_ev_bindzd2exitzd2_bglt)COBJECT(
((BgL_ev_bindzd2exitzd2_bglt)BgL_oz00_3650)))->BgL_varz00);} 

}



/* &<@anonymous:1682> */
obj_t BGl_z62zc3z04anonymousza31682ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3651, obj_t BgL_new1106z00_3652)
{
{ /* Eval/evaluate_types.scm 82 */
{ 
 BgL_ev_defglobalz00_bglt BgL_auxz00_5095;
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5096;
{ /* Eval/evaluate_types.scm 82 */
 obj_t BgL_classz00_4047;
BgL_classz00_4047 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 82 */
 obj_t BgL__ortest_1283z00_4048;
BgL__ortest_1283z00_4048 = 
BGL_CLASS_NIL(BgL_classz00_4047); 
if(
CBOOL(BgL__ortest_1283z00_4048))
{ /* Eval/evaluate_types.scm 82 */
BgL_auxz00_5096 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1283z00_4048)
; }  else 
{ /* Eval/evaluate_types.scm 82 */
BgL_auxz00_5096 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4047))
; } } } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)
((BgL_ev_defglobalz00_bglt)BgL_new1106z00_3652))))->BgL_ez00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5096),BUNSPEC); } 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)
((BgL_ev_defglobalz00_bglt)BgL_new1106z00_3652))))->BgL_locz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)
((BgL_ev_defglobalz00_bglt)BgL_new1106z00_3652))))->BgL_namez00)=((obj_t)BGl_symbol2660z00zz__evaluate_typesz00),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)
((BgL_ev_defglobalz00_bglt)BgL_new1106z00_3652))))->BgL_modz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_5095 = 
((BgL_ev_defglobalz00_bglt)BgL_new1106z00_3652); 
return 
((obj_t)BgL_auxz00_5095);} } 

}



/* &lambda1680 */
BgL_ev_defglobalz00_bglt BGl_z62lambda1680z62zz__evaluate_typesz00(obj_t BgL_envz00_3653)
{
{ /* Eval/evaluate_types.scm 82 */
{ /* Eval/evaluate_types.scm 82 */
 BgL_ev_defglobalz00_bglt BgL_new1105z00_4049;
BgL_new1105z00_4049 = 
((BgL_ev_defglobalz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_defglobalz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 82 */
 long BgL_arg1681z00_4050;
BgL_arg1681z00_4050 = 
BGL_CLASS_NUM(BGl_ev_defglobalz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1105z00_4049), BgL_arg1681z00_4050); } 
return BgL_new1105z00_4049;} } 

}



/* &lambda1674 */
BgL_ev_defglobalz00_bglt BGl_z62lambda1674z62zz__evaluate_typesz00(obj_t BgL_envz00_3654, obj_t BgL_e1101z00_3655, obj_t BgL_loc1102z00_3656, obj_t BgL_name1103z00_3657, obj_t BgL_mod1104z00_3658)
{
{ /* Eval/evaluate_types.scm 82 */
{ /* Eval/evaluate_types.scm 82 */
 BgL_ev_defglobalz00_bglt BgL_new1218z00_4053;
{ /* Eval/evaluate_types.scm 82 */
 BgL_ev_defglobalz00_bglt BgL_new1217z00_4054;
BgL_new1217z00_4054 = 
((BgL_ev_defglobalz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_defglobalz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 82 */
 long BgL_arg1679z00_4055;
BgL_arg1679z00_4055 = 
BGL_CLASS_NUM(BGl_ev_defglobalz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1217z00_4054), BgL_arg1679z00_4055); } 
BgL_new1218z00_4053 = BgL_new1217z00_4054; } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)BgL_new1218z00_4053)))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_e1101z00_3655)),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_new1218z00_4053)))->BgL_locz00)=((obj_t)BgL_loc1102z00_3656),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_new1218z00_4053)))->BgL_namez00)=((obj_t)
((obj_t)BgL_name1103z00_3657)),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_new1218z00_4053)))->BgL_modz00)=((obj_t)BgL_mod1104z00_3658),BUNSPEC); 
return BgL_new1218z00_4053;} } 

}



/* &<@anonymous:1648> */
obj_t BGl_z62zc3z04anonymousza31648ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3659, obj_t BgL_new1099z00_3660)
{
{ /* Eval/evaluate_types.scm 78 */
{ 
 BgL_ev_setglobalz00_bglt BgL_auxz00_5135;
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5136;
{ /* Eval/evaluate_types.scm 78 */
 obj_t BgL_classz00_4057;
BgL_classz00_4057 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 78 */
 obj_t BgL__ortest_1283z00_4058;
BgL__ortest_1283z00_4058 = 
BGL_CLASS_NIL(BgL_classz00_4057); 
if(
CBOOL(BgL__ortest_1283z00_4058))
{ /* Eval/evaluate_types.scm 78 */
BgL_auxz00_5136 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1283z00_4058)
; }  else 
{ /* Eval/evaluate_types.scm 78 */
BgL_auxz00_5136 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4057))
; } } } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)
((BgL_ev_setglobalz00_bglt)BgL_new1099z00_3660))))->BgL_ez00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5136),BUNSPEC); } 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_new1099z00_3660)))->BgL_locz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_new1099z00_3660)))->BgL_namez00)=((obj_t)BGl_symbol2660z00zz__evaluate_typesz00),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_new1099z00_3660)))->BgL_modz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_5135 = 
((BgL_ev_setglobalz00_bglt)BgL_new1099z00_3660); 
return 
((obj_t)BgL_auxz00_5135);} } 

}



/* &lambda1646 */
BgL_ev_setglobalz00_bglt BGl_z62lambda1646z62zz__evaluate_typesz00(obj_t BgL_envz00_3661)
{
{ /* Eval/evaluate_types.scm 78 */
{ /* Eval/evaluate_types.scm 78 */
 BgL_ev_setglobalz00_bglt BgL_new1098z00_4059;
BgL_new1098z00_4059 = 
((BgL_ev_setglobalz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_setglobalz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 78 */
 long BgL_arg1647z00_4060;
BgL_arg1647z00_4060 = 
BGL_CLASS_NUM(BGl_ev_setglobalz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1098z00_4059), BgL_arg1647z00_4060); } 
return BgL_new1098z00_4059;} } 

}



/* &lambda1644 */
BgL_ev_setglobalz00_bglt BGl_z62lambda1644z62zz__evaluate_typesz00(obj_t BgL_envz00_3662, obj_t BgL_e1094z00_3663, obj_t BgL_loc1095z00_3664, obj_t BgL_name1096z00_3665, obj_t BgL_mod1097z00_3666)
{
{ /* Eval/evaluate_types.scm 78 */
{ /* Eval/evaluate_types.scm 78 */
 BgL_ev_setglobalz00_bglt BgL_new1216z00_4063;
{ /* Eval/evaluate_types.scm 78 */
 BgL_ev_setglobalz00_bglt BgL_new1215z00_4064;
BgL_new1215z00_4064 = 
((BgL_ev_setglobalz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_setglobalz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 78 */
 long BgL_arg1645z00_4065;
BgL_arg1645z00_4065 = 
BGL_CLASS_NUM(BGl_ev_setglobalz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1215z00_4064), BgL_arg1645z00_4065); } 
BgL_new1216z00_4063 = BgL_new1215z00_4064; } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)BgL_new1216z00_4063)))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_e1094z00_3663)),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(BgL_new1216z00_4063))->BgL_locz00)=((obj_t)BgL_loc1095z00_3664),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(BgL_new1216z00_4063))->BgL_namez00)=((obj_t)
((obj_t)BgL_name1096z00_3665)),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(BgL_new1216z00_4063))->BgL_modz00)=((obj_t)BgL_mod1097z00_3666),BUNSPEC); 
return BgL_new1216z00_4063;} } 

}



/* &lambda1666 */
obj_t BGl_z62lambda1666z62zz__evaluate_typesz00(obj_t BgL_envz00_3667, obj_t BgL_oz00_3668, obj_t BgL_vz00_3669)
{
{ /* Eval/evaluate_types.scm 78 */
return 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_oz00_3668)))->BgL_modz00)=((obj_t)BgL_vz00_3669),BUNSPEC);} 

}



/* &lambda1665 */
obj_t BGl_z62lambda1665z62zz__evaluate_typesz00(obj_t BgL_envz00_3670, obj_t BgL_oz00_3671)
{
{ /* Eval/evaluate_types.scm 78 */
return 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_oz00_3671)))->BgL_modz00);} 

}



/* &lambda1661 */
obj_t BGl_z62lambda1661z62zz__evaluate_typesz00(obj_t BgL_envz00_3672, obj_t BgL_oz00_3673, obj_t BgL_vz00_3674)
{
{ /* Eval/evaluate_types.scm 78 */
return 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_oz00_3673)))->BgL_namez00)=((obj_t)
((obj_t)BgL_vz00_3674)),BUNSPEC);} 

}



/* &lambda1660 */
obj_t BGl_z62lambda1660z62zz__evaluate_typesz00(obj_t BgL_envz00_3675, obj_t BgL_oz00_3676)
{
{ /* Eval/evaluate_types.scm 78 */
return 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_oz00_3676)))->BgL_namez00);} 

}



/* &lambda1654 */
obj_t BGl_z62lambda1654z62zz__evaluate_typesz00(obj_t BgL_envz00_3677, obj_t BgL_oz00_3678, obj_t BgL_vz00_3679)
{
{ /* Eval/evaluate_types.scm 78 */
return 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_oz00_3678)))->BgL_locz00)=((obj_t)BgL_vz00_3679),BUNSPEC);} 

}



/* &lambda1653 */
obj_t BGl_z62lambda1653z62zz__evaluate_typesz00(obj_t BgL_envz00_3680, obj_t BgL_oz00_3681)
{
{ /* Eval/evaluate_types.scm 78 */
return 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_oz00_3681)))->BgL_locz00);} 

}



/* &<@anonymous:1632> */
obj_t BGl_z62zc3z04anonymousza31632ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3682, obj_t BgL_new1092z00_3683)
{
{ /* Eval/evaluate_types.scm 76 */
{ 
 BgL_ev_setlocalz00_bglt BgL_auxz00_5182;
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5183;
{ /* Eval/evaluate_types.scm 76 */
 obj_t BgL_classz00_4074;
BgL_classz00_4074 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 76 */
 obj_t BgL__ortest_1283z00_4075;
BgL__ortest_1283z00_4075 = 
BGL_CLASS_NIL(BgL_classz00_4074); 
if(
CBOOL(BgL__ortest_1283z00_4075))
{ /* Eval/evaluate_types.scm 76 */
BgL_auxz00_5183 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1283z00_4075)
; }  else 
{ /* Eval/evaluate_types.scm 76 */
BgL_auxz00_5183 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4074))
; } } } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)
((BgL_ev_setlocalz00_bglt)BgL_new1092z00_3683))))->BgL_ez00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5183),BUNSPEC); } 
{ 
 BgL_ev_varz00_bglt BgL_auxz00_5193;
{ /* Eval/evaluate_types.scm 76 */
 obj_t BgL_classz00_4076;
BgL_classz00_4076 = BGl_ev_varz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 76 */
 obj_t BgL__ortest_1283z00_4077;
BgL__ortest_1283z00_4077 = 
BGL_CLASS_NIL(BgL_classz00_4076); 
if(
CBOOL(BgL__ortest_1283z00_4077))
{ /* Eval/evaluate_types.scm 76 */
BgL_auxz00_5193 = 
((BgL_ev_varz00_bglt)BgL__ortest_1283z00_4077)
; }  else 
{ /* Eval/evaluate_types.scm 76 */
BgL_auxz00_5193 = 
((BgL_ev_varz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4076))
; } } } 
((((BgL_ev_setlocalz00_bglt)COBJECT(
((BgL_ev_setlocalz00_bglt)BgL_new1092z00_3683)))->BgL_vz00)=((BgL_ev_varz00_bglt)BgL_auxz00_5193),BUNSPEC); } 
BgL_auxz00_5182 = 
((BgL_ev_setlocalz00_bglt)BgL_new1092z00_3683); 
return 
((obj_t)BgL_auxz00_5182);} } 

}



/* &lambda1630 */
BgL_ev_setlocalz00_bglt BGl_z62lambda1630z62zz__evaluate_typesz00(obj_t BgL_envz00_3684)
{
{ /* Eval/evaluate_types.scm 76 */
{ /* Eval/evaluate_types.scm 76 */
 BgL_ev_setlocalz00_bglt BgL_new1091z00_4078;
BgL_new1091z00_4078 = 
((BgL_ev_setlocalz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_setlocalz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 76 */
 long BgL_arg1631z00_4079;
BgL_arg1631z00_4079 = 
BGL_CLASS_NUM(BGl_ev_setlocalz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1091z00_4078), BgL_arg1631z00_4079); } 
return BgL_new1091z00_4078;} } 

}



/* &lambda1628 */
BgL_ev_setlocalz00_bglt BGl_z62lambda1628z62zz__evaluate_typesz00(obj_t BgL_envz00_3685, obj_t BgL_e1089z00_3686, obj_t BgL_v1090z00_3687)
{
{ /* Eval/evaluate_types.scm 76 */
{ /* Eval/evaluate_types.scm 76 */
 BgL_ev_setlocalz00_bglt BgL_new1214z00_4082;
{ /* Eval/evaluate_types.scm 76 */
 BgL_ev_setlocalz00_bglt BgL_new1213z00_4083;
BgL_new1213z00_4083 = 
((BgL_ev_setlocalz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_setlocalz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 76 */
 long BgL_arg1629z00_4084;
BgL_arg1629z00_4084 = 
BGL_CLASS_NUM(BGl_ev_setlocalz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1213z00_4083), BgL_arg1629z00_4084); } 
BgL_new1214z00_4082 = BgL_new1213z00_4083; } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)BgL_new1214z00_4082)))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_e1089z00_3686)),BUNSPEC); 
((((BgL_ev_setlocalz00_bglt)COBJECT(BgL_new1214z00_4082))->BgL_vz00)=((BgL_ev_varz00_bglt)
((BgL_ev_varz00_bglt)BgL_v1090z00_3687)),BUNSPEC); 
return BgL_new1214z00_4082;} } 

}



/* &lambda1637 */
obj_t BGl_z62lambda1637z62zz__evaluate_typesz00(obj_t BgL_envz00_3688, obj_t BgL_oz00_3689, obj_t BgL_vz00_3690)
{
{ /* Eval/evaluate_types.scm 76 */
return 
((((BgL_ev_setlocalz00_bglt)COBJECT(
((BgL_ev_setlocalz00_bglt)BgL_oz00_3689)))->BgL_vz00)=((BgL_ev_varz00_bglt)
((BgL_ev_varz00_bglt)BgL_vz00_3690)),BUNSPEC);} 

}



/* &lambda1636 */
BgL_ev_varz00_bglt BGl_z62lambda1636z62zz__evaluate_typesz00(obj_t BgL_envz00_3691, obj_t BgL_oz00_3692)
{
{ /* Eval/evaluate_types.scm 76 */
return 
(((BgL_ev_setlocalz00_bglt)COBJECT(
((BgL_ev_setlocalz00_bglt)BgL_oz00_3692)))->BgL_vz00);} 

}



/* &<@anonymous:1622> */
obj_t BGl_z62zc3z04anonymousza31622ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3693, obj_t BgL_new1087z00_3694)
{
{ /* Eval/evaluate_types.scm 75 */
{ 
 BgL_ev_trapz00_bglt BgL_auxz00_5222;
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5223;
{ /* Eval/evaluate_types.scm 75 */
 obj_t BgL_classz00_4089;
BgL_classz00_4089 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 75 */
 obj_t BgL__ortest_1283z00_4090;
BgL__ortest_1283z00_4090 = 
BGL_CLASS_NIL(BgL_classz00_4089); 
if(
CBOOL(BgL__ortest_1283z00_4090))
{ /* Eval/evaluate_types.scm 75 */
BgL_auxz00_5223 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1283z00_4090)
; }  else 
{ /* Eval/evaluate_types.scm 75 */
BgL_auxz00_5223 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4089))
; } } } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)
((BgL_ev_trapz00_bglt)BgL_new1087z00_3694))))->BgL_ez00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5223),BUNSPEC); } 
BgL_auxz00_5222 = 
((BgL_ev_trapz00_bglt)BgL_new1087z00_3694); 
return 
((obj_t)BgL_auxz00_5222);} } 

}



/* &lambda1620 */
BgL_ev_trapz00_bglt BGl_z62lambda1620z62zz__evaluate_typesz00(obj_t BgL_envz00_3695)
{
{ /* Eval/evaluate_types.scm 75 */
{ /* Eval/evaluate_types.scm 75 */
 BgL_ev_trapz00_bglt BgL_new1086z00_4091;
BgL_new1086z00_4091 = 
((BgL_ev_trapz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_trapz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 75 */
 long BgL_arg1621z00_4092;
BgL_arg1621z00_4092 = 
BGL_CLASS_NUM(BGl_ev_trapz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1086z00_4091), BgL_arg1621z00_4092); } 
return BgL_new1086z00_4091;} } 

}



/* &lambda1618 */
BgL_ev_trapz00_bglt BGl_z62lambda1618z62zz__evaluate_typesz00(obj_t BgL_envz00_3696, obj_t BgL_e1085z00_3697)
{
{ /* Eval/evaluate_types.scm 75 */
{ /* Eval/evaluate_types.scm 75 */
 BgL_ev_trapz00_bglt BgL_new1212z00_4094;
{ /* Eval/evaluate_types.scm 75 */
 BgL_ev_trapz00_bglt BgL_new1211z00_4095;
BgL_new1211z00_4095 = 
((BgL_ev_trapz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_trapz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 75 */
 long BgL_arg1619z00_4096;
BgL_arg1619z00_4096 = 
BGL_CLASS_NUM(BGl_ev_trapz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1211z00_4095), BgL_arg1619z00_4096); } 
BgL_new1212z00_4094 = BgL_new1211z00_4095; } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)BgL_new1212z00_4094)))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_e1085z00_3697)),BUNSPEC); 
return BgL_new1212z00_4094;} } 

}



/* &<@anonymous:1607> */
obj_t BGl_z62zc3z04anonymousza31607ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3698, obj_t BgL_new1083z00_3699)
{
{ /* Eval/evaluate_types.scm 73 */
{ 
 BgL_ev_hookz00_bglt BgL_auxz00_5246;
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5247;
{ /* Eval/evaluate_types.scm 73 */
 obj_t BgL_classz00_4098;
BgL_classz00_4098 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 73 */
 obj_t BgL__ortest_1283z00_4099;
BgL__ortest_1283z00_4099 = 
BGL_CLASS_NIL(BgL_classz00_4098); 
if(
CBOOL(BgL__ortest_1283z00_4099))
{ /* Eval/evaluate_types.scm 73 */
BgL_auxz00_5247 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1283z00_4099)
; }  else 
{ /* Eval/evaluate_types.scm 73 */
BgL_auxz00_5247 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4098))
; } } } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)BgL_new1083z00_3699)))->BgL_ez00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5247),BUNSPEC); } 
BgL_auxz00_5246 = 
((BgL_ev_hookz00_bglt)BgL_new1083z00_3699); 
return 
((obj_t)BgL_auxz00_5246);} } 

}



/* &lambda1605 */
BgL_ev_hookz00_bglt BGl_z62lambda1605z62zz__evaluate_typesz00(obj_t BgL_envz00_3700)
{
{ /* Eval/evaluate_types.scm 73 */
{ /* Eval/evaluate_types.scm 73 */
 BgL_ev_hookz00_bglt BgL_new1082z00_4100;
BgL_new1082z00_4100 = 
((BgL_ev_hookz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_hookz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 73 */
 long BgL_arg1606z00_4101;
BgL_arg1606z00_4101 = 
BGL_CLASS_NUM(BGl_ev_hookz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1082z00_4100), BgL_arg1606z00_4101); } 
return BgL_new1082z00_4100;} } 

}



/* &lambda1601 */
BgL_ev_hookz00_bglt BGl_z62lambda1601z62zz__evaluate_typesz00(obj_t BgL_envz00_3701, obj_t BgL_e1081z00_3702)
{
{ /* Eval/evaluate_types.scm 73 */
{ /* Eval/evaluate_types.scm 73 */
 BgL_ev_hookz00_bglt BgL_new1210z00_4103;
{ /* Eval/evaluate_types.scm 73 */
 BgL_ev_hookz00_bglt BgL_new1209z00_4104;
BgL_new1209z00_4104 = 
((BgL_ev_hookz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_hookz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 73 */
 long BgL_arg1604z00_4105;
BgL_arg1604z00_4105 = 
BGL_CLASS_NUM(BGl_ev_hookz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1209z00_4104), BgL_arg1604z00_4105); } 
BgL_new1210z00_4103 = BgL_new1209z00_4104; } 
((((BgL_ev_hookz00_bglt)COBJECT(BgL_new1210z00_4103))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_e1081z00_3702)),BUNSPEC); 
return BgL_new1210z00_4103;} } 

}



/* &lambda1612 */
obj_t BGl_z62lambda1612z62zz__evaluate_typesz00(obj_t BgL_envz00_3703, obj_t BgL_oz00_3704, obj_t BgL_vz00_3705)
{
{ /* Eval/evaluate_types.scm 73 */
return 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)BgL_oz00_3704)))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3705)),BUNSPEC);} 

}



/* &lambda1611 */
BgL_ev_exprz00_bglt BGl_z62lambda1611z62zz__evaluate_typesz00(obj_t BgL_envz00_3706, obj_t BgL_oz00_3707)
{
{ /* Eval/evaluate_types.scm 73 */
return 
(((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)BgL_oz00_3707)))->BgL_ez00);} 

}



/* &<@anonymous:1579> */
obj_t BGl_z62zc3z04anonymousza31579ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3708, obj_t BgL_new1079z00_3709)
{
{ /* Eval/evaluate_types.scm 70 */
{ 
 BgL_ev_prog2z00_bglt BgL_auxz00_5273;
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5274;
{ /* Eval/evaluate_types.scm 70 */
 obj_t BgL_classz00_4110;
BgL_classz00_4110 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 70 */
 obj_t BgL__ortest_1283z00_4111;
BgL__ortest_1283z00_4111 = 
BGL_CLASS_NIL(BgL_classz00_4110); 
if(
CBOOL(BgL__ortest_1283z00_4111))
{ /* Eval/evaluate_types.scm 70 */
BgL_auxz00_5274 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1283z00_4111)
; }  else 
{ /* Eval/evaluate_types.scm 70 */
BgL_auxz00_5274 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4110))
; } } } 
((((BgL_ev_prog2z00_bglt)COBJECT(
((BgL_ev_prog2z00_bglt)BgL_new1079z00_3709)))->BgL_e1z00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5274),BUNSPEC); } 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5283;
{ /* Eval/evaluate_types.scm 70 */
 obj_t BgL_classz00_4112;
BgL_classz00_4112 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 70 */
 obj_t BgL__ortest_1283z00_4113;
BgL__ortest_1283z00_4113 = 
BGL_CLASS_NIL(BgL_classz00_4112); 
if(
CBOOL(BgL__ortest_1283z00_4113))
{ /* Eval/evaluate_types.scm 70 */
BgL_auxz00_5283 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1283z00_4113)
; }  else 
{ /* Eval/evaluate_types.scm 70 */
BgL_auxz00_5283 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4112))
; } } } 
((((BgL_ev_prog2z00_bglt)COBJECT(
((BgL_ev_prog2z00_bglt)BgL_new1079z00_3709)))->BgL_e2z00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5283),BUNSPEC); } 
BgL_auxz00_5273 = 
((BgL_ev_prog2z00_bglt)BgL_new1079z00_3709); 
return 
((obj_t)BgL_auxz00_5273);} } 

}



/* &lambda1577 */
BgL_ev_prog2z00_bglt BGl_z62lambda1577z62zz__evaluate_typesz00(obj_t BgL_envz00_3710)
{
{ /* Eval/evaluate_types.scm 70 */
{ /* Eval/evaluate_types.scm 70 */
 BgL_ev_prog2z00_bglt BgL_new1078z00_4114;
BgL_new1078z00_4114 = 
((BgL_ev_prog2z00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_prog2z00_bgl) ))); 
{ /* Eval/evaluate_types.scm 70 */
 long BgL_arg1578z00_4115;
BgL_arg1578z00_4115 = 
BGL_CLASS_NUM(BGl_ev_prog2z00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1078z00_4114), BgL_arg1578z00_4115); } 
return BgL_new1078z00_4114;} } 

}



/* &lambda1575 */
BgL_ev_prog2z00_bglt BGl_z62lambda1575z62zz__evaluate_typesz00(obj_t BgL_envz00_3711, obj_t BgL_e11076z00_3712, obj_t BgL_e21077z00_3713)
{
{ /* Eval/evaluate_types.scm 70 */
{ /* Eval/evaluate_types.scm 70 */
 BgL_ev_prog2z00_bglt BgL_new1208z00_4118;
{ /* Eval/evaluate_types.scm 70 */
 BgL_ev_prog2z00_bglt BgL_new1207z00_4119;
BgL_new1207z00_4119 = 
((BgL_ev_prog2z00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_prog2z00_bgl) ))); 
{ /* Eval/evaluate_types.scm 70 */
 long BgL_arg1576z00_4120;
BgL_arg1576z00_4120 = 
BGL_CLASS_NUM(BGl_ev_prog2z00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1207z00_4119), BgL_arg1576z00_4120); } 
BgL_new1208z00_4118 = BgL_new1207z00_4119; } 
((((BgL_ev_prog2z00_bglt)COBJECT(BgL_new1208z00_4118))->BgL_e1z00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_e11076z00_3712)),BUNSPEC); 
((((BgL_ev_prog2z00_bglt)COBJECT(BgL_new1208z00_4118))->BgL_e2z00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_e21077z00_3713)),BUNSPEC); 
return BgL_new1208z00_4118;} } 

}



/* &lambda1592 */
obj_t BGl_z62lambda1592z62zz__evaluate_typesz00(obj_t BgL_envz00_3714, obj_t BgL_oz00_3715, obj_t BgL_vz00_3716)
{
{ /* Eval/evaluate_types.scm 70 */
return 
((((BgL_ev_prog2z00_bglt)COBJECT(
((BgL_ev_prog2z00_bglt)BgL_oz00_3715)))->BgL_e2z00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3716)),BUNSPEC);} 

}



/* &lambda1591 */
BgL_ev_exprz00_bglt BGl_z62lambda1591z62zz__evaluate_typesz00(obj_t BgL_envz00_3717, obj_t BgL_oz00_3718)
{
{ /* Eval/evaluate_types.scm 70 */
return 
(((BgL_ev_prog2z00_bglt)COBJECT(
((BgL_ev_prog2z00_bglt)BgL_oz00_3718)))->BgL_e2z00);} 

}



/* &lambda1587 */
obj_t BGl_z62lambda1587z62zz__evaluate_typesz00(obj_t BgL_envz00_3719, obj_t BgL_oz00_3720, obj_t BgL_vz00_3721)
{
{ /* Eval/evaluate_types.scm 70 */
return 
((((BgL_ev_prog2z00_bglt)COBJECT(
((BgL_ev_prog2z00_bglt)BgL_oz00_3720)))->BgL_e1z00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3721)),BUNSPEC);} 

}



/* &lambda1586 */
BgL_ev_exprz00_bglt BGl_z62lambda1586z62zz__evaluate_typesz00(obj_t BgL_envz00_3722, obj_t BgL_oz00_3723)
{
{ /* Eval/evaluate_types.scm 70 */
return 
(((BgL_ev_prog2z00_bglt)COBJECT(
((BgL_ev_prog2z00_bglt)BgL_oz00_3723)))->BgL_e1z00);} 

}



/* &<@anonymous:1569> */
obj_t BGl_z62zc3z04anonymousza31569ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3724, obj_t BgL_new1074z00_3725)
{
{ /* Eval/evaluate_types.scm 69 */
{ 
 BgL_ev_andz00_bglt BgL_auxz00_5316;
((((BgL_ev_listz00_bglt)COBJECT(
((BgL_ev_listz00_bglt)
((BgL_ev_andz00_bglt)BgL_new1074z00_3725))))->BgL_argsz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_5316 = 
((BgL_ev_andz00_bglt)BgL_new1074z00_3725); 
return 
((obj_t)BgL_auxz00_5316);} } 

}



/* &lambda1567 */
BgL_ev_andz00_bglt BGl_z62lambda1567z62zz__evaluate_typesz00(obj_t BgL_envz00_3726)
{
{ /* Eval/evaluate_types.scm 69 */
{ /* Eval/evaluate_types.scm 69 */
 BgL_ev_andz00_bglt BgL_new1073z00_4128;
BgL_new1073z00_4128 = 
((BgL_ev_andz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_andz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 69 */
 long BgL_arg1568z00_4129;
BgL_arg1568z00_4129 = 
BGL_CLASS_NUM(BGl_ev_andz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1073z00_4128), BgL_arg1568z00_4129); } 
return BgL_new1073z00_4128;} } 

}



/* &lambda1565 */
BgL_ev_andz00_bglt BGl_z62lambda1565z62zz__evaluate_typesz00(obj_t BgL_envz00_3727, obj_t BgL_args1072z00_3728)
{
{ /* Eval/evaluate_types.scm 69 */
{ /* Eval/evaluate_types.scm 69 */
 BgL_ev_andz00_bglt BgL_new1206z00_4130;
{ /* Eval/evaluate_types.scm 69 */
 BgL_ev_andz00_bglt BgL_new1205z00_4131;
BgL_new1205z00_4131 = 
((BgL_ev_andz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_andz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 69 */
 long BgL_arg1566z00_4132;
BgL_arg1566z00_4132 = 
BGL_CLASS_NUM(BGl_ev_andz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1205z00_4131), BgL_arg1566z00_4132); } 
BgL_new1206z00_4130 = BgL_new1205z00_4131; } 
((((BgL_ev_listz00_bglt)COBJECT(
((BgL_ev_listz00_bglt)BgL_new1206z00_4130)))->BgL_argsz00)=((obj_t)BgL_args1072z00_3728),BUNSPEC); 
return BgL_new1206z00_4130;} } 

}



/* &<@anonymous:1556> */
obj_t BGl_z62zc3z04anonymousza31556ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3729, obj_t BgL_new1070z00_3730)
{
{ /* Eval/evaluate_types.scm 68 */
{ 
 BgL_ev_orz00_bglt BgL_auxz00_5332;
((((BgL_ev_listz00_bglt)COBJECT(
((BgL_ev_listz00_bglt)
((BgL_ev_orz00_bglt)BgL_new1070z00_3730))))->BgL_argsz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_5332 = 
((BgL_ev_orz00_bglt)BgL_new1070z00_3730); 
return 
((obj_t)BgL_auxz00_5332);} } 

}



/* &lambda1554 */
BgL_ev_orz00_bglt BGl_z62lambda1554z62zz__evaluate_typesz00(obj_t BgL_envz00_3731)
{
{ /* Eval/evaluate_types.scm 68 */
{ /* Eval/evaluate_types.scm 68 */
 BgL_ev_orz00_bglt BgL_new1069z00_4134;
BgL_new1069z00_4134 = 
((BgL_ev_orz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_orz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 68 */
 long BgL_arg1555z00_4135;
BgL_arg1555z00_4135 = 
BGL_CLASS_NUM(BGl_ev_orz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1069z00_4134), BgL_arg1555z00_4135); } 
return BgL_new1069z00_4134;} } 

}



/* &lambda1552 */
BgL_ev_orz00_bglt BGl_z62lambda1552z62zz__evaluate_typesz00(obj_t BgL_envz00_3732, obj_t BgL_args1068z00_3733)
{
{ /* Eval/evaluate_types.scm 68 */
{ /* Eval/evaluate_types.scm 68 */
 BgL_ev_orz00_bglt BgL_new1204z00_4136;
{ /* Eval/evaluate_types.scm 68 */
 BgL_ev_orz00_bglt BgL_new1203z00_4137;
BgL_new1203z00_4137 = 
((BgL_ev_orz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_orz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 68 */
 long BgL_arg1553z00_4138;
BgL_arg1553z00_4138 = 
BGL_CLASS_NUM(BGl_ev_orz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1203z00_4137), BgL_arg1553z00_4138); } 
BgL_new1204z00_4136 = BgL_new1203z00_4137; } 
((((BgL_ev_listz00_bglt)COBJECT(
((BgL_ev_listz00_bglt)BgL_new1204z00_4136)))->BgL_argsz00)=((obj_t)BgL_args1068z00_3733),BUNSPEC); 
return BgL_new1204z00_4136;} } 

}



/* &<@anonymous:1536> */
obj_t BGl_z62zc3z04anonymousza31536ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3734, obj_t BgL_new1066z00_3735)
{
{ /* Eval/evaluate_types.scm 66 */
{ 
 BgL_ev_listz00_bglt BgL_auxz00_5348;
((((BgL_ev_listz00_bglt)COBJECT(
((BgL_ev_listz00_bglt)BgL_new1066z00_3735)))->BgL_argsz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_5348 = 
((BgL_ev_listz00_bglt)BgL_new1066z00_3735); 
return 
((obj_t)BgL_auxz00_5348);} } 

}



/* &lambda1534 */
BgL_ev_listz00_bglt BGl_z62lambda1534z62zz__evaluate_typesz00(obj_t BgL_envz00_3736)
{
{ /* Eval/evaluate_types.scm 66 */
{ /* Eval/evaluate_types.scm 66 */
 BgL_ev_listz00_bglt BgL_new1065z00_4140;
BgL_new1065z00_4140 = 
((BgL_ev_listz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_listz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 66 */
 long BgL_arg1535z00_4141;
BgL_arg1535z00_4141 = 
BGL_CLASS_NUM(BGl_ev_listz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1065z00_4140), BgL_arg1535z00_4141); } 
return BgL_new1065z00_4140;} } 

}



/* &lambda1532 */
BgL_ev_listz00_bglt BGl_z62lambda1532z62zz__evaluate_typesz00(obj_t BgL_envz00_3737, obj_t BgL_args1064z00_3738)
{
{ /* Eval/evaluate_types.scm 66 */
{ /* Eval/evaluate_types.scm 66 */
 BgL_ev_listz00_bglt BgL_new1202z00_4142;
{ /* Eval/evaluate_types.scm 66 */
 BgL_ev_listz00_bglt BgL_new1201z00_4143;
BgL_new1201z00_4143 = 
((BgL_ev_listz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_listz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 66 */
 long BgL_arg1533z00_4144;
BgL_arg1533z00_4144 = 
BGL_CLASS_NUM(BGl_ev_listz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1201z00_4143), BgL_arg1533z00_4144); } 
BgL_new1202z00_4142 = BgL_new1201z00_4143; } 
((((BgL_ev_listz00_bglt)COBJECT(BgL_new1202z00_4142))->BgL_argsz00)=((obj_t)BgL_args1064z00_3738),BUNSPEC); 
return BgL_new1202z00_4142;} } 

}



/* &lambda1543 */
obj_t BGl_z62lambda1543z62zz__evaluate_typesz00(obj_t BgL_envz00_3739, obj_t BgL_oz00_3740, obj_t BgL_vz00_3741)
{
{ /* Eval/evaluate_types.scm 66 */
return 
((((BgL_ev_listz00_bglt)COBJECT(
((BgL_ev_listz00_bglt)BgL_oz00_3740)))->BgL_argsz00)=((obj_t)BgL_vz00_3741),BUNSPEC);} 

}



/* &lambda1542 */
obj_t BGl_z62lambda1542z62zz__evaluate_typesz00(obj_t BgL_envz00_3742, obj_t BgL_oz00_3743)
{
{ /* Eval/evaluate_types.scm 66 */
return 
(((BgL_ev_listz00_bglt)COBJECT(
((BgL_ev_listz00_bglt)BgL_oz00_3743)))->BgL_argsz00);} 

}



/* &<@anonymous:1508> */
obj_t BGl_z62zc3z04anonymousza31508ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3744, obj_t BgL_new1062z00_3745)
{
{ /* Eval/evaluate_types.scm 62 */
{ 
 BgL_ev_ifz00_bglt BgL_auxz00_5366;
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5367;
{ /* Eval/evaluate_types.scm 62 */
 obj_t BgL_classz00_4148;
BgL_classz00_4148 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 62 */
 obj_t BgL__ortest_1283z00_4149;
BgL__ortest_1283z00_4149 = 
BGL_CLASS_NIL(BgL_classz00_4148); 
if(
CBOOL(BgL__ortest_1283z00_4149))
{ /* Eval/evaluate_types.scm 62 */
BgL_auxz00_5367 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1283z00_4149)
; }  else 
{ /* Eval/evaluate_types.scm 62 */
BgL_auxz00_5367 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4148))
; } } } 
((((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_new1062z00_3745)))->BgL_pz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5367),BUNSPEC); } 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5376;
{ /* Eval/evaluate_types.scm 62 */
 obj_t BgL_classz00_4150;
BgL_classz00_4150 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 62 */
 obj_t BgL__ortest_1283z00_4151;
BgL__ortest_1283z00_4151 = 
BGL_CLASS_NIL(BgL_classz00_4150); 
if(
CBOOL(BgL__ortest_1283z00_4151))
{ /* Eval/evaluate_types.scm 62 */
BgL_auxz00_5376 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1283z00_4151)
; }  else 
{ /* Eval/evaluate_types.scm 62 */
BgL_auxz00_5376 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4150))
; } } } 
((((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_new1062z00_3745)))->BgL_tz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5376),BUNSPEC); } 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5385;
{ /* Eval/evaluate_types.scm 62 */
 obj_t BgL_classz00_4152;
BgL_classz00_4152 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 62 */
 obj_t BgL__ortest_1283z00_4153;
BgL__ortest_1283z00_4153 = 
BGL_CLASS_NIL(BgL_classz00_4152); 
if(
CBOOL(BgL__ortest_1283z00_4153))
{ /* Eval/evaluate_types.scm 62 */
BgL_auxz00_5385 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1283z00_4153)
; }  else 
{ /* Eval/evaluate_types.scm 62 */
BgL_auxz00_5385 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4152))
; } } } 
((((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_new1062z00_3745)))->BgL_ez00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5385),BUNSPEC); } 
BgL_auxz00_5366 = 
((BgL_ev_ifz00_bglt)BgL_new1062z00_3745); 
return 
((obj_t)BgL_auxz00_5366);} } 

}



/* &lambda1506 */
BgL_ev_ifz00_bglt BGl_z62lambda1506z62zz__evaluate_typesz00(obj_t BgL_envz00_3746)
{
{ /* Eval/evaluate_types.scm 62 */
{ /* Eval/evaluate_types.scm 62 */
 BgL_ev_ifz00_bglt BgL_new1061z00_4154;
BgL_new1061z00_4154 = 
((BgL_ev_ifz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_ifz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 62 */
 long BgL_arg1507z00_4155;
BgL_arg1507z00_4155 = 
BGL_CLASS_NUM(BGl_ev_ifz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1061z00_4154), BgL_arg1507z00_4155); } 
return BgL_new1061z00_4154;} } 

}



/* &lambda1504 */
BgL_ev_ifz00_bglt BGl_z62lambda1504z62zz__evaluate_typesz00(obj_t BgL_envz00_3747, obj_t BgL_p1058z00_3748, obj_t BgL_t1059z00_3749, obj_t BgL_e1060z00_3750)
{
{ /* Eval/evaluate_types.scm 62 */
{ /* Eval/evaluate_types.scm 62 */
 BgL_ev_ifz00_bglt BgL_new1200z00_4159;
{ /* Eval/evaluate_types.scm 62 */
 BgL_ev_ifz00_bglt BgL_new1199z00_4160;
BgL_new1199z00_4160 = 
((BgL_ev_ifz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_ifz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 62 */
 long BgL_arg1505z00_4161;
BgL_arg1505z00_4161 = 
BGL_CLASS_NUM(BGl_ev_ifz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1199z00_4160), BgL_arg1505z00_4161); } 
BgL_new1200z00_4159 = BgL_new1199z00_4160; } 
((((BgL_ev_ifz00_bglt)COBJECT(BgL_new1200z00_4159))->BgL_pz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_p1058z00_3748)),BUNSPEC); 
((((BgL_ev_ifz00_bglt)COBJECT(BgL_new1200z00_4159))->BgL_tz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_t1059z00_3749)),BUNSPEC); 
((((BgL_ev_ifz00_bglt)COBJECT(BgL_new1200z00_4159))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_e1060z00_3750)),BUNSPEC); 
return BgL_new1200z00_4159;} } 

}



/* &lambda1526 */
obj_t BGl_z62lambda1526z62zz__evaluate_typesz00(obj_t BgL_envz00_3751, obj_t BgL_oz00_3752, obj_t BgL_vz00_3753)
{
{ /* Eval/evaluate_types.scm 62 */
return 
((((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_oz00_3752)))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3753)),BUNSPEC);} 

}



/* &lambda1525 */
BgL_ev_exprz00_bglt BGl_z62lambda1525z62zz__evaluate_typesz00(obj_t BgL_envz00_3754, obj_t BgL_oz00_3755)
{
{ /* Eval/evaluate_types.scm 62 */
return 
(((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_oz00_3755)))->BgL_ez00);} 

}



/* &lambda1518 */
obj_t BGl_z62lambda1518z62zz__evaluate_typesz00(obj_t BgL_envz00_3756, obj_t BgL_oz00_3757, obj_t BgL_vz00_3758)
{
{ /* Eval/evaluate_types.scm 62 */
return 
((((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_oz00_3757)))->BgL_tz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3758)),BUNSPEC);} 

}



/* &lambda1517 */
BgL_ev_exprz00_bglt BGl_z62lambda1517z62zz__evaluate_typesz00(obj_t BgL_envz00_3759, obj_t BgL_oz00_3760)
{
{ /* Eval/evaluate_types.scm 62 */
return 
(((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_oz00_3760)))->BgL_tz00);} 

}



/* &lambda1513 */
obj_t BGl_z62lambda1513z62zz__evaluate_typesz00(obj_t BgL_envz00_3761, obj_t BgL_oz00_3762, obj_t BgL_vz00_3763)
{
{ /* Eval/evaluate_types.scm 62 */
return 
((((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_oz00_3762)))->BgL_pz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3763)),BUNSPEC);} 

}



/* &lambda1512 */
BgL_ev_exprz00_bglt BGl_z62lambda1512z62zz__evaluate_typesz00(obj_t BgL_envz00_3764, obj_t BgL_oz00_3765)
{
{ /* Eval/evaluate_types.scm 62 */
return 
(((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_oz00_3765)))->BgL_pz00);} 

}



/* &<@anonymous:1491> */
obj_t BGl_z62zc3z04anonymousza31491ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3766, obj_t BgL_new1056z00_3767)
{
{ /* Eval/evaluate_types.scm 60 */
{ 
 BgL_ev_littz00_bglt BgL_auxz00_5425;
((((BgL_ev_littz00_bglt)COBJECT(
((BgL_ev_littz00_bglt)BgL_new1056z00_3767)))->BgL_valuez00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_5425 = 
((BgL_ev_littz00_bglt)BgL_new1056z00_3767); 
return 
((obj_t)BgL_auxz00_5425);} } 

}



/* &lambda1489 */
BgL_ev_littz00_bglt BGl_z62lambda1489z62zz__evaluate_typesz00(obj_t BgL_envz00_3768)
{
{ /* Eval/evaluate_types.scm 60 */
{ /* Eval/evaluate_types.scm 60 */
 BgL_ev_littz00_bglt BgL_new1055z00_4172;
BgL_new1055z00_4172 = 
((BgL_ev_littz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_littz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 60 */
 long BgL_arg1490z00_4173;
BgL_arg1490z00_4173 = 
BGL_CLASS_NUM(BGl_ev_littz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1055z00_4172), BgL_arg1490z00_4173); } 
return BgL_new1055z00_4172;} } 

}



/* &lambda1487 */
BgL_ev_littz00_bglt BGl_z62lambda1487z62zz__evaluate_typesz00(obj_t BgL_envz00_3769, obj_t BgL_value1054z00_3770)
{
{ /* Eval/evaluate_types.scm 60 */
{ /* Eval/evaluate_types.scm 60 */
 BgL_ev_littz00_bglt BgL_new1198z00_4174;
{ /* Eval/evaluate_types.scm 60 */
 BgL_ev_littz00_bglt BgL_new1197z00_4175;
BgL_new1197z00_4175 = 
((BgL_ev_littz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_littz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 60 */
 long BgL_arg1488z00_4176;
BgL_arg1488z00_4176 = 
BGL_CLASS_NUM(BGl_ev_littz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1197z00_4175), BgL_arg1488z00_4176); } 
BgL_new1198z00_4174 = BgL_new1197z00_4175; } 
((((BgL_ev_littz00_bglt)COBJECT(BgL_new1198z00_4174))->BgL_valuez00)=((obj_t)BgL_value1054z00_3770),BUNSPEC); 
return BgL_new1198z00_4174;} } 

}



/* &lambda1496 */
obj_t BGl_z62lambda1496z62zz__evaluate_typesz00(obj_t BgL_envz00_3771, obj_t BgL_oz00_3772, obj_t BgL_vz00_3773)
{
{ /* Eval/evaluate_types.scm 60 */
return 
((((BgL_ev_littz00_bglt)COBJECT(
((BgL_ev_littz00_bglt)BgL_oz00_3772)))->BgL_valuez00)=((obj_t)BgL_vz00_3773),BUNSPEC);} 

}



/* &lambda1495 */
obj_t BGl_z62lambda1495z62zz__evaluate_typesz00(obj_t BgL_envz00_3774, obj_t BgL_oz00_3775)
{
{ /* Eval/evaluate_types.scm 60 */
return 
(((BgL_ev_littz00_bglt)COBJECT(
((BgL_ev_littz00_bglt)BgL_oz00_3775)))->BgL_valuez00);} 

}



/* &<@anonymous:1465> */
obj_t BGl_z62zc3z04anonymousza31465ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3776, obj_t BgL_new1052z00_3777)
{
{ /* Eval/evaluate_types.scm 55 */
{ 
 BgL_ev_globalz00_bglt BgL_auxz00_5443;
((((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_new1052z00_3777)))->BgL_locz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_new1052z00_3777)))->BgL_namez00)=((obj_t)BGl_symbol2660z00zz__evaluate_typesz00),BUNSPEC); 
((((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_new1052z00_3777)))->BgL_modz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_5443 = 
((BgL_ev_globalz00_bglt)BgL_new1052z00_3777); 
return 
((obj_t)BgL_auxz00_5443);} } 

}



/* &lambda1463 */
BgL_ev_globalz00_bglt BGl_z62lambda1463z62zz__evaluate_typesz00(obj_t BgL_envz00_3778)
{
{ /* Eval/evaluate_types.scm 55 */
{ /* Eval/evaluate_types.scm 55 */
 BgL_ev_globalz00_bglt BgL_new1051z00_4180;
BgL_new1051z00_4180 = 
((BgL_ev_globalz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_globalz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 55 */
 long BgL_arg1464z00_4181;
BgL_arg1464z00_4181 = 
BGL_CLASS_NUM(BGl_ev_globalz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1051z00_4180), BgL_arg1464z00_4181); } 
return BgL_new1051z00_4180;} } 

}



/* &lambda1461 */
BgL_ev_globalz00_bglt BGl_z62lambda1461z62zz__evaluate_typesz00(obj_t BgL_envz00_3779, obj_t BgL_loc1048z00_3780, obj_t BgL_name1049z00_3781, obj_t BgL_mod1050z00_3782)
{
{ /* Eval/evaluate_types.scm 55 */
{ /* Eval/evaluate_types.scm 55 */
 BgL_ev_globalz00_bglt BgL_new1196z00_4183;
{ /* Eval/evaluate_types.scm 55 */
 BgL_ev_globalz00_bglt BgL_new1195z00_4184;
BgL_new1195z00_4184 = 
((BgL_ev_globalz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_globalz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 55 */
 long BgL_arg1462z00_4185;
BgL_arg1462z00_4185 = 
BGL_CLASS_NUM(BGl_ev_globalz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1195z00_4184), BgL_arg1462z00_4185); } 
BgL_new1196z00_4183 = BgL_new1195z00_4184; } 
((((BgL_ev_globalz00_bglt)COBJECT(BgL_new1196z00_4183))->BgL_locz00)=((obj_t)BgL_loc1048z00_3780),BUNSPEC); 
((((BgL_ev_globalz00_bglt)COBJECT(BgL_new1196z00_4183))->BgL_namez00)=((obj_t)
((obj_t)BgL_name1049z00_3781)),BUNSPEC); 
((((BgL_ev_globalz00_bglt)COBJECT(BgL_new1196z00_4183))->BgL_modz00)=((obj_t)BgL_mod1050z00_3782),BUNSPEC); 
return BgL_new1196z00_4183;} } 

}



/* &lambda1480 */
obj_t BGl_z62lambda1480z62zz__evaluate_typesz00(obj_t BgL_envz00_3783, obj_t BgL_oz00_3784, obj_t BgL_vz00_3785)
{
{ /* Eval/evaluate_types.scm 55 */
return 
((((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_oz00_3784)))->BgL_modz00)=((obj_t)BgL_vz00_3785),BUNSPEC);} 

}



/* &lambda1479 */
obj_t BGl_z62lambda1479z62zz__evaluate_typesz00(obj_t BgL_envz00_3786, obj_t BgL_oz00_3787)
{
{ /* Eval/evaluate_types.scm 55 */
return 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_oz00_3787)))->BgL_modz00);} 

}



/* &lambda1475 */
obj_t BGl_z62lambda1475z62zz__evaluate_typesz00(obj_t BgL_envz00_3788, obj_t BgL_oz00_3789, obj_t BgL_vz00_3790)
{
{ /* Eval/evaluate_types.scm 55 */
return 
((((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_oz00_3789)))->BgL_namez00)=((obj_t)
((obj_t)BgL_vz00_3790)),BUNSPEC);} 

}



/* &lambda1474 */
obj_t BGl_z62lambda1474z62zz__evaluate_typesz00(obj_t BgL_envz00_3791, obj_t BgL_oz00_3792)
{
{ /* Eval/evaluate_types.scm 55 */
return 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_oz00_3792)))->BgL_namez00);} 

}



/* &lambda1470 */
obj_t BGl_z62lambda1470z62zz__evaluate_typesz00(obj_t BgL_envz00_3793, obj_t BgL_oz00_3794, obj_t BgL_vz00_3795)
{
{ /* Eval/evaluate_types.scm 55 */
return 
((((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_oz00_3794)))->BgL_locz00)=((obj_t)BgL_vz00_3795),BUNSPEC);} 

}



/* &lambda1469 */
obj_t BGl_z62lambda1469z62zz__evaluate_typesz00(obj_t BgL_envz00_3796, obj_t BgL_oz00_3797)
{
{ /* Eval/evaluate_types.scm 55 */
return 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_oz00_3797)))->BgL_locz00);} 

}



/* &<@anonymous:1437> */
obj_t BGl_z62zc3z04anonymousza31437ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3798, obj_t BgL_new1046z00_3799)
{
{ /* Eval/evaluate_types.scm 51 */
{ 
 BgL_ev_varz00_bglt BgL_auxz00_5477;
((((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_new1046z00_3799)))->BgL_namez00)=((obj_t)BGl_symbol2660z00zz__evaluate_typesz00),BUNSPEC); 
((((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_new1046z00_3799)))->BgL_effz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_new1046z00_3799)))->BgL_typez00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_5477 = 
((BgL_ev_varz00_bglt)BgL_new1046z00_3799); 
return 
((obj_t)BgL_auxz00_5477);} } 

}



/* &lambda1435 */
BgL_ev_varz00_bglt BGl_z62lambda1435z62zz__evaluate_typesz00(obj_t BgL_envz00_3800)
{
{ /* Eval/evaluate_types.scm 51 */
{ /* Eval/evaluate_types.scm 51 */
 BgL_ev_varz00_bglt BgL_new1045z00_4194;
BgL_new1045z00_4194 = 
((BgL_ev_varz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_varz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 51 */
 long BgL_arg1436z00_4195;
BgL_arg1436z00_4195 = 
BGL_CLASS_NUM(BGl_ev_varz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1045z00_4194), BgL_arg1436z00_4195); } 
return BgL_new1045z00_4194;} } 

}



/* &lambda1433 */
BgL_ev_varz00_bglt BGl_z62lambda1433z62zz__evaluate_typesz00(obj_t BgL_envz00_3801, obj_t BgL_name1042z00_3802, obj_t BgL_eff1043z00_3803, obj_t BgL_type1044z00_3804)
{
{ /* Eval/evaluate_types.scm 51 */
{ /* Eval/evaluate_types.scm 51 */
 BgL_ev_varz00_bglt BgL_new1194z00_4197;
{ /* Eval/evaluate_types.scm 51 */
 BgL_ev_varz00_bglt BgL_new1193z00_4198;
BgL_new1193z00_4198 = 
((BgL_ev_varz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_varz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 51 */
 long BgL_arg1434z00_4199;
BgL_arg1434z00_4199 = 
BGL_CLASS_NUM(BGl_ev_varz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1193z00_4198), BgL_arg1434z00_4199); } 
BgL_new1194z00_4197 = BgL_new1193z00_4198; } 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1194z00_4197))->BgL_namez00)=((obj_t)
((obj_t)BgL_name1042z00_3802)),BUNSPEC); 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1194z00_4197))->BgL_effz00)=((obj_t)BgL_eff1043z00_3803),BUNSPEC); 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1194z00_4197))->BgL_typez00)=((obj_t)BgL_type1044z00_3804),BUNSPEC); 
return BgL_new1194z00_4197;} } 

}



/* &lambda1454 */
obj_t BGl_z62lambda1454z62zz__evaluate_typesz00(obj_t BgL_envz00_3805, obj_t BgL_oz00_3806, obj_t BgL_vz00_3807)
{
{ /* Eval/evaluate_types.scm 51 */
return 
((((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_oz00_3806)))->BgL_typez00)=((obj_t)BgL_vz00_3807),BUNSPEC);} 

}



/* &lambda1453 */
obj_t BGl_z62lambda1453z62zz__evaluate_typesz00(obj_t BgL_envz00_3808, obj_t BgL_oz00_3809)
{
{ /* Eval/evaluate_types.scm 51 */
return 
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_oz00_3809)))->BgL_typez00);} 

}



/* &<@anonymous:1449> */
obj_t BGl_z62zc3z04anonymousza31449ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3810)
{
{ /* Eval/evaluate_types.scm 51 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda1448 */
obj_t BGl_z62lambda1448z62zz__evaluate_typesz00(obj_t BgL_envz00_3811, obj_t BgL_oz00_3812, obj_t BgL_vz00_3813)
{
{ /* Eval/evaluate_types.scm 51 */
return 
((((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_oz00_3812)))->BgL_effz00)=((obj_t)BgL_vz00_3813),BUNSPEC);} 

}



/* &lambda1447 */
obj_t BGl_z62lambda1447z62zz__evaluate_typesz00(obj_t BgL_envz00_3814, obj_t BgL_oz00_3815)
{
{ /* Eval/evaluate_types.scm 51 */
return 
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_oz00_3815)))->BgL_effz00);} 

}



/* &lambda1442 */
obj_t BGl_z62lambda1442z62zz__evaluate_typesz00(obj_t BgL_envz00_3816, obj_t BgL_oz00_3817, obj_t BgL_vz00_3818)
{
{ /* Eval/evaluate_types.scm 51 */
return 
((((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_oz00_3817)))->BgL_namez00)=((obj_t)
((obj_t)BgL_vz00_3818)),BUNSPEC);} 

}



/* &lambda1441 */
obj_t BGl_z62lambda1441z62zz__evaluate_typesz00(obj_t BgL_envz00_3819, obj_t BgL_oz00_3820)
{
{ /* Eval/evaluate_types.scm 51 */
return 
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_oz00_3820)))->BgL_namez00);} 

}



/* &<@anonymous:1426> */
obj_t BGl_z62zc3z04anonymousza31426ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3821, obj_t BgL_new1040z00_3822)
{
{ /* Eval/evaluate_types.scm 49 */
return 
((obj_t)
((BgL_ev_exprz00_bglt)BgL_new1040z00_3822));} 

}



/* &lambda1424 */
BgL_ev_exprz00_bglt BGl_z62lambda1424z62zz__evaluate_typesz00(obj_t BgL_envz00_3823)
{
{ /* Eval/evaluate_types.scm 49 */
{ /* Eval/evaluate_types.scm 49 */
 BgL_ev_exprz00_bglt BgL_new1039z00_4208;
BgL_new1039z00_4208 = 
((BgL_ev_exprz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_exprz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 49 */
 long BgL_arg1425z00_4209;
BgL_arg1425z00_4209 = 
BGL_CLASS_NUM(BGl_ev_exprz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1039z00_4208), BgL_arg1425z00_4209); } 
return BgL_new1039z00_4208;} } 

}



/* &lambda1422 */
BgL_ev_exprz00_bglt BGl_z62lambda1422z62zz__evaluate_typesz00(obj_t BgL_envz00_3824)
{
{ /* Eval/evaluate_types.scm 49 */
{ /* Eval/evaluate_types.scm 49 */
 BgL_ev_exprz00_bglt BgL_new1192z00_4210;
{ /* Eval/evaluate_types.scm 49 */
 BgL_ev_exprz00_bglt BgL_new1191z00_4211;
BgL_new1191z00_4211 = 
((BgL_ev_exprz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_exprz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 49 */
 long BgL_arg1423z00_4212;
BgL_arg1423z00_4212 = 
BGL_CLASS_NUM(BGl_ev_exprz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1191z00_4211), BgL_arg1423z00_4212); } 
BgL_new1192z00_4210 = BgL_new1191z00_4211; } 
return BgL_new1192z00_4210;} } 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__evaluate_typesz00()
{
{ /* Eval/evaluate_types.scm 15 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__evaluate_typesz00()
{
{ /* Eval/evaluate_types.scm 15 */
return BUNSPEC;} 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_typesz00()
{
{ /* Eval/evaluate_types.scm 15 */
BGl_modulezd2initializa7ationz75zz__typez00(((long)121046086), 
BSTRING_TO_STRING(BGl_string2337z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)88804785), 
BSTRING_TO_STRING(BGl_string2337z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__biglooz00(((long)14685245), 
BSTRING_TO_STRING(BGl_string2337z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__tvectorz00(((long)135276775), 
BSTRING_TO_STRING(BGl_string2337z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__structurez00(((long)128218210), 
BSTRING_TO_STRING(BGl_string2337z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__bexitz00(((long)43287392), 
BSTRING_TO_STRING(BGl_string2337z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__bignumz00(((long)6519932), 
BSTRING_TO_STRING(BGl_string2337z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__osz00(((long)368666432), 
BSTRING_TO_STRING(BGl_string2337z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__dssslz00(((long)443936801), 
BSTRING_TO_STRING(BGl_string2337z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__bitz00(((long)377164741), 
BSTRING_TO_STRING(BGl_string2337z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__paramz00(((long)453939141), 
BSTRING_TO_STRING(BGl_string2337z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)475449627), 
BSTRING_TO_STRING(BGl_string2337z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__threadz00(((long)224967693), 
BSTRING_TO_STRING(BGl_string2337z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long)236632712), 
BSTRING_TO_STRING(BGl_string2337z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)80085104), 
BSTRING_TO_STRING(BGl_string2337z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)437057797), 
BSTRING_TO_STRING(BGl_string2337z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(((long)268155843), 
BSTRING_TO_STRING(BGl_string2337z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)198620800), 
BSTRING_TO_STRING(BGl_string2337z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)473309430), 
BSTRING_TO_STRING(BGl_string2337z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long)459519430), 
BSTRING_TO_STRING(BGl_string2337z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)460262918), 
BSTRING_TO_STRING(BGl_string2337z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)-44273703), 
BSTRING_TO_STRING(BGl_string2337z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)9614678), 
BSTRING_TO_STRING(BGl_string2337z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)376927882), 
BSTRING_TO_STRING(BGl_string2337z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)228151370), 
BSTRING_TO_STRING(BGl_string2337z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)190905450), 
BSTRING_TO_STRING(BGl_string2337z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)331540577), 
BSTRING_TO_STRING(BGl_string2337z00zz__evaluate_typesz00)); 
return 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)86988580), 
BSTRING_TO_STRING(BGl_string2337z00zz__evaluate_typesz00));} 

}

#ifdef __cplusplus
}
#endif
